// ==UserScript==
// @name         VRT NU noFlash
// @namespace    vrt.be/vrtnu
// @description  Use HTML5 for video streaming
// @include      http://*.vrt.be/vrtnu/*
// @include      https://*.vrt.be/vrtnu/*
// @version      0.1.1
// @grant        none
// @run-at       document-start
// ==/UserScript==
//warning! because VRT NU loads unsecured http livestreams in a https secured webpage, you have to allow mixed active content in Firefox:
//type about:config in the adress bar and set security.mixed_content.block_active_content to false

window.addEventListener("beforescriptexecute", function(e) {
    var originalScript = e.target;
    if('https://services.vrt.be/videoplayer/2/vamp.min.js' === originalScript.src) 
    { 
      originalScript.parentNode.removeChild(originalScript);
      e.preventDefault();
//edited vamp.js
// forced html5 with jwplayer settings hlshtml = true and primary = html5
// edited video protocol detection to prioritize hls streams(PROTOCOL.HLS)
(function(c){Array.prototype.map||(Array.prototype.map=function(i,s){var b,r,l;if(null==this){throw new TypeError(" this is null or not defined")}var o=Object(this),a=o.length>>>0;if("function"!=typeof i){throw new TypeError(i+" is not a function")}for(s&&(b=s),r=Array(a),l=0;a>l;){var n,e;l in o&&(n=o[l],e=i.call(b,n,l,o),r[l]=e),l++}return r});var d=c.detect=function(){var e=function(){},r={browser_parsers:[{regex:"^(Opera)/(\\d+)\\.(\\d+) \\(Nintendo Wii",family_replacement:"Wii",manufacturer:"Nintendo"},{regex:"(SeaMonkey|Camino)/(\\d+)\\.(\\d+)\\.?([ab]?\\d+[a-z]*)",family_replacement:"Camino",other:!0},{regex:"(Pale[Mm]oon)/(\\d+)\\.(\\d+)\\.?(\\d+)?",family_replacement:"Pale Moon (Firefox Variant)",other:!0},{regex:"(Fennec)/(\\d+)\\.(\\d+)\\.?([ab]?\\d+[a-z]*)",family_replacement:"Firefox Mobile"},{regex:"(Fennec)/(\\d+)\\.(\\d+)(pre)",family_replacment:"Firefox Mobile"},{regex:"(Fennec)/(\\d+)\\.(\\d+)",family_replacement:"Firefox Mobile"},{regex:"Mobile.*(Firefox)/(\\d+)\\.(\\d+)",family_replacement:"Firefox Mobile"},{regex:"(Namoroka|Shiretoko|Minefield)/(\\d+)\\.(\\d+)\\.(\\d+(?:pre)?)",family_replacement:"Firefox ($1)"},{regex:"(Firefox)/(\\d+)\\.(\\d+)(a\\d+[a-z]*)",family_replacement:"Firefox Alpha"},{regex:"(Firefox)/(\\d+)\\.(\\d+)(b\\d+[a-z]*)",family_replacement:"Firefox Beta"},{regex:"(Firefox)-(?:\\d+\\.\\d+)?/(\\d+)\\.(\\d+)(a\\d+[a-z]*)",family_replacement:"Firefox Alpha"},{regex:"(Firefox)-(?:\\d+\\.\\d+)?/(\\d+)\\.(\\d+)(b\\d+[a-z]*)",family_replacement:"Firefox Beta"},{regex:"(Namoroka|Shiretoko|Minefield)/(\\d+)\\.(\\d+)([ab]\\d+[a-z]*)?",family_replacement:"Firefox ($1)"},{regex:"(Firefox).*Tablet browser (\\d+)\\.(\\d+)\\.(\\d+)",family_replacement:"MicroB",tablet:!0},{regex:"(MozillaDeveloperPreview)/(\\d+)\\.(\\d+)([ab]\\d+[a-z]*)?"},{regex:"(Flock)/(\\d+)\\.(\\d+)(b\\d+?)",family_replacement:"Flock",other:!0},{regex:"(RockMelt)/(\\d+)\\.(\\d+)\\.(\\d+)",family_replacement:"Rockmelt",other:!0},{regex:"(Navigator)/(\\d+)\\.(\\d+)\\.(\\d+)",family_replacement:"Netscape"},{regex:"(Navigator)/(\\d+)\\.(\\d+)([ab]\\d+)",family_replacement:"Netscape"},{regex:"(Netscape6)/(\\d+)\\.(\\d+)\\.(\\d+)",family_replacement:"Netscape"},{regex:"(MyIBrow)/(\\d+)\\.(\\d+)",family_replacement:"My Internet Browser",other:!0},{regex:"(Opera Tablet).*Version/(\\d+)\\.(\\d+)(?:\\.(\\d+))?",family_replacement:"Opera Tablet",tablet:!0},{regex:"(Opera)/.+Opera Mobi.+Version/(\\d+)\\.(\\d+)",family_replacement:"Opera Mobile"},{regex:"Opera Mobi",family_replacement:"Opera Mobile"},{regex:"(Opera Mini)/(\\d+)\\.(\\d+)",family_replacement:"Opera Mini"},{regex:"(Opera Mini)/att/(\\d+)\\.(\\d+)",family_replacement:"Opera Mini"},{regex:"(Opera)/9.80.*Version/(\\d+)\\.(\\d+)(?:\\.(\\d+))?",family_replacement:"Opera"},{regex:"(webOSBrowser)/(\\d+)\\.(\\d+)",family_replacement:"webOS"},{regex:"(webOS)/(\\d+)\\.(\\d+)",family_replacement:"webOS"},{regex:"(wOSBrowser).+TouchPad/(\\d+)\\.(\\d+)",family_replacement:"webOS TouchPad"},{regex:"(luakit)",family_replacement:"LuaKit",other:!0},{regex:"(Lightning)/(\\d+)\\.(\\d+)([ab]?\\d+[a-z]*)",family_replacement:"Lightning",other:!0},{regex:"(Firefox)/(\\d+)\\.(\\d+)\\.(\\d+(?:pre)?) \\(Swiftfox\\)",family_replacement:"Swiftfox",other:!0},{regex:"(Firefox)/(\\d+)\\.(\\d+)([ab]\\d+[a-z]*)? \\(Swiftfox\\)",family_replacement:"Swiftfox",other:!0},{regex:"rekonq",family_replacement:"Rekonq",other:!0},{regex:"(conkeror|Conkeror)/(\\d+)\\.(\\d+)\\.?(\\d+)?",family_replacement:"Conkeror",other:!0},{regex:"(konqueror)/(\\d+)\\.(\\d+)\\.(\\d+)",family_replacement:"Konqueror",other:!0},{regex:"(WeTab)-Browser",family_replacement:"WeTab",other:!0},{regex:"(Comodo_Dragon)/(\\d+)\\.(\\d+)\\.(\\d+)",family_replacement:"Comodo Dragon",other:!0},{regex:"(YottaaMonitor)",family_replacement:"Yottaa Monitor",other:!0},{regex:"(Kindle)/(\\d+)\\.(\\d+)",family_replacement:"Kindle"},{regex:"(Symphony) (\\d+).(\\d+)",family_replacement:"Symphony",other:!0},{regex:"Minimo",family_replacement:"Minimo",other:!0},{regex:"(CrMo)/(\\d+)\\.(\\d+)\\.(\\d+)\\.(\\d+)",family_replacement:"Chrome Mobile"},{regex:"(CriOS)/(\\d+)\\.(\\d+)\\.(\\d+)\\.(\\d+)",family_replacement:"Chrome Mobile iOS"},{regex:"(Chrome)/(\\d+)\\.(\\d+)\\.(\\d+)\\.(\\d+) Mobile",family_replacement:"Chrome Mobile"},{regex:"(chromeframe)/(\\d+)\\.(\\d+)\\.(\\d+)",family_replacement:"Chrome Frame"},{regex:"(UC Browser)(\\d+)\\.(\\d+)\\.(\\d+)",family_replacement:"UC Browser",other:!0},{regex:"(SLP Browser)/(\\d+)\\.(\\d+)",family_replacement:"Tizen Browser",other:!0},{regex:"(Epiphany)/(\\d+)\\.(\\d+).(\\d+)",family_replacement:"Epiphany",other:!0},{regex:"(SE 2\\.X) MetaSr (\\d+)\\.(\\d+)",family_replacement:"Sogou Explorer",other:!0},{regex:"(Pingdom.com_bot_version_)(\\d+)\\.(\\d+)",family_replacement:"PingdomBot",other:!0},{regex:"(facebookexternalhit)/(\\d+)\\.(\\d+)",family_replacement:"FacebookBot"},{regex:"(Twitterbot)/(\\d+)\\.(\\d+)",family_replacement:"TwitterBot"},{regex:"(AdobeAIR|Chromium|FireWeb|Jasmine|ANTGalio|Midori|Fresco|Lobo|PaleMoon|Maxthon|Lynx|OmniWeb|Dillo|Camino|Demeter|Fluid|Fennec|Shiira|Sunrise|Chrome|Flock|Netscape|Lunascape|WebPilot|NetFront|Netfront|Konqueror|SeaMonkey|Kazehakase|Vienna|Iceape|Iceweasel|IceWeasel|Iron|K-Meleon|Sleipnir|Galeon|GranParadiso|Opera Mini|iCab|NetNewsWire|ThunderBrowse|Iron|Iris|UP\\.Browser|Bunjaloo|Google Earth|Raven for Mac)/(\\d+)\\.(\\d+)\\.(\\d+)"},{regex:"(Bolt|Jasmine|IceCat|Skyfire|Midori|Maxthon|Lynx|Arora|IBrowse|Dillo|Camino|Shiira|Fennec|Phoenix|Chrome|Flock|Netscape|Lunascape|Epiphany|WebPilot|Opera Mini|Opera|NetFront|Netfront|Konqueror|Googlebot|SeaMonkey|Kazehakase|Vienna|Iceape|Iceweasel|IceWeasel|Iron|K-Meleon|Sleipnir|Galeon|GranParadiso|iCab|NetNewsWire|Iron|Space Bison|Stainless|Orca|Dolfin|BOLT|Minimo|Tizen Browser|Polaris)/(\\d+)\\.(\\d+)"},{regex:"(iRider|Crazy Browser|SkipStone|iCab|Lunascape|Sleipnir|Maemo Browser) (\\d+)\\.(\\d+)\\.(\\d+)"},{regex:"(iCab|Lunascape|Opera|Android|Jasmine|Polaris|BREW) (\\d+)\\.(\\d+)\\.?(\\d+)?"},{regex:"(Android) Donut",v2_replacement:"2",v1_replacement:"1"},{regex:"(Android) Eclair",v2_replacement:"1",v1_replacement:"2"},{regex:"(Android) Froyo",v2_replacement:"2",v1_replacement:"2"},{regex:"(Android) Gingerbread",v2_replacement:"3",v1_replacement:"2"},{regex:"(Android) Honeycomb",v1_replacement:"3"},{regex:"(IEMobile)[ /](\\d+)\\.(\\d+)",family_replacement:"IE Mobile"},{regex:"(MSIE) (\\d+)\\.(\\d+).*XBLWP7",family_replacement:"IE Large Screen"},{regex:"(Firefox)/(\\d+)\\.(\\d+)\\.(\\d+)"},{regex:"(Firefox)/(\\d+)\\.(\\d+)(pre|[ab]\\d+[a-z]*)?"},{regex:"(Obigo)InternetBrowser",other:!0},{regex:"(Obigo)\\-Browser",other:!0},{regex:"(Obigo|OBIGO)[^\\d]*(\\d+)(?:.(\\d+))?",other:!0},{regex:"(MAXTHON|Maxthon) (\\d+)\\.(\\d+)",family_replacement:"Maxthon",other:!0},{regex:"(Maxthon|MyIE2|Uzbl|Shiira)",v1_replacement:"0",other:!0},{regex:"(PLAYSTATION) (\\d+)",family_replacement:"PlayStation",manufacturer:"Sony"},{regex:"(PlayStation Portable)[^\\d]+(\\d+).(\\d+)",manufacturer:"Sony"},{regex:"(BrowseX) \\((\\d+)\\.(\\d+)\\.(\\d+)",other:!0},{regex:"(POLARIS)/(\\d+)\\.(\\d+)",family_replacement:"Polaris",other:!0},{regex:"(Embider)/(\\d+)\\.(\\d+)",family_replacement:"Polaris",other:!0},{regex:"(BonEcho)/(\\d+)\\.(\\d+)\\.(\\d+)",family_replacement:"Bon Echo",other:!0},{regex:"(iPod).+Version/(\\d+)\\.(\\d+)\\.(\\d+)",family_replacement:"Mobile Safari",manufacturer:"Apple"},{regex:"(iPod).*Version/(\\d+)\\.(\\d+)",family_replacement:"Mobile Safari",manufacturer:"Apple"},{regex:"(iPod)",family_replacement:"Mobile Safari",manufacturer:"Apple"},{regex:"(iPhone).*Version/(\\d+)\\.(\\d+)\\.(\\d+)",family_replacement:"Mobile Safari",manufacturer:"Apple"},{regex:"(iPhone).*Version/(\\d+)\\.(\\d+)",family_replacement:"Mobile Safari",manufacturer:"Apple"},{regex:"(iPhone)",family_replacement:"Mobile Safari",manufacturer:"Apple"},{regex:"(iPad).*Version/(\\d+)\\.(\\d+)\\.(\\d+)",family_replacement:"Mobile Safari",tablet:!0,manufacturer:"Apple"},{regex:"(iPad).*Version/(\\d+)\\.(\\d+)",family_replacement:"Mobile Safari",tablet:!0,manufacturer:"Apple"},{regex:"(iPad)",family_replacement:"Mobile Safari",tablet:!0,manufacturer:"Apple"},{regex:"(AvantGo) (\\d+).(\\d+)",other:!0},{regex:"(Avant)",v1_replacement:"1",other:!0},{regex:"^(Nokia)",family_replacement:"Nokia Services (WAP) Browser",manufacturer:"Nokia"},{regex:"(NokiaBrowser)/(\\d+)\\.(\\d+).(\\d+)\\.(\\d+)",manufacturer:"Nokia"},{regex:"(NokiaBrowser)/(\\d+)\\.(\\d+).(\\d+)",manufacturer:"Nokia"},{regex:"(NokiaBrowser)/(\\d+)\\.(\\d+)",manufacturer:"Nokia"},{regex:"(BrowserNG)/(\\d+)\\.(\\d+).(\\d+)",family_replacement:"NokiaBrowser",manufacturer:"Nokia"},{regex:"(Series60)/5\\.0",v2_replacement:"0",v1_replacement:"7",family_replacement:"NokiaBrowser",manufacturer:"Nokia"},{regex:"(Series60)/(\\d+)\\.(\\d+)",family_replacement:"Nokia OSS Browser",manufacturer:"Nokia"},{regex:"(S40OviBrowser)/(\\d+)\\.(\\d+)\\.(\\d+)\\.(\\d+)",family_replacement:"Nokia Series 40 Ovi Browser",manufacturer:"Nokia"},{regex:"(Nokia)[EN]?(\\d+)",manufacturer:"Nokia"},{regex:"(PlayBook).+RIM Tablet OS (\\d+)\\.(\\d+)\\.(\\d+)",family_replacement:"Blackberry WebKit",tablet:!0,manufacturer:"Nokia"},{regex:"(Black[bB]erry).+Version/(\\d+)\\.(\\d+)\\.(\\d+)",family_replacement:"Blackberry WebKit",manufacturer:"RIM"},{regex:"(Black[bB]erry)\\s?(\\d+)",family_replacement:"Blackberry",manufacturer:"RIM"},{regex:"(OmniWeb)/v(\\d+)\\.(\\d+)",other:!0},{regex:"(Blazer)/(\\d+)\\.(\\d+)",family_replacement:"Palm Blazer",manufacturer:"Palm"},{regex:"(Pre)/(\\d+)\\.(\\d+)",family_replacement:"Palm Pre",manufacturer:"Palm"},{regex:"(Links) \\((\\d+)\\.(\\d+)",other:!0},{regex:"(QtWeb) Internet Browser/(\\d+)\\.(\\d+)",other:!0},{regex:"(Silk)/(\\d+)\\.(\\d+)(?:\\.([0-9\\-]+))?",other:!0,tablet:!0},{regex:"(AppleWebKit)/(\\d+)\\.?(\\d+)?\\+ .* Version/\\d+\\.\\d+.\\d+ Safari/",family_replacement:"WebKit Nightly"},{regex:"(Version)/(\\d+)\\.(\\d+)(?:\\.(\\d+))?.*Safari/",family_replacement:"Safari"},{regex:"(Safari)/\\d+"},{regex:"(OLPC)/Update(\\d+)\\.(\\d+)",other:!0},{regex:"(OLPC)/Update()\\.(\\d+)",v1_replacement:"0",other:!0},{regex:"(SEMC\\-Browser)/(\\d+)\\.(\\d+)",other:!0},{regex:"(Teleca)",family_replacement:"Teleca Browser",other:!0},{regex:"Trident(.*)rv.(\\d+)\\.(\\d+)",family_replacement:"IE"},{regex:"(MSIE) (\\d+)\\.(\\d+)",family_replacement:"IE"}],os_parsers:[{regex:"(Android) (\\d+)\\.(\\d+)(?:[.\\-]([a-z0-9]+))?"},{regex:"(Android)\\-(\\d+)\\.(\\d+)(?:[.\\-]([a-z0-9]+))?"},{regex:"(Android) Donut",os_v2_replacement:"2",os_v1_replacement:"1"},{regex:"(Android) Eclair",os_v2_replacement:"1",os_v1_replacement:"2"},{regex:"(Android) Froyo",os_v2_replacement:"2",os_v1_replacement:"2"},{regex:"(Android) Gingerbread",os_v2_replacement:"3",os_v1_replacement:"2"},{regex:"(Android) Honeycomb",os_v1_replacement:"3"},{regex:"(Silk-Accelerated=[a-z]{4,5})",os_replacement:"Android"},{regex:"(Windows Phone 6\\.5)"},{regex:"(Windows (?:NT 5\\.2|NT 5\\.1))",os_replacement:"Windows XP"},{regex:"(XBLWP7)",os_replacement:"Windows Phone OS"},{regex:"(Windows NT 6\\.1)",os_replacement:"Windows 7"},{regex:"(Windows NT 6\\.0)",os_replacement:"Windows Vista"},{regex:"(Windows 98|Windows XP|Windows ME|Windows 95|Windows CE|Windows 7|Windows NT 4\\.0|Windows Vista|Windows 2000)"},{regex:"(Windows NT 6\\.2)",os_replacement:"Windows 8"},{regex:"(Windows Phone 8)",os_replacement:"Windows Phone 8"},{regex:"(Windows NT 5\\.0)",os_replacement:"Windows 2000"},{regex:"(Windows Phone OS) (\\d+)\\.(\\d+)"},{regex:"(Windows ?Mobile)",os_replacement:"Windows Mobile"},{regex:"(WinNT4.0)",os_replacement:"Windows NT 4.0"},{regex:"(Win98)",os_replacement:"Windows 98"},{regex:"(Tizen)/(\\d+)\\.(\\d+)",other:!0},{regex:"(Mac OS X) (\\d+)[_.](\\d+)(?:[_.](\\d+))?",manufacturer:"Apple"},{regex:"(?:PPC|Intel) (Mac OS X)",manufacturer:"Apple"},{regex:"(CPU OS|iPhone OS) (\\d+)_(\\d+)(?:_(\\d+))?",os_replacement:"iOS",manufacturer:"Apple"},{regex:"(iPhone|iPad|iPod); Opera",os_replacement:"iOS",manufacturer:"Apple"},{regex:"(iPad); Opera",tablet:!0,manufacturer:"Apple"},{regex:"(iPhone|iPad|iPod).*Mac OS X.*Version/(\\d+)\\.(\\d+)",os_replacement:"iOS",manufacturer:"Apple"},{regex:"(CrOS) [a-z0-9_]+ (\\d+)\\.(\\d+)(?:\\.(\\d+))?",os_replacement:"Chrome OS"},{regex:"(Debian)-(\\d+)\\.(\\d+)\\.(\\d+)(?:\\.(\\d+))?",other:!0},{regex:"(Linux Mint)(?:/(\\d+))?",other:!0},{regex:"(Mandriva)(?: Linux)?/(\\d+)\\.(\\d+)\\.(\\d+)(?:\\.(\\d+))?",other:!0},{regex:"(Symbian[Oo][Ss])/(\\d+)\\.(\\d+)",os_replacement:"Symbian OS"},{regex:"(Symbian/3).+NokiaBrowser/7\\.3",os_replacement:"Symbian^3 Anna"},{regex:"(Symbian/3).+NokiaBrowser/7\\.4",os_replacement:"Symbian^3 Belle"},{regex:"(Symbian/3)",os_replacement:"Symbian^3"},{regex:"(Series 60|SymbOS|S60)",os_replacement:"Symbian OS"},{regex:"(MeeGo)",other:!0},{regex:"Symbian [Oo][Ss]",os_replacement:"Symbian OS"},{regex:"(Black[Bb]erry)[0-9a-z]+/(\\d+)\\.(\\d+)\\.(\\d+)(?:\\.(\\d+))?",os_replacement:"BlackBerry OS",manufacturer:"RIM"},{regex:"(Black[Bb]erry).+Version/(\\d+)\\.(\\d+)\\.(\\d+)(?:\\.(\\d+))?",os_replacement:"BlackBerry OS",manufacturer:"RIM"},{regex:"(RIM Tablet OS) (\\d+)\\.(\\d+)\\.(\\d+)",os_replacement:"BlackBerry Tablet OS",tablet:!0,manufacturer:"RIM"},{regex:"(Play[Bb]ook)",os_replacement:"BlackBerry Tablet OS",tablet:!0,manufacturer:"RIM"},{regex:"(Black[Bb]erry)",os_replacement:"Blackberry OS",manufacturer:"RIM"},{regex:"(webOS|hpwOS)/(\\d+)\\.(\\d+)(?:\\.(\\d+))?",os_replacement:"webOS"},{regex:"(SUSE|Fedora|Red Hat|PCLinuxOS)/(\\d+)\\.(\\d+)\\.(\\d+)\\.(\\d+)",other:!0},{regex:"(SUSE|Fedora|Red Hat|Puppy|PCLinuxOS|CentOS)/(\\d+)\\.(\\d+)\\.(\\d+)",other:!0},{regex:"(Ubuntu|Kindle|Bada|Lubuntu|BackTrack|Red Hat|Slackware)/(\\d+)\\.(\\d+)"},{regex:"(Windows|OpenBSD|FreeBSD|NetBSD|Ubuntu|Kubuntu|Android|Arch Linux|CentOS|WeTab|Slackware)"},{regex:"(Linux|BSD)",other:!0}],mobile_os_families:["Windows Phone 6.5","Windows CE","Symbian OS"],device_parsers:[{regex:"HTC ([A-Z][a-z0-9]+) Build",device_replacement:"HTC $1",manufacturer:"HTC"},{regex:"HTC ([A-Z][a-z0-9 ]+) \\d+\\.\\d+\\.\\d+\\.\\d+",device_replacement:"HTC $1",manufacturer:"HTC"},{regex:"HTC_Touch_([A-Za-z0-9]+)",device_replacement:"HTC Touch ($1)",manufacturer:"HTC"},{regex:"USCCHTC(\\d+)",device_replacement:"HTC $1 (US Cellular)",manufacturer:"HTC"},{regex:"Sprint APA(9292)",device_replacement:"HTC $1 (Sprint)",manufacturer:"HTC"},{regex:"HTC ([A-Za-z0-9]+ [A-Z])",device_replacement:"HTC $1",manufacturer:"HTC"},{regex:"HTC-([A-Za-z0-9]+)",device_replacement:"HTC $1",manufacturer:"HTC"},{regex:"HTC_([A-Za-z0-9]+)",device_replacement:"HTC $1",manufacturer:"HTC"},{regex:"HTC ([A-Za-z0-9]+)",device_replacement:"HTC $1",manufacturer:"HTC"},{regex:"(ADR[A-Za-z0-9]+)",device_replacement:"HTC $1",manufacturer:"HTC"},{regex:"(HTC)",manufacturer:"HTC"},{regex:"SonyEricsson([A-Za-z0-9]+)/",device_replacement:"Ericsson $1",other:!0,manufacturer:"Sony"},{regex:"Android[\\- ][\\d]+\\.[\\d]+\\; [A-Za-z]{2}\\-[A-Za-z]{2}\\; WOWMobile (.+) Build"},{regex:"Android[\\- ][\\d]+\\.[\\d]+\\.[\\d]+; [A-Za-z]{2}\\-[A-Za-z]{2}\\; (.+) Build"},{regex:"Android[\\- ][\\d]+\\.[\\d]+\\-update1\\; [A-Za-z]{2}\\-[A-Za-z]{2}\\; (.+) Build"},{regex:"Android[\\- ][\\d]+\\.[\\d]+\\; [A-Za-z]{2}\\-[A-Za-z]{2}\\; (.+) Build"},{regex:"Android[\\- ][\\d]+\\.[\\d]+\\.[\\d]+; (.+) Build"},{regex:"NokiaN([0-9]+)",device_replacement:"Nokia N$1",manufacturer:"Nokia"},{regex:"Nokia([A-Za-z0-9\\v-]+)",device_replacement:"Nokia $1",manufacturer:"Nokia"},{regex:"NOKIA ([A-Za-z0-9\\-]+)",device_replacement:"Nokia $1",manufacturer:"Nokia"},{regex:"Nokia ([A-Za-z0-9\\-]+)",device_replacement:"Nokia $1",manufacturer:"Nokia"},{regex:"Lumia ([A-Za-z0-9\\-]+)",device_replacement:"Lumia $1",manufacturer:"Nokia"},{regex:"Symbian",device_replacement:"Nokia",manufacturer:"Nokia"},{regex:"(PlayBook).+RIM Tablet OS",device_replacement:"Blackberry Playbook",tablet:!0,manufacturer:"RIM"},{regex:"(Black[Bb]erry [0-9]+);",manufacturer:"RIM"},{regex:"Black[Bb]erry([0-9]+)",device_replacement:"BlackBerry $1",manufacturer:"RIM"},{regex:"(Pre)/(\\d+)\\.(\\d+)",device_replacement:"Palm Pre",manufacturer:"Palm"},{regex:"(Pixi)/(\\d+)\\.(\\d+)",device_replacement:"Palm Pixi",manufacturer:"Palm"},{regex:"(Touchpad)/(\\d+)\\.(\\d+)",device_replacement:"HP Touchpad",manufacturer:"HP"},{regex:"HPiPAQ([A-Za-z0-9]+)/(\\d+).(\\d+)",device_replacement:"HP iPAQ $1",manufacturer:"HP"},{regex:"Palm([A-Za-z0-9]+)",device_replacement:"Palm $1",manufacturer:"Palm"},{regex:"Treo([A-Za-z0-9]+)",device_replacement:"Palm Treo $1",manufacturer:"Palm"},{regex:"webOS.*(P160UNA)/(\\d+).(\\d+)",device_replacement:"HP Veer",manufacturer:"HP"},{regex:"(Kindle Fire)",manufacturer:"Amazon"},{regex:"(Kindle)",manufacturer:"Amazon"},{regex:"(Silk)/(\\d+)\\.(\\d+)(?:\\.([0-9\\-]+))?",device_replacement:"Kindle Fire",tablet:!0,manufacturer:"Amazon"},{regex:"(iPad) Simulator;",manufacturer:"Apple"},{regex:"(iPad);",manufacturer:"Apple"},{regex:"(iPod);",manufacturer:"Apple"},{regex:"(iPhone) Simulator;",manufacturer:"Apple"},{regex:"(iPhone);",manufacturer:"Apple"},{regex:"Nexus\\ ([A-Za-z0-9\\-]+)",device_replacement:"Nexus $1"},{regex:"acer_([A-Za-z0-9]+)_",device_replacement:"Acer $1",manufacturer:"Acer"},{regex:"acer_([A-Za-z0-9]+)_",device_replacement:"Acer $1",manufacturer:"Acer"},{regex:"Amoi\\-([A-Za-z0-9]+)",device_replacement:"Amoi $1",other:!0,manufacturer:"Amoi"},{regex:"AMOI\\-([A-Za-z0-9]+)",device_replacement:"Amoi $1",other:!0,manufacturer:"Amoi"},{regex:"Asus\\-([A-Za-z0-9]+)",device_replacement:"Asus $1",manufacturer:"Asus"},{regex:"ASUS\\-([A-Za-z0-9]+)",device_replacement:"Asus $1",manufacturer:"Asus"},{regex:"BIRD\\-([A-Za-z0-9]+)",device_replacement:"Bird $1",other:!0},{regex:"BIRD\\.([A-Za-z0-9]+)",device_replacement:"Bird $1",other:!0},{regex:"BIRD ([A-Za-z0-9]+)",device_replacement:"Bird $1",other:!0},{regex:"Dell ([A-Za-z0-9]+)",device_replacement:"Dell $1",manufacturer:"Dell"},{regex:"DoCoMo/2\\.0 ([A-Za-z0-9]+)",device_replacement:"DoCoMo $1",other:!0},{regex:"([A-Za-z0-9]+)\\_W\\;FOMA",device_replacement:"DoCoMo $1",other:!0},{regex:"([A-Za-z0-9]+)\\;FOMA",device_replacement:"DoCoMo $1",other:!0},{regex:"vodafone([A-Za-z0-9]+)",device_replacement:"Huawei Vodafone $1",other:!0},{regex:"i\\-mate ([A-Za-z0-9]+)",device_replacement:"i-mate $1",other:!0},{regex:"Kyocera\\-([A-Za-z0-9]+)",device_replacement:"Kyocera $1",other:!0},{regex:"KWC\\-([A-Za-z0-9]+)",device_replacement:"Kyocera $1",other:!0},{regex:"Lenovo\\-([A-Za-z0-9]+)",device_replacement:"Lenovo $1",manufacturer:"Lenovo"},{regex:"Lenovo\\_([A-Za-z0-9]+)",device_replacement:"Lenovo $1",manufacturer:"Levovo"},{regex:"LG/([A-Za-z0-9]+)",device_replacement:"LG $1",manufacturer:"LG"},{regex:"LG-LG([A-Za-z0-9]+)",device_replacement:"LG $1",manufacturer:"LG"},{regex:"LGE-LG([A-Za-z0-9]+)",device_replacement:"LG $1",manufacturer:"LG"},{regex:"LGE VX([A-Za-z0-9]+)",device_replacement:"LG $1",manufacturer:"LG"},{regex:"LG ([A-Za-z0-9]+)",device_replacement:"LG $1",manufacturer:"LG"},{regex:"LGE LG\\-AX([A-Za-z0-9]+)",device_replacement:"LG $1",manufacturer:"LG"},{regex:"LG\\-([A-Za-z0-9]+)",device_replacement:"LG $1",manufacturer:"LG"},{regex:"LGE\\-([A-Za-z0-9]+)",device_replacement:"LG $1",manufacturer:"LG"},{regex:"LG([A-Za-z0-9]+)",device_replacement:"LG $1",manufacturer:"LG"},{regex:"(KIN)\\.One (\\d+)\\.(\\d+)",device_replacement:"Microsoft $1"},{regex:"(KIN)\\.Two (\\d+)\\.(\\d+)",device_replacement:"Microsoft $1"},{regex:"(Motorola)\\-([A-Za-z0-9]+)",manufacturer:"Motorola"},{regex:"MOTO\\-([A-Za-z0-9]+)",device_replacement:"Motorola $1",manufacturer:"Motorola"},{regex:"MOT\\-([A-Za-z0-9]+)",device_replacement:"Motorola $1",manufacturer:"Motorola"},{regex:"Philips([A-Za-z0-9]+)",device_replacement:"Philips $1",manufacturer:"Philips"},{regex:"Philips ([A-Za-z0-9]+)",device_replacement:"Philips $1",manufacturer:"Philips"},{regex:"SAMSUNG-([A-Za-z0-9\\-]+)",device_replacement:"Samsung $1",manufacturer:"Samsung"},{regex:"SAMSUNG\\; ([A-Za-z0-9\\-]+)",device_replacement:"Samsung $1",manufacturer:"Samsung"},{regex:"Softbank/1\\.0/([A-Za-z0-9]+)",device_replacement:"Softbank $1",other:!0},{regex:"Softbank/2\\.0/([A-Za-z0-9]+)",device_replacement:"Softbank $1",other:!0},{regex:"(hiptop|avantgo|plucker|xiino|blazer|elaine|up.browser|up.link|mmp|smartphone|midp|wap|vodafone|o2|pocket|mobile|pda)",device_replacement:"Generic Smartphone"},{regex:"^(1207|3gso|4thp|501i|502i|503i|504i|505i|506i|6310|6590|770s|802s|a wa|acer|acs\\-|airn|alav|asus|attw|au\\-m|aur |aus |abac|acoo|aiko|alco|alca|amoi|anex|anny|anyw|aptu|arch|argo|bell|bird|bw\\-n|bw\\-u|beck|benq|bilb|blac|c55/|cdm\\-|chtm|capi|comp|cond|craw|dall|dbte|dc\\-s|dica|ds\\-d|ds12|dait|devi|dmob|doco|dopo|el49|erk0|esl8|ez40|ez60|ez70|ezos|ezze|elai|emul|eric|ezwa|fake|fly\\-|fly\\_|g\\-mo|g1 u|g560|gf\\-5|grun|gene|go.w|good|grad|hcit|hd\\-m|hd\\-p|hd\\-t|hei\\-|hp i|hpip|hs\\-c|htc |htc\\-|htca|htcg)",device_replacement:"Generic Feature Phone"},{regex:"^(htcp|htcs|htct|htc\\_|haie|hita|huaw|hutc|i\\-20|i\\-go|i\\-ma|i230|iac|iac\\-|iac/|ig01|im1k|inno|iris|jata|java|kddi|kgt|kgt/|kpt |kwc\\-|klon|lexi|lg g|lg\\-a|lg\\-b|lg\\-c|lg\\-d|lg\\-f|lg\\-g|lg\\-k|lg\\-l|lg\\-m|lg\\-o|lg\\-p|lg\\-s|lg\\-t|lg\\-u|lg\\-w|lg/k|lg/l|lg/u|lg50|lg54|lge\\-|lge/|lynx|leno|m1\\-w|m3ga|m50/|maui|mc01|mc21|mcca|medi|meri|mio8|mioa|mo01|mo02|mode|modo|mot |mot\\-|mt50|mtp1|mtv |mate|maxo|merc|mits|mobi|motv|mozz|n100|n101|n102|n202|n203|n300|n302|n500|n502|n505|n700|n701|n710|nec\\-|nem\\-|newg|neon)",device_replacement:"Generic Feature Phone"},{regex:"^(netf|noki|nzph|o2 x|o2\\-x|opwv|owg1|opti|oran|ot\\-s|p800|pand|pg\\-1|pg\\-2|pg\\-3|pg\\-6|pg\\-8|pg\\-c|pg13|phil|pn\\-2|pt\\-g|palm|pana|pire|pock|pose|psio|qa\\-a|qc\\-2|qc\\-3|qc\\-5|qc\\-7|qc07|qc12|qc21|qc32|qc60|qci\\-|qwap|qtek|r380|r600|raks|rim9|rove|s55/|sage|sams|sc01|sch\\-|scp\\-|sdk/|se47|sec\\-|sec0|sec1|semc|sgh\\-|shar|sie\\-|sk\\-0|sl45|slid|smb3|smt5|sp01|sph\\-|spv |spv\\-|sy01|samm|sany|sava|scoo|send|siem|smar|smit|soft|sony|t\\-mo|t218|t250|t600|t610|t618|tcl\\-|tdg\\-|telm|tim\\-|ts70|tsm\\-|tsm3|tsm5|tx\\-9|tagt)",device_replacement:"Generic Feature Phone"},{regex:"^(talk|teli|topl|tosh|up.b|upg1|utst|v400|v750|veri|vk\\-v|vk40|vk50|vk52|vk53|vm40|vx98|virg|vite|voda|vulc|w3c |w3c\\-|wapj|wapp|wapu|wapm|wig |wapi|wapr|wapv|wapy|wapa|waps|wapt|winc|winw|wonu|x700|xda2|xdag|yas\\-|your|zte\\-|zeto|aste|audi|avan|blaz|brew|brvw|bumb|ccwa|cell|cldc|cmd\\-|dang|eml2|fetc|hipt|http|ibro|idea|ikom|ipaq|jbro|jemu|jigs|keji|kyoc|kyok|libw|m\\-cr|midp|mmef|moto|mwbp|mywa|newt|nok6|o2im|pant|pdxg|play|pluc|port|prox|rozo|sama|seri|smal|symb|treo|upsi|vx52|vx53|vx60|vx61|vx70|vx80|vx81|vx83|vx85|wap\\-|webc|whit|wmlb|xda\\-|xda\\_)",device_replacement:"Generic Feature Phone"},{regex:"(bot|borg|google(^tv)|yahoo|slurp|msnbot|msrbot|openbot|archiver|netresearch|lycos|scooter|altavista|teoma|gigabot|baiduspider|blitzbot|oegp|charlotte|furlbot|http%20client|polybot|htdig|ichiro|mogimogi|larbin|pompos|scrubby|searchsight|seekbot|semanticdiscovery|silk|snappy|speedy|spider|voila|vortex|voyager|zao|zeal|fast\\-webcrawler|converacrawler|dataparksearch|findlinks)",device_replacement:"Spider"}],mobile_browser_families:["Firefox Mobile","Opera Mobile","Opera Mini","Mobile Safari","webOS","IE Mobile","Playstation Portable","Nokia","Blackberry","Palm","Silk","Android","Maemo","Obigo","Netfront","AvantGo","Teleca","SEMC-Browser","Bolt","Iris","UP.Browser","Symphony","Minimo","Bunjaloo","Jasmine","Dolfin","Polaris","BREW","Chrome Mobile","Chrome Mobile iOS","UC Browser","Tizen Browser"]};e.parsers=["device_parsers","browser_parsers","os_parsers","mobile_os_families","mobile_browser_families"],e.types=["browser","os","device"],e.regexes=r||function(){var f={};return e.parsers.map(function(g){f[g]=[]}),f}(),e.families=function(){var f={};return e.types.map(function(g){f[g]=[]}),f}();var v=Array.prototype,o=(Object.prototype,Function.prototype,v.forEach);v.indexOf;var i=function(g,h){for(var j={},f=0;h.length>f&&!(j=h[f](g));f++){}return j},n=function(f,g){t(f,function(h){t(g,function(j){delete h[j]})})},t=forEach=function(h,k,m){if(null!=h){if(o&&h.forEach===o){h.forEach(k,m)}else{if(h.length===+h.length){for(var g=0,f=h.length;f>g;g++){k.call(m,h[g],g,h)}}else{for(var j in h){_.has(h,j)&&k.call(m,h[j],j,h)}}}}},l=function(f){return !(!f||f===undefined||null==f)},a=function(f){var g="";return f=f||{},l(f)&&l(f.major)&&(g+=f.major,l(f.minor)&&(g+="."+f.minor,l(f.patch)&&(g+="."+f.patch))),g},b=function(f){f=f||{};var g=a(f);return g&&(g=" "+g),f&&l(f.family)?f.family+g:""};return e.parse=function(q){var m=function(s){return e.regexes[s+"_parsers"].map(function(u){function A(y){var x=y.match(C);if(!x){return null}var z={};return z.family=(w?w.replace("$1",x[1]):x[1])||"other",z.major=parseInt(B?B:x[2])||null,z.minor=x[3]?parseInt(x[3]):null,z.patch=x[4]?parseInt(x[4]):null,z.tablet=u.tablet,z.man=u.manufacturer||null,z}var C=RegExp(u.regex),w=u[("browser"===s?"family":s)+"_replacement"],B=u.major_version_replacement;return A})},g=function(){},k=m("browser"),p=m("os"),h=m("device"),j=new g;j.source=q,j.browser=i(q,k),l(j.browser)?(j.browser.name=b(j.browser),j.browser.version=a(j.browser)):j.browser={},j.os=i(q,p),l(j.os)?(j.os.name=b(j.os),j.os.version=a(j.os)):j.os={},j.device=i(q,h),l(j.device)?(j.device.name=b(j.device),j.device.version=a(j.device)):j.device={tablet:!1,family:"Other"};var f={};return e.regexes.mobile_browser_families.map(function(s){f[s]=!0}),e.regexes.mobile_os_families.map(function(s){f[s]=!0}),j.device.type="Spider"===j.browser.family?"Spider":j.browser.tablet||j.os.tablet||j.device.tablet?"Tablet":f.hasOwnProperty(j.browser.family)?"Mobile":"Desktop",j.device.manufacturer=j.browser.man||j.os.man||j.device.man||null,n([j.browser,j.os,j.device],["tablet","man"]),j},e}();"undefined"!=typeof exports?("undefined"!=typeof module&&module.exports&&(exports=module.exports=d),exports.detect=d):c.detect=d,"function"==typeof define&&define.amd&&define(function(){return d})})(window);
var FlashDetect=new function(){var j=this;j.installed=false;j.raw="";j.major=-1;j.minor=-1;j.revision=-1;j.revisionStr="";var h=[{name:"ShockwaveFlash.ShockwaveFlash.7",version:function(a){return n(a)}},{name:"ShockwaveFlash.ShockwaveFlash.6",version:function(a){var c="6,0,21";try{a.AllowScriptAccess="always";c=n(a)}catch(b){}return c}},{name:"ShockwaveFlash.ShockwaveFlash",version:function(a){return n(a)}}];var n=function(a){var c=-1;try{c=a.GetVariable("$version")}catch(b){}return c};var k=function(c){var a=-1;try{a=new ActiveXObject(c)}catch(b){a={activeXError:true}}return a};var o=function(a){var b=a.split(",");return{raw:a,major:parseInt(b[0].split(" ")[1],10),minor:parseInt(b[1],10),revision:parseInt(b[2],10),revisionStr:b[2]}};var l=function(a){var c=a.split(/ +/);var b=c[2].split(/\./);var d=c[3];return{raw:a,major:parseInt(b[0],10),minor:parseInt(b[1],10),revisionStr:d,revision:m(d)}};var m=function(a){return parseInt(a.replace(/[a-zA-Z]/g,""),10)||j.revision};j.majorAtLeast=function(a){return j.major>=a};j.minorAtLeast=function(a){return j.minor>=a};j.revisionAtLeast=function(a){return j.revision>=a};j.versionAtLeast=function(b){var a=[j.major,j.minor,j.revision];var c=Math.min(a.length,arguments.length);for(i=0;i<c;i++){if(a[i]>=arguments[i]){if(i+1<c&&a[i]==arguments[i]){continue}else{return true}}else{return false}}};j.FlashDetect=function(){if(navigator.plugins&&navigator.plugins.length>0){var b="application/x-shockwave-flash";var c=navigator.mimeTypes;if(c&&c[b]&&c[b].enabledPlugin&&c[b].enabledPlugin.description){var e=c[b].enabledPlugin.description;var a=l(e);j.raw=a.raw;j.major=a.major;j.minor=a.minor;j.revisionStr=a.revisionStr;j.revision=a.revision;j.installed=true}}else{if(navigator.appVersion.indexOf("Mac")==-1&&window.execScript){var e=-1;for(var d=0;d<h.length&&e==-1;d++){var f=k(h[d].name);if(!f.activeXError){j.installed=true;e=h[d].version(f);if(e!=-1){var a=o(e);j.raw=a.raw;j.major=a.major;j.minor=a.minor;j.revision=a.revision;j.revisionStr=a.revisionStr}}}}}}()};FlashDetect.JS_RELEASE="1.0.4";
(function(){function N(ad,ac,ae){ae=(ae||0)-1;for(var Z=ad?ad.length:0;++ae<Z;){if(ad[ae]===ac){return ae}}return -1}function T(Z,ad){var ae=typeof ad;if(Z=Z.l,"boolean"==ae||null==ad){return Z[ad]?0:-1}"number"!=ae&&"string"!=ae&&(ae="object");var ac="number"==ae?ad:M+ad;return Z=(Z=Z[ae])&&Z[ac],"object"==ae?Z&&-1<N(Z,ad)?0:-1:Z?0:-1}function E(ad){var ac=this.l,ae=typeof ad;if("boolean"==ae||null==ad){ac[ad]=true}else{"number"!=ae&&"string"!=ae&&(ae="object");var Z="number"==ae?ad:M+ad,ac=ac[ae]||(ac[ae]={});"object"==ae?(ac[Z]||(ac[Z]=[])).push(ad):ac[Z]=true}}function R(Z){return Z.charCodeAt(0)}function U(ac,ag){for(var ae=ac.m,af=ag.m,ai=-1,ad=ae.length;++ai<ad;){var ah=ae[ai],Z=af[ai];if(ah!==Z){if(ah>Z||typeof ah=="undefined"){return 1}if(ah<Z||typeof Z=="undefined"){return -1}}}return ac.n-ag.n}function O(ad){var ag=-1,af=ad.length,ac=ad[0],ae=ad[af/2|0],Z=ad[af-1];if(ac&&typeof ac=="object"&&ae&&typeof ae=="object"&&Z&&typeof Z=="object"){return false}for(ac=F(),ac["false"]=ac["null"]=ac["true"]=ac.undefined=false,ae=F(),ae.k=ad,ae.l=ac,ae.push=E;++ag<af;){ae.push(ad[ag])}return ae}function I(Z){return"\\"+w[Z]}function A(){return H.pop()||[]}function F(){return G.pop()||{k:null,l:null,m:null,"false":false,n:0,"null":false,number:null,object:null,push:null,string:null,"true":false,undefined:false,o:null}}function L(Z){Z.length=0,H.length<ab&&H.push(Z)}function C(Z){var ac=Z.l;ac&&C(ac),Z.k=Z.l=Z.m=Z.object=Z.number=Z.string=Z.o=null,G.length<ab&&G.push(Z)}function P(ad,Z,ae){Z||(Z=0),typeof ae=="undefined"&&(ae=ad?ad.length:0);var af=-1;ae=ae-Z||0;for(var ac=Array(0>ae?0:ae);++af<ae;){ac[af]=ad[Z+af]}return ac}function S(c5){function aR(a2,a4,a1){if(!a2||!x[typeof a2]){return a2}a4=a4&&typeof a1=="undefined"?a4:aQ(a4,a1,3);for(var a3=-1,a6=x[typeof a2]&&ao(a2),a5=a6?a6.length:0;++a3<a5&&(a1=a6[a3],false!==a4(a2[a1],a1,a2));){}return a2}function c6(a1,a4,a2){var a3;if(!a1||!x[typeof a1]){return a1}a4=a4&&typeof a2=="undefined"?a4:aQ(a4,a2,3);for(a3 in a1){if(false===a4(a1[a3],a3,a1)){break}}return a1}function c1(ba,a2,a8){var a9,a4=ba,bc=a4;if(!a4){return bc}for(var a3=arguments,a5=0,a1=typeof a8=="number"?2:a3.length;++a5<a1;){if((a4=a3[a5])&&x[typeof a4]){for(var a7=-1,bb=x[typeof a4]&&ao(a4),a6=bb?bb.length:0;++a7<a6;){a9=bb[a7],"undefined"==typeof bc[a9]&&(bc[a9]=a4[a9])}}}return bc}function aU(bb,a3,a9){var ba,a5=bb,bd=a5;if(!a5){return bd}var a4=arguments,a6=0,a1=typeof a9=="number"?2:a4.length;if(3<a1&&"function"==typeof a4[a1-2]){var a8=aQ(a4[--a1-1],a4[a1--],2)}else{2<a1&&"function"==typeof a4[a1-1]&&(a8=a4[--a1])}for(;++a6<a1;){if((a5=a4[a6])&&x[typeof a5]){for(var bc=-1,a7=x[typeof a5]&&ao(a5),a2=a7?a7.length:0;++bc<a2;){ba=a7[bc],bd[ba]=a8?a8(bd[ba],a5[ba]):a5[ba]}}}return bd}function aF(a1){var a3,a2=[];if(!a1||!x[typeof a1]){return a2}for(a3 in a1){cC.call(a1,a3)&&a2.push(a3)}return a2}function aI(a1){return a1&&typeof a1=="object"&&!cx(a1)&&cC.call(a1,"__wrapped__")?a1:new aN(a1)}function aN(a1,a2){this.__chain__=!!a2,this.__wrapped__=a1}function a0(a5){function a3(){if(a2){var a6=P(a2);aS.apply(a6,arguments)}if(this instanceof a3){var a7=be(a1.prototype),a6=a1.apply(a7,a6||arguments);return ar(a6)?a6:a7}return a1.apply(a4,a6||arguments)}var a1=a5[0],a2=a5[2],a4=a5[4];return aB(a3,a5),a3}function cb(a9,ba,a2,a6,a7){if(a2){var a5=a2(a9);if(typeof a5!="undefined"){return a5}}if(!ar(a9)){return a9}var a8=ca.call(a9);if(!m[a8]){return a9}var a4=ch[a8];switch(a8){case v:case h:return new a4(+a9);case y:case r:return new a4(a9);case aa:return a5=a4(a9.source,e.exec(a9)),a5.lastIndex=a9.lastIndex,a5}if(a8=cx(a9),ba){var a1=!a6;a6||(a6=A()),a7||(a7=A());for(var a3=a6.length;a3--;){if(a6[a3]==a9){return a7[a3]}}a5=a8?a4(a9.length):{}}else{a5=a8?P(a9):aU({},a9)}return a8&&(cC.call(a9,"index")&&(a5.index=a9.index),cC.call(a9,"input")&&(a5.input=a9.input)),ba?(a6.push(a9),a7.push(a5),(a8?cX:aR)(a9,function(bb,bc){a5[bc]=cb(bb,ba,a2,a6,a7)}),a1&&(L(a6),L(a7)),a5):a5}function be(a1){return ar(a1)?ap(a1):{}}function aQ(a5,a3,a1){if(typeof a5!="function"){return aJ}if(typeof a3=="undefined"||!("prototype" in a5)){return a5}var a2=a5.__bindData__;if(typeof a2=="undefined"&&(aV.funcNames&&(a2=!a5.name),a2=a2||!aV.funcDecomp,!a2)){var a4=cG.call(a5);aV.funcNames||(a2=!q.test(a4)),a2||(a2=g.test(a4),aB(a5,a2))}if(false===a2||true!==a2&&1&a2[1]){return a5}switch(a1){case 1:return function(a6){return a5.call(a3,a6)};case 2:return function(a7,a6){return a5.call(a3,a7,a6)};case 3:return function(a7,a8,a6){return a5.call(a3,a7,a8,a6)};case 4:return function(a8,a9,a7,a6){return a5.call(a3,a8,a9,a7,a6)}}return cn(a5,a3)}function cO(bc){function a3(){var bg=a4?a7:this;if(a5){var bf=P(a5);aS.apply(bf,arguments)}return(a8||a9)&&(bf||(bf=P(arguments)),a8&&aS.apply(bf,a8),a9&&bf.length<bd)?(ba|=16,cO([a1,a2?ba:-4&ba,bf,null,a7,bd])):(bf||(bf=arguments),bb&&(a1=bg[a6]),this instanceof a3?(bg=be(a1.prototype),bf=a1.apply(bg,bf),ar(bf)?bf:bg):a1.apply(bg,bf))}var a1=bc[0],ba=bc[1],a5=bc[2],a8=bc[3],a7=bc[4],bd=bc[5],a4=1&ba,bb=2&ba,a9=4&ba,a2=8&ba,a6=a1;return aB(a3,bc),a3}function cp(a7,a6){var a3=-1,a2=cI(),a4=a7?a7.length:0,a1=a4>=B&&a2===N,a5=[];if(a1){var a8=O(a6);a8?(a2=T,a6=a8):a1=false}for(;++a3<a4;){a8=a7[a3],0>a2(a6,a8)&&a5.push(a8)}return a1&&C(a6),a5}function bt(a9,a3,a1,a6){a6=(a6||0)-1;for(var ba=a9?a9.length:0,a5=[];++a6<ba;){var a4=a9[a6];if(a4&&typeof a4=="object"&&typeof a4.length=="number"&&(cx(a4)||cF(a4))){a3||(a4=bt(a4,a3,a1));var a7=-1,a2=a4.length,a8=a5.length;for(a5.length+=a2;++a7<a2;){a5[a8++]=a4[a7]}}else{a1||a5.push(a4)}}return a5}function cd(ba,a4,a1,a9,a5,bc){if(a1){var a7=a1(ba,a4);if(typeof a7!="undefined"){return !!a7}}if(ba===a4){return 0!==ba||1/ba==1/a4}if(ba===ba&&!(ba&&x[typeof ba]||a4&&x[typeof a4])){return false}if(null==ba||null==a4){return ba===a4}var a3=ca.call(ba),a8=ca.call(a4);if(a3==f&&(a3=Q),a8==f&&(a8=Q),a3!=a8){return false}switch(a3){case v:case h:return +ba==+a4;case y:return ba!=+ba?a4!=+a4:0==ba?1/ba==1/a4:ba==+a4;case aa:case r:return ba==aO(a4)}if(a8=a3==b,!a8){var a6=cC.call(ba,"__wrapped__"),a2=cC.call(a4,"__wrapped__");if(a6||a2){return cd(a6?ba.__wrapped__:ba,a2?a4.__wrapped__:a4,a1,a9,a5,bc)}if(a3!=Q){return false}if(a3=ba.constructor,a6=a4.constructor,a3!=a6&&!(ai(a3)&&a3 instanceof a3&&ai(a6)&&a6 instanceof a6)&&"constructor" in ba&&"constructor" in a4){return false}}for(a3=!a5,a5||(a5=A()),bc||(bc=A()),a6=a5.length;a6--;){if(a5[a6]==ba){return bc[a6]==a4}}var bb=0,a7=true;if(a5.push(ba),bc.push(a4),a8){if(a6=ba.length,bb=a4.length,(a7=bb==a6)||a9){for(;bb--;){if(a8=a6,a2=a4[bb],a9){for(;a8--&&!(a7=cd(ba[a8],a2,a1,a9,a5,bc));){}}else{if(!(a7=cd(ba[bb],a2,a1,a9,a5,bc))){break}}}}}else{c6(a4,function(bg,bf,bd){return cC.call(bd,bf)?(bb++,a7=cC.call(ba,bf)&&cd(ba[bf],bg,a1,a9,a5,bc)):void 0}),a7&&!a9&&c6(ba,function(bd,bg,bf){return cC.call(bf,bg)?a7=-1<--bb:void 0})}return a5.pop(),bc.pop(),a3&&(L(a5),L(bc)),a7}function cf(a5,a3,a1,a2,a4){(cx(a3)?cX:aR)(a3,function(ba,a7){var bc,a9,a8=ba,bb=a5[a7];if(ba&&((a9=cx(ba))||c3(ba))){for(a8=a2.length;a8--;){if(bc=a2[a8]==ba){bb=a4[a8];break}}if(!bc){var a6;a1&&(a8=a1(bb,ba),a6=typeof a8!="undefined")&&(bb=a8),a6||(bb=a9?cx(bb)?bb:[]:c3(bb)?bb:{}),a2.push(ba),a4.push(bb),a6||cf(bb,ba,a1,a2,a4)}}else{a1&&(a8=a1(bb,ba),typeof a8=="undefined"&&(a8=ba)),typeof a8!="undefined"&&(bb=a8)}a5[a7]=bb})}function ax(a1,a2){return a1+aM(aj()*(a2-a1+1))}function cw(bb,ba,a3){var a7=-1,a8=cI(),a9=bb?bb.length:0,a2=[],a5=!ba&&a9>=B&&a8===N,a4=a3||a5?A():a2;for(a5&&(a4=O(a4),a8=T);++a7<a9;){var a1=bb[a7],a6=a3?a3(a1,a7,bb):a1;(ba?!a7||a4[a4.length-1]!==a6:0>a8(a4,a6))&&((a3||a5)&&a4.push(a6),a2.push(a1))}return a5?(L(a4.k),C(a4)):a3&&L(a4),a2}function ct(a1){return function(a4,a7,a3){var a6={};a7=aI.createCallback(a7,a3,3),a3=-1;var a2=a4?a4.length:0;if(typeof a2=="number"){for(;++a3<a2;){var a5=a4[a3];a1(a6,a5,a7(a5,a3,a4),a4)}}else{aR(a4,function(ba,a9,a8){a1(a6,ba,a7(ba,a9,a8),a8)})}return a6}}function ci(ba,a3,a1,a8,a4,a6){var a5=1&a3,bb=4&a3,a2=16&a3,a9=32&a3;if(!(2&a3||ai(ba))){throw new aX}a2&&!a1.length&&(a3&=-17,a2=a1=false),a9&&!a8.length&&(a3&=-33,a9=a8=false);var a7=ba&&ba.__bindData__;return a7&&true!==a7?(a7=P(a7),a7[2]&&(a7[2]=P(a7[2])),a7[3]&&(a7[3]=P(a7[3])),!a5||1&a7[1]||(a7[4]=a4),!a5&&1&a7[1]&&(a3|=8),!bb||4&a7[1]||(a7[5]=a6),a2&&aS.apply(a7[2]||(a7[2]=[]),a1),a9&&ak.apply(a7[3]||(a7[3]=[]),a8),a7[1]|=a3,ci.apply(null,a7)):(1==a3||17===a3?a0:cO)([ba,a3,a1,a8,a4,a6])}function af(a1){return cE[a1]}function cI(){var a1=(a1=aI.indexOf)===cq?N:a1;return a1}function ac(a1){return typeof a1=="function"&&co.test(a1)}function cZ(a1){var a3,a2;return a1&&ca.call(a1)==Q&&(a3=a1.constructor,!ai(a3)||a3 instanceof a3)?(c6(a1,function(a4,a5){a2=a5}),typeof a2=="undefined"||cC.call(a1,a2)):false}function cN(a1){return cg[a1]}function cF(a1){return a1&&typeof a1=="object"&&typeof a1.length=="number"&&ca.call(a1)==f||false}function cL(a5,a3,a1){var a2=ao(a5),a4=a2.length;for(a3=aQ(a3,a1,3);a4--&&(a1=a2[a4],false!==a3(a5[a1],a1,a5));){}return a5}function c2(a1){var a2=[];return c6(a1,function(a3,a4){ai(a3)&&a2.push(a4)}),a2.sort()}function cR(a2){for(var a4=-1,a1=ao(a2),a3=a1.length,a6={};++a4<a3;){var a5=a1[a4];a6[a2[a5]]=a5}return a6}function ai(a1){return typeof a1=="function"}function ar(a1){return !(!a1||!x[typeof a1])}function ah(a1){return typeof a1=="number"||a1&&typeof a1=="object"&&ca.call(a1)==y||false}function aE(a1){return typeof a1=="string"||a1&&typeof a1=="object"&&ca.call(a1)==r||false}function cj(a5){for(var a3=-1,a1=ao(a5),a2=a1.length,a4=an(a2);++a3<a2;){a4[a3]=a5[a1[a3]]}return a4}function cY(a7,a3,a6){var a2=-1,a5=cI(),a1=a7?a7.length:0,a4=false;return a6=(0>a6?aG(0,a1+a6):a6)||0,cx(a7)?a4=-1<a5(a7,a3,a6):typeof a1=="number"?a4=-1<(aE(a7)?a7.indexOf(a3,a6):a5(a7,a3,a6)):aR(a7,function(a8){return ++a2<a6?void 0:!(a4=a8===a3)}),a4}function aP(a5,a3,a1){var a2=true;a3=aI.createCallback(a3,a1,3),a1=-1;var a4=a5?a5.length:0;if(typeof a4=="number"){for(;++a1<a4&&(a2=!!a3(a5[a1],a1,a5));){}}else{aR(a5,function(a7,a8,a6){return a2=!!a3(a7,a8,a6)})}return a2}function cH(a2,a4,a1){var a3=[];a4=aI.createCallback(a4,a1,3),a1=-1;var a6=a2?a2.length:0;if(typeof a6=="number"){for(;++a1<a6;){var a5=a2[a1];a4(a5,a1,a2)&&a3.push(a5)}}else{aR(a2,function(a7,a8,a9){a4(a7,a8,a9)&&a3.push(a7)})}return a3}function aY(a2,a4,a1){a4=aI.createCallback(a4,a1,3),a1=-1;var a3=a2?a2.length:0;if(typeof a3!="number"){var a6;return aR(a2,function(a7,a8,a9){return a4(a7,a8,a9)?(a6=a7,false):void 0}),a6}for(;++a1<a3;){var a5=a2[a1];if(a4(a5,a1,a2)){return a5}}}function cX(a5,a3,a1){var a2=-1,a4=a5?a5.length:0;if(a3=a3&&typeof a1=="undefined"?a3:aQ(a3,a1,3),typeof a4=="number"){for(;++a2<a4&&false!==a3(a5[a2],a2,a5);){}}else{aR(a5,a3)}return a5}function ag(a5,a3,a1){var a2=a5?a5.length:0;if(a3=a3&&typeof a1=="undefined"?a3:aQ(a3,a1,3),typeof a2=="number"){for(;a2--&&false!==a3(a5[a2],a2,a5);){}}else{var a4=ao(a5),a2=a4.length;aR(a5,function(a7,a6,a8){return a6=a4?a4[--a2]:--a2,a3(a8[a6],a6,a8)})}return a5}function aq(a2,a4,a1){var a3=-1,a6=a2?a2.length:0;if(a4=aI.createCallback(a4,a1,3),typeof a6=="number"){for(var a5=an(a6);++a3<a6;){a5[a3]=a4(a2[a3],a3,a2)}}else{a5=[],aR(a2,function(a7,a8,a9){a5[++a3]=a4(a7,a8,a9)})}return a5}function cv(a7,a2,a6){var a4=-1/0,a1=a4;if(typeof a2!="function"&&a6&&a6[a2]===a7&&(a2=null),null==a2&&cx(a7)){a6=-1;for(var a3=a7.length;++a6<a3;){var a5=a7[a6];a5>a1&&(a1=a5)}}else{a2=null==a2&&aE(a7)?R:aI.createCallback(a2,a6,3),cX(a7,function(a8,a9,ba){a9=a2(a8,a9,ba),a9>a4&&(a4=a9,a1=a8)})}return a1}function ce(a7,a3,a6,a2){if(!a7){return a6}var a5=3>arguments.length;a3=aI.createCallback(a3,a2,4);var a1=-1,a4=a7.length;if(typeof a4=="number"){for(a5&&(a6=a7[++a1]);++a1<a4;){a6=a3(a6,a7[a1],a1,a7)}}else{aR(a7,function(a8,ba,a9){a6=a5?(a5=false,a8):a3(a6,a8,ba,a9)})}return a6}function aW(a5,a3,a1,a2){var a4=3>arguments.length;return a3=aI.createCallback(a3,a2,4),ag(a5,function(a8,a7,a6){a1=a4?(a4=false,a8):a3(a1,a8,a7,a6)}),a1}function cD(a1){var a4=-1,a2=a1?a1.length:0,a3=an(typeof a2=="number"?a2:0);return cX(a1,function(a5){var a6=ax(0,++a4);a3[a4]=a3[a6],a3[a6]=a5}),a3}function aD(a5,a3,a1){var a2;a3=aI.createCallback(a3,a1,3),a1=-1;var a4=a5?a5.length:0;if(typeof a4=="number"){for(;++a1<a4&&!(a2=a3(a5[a1],a1,a5));){}}else{aR(a5,function(a7,a8,a6){return !(a2=a3(a7,a8,a6))})}return !!a2}function cM(a2,a4,a1){var a3=0,a6=a2?a2.length:0;if(typeof a4!="number"&&null!=a4){var a5=-1;for(a4=aI.createCallback(a4,a1,3);++a5<a6&&a4(a2[a5],a5,a2);){a3++}}else{if(a3=a4,null==a3||a1){return a2?a2[0]:V}}return P(a2,0,cP(aG(0,a3),a6))}function cq(a3,a1,a2){if(typeof a2=="number"){var a4=a3?a3.length:0;a2=0>a2?aG(0,a4+a2):a2||0}else{if(a2){return a2=aL(a3,a1),a3[a2]===a1?a2:-1}}return N(a3,a1,a2)}function az(a2,a4,a1){if(typeof a4!="number"&&null!=a4){var a3=0,a6=-1,a5=a2?a2.length:0;for(a4=aI.createCallback(a4,a1,3);++a6<a5&&a4(a2[a6],a6,a2);){a3++}}else{a3=null==a4||a1?1:aG(0,a4)}return P(a2,a3)}function aL(a2,a4,a1,a3){var a6=0,a5=a2?a2.length:a6;for(a1=a1?aI.createCallback(a1,a3,1):aJ,a4=a1(a4);a6<a5;){a3=a6+a5>>>1,a1(a2[a3])<a4?a6=a3+1:a5=a3}return a6}function aZ(a1,a4,a2,a3){return typeof a4!="boolean"&&null!=a4&&(a3=a2,a2=typeof a4!="function"&&a3&&a3[a4]===a1?null:a4,a4=false),null!=a2&&(a2=aI.createCallback(a2,a3,3)),cw(a1,a4,a2)}function ae(){for(var a1=1<arguments.length?arguments:arguments[0],a4=-1,a2=a1?cv(c0(a1,"length")):0,a3=an(0>a2?0:a2);++a4<a2;){a3[a4]=c0(a1,a4)}return a3}function aw(a2,a4){var a1=-1,a3=a2?a2.length:0,a6={};for(a4||!a3||cx(a2[0])||(a4=[]);++a1<a3;){var a5=a2[a1];a4?a6[a5]=a4[a1]:a5&&(a6[a5[0]]=a5[1])}return a6}function cn(a1,a2){return 2<arguments.length?ci(a1,17,P(arguments,2),null,a2):ci(a1,1,null,null,a2)}function aT(a9,a1,a7){function bg(){a6&&ck(a6),bc=a6=bd=V,(ba||bf!==a1)&&(bh=au(),a3=a9.apply(a5,bb),a6||bc||(bb=a5=null))}function a2(){var bi=a1-(au()-a8);0<bi?a6=aC(a2,bi):(bc&&ck(bc),bi=bd,bc=a6=bd=V,bi&&(bh=au(),a3=a9.apply(a5,bb),a6||bc||(bb=a5=null)))}var bb,bc,a3,a8,a5,a6,bd,bh=0,bf=false,ba=true;if(!ai(a9)){throw new aX}if(a1=aG(0,a1)||0,true===a7){var a4=true,ba=false}else{ar(a7)&&(a4=a7.leading,bf="maxWait" in a7&&(aG(a1,a7.maxWait)||0),ba="trailing" in a7?a7.trailing:ba)}return function(){if(bb=arguments,a8=au(),a5=this,bd=ba&&(a6||!a4),false===bf){var bi=a4&&!a6}else{bc||a4||(bh=a8);var bj=bf-(a8-bh),bk=0>=bj;bk?(bc&&(bc=ck(bc)),bh=a8,a3=a9.apply(a5,bb)):bc||(bc=aC(bg,bj))}return bk&&a6?a6=ck(a6):a6||a1===bf||(a6=aC(a2,a1)),bi&&(bk=true,a3=a9.apply(a5,bb)),!bk||a6||bc||(bb=a5=null),a3}}function aJ(a1){return a1}function cr(a7,a3,a6){var a2=true,a5=a3&&c2(a3);a3&&(a6||a5.length)||(null==a6&&(a6=a3),a1=aN,a3=a7,a7=aI,a5=c2(a3)),false===a6?a2=false:ar(a6)&&"chain" in a6&&(a2=a6.chain);var a1=a7,a4=ai(a1);cX(a5,function(a8){var a9=a7[a8]=a3[a8];a4&&(a1.prototype[a8]=function(){var ba=this.__chain__,bc=this.__wrapped__,bb=[bc];if(aS.apply(bb,arguments),bb=a9.apply(a7,bb),a2||ba){if(bc===bb&&ar(bb)){return this}bb=new a1(bb),bb.__chain__=ba}return bb})})}function cK(){}function cc(a1){return function(a2){return a2[a1]}}function Z(){return this.__wrapped__}c5=c5?a.defaults(i.Object(),c5,a.pick(i,c)):i;var an=c5.Array,cU=c5.Boolean,cB=c5.Date,aH=c5.Function,aA=c5.Math,at=c5.Number,cT=c5.Object,c4=c5.RegExp,aO=c5.String,aX=c5.TypeError,cJ=[],cl=cT.prototype,cW=c5._,ca=cl.toString,co=c4("^"+aO(ca).replace(/[.*+?^${}()|[\]\\]/g,"\\$&").replace(/toString| for [^\]]+/g,".*?")+"$"),cA=aA.ceil,ck=c5.clearTimeout,aM=aA.floor,cG=aH.prototype.toString,cy=ac(cy=cT.getPrototypeOf)&&cy,cC=cl.hasOwnProperty,aS=cJ.push,aC=c5.setTimeout,ad=cJ.splice,ak=cJ.unshift,cu=function(){try{var a1={},a4=ac(a4=cT.defineProperty)&&a4,a2=a4(a1,a1,a1)&&a4}catch(a3){}return a2}(),ap=ac(ap=cT.create)&&ap,cQ=ac(cQ=an.isArray)&&cQ,aK=c5.isFinite,ay=c5.isNaN,cz=ac(cz=cT.keys)&&cz,aG=aA.max,cP=aA.min,cs=c5.parseInt,aj=aA.random,ch={};ch[b]=an,ch[v]=cU,ch[h]=cB,ch[d]=aH,ch[Q]=cT,ch[y]=at,ch[aa]=c4,ch[r]=aO,aN.prototype=aI.prototype;var aV=aI.support={};aV.funcDecomp=!ac(c5.a)&&g.test(S),aV.funcNames=typeof aH.name=="string",aI.templateSettings={escape:/<%-([\s\S]+?)%>/g,evaluate:/<%([\s\S]+?)%>/g,interpolate:p,variable:"",imports:{_:aI}},ap||(be=function(){function a1(){}return function(a3){if(ar(a3)){a1.prototype=a3;var a2=new a1;a1.prototype=null}return a2||c5.Object()}}());var aB=cu?function(a1,a2){o.value=a2,cu(a1,"__bindData__",o)}:cK,cx=cQ||function(a1){return a1&&typeof a1=="object"&&typeof a1.length=="number"&&ca.call(a1)==b||false},ao=cz?function(a1){return ar(a1)?cz(a1):[]}:aF,cE={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},cg=cR(cE),am=c4("("+ao(cg).join("|")+")","g"),av=c4("["+ao(cE).join("")+"]","g"),c3=cy?function(a1){if(!a1||ca.call(a1)!=Q){return false}var a3=a1.valueOf,a2=ac(a3)&&(a2=cy(a3))&&cy(a2);return a2?a1==a2||cy(a1)==a2:cZ(a1)}:cZ,cm=ct(function(a1,a3,a2){cC.call(a1,a2)?a1[a2]++:a1[a2]=1}),al=ct(function(a1,a3,a2){(cC.call(a1,a2)?a1[a2]:a1[a2]=[]).push(a3)}),cS=ct(function(a1,a3,a2){a1[a2]=a3}),c0=aq,au=ac(au=cB.now)&&au||function(){return(new cB).getTime()},cV=8==cs(D+"08")?cs:function(a1,a2){return cs(aE(a1)?a1.replace(k,""):a1,a2||0)};return aI.after=function(a1,a2){if(!ai(a2)){throw new aX}return function(){return 1>--a1?a2.apply(this,arguments):void 0}},aI.assign=aU,aI.at=function(a5){for(var a3=arguments,a1=-1,a2=bt(a3,true,false,1),a3=a3[2]&&a3[2][a3[1]]===a5?1:a2.length,a4=an(a3);++a1<a3;){a4[a1]=a5[a2[a1]]}return a4},aI.bind=cn,aI.bindAll=function(a5){for(var a3=1<arguments.length?bt(arguments,true,false,1):c2(a5),a1=-1,a2=a3.length;++a1<a2;){var a4=a3[a1];a5[a4]=ci(a5[a4],1,null,null,a5)}return a5},aI.bindKey=function(a1,a2){return 2<arguments.length?ci(a2,19,P(arguments,2),null,a1):ci(a2,3,null,null,a1)},aI.chain=function(a1){return a1=new aN(a1),a1.__chain__=true,a1},aI.compact=function(a5){for(var a3=-1,a1=a5?a5.length:0,a2=[];++a3<a1;){var a4=a5[a3];a4&&a2.push(a4)}return a2},aI.compose=function(){for(var a1=arguments,a2=a1.length;a2--;){if(!ai(a1[a2])){throw new aX}}return function(){for(var a4=arguments,a3=a1.length;a3--;){a4=[a1[a3].apply(this,a4)]}return a4[0]}},aI.constant=function(a1){return function(){return a1}},aI.countBy=cm,aI.create=function(a1,a3){var a2=be(a1);return a3?aU(a2,a3):a2},aI.createCallback=function(a7,a3,a6){var a2=typeof a7;if(null==a7||"function"==a2){return aQ(a7,a3,a6)}if("object"!=a2){return cc(a7)}var a5=ao(a7),a1=a5[0],a4=a7[a1];return 1!=a5.length||a4!==a4||ar(a4)?function(ba){for(var a8=a5.length,a9=false;a8--&&(a9=cd(ba[a5[a8]],a7[a5[a8]],null,true));){}return a9}:function(a8){return a8=a8[a1],a4===a8&&(0!==a4||1/a4==1/a8)}},aI.curry=function(a1,a2){return a2=typeof a2=="number"?a2:+a2||a1.length,ci(a1,4,null,null,null,a2)},aI.debounce=aT,aI.defaults=c1,aI.defer=function(a1){if(!ai(a1)){throw new aX}var a2=P(arguments,1);return aC(function(){a1.apply(V,a2)},1)},aI.delay=function(a1,a3){if(!ai(a1)){throw new aX}var a2=P(arguments,2);return aC(function(){a1.apply(V,a2)},a3)},aI.difference=function(a1){return cp(a1,bt(arguments,true,true,1))},aI.filter=cH,aI.flatten=function(a1,a4,a2,a3){return typeof a4!="boolean"&&null!=a4&&(a3=a2,a2=typeof a4!="function"&&a3&&a3[a4]===a1?null:a4,a4=false),null!=a2&&(a1=aq(a1,a2,a3)),bt(a1,a4)},aI.forEach=cX,aI.forEachRight=ag,aI.forIn=c6,aI.forInRight=function(a5,a3,a1){var a2=[];c6(a5,function(a6,a7){a2.push(a7,a6)});var a4=a2.length;for(a3=aQ(a3,a1,3);a4--&&false!==a3(a2[a4--],a2[a4],a5);){}return a5},aI.forOwn=aR,aI.forOwnRight=cL,aI.functions=c2,aI.groupBy=al,aI.indexBy=cS,aI.initial=function(a2,a4,a1){var a3=0,a6=a2?a2.length:0;if(typeof a4!="number"&&null!=a4){var a5=a6;for(a4=aI.createCallback(a4,a1,3);a5--&&a4(a2[a5],a5,a2);){a3++}}else{a3=null==a4||a1?1:a4||a3}return P(a2,0,cP(aG(0,a6-a3),a6))},aI.intersection=function(){for(var a7=[],bb=-1,a3=arguments.length,a6=A(),bc=cI(),ba=bc===N,a2=A();++bb<a3;){var a4=arguments[bb];(cx(a4)||cF(a4))&&(a7.push(a4),a6.push(ba&&a4.length>=B&&O(bb?a7[bb]:a2)))}var ba=a7[0],a1=-1,a9=ba?ba.length:0,a5=[];N:for(;++a1<a9;){var a8=a6[0],a4=ba[a1];if(0>(a8?T(a8,a4):bc(a2,a4))){for(bb=a3,(a8||a2).push(a4);--bb;){if(a8=a6[bb],0>(a8?T(a8,a4):bc(a7[bb],a4))){continue N}}a5.push(a4)}}for(;a3--;){(a8=a6[a3])&&C(a8)}return L(a6),L(a2),a5},aI.invert=cR,aI.invoke=function(a7,a3){var a6=P(arguments,2),a2=-1,a5=typeof a3=="function",a1=a7?a7.length:0,a4=an(typeof a1=="number"?a1:0);return cX(a7,function(a8){a4[++a2]=(a5?a3:a8[a3]).apply(a8,a6)}),a4},aI.keys=ao,aI.map=aq,aI.mapValues=function(a1,a4,a2){var a3={};return a4=aI.createCallback(a4,a2,3),aR(a1,function(a7,a5,a6){a3[a5]=a4(a7,a5,a6)}),a3},aI.max=cv,aI.memoize=function(a1,a3){function a2(){var a4=a2.cache,a5=a3?a3.apply(this,arguments):M+arguments[0];return cC.call(a4,a5)?a4[a5]:a4[a5]=a1.apply(this,arguments)}if(!ai(a1)){throw new aX}return a2.cache={},a2},aI.merge=function(a7){var a3=arguments,a6=2;if(!ar(a7)){return a7}if("number"!=typeof a3[2]&&(a6=a3.length),3<a6&&"function"==typeof a3[a6-2]){var a2=aQ(a3[--a6-1],a3[a6--],2)}else{2<a6&&"function"==typeof a3[a6-1]&&(a2=a3[--a6])}for(var a3=P(arguments,1,a6),a5=-1,a1=A(),a4=A();++a5<a6;){cf(a7,a3[a5],a2,a1,a4)}return L(a1),L(a4),a7},aI.min=function(a7,a2,a6){var a4=1/0,a1=a4;if(typeof a2!="function"&&a6&&a6[a2]===a7&&(a2=null),null==a2&&cx(a7)){a6=-1;for(var a3=a7.length;++a6<a3;){var a5=a7[a6];a5<a1&&(a1=a5)}}else{a2=null==a2&&aE(a7)?R:aI.createCallback(a2,a6,3),cX(a7,function(a8,a9,ba){a9=a2(a8,a9,ba),a9<a4&&(a4=a9,a1=a8)})}return a1},aI.omit=function(a7,a2,a1){var a6={};if(typeof a2!="function"){var a4=[];c6(a7,function(a9,ba){a4.push(ba)});for(var a4=cp(a4,bt(arguments,true,false,1)),a8=-1,a3=a4.length;++a8<a3;){var a5=a4[a8];a6[a5]=a7[a5]}}else{a2=aI.createCallback(a2,a1,3),c6(a7,function(a9,ba,bb){a2(a9,ba,bb)||(a6[ba]=a9)})}return a6},aI.once=function(a1){var a3,a2;if(!ai(a1)){throw new aX}return function(){return a3?a2:(a3=true,a2=a1.apply(this,arguments),a1=null,a2)}},aI.pairs=function(a2){for(var a4=-1,a1=ao(a2),a3=a1.length,a6=an(a3);++a4<a3;){var a5=a1[a4];a6[a4]=[a5,a2[a5]]}return a6},aI.partial=function(a1){return ci(a1,16,P(arguments,1))},aI.partialRight=function(a1){return ci(a1,32,null,P(arguments,1))},aI.pick=function(a7,a2,a1){var a6={};if(typeof a2!="function"){for(var a4=-1,a8=bt(arguments,true,false,1),a3=ar(a7)?a8.length:0;++a4<a3;){var a5=a8[a4];a5 in a7&&(a6[a5]=a7[a5])}}else{a2=aI.createCallback(a2,a1,3),c6(a7,function(a9,ba,bb){a2(a9,ba,bb)&&(a6[ba]=a9)})}return a6},aI.pluck=c0,aI.property=cc,aI.pull=function(a7){for(var a3=arguments,a6=0,a2=a3.length,a5=a7?a7.length:0;++a6<a2;){for(var a1=-1,a4=a3[a6];++a1<a5;){a7[a1]===a4&&(ad.call(a7,a1--,1),a5--)}}return a7},aI.range=function(a5,a3,a1){a5=+a5||0,a1=typeof a1=="number"?a1:+a1||1,null==a3&&(a3=a5,a5=0);var a2=-1;a3=aG(0,cA((a3-a5)/(a1||1)));for(var a4=an(a3);++a2<a3;){a4[a2]=a5,a5+=a1}return a4},aI.reject=function(a1,a3,a2){return a3=aI.createCallback(a3,a2,3),cH(a1,function(a5,a6,a4){return !a3(a5,a6,a4)})},aI.remove=function(a2,a4,a1){var a3=-1,a6=a2?a2.length:0,a5=[];for(a4=aI.createCallback(a4,a1,3);++a3<a6;){a1=a2[a3],a4(a1,a3,a2)&&(a5.push(a1),ad.call(a2,a3--,1),a6--)}return a5},aI.rest=az,aI.shuffle=cD,aI.sortBy=function(a7,a4,a6){var a3=-1,a2=cx(a4),a5=a7?a7.length:0,a1=an(typeof a5=="number"?a5:0);for(a2||(a4=aI.createCallback(a4,a6,3)),cX(a7,function(a8,a9,bb){var ba=a1[++a3]=F();a2?ba.m=aq(a4,function(bc){return a8[bc]}):(ba.m=A())[0]=a4(a8,a9,bb),ba.n=a3,ba.o=a8}),a5=a1.length,a1.sort(U);a5--;){a7=a1[a5],a1[a5]=a7.o,a2||L(a7.m),C(a7)}return a1},aI.tap=function(a1,a2){return a2(a1),a1},aI.throttle=function(a5,a3,a1){var a2=true,a4=true;if(!ai(a5)){throw new aX}return false===a1?a2=false:ar(a1)&&(a2="leading" in a1?a1.leading:a2,a4="trailing" in a1?a1.trailing:a4),n.leading=a2,n.maxWait=a3,n.trailing=a4,aT(a5,a3,n)},aI.times=function(a5,a3,a1){a5=-1<(a5=+a5)?a5:0;var a2=-1,a4=an(a5);for(a3=aQ(a3,a1,1);++a2<a5;){a4[a2]=a3(a2)}return a4},aI.toArray=function(a1){return a1&&typeof a1.length=="number"?P(a1):cj(a1)},aI.transform=function(a2,a4,a1,a3){var a6=cx(a2);if(null==a1){if(a6){a1=[]}else{var a5=a2&&a2.constructor;a1=be(a5&&a5.prototype)}}return a4&&(a4=aI.createCallback(a4,a3,4),(a6?cX:aR)(a2,function(a7,a9,a8){return a4(a1,a7,a9,a8)})),a1},aI.union=function(){return cw(bt(arguments,true,true))},aI.uniq=aZ,aI.values=cj,aI.where=cH,aI.without=function(a1){return cp(a1,P(arguments,1))},aI.wrap=function(a1,a2){return ci(a2,16,[a1])},aI.xor=function(){for(var a1=-1,a4=arguments.length;++a1<a4;){var a2=arguments[a1];if(cx(a2)||cF(a2)){var a3=a3?cw(cp(a3,a2).concat(cp(a2,a3))):a2}}return a3||[]},aI.zip=ae,aI.zipObject=aw,aI.collect=aq,aI.drop=az,aI.each=cX,aI.eachRight=ag,aI.extend=aU,aI.methods=c2,aI.object=aw,aI.select=cH,aI.tail=az,aI.unique=aZ,aI.unzip=ae,cr(aI),aI.clone=function(a1,a4,a2,a3){return typeof a4!="boolean"&&null!=a4&&(a3=a2,a2=a4,a4=false),cb(a1,a4,typeof a2=="function"&&aQ(a2,a3,1))},aI.cloneDeep=function(a1,a3,a2){return cb(a1,true,typeof a3=="function"&&aQ(a3,a2,1))},aI.contains=cY,aI.escape=function(a1){return null==a1?"":aO(a1).replace(av,af)},aI.every=aP,aI.find=aY,aI.findIndex=function(a5,a3,a1){var a2=-1,a4=a5?a5.length:0;for(a3=aI.createCallback(a3,a1,3);++a2<a4;){if(a3(a5[a2],a2,a5)){return a2}}return -1},aI.findKey=function(a1,a4,a2){var a3;return a4=aI.createCallback(a4,a2,3),aR(a1,function(a7,a5,a6){return a4(a7,a5,a6)?(a3=a5,false):void 0}),a3},aI.findLast=function(a1,a4,a2){var a3;return a4=aI.createCallback(a4,a2,3),ag(a1,function(a7,a5,a6){return a4(a7,a5,a6)?(a3=a7,false):void 0}),a3},aI.findLastIndex=function(a1,a4,a2){var a3=a1?a1.length:0;for(a4=aI.createCallback(a4,a2,3);a3--;){if(a4(a1[a3],a3,a1)){return a3}}return -1},aI.findLastKey=function(a1,a4,a2){var a3;return a4=aI.createCallback(a4,a2,3),cL(a1,function(a7,a5,a6){return a4(a7,a5,a6)?(a3=a5,false):void 0}),a3},aI.has=function(a1,a2){return a1?cC.call(a1,a2):false},aI.identity=aJ,aI.indexOf=cq,aI.isArguments=cF,aI.isArray=cx,aI.isBoolean=function(a1){return true===a1||false===a1||a1&&typeof a1=="object"&&ca.call(a1)==v||false},aI.isDate=function(a1){return a1&&typeof a1=="object"&&ca.call(a1)==h||false},aI.isElement=function(a1){return a1&&1===a1.nodeType||false},aI.isEmpty=function(a1){var a4=true;if(!a1){return a4}var a2=ca.call(a1),a3=a1.length;return a2==b||a2==r||a2==f||a2==Q&&typeof a3=="number"&&ai(a1.splice)?!a3:(aR(a1,function(){return a4=false}),a4)},aI.isEqual=function(a1,a4,a2,a3){return cd(a1,a4,typeof a2=="function"&&aQ(a2,a3,2))},aI.isFinite=function(a1){return aK(a1)&&!ay(parseFloat(a1))},aI.isFunction=ai,aI.isNaN=function(a1){return ah(a1)&&a1!=+a1},aI.isNull=function(a1){return null===a1},aI.isNumber=ah,aI.isObject=ar,aI.isPlainObject=c3,aI.isRegExp=function(a1){return a1&&typeof a1=="object"&&ca.call(a1)==aa||false},aI.isString=aE,aI.isUndefined=function(a1){return typeof a1=="undefined"},aI.lastIndexOf=function(a1,a4,a2){var a3=a1?a1.length:0;for(typeof a2=="number"&&(a3=(0>a2?aG(0,a3+a2):cP(a2,a3-1))+1);a3--;){if(a1[a3]===a4){return a3}}return -1},aI.mixin=cr,aI.noConflict=function(){return c5._=cW,this},aI.noop=cK,aI.now=au,aI.parseInt=cV,aI.random=function(a5,a3,a1){var a2=null==a5,a4=null==a3;return null==a1&&(typeof a5=="boolean"&&a4?(a1=a5,a5=1):a4||typeof a3!="boolean"||(a1=a3,a4=true)),a2&&a4&&(a3=1),a5=+a5||0,a4?(a3=a5,a5=0):a3=+a3||0,a1||a5%1||a3%1?(a1=aj(),cP(a5+a1*(a3-a5+parseFloat("1e-"+((a1+"").length-1))),a3)):ax(a5,a3)},aI.reduce=ce,aI.reduceRight=aW,aI.result=function(a1,a3){if(a1){var a2=a1[a3];return ai(a2)?a1[a3]():a2}},aI.runInContext=S,aI.size=function(a1){var a2=a1?a1.length:0;return typeof a2=="number"?a2:ao(a1).length},aI.some=aD,aI.sortedIndex=aL,aI.template=function(a9,a3,a1){var a8=aI.templateSettings;a9=aO(a9||""),a1=c1({},a1,a8);var a4,ba=c1({},a1.imports,a8.imports),a8=ao(ba),ba=cj(ba),bb=0,a2=a1.interpolate||u,a6="__p+='",a2=c4((a1.escape||u).source+"|"+a2.source+"|"+(a2===p?X:u).source+"|"+(a1.evaluate||u).source+"|$","g");a9.replace(a2,function(bi,bf,bh,bd,bg,bc){return bh||(bh=bd),a6+=a9.slice(bb,bc).replace(t,I),bf&&(a6+="'+__e("+bf+")+'"),bg&&(a4=true,a6+="';"+bg+";\n__p+='"),bh&&(a6+="'+((__t=("+bh+"))==null?'':__t)+'"),bb=bc+bi.length,bi}),a6+="';",a2=a1=a1.variable,a2||(a1="obj",a6="with("+a1+"){"+a6+"}"),a6=(a4?a6.replace(W,""):a6).replace(J,"$1").replace(K,"$1;"),a6="function("+a1+"){"+(a2?"":a1+"||("+a1+"={});")+"var __t,__p='',__e=_.escape"+(a4?",__j=Array.prototype.join;function print(){__p+=__j.call(arguments,'')}":";")+a6+"return __p}";try{var a7=aH(a8,"return "+a6).apply(V,ba)}catch(a5){throw a5.source=a6,a5}return a3?a7(a3):(a7.source=a6,a7)},aI.unescape=function(a1){return null==a1?"":aO(a1).replace(am,cN)},aI.uniqueId=function(a1){var a2=++Y;return aO(null==a1?"":a1)+a2},aI.all=aP,aI.any=aD,aI.detect=aY,aI.findWhere=aY,aI.foldl=ce,aI.foldr=aW,aI.include=cY,aI.inject=ce,cr(function(){var a1={};return aR(aI,function(a3,a2){aI.prototype[a2]||(a1[a2]=a3)}),a1}(),false),aI.first=cM,aI.last=function(a2,a4,a1){var a3=0,a6=a2?a2.length:0;if(typeof a4!="number"&&null!=a4){var a5=a6;for(a4=aI.createCallback(a4,a1,3);a5--&&a4(a2[a5],a5,a2);){a3++}}else{if(a3=a4,null==a3||a1){return a2?a2[a6-1]:V}}return P(a2,aG(0,a6-a3))},aI.sample=function(a1,a3,a2){return a1&&typeof a1.length!="number"&&(a1=cj(a1)),null==a3||a2?a1?a1[ax(0,a1.length-1)]:V:(a1=cD(a1),a1.length=cP(aG(0,a3),a1.length),a1)},aI.take=cM,aI.head=cM,aR(aI,function(a1,a3){var a2="sample"!==a3;aI.prototype[a3]||(aI.prototype[a3]=function(a5,a6){var a7=this.__chain__,a4=a1(this.__wrapped__,a5,a6);return a7||null!=a5&&(!a6||a2&&typeof a5=="function")?new aN(a4,a7):a4})}),aI.VERSION="2.4.1",aI.prototype.chain=function(){return this.__chain__=true,this},aI.prototype.toString=function(){return aO(this.__wrapped__)},aI.prototype.value=Z,aI.prototype.valueOf=Z,cX(["join","pop","shift"],function(a1){var a2=cJ[a1];aI.prototype[a1]=function(){var a3=this.__chain__,a4=a2.apply(this.__wrapped__,arguments);return a3?new aN(a4,a3):a4}}),cX(["push","reverse","sort","unshift"],function(a1){var a2=cJ[a1];aI.prototype[a1]=function(){return a2.apply(this.__wrapped__,arguments),this}}),cX(["concat","slice","splice"],function(a1){var a2=cJ[a1];aI.prototype[a1]=function(){return new aN(a2.apply(this.__wrapped__,arguments),this.__chain__)}}),aI}var V,H=[],G=[],Y=0,M=+new Date+"",B=75,ab=40,D=" \t\x0B\f\xa0\ufeff\n\r\u2028\u2029\u1680\u180e\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u202f\u205f\u3000",W=/\b__p\+='';/g,J=/\b(__p\+=)''\+/g,K=/(__e\(.*?\)|\b__t\))\+'';/g,X=/\$\{([^\\}]*(?:\\.[^\\}]*)*)\}/g,e=/\w*$/,q=/^\s*function[ \n\r\t]+\w/,p=/<%=([\s\S]+?)%>/g,k=RegExp("^["+D+"]*0+(?=.$)"),u=/($^)/,g=/\bthis\b/,t=/['\n\r\t\u2028\u2029\\]/g,c="Array Boolean Date Function Math Number Object RegExp String _ attachEvent clearTimeout isFinite isNaN parseInt setTimeout".split(" "),f="[object Arguments]",b="[object Array]",v="[object Boolean]",h="[object Date]",d="[object Function]",y="[object Number]",Q="[object Object]",aa="[object RegExp]",r="[object String]",m={};m[d]=false,m[f]=m[b]=m[v]=m[h]=m[y]=m[Q]=m[aa]=m[r]=true;var n={leading:false,maxWait:0,trailing:false},o={configurable:false,enumerable:false,value:null,writable:false},x={"boolean":false,"function":true,object:true,number:false,string:false,undefined:false},w={"\\":"\\","'":"'","\n":"n","\r":"r","\t":"t","\u2028":"u2028","\u2029":"u2029"},i=x[typeof window]&&window||this,j=x[typeof exports]&&exports&&!exports.nodeType&&exports,l=x[typeof module]&&module&&!module.nodeType&&module,s=l&&l.exports===j&&j,z=x[typeof global]&&global;!z||z.global!==z&&z.window!==z||(i=z);var a=S();typeof define=="function"&&typeof define.amd=="object"&&define.amd?(i._=a,define(function(){return a})):j&&l?s?(l.exports=a)._=a:j._=a:i._=a}).call(this);
/*! jQuery v1.11.0 | (c) 2005, 2014 jQuery Foundation, Inc. | jquery.org/license */
!function(a,b){"object"==typeof module&&"object"==typeof module.exports?module.exports=a.document?b(a,!0):function(c){if(!c.document){throw new Error("jQuery requires a window with a document")}return b(c)}:b(a)}("undefined"!=typeof window?window:this,function(a,b){var c=[],d=c.slice,e=c.concat,f=c.push,g=c.indexOf,h={},i=h.toString,j=h.hasOwnProperty,k="".trim,l={},m="1.11.0",n=function(a,b){return new n.fn.init(a,b)},o=/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g,p=/^-ms-/,q=/-([\da-z])/gi,r=function(a,b){return b.toUpperCase()};n.fn=n.prototype={jquery:m,constructor:n,selector:"",length:0,toArray:function(){return d.call(this)},get:function(a){return null!=a?0>a?this[a+this.length]:this[a]:d.call(this)},pushStack:function(a){var b=n.merge(this.constructor(),a);return b.prevObject=this,b.context=this.context,b},each:function(a,b){return n.each(this,a,b)},map:function(a){return this.pushStack(n.map(this,function(b,c){return a.call(b,c,b)}))},slice:function(){return this.pushStack(d.apply(this,arguments))},first:function(){return this.eq(0)},last:function(){return this.eq(-1)},eq:function(a){var b=this.length,c=+a+(0>a?b:0);return this.pushStack(c>=0&&b>c?[this[c]]:[])},end:function(){return this.prevObject||this.constructor(null)},push:f,sort:c.sort,splice:c.splice},n.extend=n.fn.extend=function(){var a,b,c,d,e,f,g=arguments[0]||{},h=1,i=arguments.length,j=!1;for("boolean"==typeof g&&(j=g,g=arguments[h]||{},h++),"object"==typeof g||n.isFunction(g)||(g={}),h===i&&(g=this,h--);i>h;h++){if(null!=(e=arguments[h])){for(d in e){a=g[d],c=e[d],g!==c&&(j&&c&&(n.isPlainObject(c)||(b=n.isArray(c)))?(b?(b=!1,f=a&&n.isArray(a)?a:[]):f=a&&n.isPlainObject(a)?a:{},g[d]=n.extend(j,f,c)):void 0!==c&&(g[d]=c))}}}return g},n.extend({expando:"jQuery"+(m+Math.random()).replace(/\D/g,""),isReady:!0,error:function(a){throw new Error(a)},noop:function(){},isFunction:function(a){return"function"===n.type(a)},isArray:Array.isArray||function(a){return"array"===n.type(a)},isWindow:function(a){return null!=a&&a==a.window},isNumeric:function(a){return a-parseFloat(a)>=0},isEmptyObject:function(a){var b;for(b in a){return !1}return !0},isPlainObject:function(a){var b;if(!a||"object"!==n.type(a)||a.nodeType||n.isWindow(a)){return !1}try{if(a.constructor&&!j.call(a,"constructor")&&!j.call(a.constructor.prototype,"isPrototypeOf")){return !1}}catch(c){return !1}if(l.ownLast){for(b in a){return j.call(a,b)}}for(b in a){}return void 0===b||j.call(a,b)},type:function(a){return null==a?a+"":"object"==typeof a||"function"==typeof a?h[i.call(a)]||"object":typeof a},globalEval:function(b){b&&n.trim(b)&&(a.execScript||function(b){a.eval.call(a,b)})(b)},camelCase:function(a){return a.replace(p,"ms-").replace(q,r)},nodeName:function(a,b){return a.nodeName&&a.nodeName.toLowerCase()===b.toLowerCase()},each:function(a,b,c){var d,e=0,f=a.length,g=s(a);if(c){if(g){for(;f>e;e++){if(d=b.apply(a[e],c),d===!1){break}}}else{for(e in a){if(d=b.apply(a[e],c),d===!1){break}}}}else{if(g){for(;f>e;e++){if(d=b.call(a[e],e,a[e]),d===!1){break}}}else{for(e in a){if(d=b.call(a[e],e,a[e]),d===!1){break}}}}return a},trim:k&&!k.call("\ufeff\xa0")?function(a){return null==a?"":k.call(a)}:function(a){return null==a?"":(a+"").replace(o,"")},makeArray:function(a,b){var c=b||[];return null!=a&&(s(Object(a))?n.merge(c,"string"==typeof a?[a]:a):f.call(c,a)),c},inArray:function(a,b,c){var d;if(b){if(g){return g.call(b,a,c)}for(d=b.length,c=c?0>c?Math.max(0,d+c):c:0;d>c;c++){if(c in b&&b[c]===a){return c}}}return -1},merge:function(a,b){var c=+b.length,d=0,e=a.length;while(c>d){a[e++]=b[d++]}if(c!==c){while(void 0!==b[d]){a[e++]=b[d++]}}return a.length=e,a},grep:function(a,b,c){for(var d,e=[],f=0,g=a.length,h=!c;g>f;f++){d=!b(a[f],f),d!==h&&e.push(a[f])}return e},map:function(a,b,c){var d,f=0,g=a.length,h=s(a),i=[];if(h){for(;g>f;f++){d=b(a[f],f,c),null!=d&&i.push(d)}}else{for(f in a){d=b(a[f],f,c),null!=d&&i.push(d)}}return e.apply([],i)},guid:1,proxy:function(a,b){var c,e,f;return"string"==typeof b&&(f=a[b],b=a,a=f),n.isFunction(a)?(c=d.call(arguments,2),e=function(){return a.apply(b||this,c.concat(d.call(arguments)))},e.guid=a.guid=a.guid||n.guid++,e):void 0},now:function(){return +new Date},support:l}),n.each("Boolean Number String Function Array Date RegExp Object Error".split(" "),function(a,b){h["[object "+b+"]"]=b.toLowerCase()});function s(a){var b=a.length,c=n.type(a);return"function"===c||n.isWindow(a)?!1:1===a.nodeType&&b?!0:"array"===c||0===b||"number"==typeof b&&b>0&&b-1 in a}var t=function(a){var b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s="sizzle"+-new Date,t=a.document,u=0,v=0,w=eb(),x=eb(),y=eb(),z=function(a,b){return a===b&&(j=!0),0},A="undefined",B=1<<31,C={}.hasOwnProperty,D=[],E=D.pop,F=D.push,G=D.push,H=D.slice,I=D.indexOf||function(a){for(var b=0,c=this.length;c>b;b++){if(this[b]===a){return b}}return -1},J="checked|selected|async|autofocus|autoplay|controls|defer|disabled|hidden|ismap|loop|multiple|open|readonly|required|scoped",K="[\\x20\\t\\r\\n\\f]",L="(?:\\\\.|[\\w-]|[^\\x00-\\xa0])+",M=L.replace("w","w#"),N="\\["+K+"*("+L+")"+K+"*(?:([*^$|!~]?=)"+K+"*(?:(['\"])((?:\\\\.|[^\\\\])*?)\\3|("+M+")|)|)"+K+"*\\]",O=":("+L+")(?:\\(((['\"])((?:\\\\.|[^\\\\])*?)\\3|((?:\\\\.|[^\\\\()[\\]]|"+N.replace(3,8)+")*)|.*)\\)|)",P=new RegExp("^"+K+"+|((?:^|[^\\\\])(?:\\\\.)*)"+K+"+$","g"),Q=new RegExp("^"+K+"*,"+K+"*"),R=new RegExp("^"+K+"*([>+~]|"+K+")"+K+"*"),S=new RegExp("="+K+"*([^\\]'\"]*?)"+K+"*\\]","g"),T=new RegExp(O),U=new RegExp("^"+M+"$"),V={ID:new RegExp("^#("+L+")"),CLASS:new RegExp("^\\.("+L+")"),TAG:new RegExp("^("+L.replace("w","w*")+")"),ATTR:new RegExp("^"+N),PSEUDO:new RegExp("^"+O),CHILD:new RegExp("^:(only|first|last|nth|nth-last)-(child|of-type)(?:\\("+K+"*(even|odd|(([+-]|)(\\d*)n|)"+K+"*(?:([+-]|)"+K+"*(\\d+)|))"+K+"*\\)|)","i"),bool:new RegExp("^(?:"+J+")$","i"),needsContext:new RegExp("^"+K+"*[>+~]|:(even|odd|eq|gt|lt|nth|first|last)(?:\\("+K+"*((?:-\\d)?\\d*)"+K+"*\\)|)(?=[^-]|$)","i")},W=/^(?:input|select|textarea|button)$/i,X=/^h\d$/i,Y=/^[^{]+\{\s*\[native \w/,Z=/^(?:#([\w-]+)|(\w+)|\.([\w-]+))$/,$=/[+~]/,_=/'|\\/g,ab=new RegExp("\\\\([\\da-f]{1,6}"+K+"?|("+K+")|.)","ig"),bb=function(a,b,c){var d="0x"+b-65536;return d!==d||c?b:0>d?String.fromCharCode(d+65536):String.fromCharCode(d>>10|55296,1023&d|56320)};try{G.apply(D=H.call(t.childNodes),t.childNodes),D[t.childNodes.length].nodeType}catch(cb){G={apply:D.length?function(a,b){F.apply(a,H.call(b))}:function(a,b){var c=a.length,d=0;while(a[c++]=b[d++]){}a.length=c-1}}}function db(a,b,d,e){var f,g,h,i,j,m,p,q,u,v;if((b?b.ownerDocument||b:t)!==l&&k(b),b=b||l,d=d||[],!a||"string"!=typeof a){return d}if(1!==(i=b.nodeType)&&9!==i){return[]}if(n&&!e){if(f=Z.exec(a)){if(h=f[1]){if(9===i){if(g=b.getElementById(h),!g||!g.parentNode){return d}if(g.id===h){return d.push(g),d}}else{if(b.ownerDocument&&(g=b.ownerDocument.getElementById(h))&&r(b,g)&&g.id===h){return d.push(g),d}}}else{if(f[2]){return G.apply(d,b.getElementsByTagName(a)),d}if((h=f[3])&&c.getElementsByClassName&&b.getElementsByClassName){return G.apply(d,b.getElementsByClassName(h)),d}}}if(c.qsa&&(!o||!o.test(a))){if(q=p=s,u=b,v=9===i&&a,1===i&&"object"!==b.nodeName.toLowerCase()){m=ob(a),(p=b.getAttribute("id"))?q=p.replace(_,"\\$&"):b.setAttribute("id",q),q="[id='"+q+"'] ",j=m.length;while(j--){m[j]=q+pb(m[j])}u=$.test(a)&&mb(b.parentNode)||b,v=m.join(",")}if(v){try{return G.apply(d,u.querySelectorAll(v)),d}catch(w){}finally{p||b.removeAttribute("id")}}}}return xb(a.replace(P,"$1"),b,d,e)}function eb(){var a=[];function b(c,e){return a.push(c+" ")>d.cacheLength&&delete b[a.shift()],b[c+" "]=e}return b}function fb(a){return a[s]=!0,a}function gb(a){var b=l.createElement("div");try{return !!a(b)}catch(c){return !1}finally{b.parentNode&&b.parentNode.removeChild(b),b=null}}function hb(a,b){var c=a.split("|"),e=a.length;while(e--){d.attrHandle[c[e]]=b}}function ib(a,b){var c=b&&a,d=c&&1===a.nodeType&&1===b.nodeType&&(~b.sourceIndex||B)-(~a.sourceIndex||B);if(d){return d}if(c){while(c=c.nextSibling){if(c===b){return -1}}}return a?1:-1}function jb(a){return function(b){var c=b.nodeName.toLowerCase();return"input"===c&&b.type===a}}function kb(a){return function(b){var c=b.nodeName.toLowerCase();return("input"===c||"button"===c)&&b.type===a}}function lb(a){return fb(function(b){return b=+b,fb(function(c,d){var e,f=a([],c.length,b),g=f.length;while(g--){c[e=f[g]]&&(c[e]=!(d[e]=c[e]))}})})}function mb(a){return a&&typeof a.getElementsByTagName!==A&&a}c=db.support={},f=db.isXML=function(a){var b=a&&(a.ownerDocument||a).documentElement;return b?"HTML"!==b.nodeName:!1},k=db.setDocument=function(a){var b,e=a?a.ownerDocument||a:t,g=e.defaultView;return e!==l&&9===e.nodeType&&e.documentElement?(l=e,m=e.documentElement,n=!f(e),g&&g!==g.top&&(g.addEventListener?g.addEventListener("unload",function(){k()},!1):g.attachEvent&&g.attachEvent("onunload",function(){k()})),c.attributes=gb(function(a){return a.className="i",!a.getAttribute("className")}),c.getElementsByTagName=gb(function(a){return a.appendChild(e.createComment("")),!a.getElementsByTagName("*").length}),c.getElementsByClassName=Y.test(e.getElementsByClassName)&&gb(function(a){return a.innerHTML="<div class='a'></div><div class='a i'></div>",a.firstChild.className="i",2===a.getElementsByClassName("i").length}),c.getById=gb(function(a){return m.appendChild(a).id=s,!e.getElementsByName||!e.getElementsByName(s).length}),c.getById?(d.find.ID=function(a,b){if(typeof b.getElementById!==A&&n){var c=b.getElementById(a);return c&&c.parentNode?[c]:[]}},d.filter.ID=function(a){var b=a.replace(ab,bb);return function(a){return a.getAttribute("id")===b}}):(delete d.find.ID,d.filter.ID=function(a){var b=a.replace(ab,bb);return function(a){var c=typeof a.getAttributeNode!==A&&a.getAttributeNode("id");return c&&c.value===b}}),d.find.TAG=c.getElementsByTagName?function(a,b){return typeof b.getElementsByTagName!==A?b.getElementsByTagName(a):void 0}:function(a,b){var c,d=[],e=0,f=b.getElementsByTagName(a);if("*"===a){while(c=f[e++]){1===c.nodeType&&d.push(c)}return d}return f},d.find.CLASS=c.getElementsByClassName&&function(a,b){return typeof b.getElementsByClassName!==A&&n?b.getElementsByClassName(a):void 0},p=[],o=[],(c.qsa=Y.test(e.querySelectorAll))&&(gb(function(a){a.innerHTML="<select t=''><option selected=''></option></select>",a.querySelectorAll("[t^='']").length&&o.push("[*^$]="+K+"*(?:''|\"\")"),a.querySelectorAll("[selected]").length||o.push("\\["+K+"*(?:value|"+J+")"),a.querySelectorAll(":checked").length||o.push(":checked")}),gb(function(a){var b=e.createElement("input");b.setAttribute("type","hidden"),a.appendChild(b).setAttribute("name","D"),a.querySelectorAll("[name=d]").length&&o.push("name"+K+"*[*^$|!~]?="),a.querySelectorAll(":enabled").length||o.push(":enabled",":disabled"),a.querySelectorAll("*,:x"),o.push(",.*:")})),(c.matchesSelector=Y.test(q=m.webkitMatchesSelector||m.mozMatchesSelector||m.oMatchesSelector||m.msMatchesSelector))&&gb(function(a){c.disconnectedMatch=q.call(a,"div"),q.call(a,"[s!='']:x"),p.push("!=",O)}),o=o.length&&new RegExp(o.join("|")),p=p.length&&new RegExp(p.join("|")),b=Y.test(m.compareDocumentPosition),r=b||Y.test(m.contains)?function(a,b){var c=9===a.nodeType?a.documentElement:a,d=b&&b.parentNode;return a===d||!(!d||1!==d.nodeType||!(c.contains?c.contains(d):a.compareDocumentPosition&&16&a.compareDocumentPosition(d)))}:function(a,b){if(b){while(b=b.parentNode){if(b===a){return !0}}}return !1},z=b?function(a,b){if(a===b){return j=!0,0}var d=!a.compareDocumentPosition-!b.compareDocumentPosition;return d?d:(d=(a.ownerDocument||a)===(b.ownerDocument||b)?a.compareDocumentPosition(b):1,1&d||!c.sortDetached&&b.compareDocumentPosition(a)===d?a===e||a.ownerDocument===t&&r(t,a)?-1:b===e||b.ownerDocument===t&&r(t,b)?1:i?I.call(i,a)-I.call(i,b):0:4&d?-1:1)}:function(a,b){if(a===b){return j=!0,0}var c,d=0,f=a.parentNode,g=b.parentNode,h=[a],k=[b];if(!f||!g){return a===e?-1:b===e?1:f?-1:g?1:i?I.call(i,a)-I.call(i,b):0}if(f===g){return ib(a,b)}c=a;while(c=c.parentNode){h.unshift(c)}c=b;while(c=c.parentNode){k.unshift(c)}while(h[d]===k[d]){d++}return d?ib(h[d],k[d]):h[d]===t?-1:k[d]===t?1:0},e):l},db.matches=function(a,b){return db(a,null,null,b)},db.matchesSelector=function(a,b){if((a.ownerDocument||a)!==l&&k(a),b=b.replace(S,"='$1']"),!(!c.matchesSelector||!n||p&&p.test(b)||o&&o.test(b))){try{var d=q.call(a,b);if(d||c.disconnectedMatch||a.document&&11!==a.document.nodeType){return d}}catch(e){}}return db(b,l,null,[a]).length>0},db.contains=function(a,b){return(a.ownerDocument||a)!==l&&k(a),r(a,b)},db.attr=function(a,b){(a.ownerDocument||a)!==l&&k(a);var e=d.attrHandle[b.toLowerCase()],f=e&&C.call(d.attrHandle,b.toLowerCase())?e(a,b,!n):void 0;return void 0!==f?f:c.attributes||!n?a.getAttribute(b):(f=a.getAttributeNode(b))&&f.specified?f.value:null},db.error=function(a){throw new Error("Syntax error, unrecognized expression: "+a)},db.uniqueSort=function(a){var b,d=[],e=0,f=0;if(j=!c.detectDuplicates,i=!c.sortStable&&a.slice(0),a.sort(z),j){while(b=a[f++]){b===a[f]&&(e=d.push(f))}while(e--){a.splice(d[e],1)}}return i=null,a},e=db.getText=function(a){var b,c="",d=0,f=a.nodeType;if(f){if(1===f||9===f||11===f){if("string"==typeof a.textContent){return a.textContent}for(a=a.firstChild;a;a=a.nextSibling){c+=e(a)}}else{if(3===f||4===f){return a.nodeValue}}}else{while(b=a[d++]){c+=e(b)}}return c},d=db.selectors={cacheLength:50,createPseudo:fb,match:V,attrHandle:{},find:{},relative:{">":{dir:"parentNode",first:!0}," ":{dir:"parentNode"},"+":{dir:"previousSibling",first:!0},"~":{dir:"previousSibling"}},preFilter:{ATTR:function(a){return a[1]=a[1].replace(ab,bb),a[3]=(a[4]||a[5]||"").replace(ab,bb),"~="===a[2]&&(a[3]=" "+a[3]+" "),a.slice(0,4)},CHILD:function(a){return a[1]=a[1].toLowerCase(),"nth"===a[1].slice(0,3)?(a[3]||db.error(a[0]),a[4]=+(a[4]?a[5]+(a[6]||1):2*("even"===a[3]||"odd"===a[3])),a[5]=+(a[7]+a[8]||"odd"===a[3])):a[3]&&db.error(a[0]),a},PSEUDO:function(a){var b,c=!a[5]&&a[2];return V.CHILD.test(a[0])?null:(a[3]&&void 0!==a[4]?a[2]=a[4]:c&&T.test(c)&&(b=ob(c,!0))&&(b=c.indexOf(")",c.length-b)-c.length)&&(a[0]=a[0].slice(0,b),a[2]=c.slice(0,b)),a.slice(0,3))}},filter:{TAG:function(a){var b=a.replace(ab,bb).toLowerCase();return"*"===a?function(){return !0}:function(a){return a.nodeName&&a.nodeName.toLowerCase()===b}},CLASS:function(a){var b=w[a+" "];return b||(b=new RegExp("(^|"+K+")"+a+"("+K+"|$)"))&&w(a,function(a){return b.test("string"==typeof a.className&&a.className||typeof a.getAttribute!==A&&a.getAttribute("class")||"")})},ATTR:function(a,b,c){return function(d){var e=db.attr(d,a);return null==e?"!="===b:b?(e+="","="===b?e===c:"!="===b?e!==c:"^="===b?c&&0===e.indexOf(c):"*="===b?c&&e.indexOf(c)>-1:"$="===b?c&&e.slice(-c.length)===c:"~="===b?(" "+e+" ").indexOf(c)>-1:"|="===b?e===c||e.slice(0,c.length+1)===c+"-":!1):!0}},CHILD:function(a,b,c,d,e){var f="nth"!==a.slice(0,3),g="last"!==a.slice(-4),h="of-type"===b;return 1===d&&0===e?function(a){return !!a.parentNode}:function(b,c,i){var j,k,l,m,n,o,p=f!==g?"nextSibling":"previousSibling",q=b.parentNode,r=h&&b.nodeName.toLowerCase(),t=!i&&!h;if(q){if(f){while(p){l=b;while(l=l[p]){if(h?l.nodeName.toLowerCase()===r:1===l.nodeType){return !1}}o=p="only"===a&&!o&&"nextSibling"}return !0}if(o=[g?q.firstChild:q.lastChild],g&&t){k=q[s]||(q[s]={}),j=k[a]||[],n=j[0]===u&&j[1],m=j[0]===u&&j[2],l=n&&q.childNodes[n];while(l=++n&&l&&l[p]||(m=n=0)||o.pop()){if(1===l.nodeType&&++m&&l===b){k[a]=[u,n,m];break}}}else{if(t&&(j=(b[s]||(b[s]={}))[a])&&j[0]===u){m=j[1]}else{while(l=++n&&l&&l[p]||(m=n=0)||o.pop()){if((h?l.nodeName.toLowerCase()===r:1===l.nodeType)&&++m&&(t&&((l[s]||(l[s]={}))[a]=[u,m]),l===b)){break}}}}return m-=e,m===d||m%d===0&&m/d>=0}}},PSEUDO:function(a,b){var c,e=d.pseudos[a]||d.setFilters[a.toLowerCase()]||db.error("unsupported pseudo: "+a);return e[s]?e(b):e.length>1?(c=[a,a,"",b],d.setFilters.hasOwnProperty(a.toLowerCase())?fb(function(a,c){var d,f=e(a,b),g=f.length;while(g--){d=I.call(a,f[g]),a[d]=!(c[d]=f[g])}}):function(a){return e(a,0,c)}):e}},pseudos:{not:fb(function(a){var b=[],c=[],d=g(a.replace(P,"$1"));return d[s]?fb(function(a,b,c,e){var f,g=d(a,null,e,[]),h=a.length;while(h--){(f=g[h])&&(a[h]=!(b[h]=f))}}):function(a,e,f){return b[0]=a,d(b,null,f,c),!c.pop()}}),has:fb(function(a){return function(b){return db(a,b).length>0}}),contains:fb(function(a){return function(b){return(b.textContent||b.innerText||e(b)).indexOf(a)>-1}}),lang:fb(function(a){return U.test(a||"")||db.error("unsupported lang: "+a),a=a.replace(ab,bb).toLowerCase(),function(b){var c;do{if(c=n?b.lang:b.getAttribute("xml:lang")||b.getAttribute("lang")){return c=c.toLowerCase(),c===a||0===c.indexOf(a+"-")}}while((b=b.parentNode)&&1===b.nodeType);return !1}}),target:function(b){var c=a.location&&a.location.hash;return c&&c.slice(1)===b.id},root:function(a){return a===m},focus:function(a){return a===l.activeElement&&(!l.hasFocus||l.hasFocus())&&!!(a.type||a.href||~a.tabIndex)},enabled:function(a){return a.disabled===!1},disabled:function(a){return a.disabled===!0},checked:function(a){var b=a.nodeName.toLowerCase();return"input"===b&&!!a.checked||"option"===b&&!!a.selected},selected:function(a){return a.parentNode&&a.parentNode.selectedIndex,a.selected===!0},empty:function(a){for(a=a.firstChild;a;a=a.nextSibling){if(a.nodeType<6){return !1}}return !0},parent:function(a){return !d.pseudos.empty(a)},header:function(a){return X.test(a.nodeName)},input:function(a){return W.test(a.nodeName)},button:function(a){var b=a.nodeName.toLowerCase();return"input"===b&&"button"===a.type||"button"===b},text:function(a){var b;return"input"===a.nodeName.toLowerCase()&&"text"===a.type&&(null==(b=a.getAttribute("type"))||"text"===b.toLowerCase())},first:lb(function(){return[0]}),last:lb(function(a,b){return[b-1]}),eq:lb(function(a,b,c){return[0>c?c+b:c]}),even:lb(function(a,b){for(var c=0;b>c;c+=2){a.push(c)}return a}),odd:lb(function(a,b){for(var c=1;b>c;c+=2){a.push(c)}return a}),lt:lb(function(a,b,c){for(var d=0>c?c+b:c;--d>=0;){a.push(d)}return a}),gt:lb(function(a,b,c){for(var d=0>c?c+b:c;++d<b;){a.push(d)}return a})}},d.pseudos.nth=d.pseudos.eq;for(b in {radio:!0,checkbox:!0,file:!0,password:!0,image:!0}){d.pseudos[b]=jb(b)}for(b in {submit:!0,reset:!0}){d.pseudos[b]=kb(b)}function nb(){}nb.prototype=d.filters=d.pseudos,d.setFilters=new nb;function ob(a,b){var c,e,f,g,h,i,j,k=x[a+" "];if(k){return b?0:k.slice(0)}h=a,i=[],j=d.preFilter;while(h){(!c||(e=Q.exec(h)))&&(e&&(h=h.slice(e[0].length)||h),i.push(f=[])),c=!1,(e=R.exec(h))&&(c=e.shift(),f.push({value:c,type:e[0].replace(P," ")}),h=h.slice(c.length));for(g in d.filter){!(e=V[g].exec(h))||j[g]&&!(e=j[g](e))||(c=e.shift(),f.push({value:c,type:g,matches:e}),h=h.slice(c.length))}if(!c){break}}return b?h.length:h?db.error(a):x(a,i).slice(0)}function pb(a){for(var b=0,c=a.length,d="";c>b;b++){d+=a[b].value}return d}function qb(a,b,c){var d=b.dir,e=c&&"parentNode"===d,f=v++;return b.first?function(b,c,f){while(b=b[d]){if(1===b.nodeType||e){return a(b,c,f)}}}:function(b,c,g){var h,i,j=[u,f];if(g){while(b=b[d]){if((1===b.nodeType||e)&&a(b,c,g)){return !0}}}else{while(b=b[d]){if(1===b.nodeType||e){if(i=b[s]||(b[s]={}),(h=i[d])&&h[0]===u&&h[1]===f){return j[2]=h[2]}if(i[d]=j,j[2]=a(b,c,g)){return !0}}}}}}function rb(a){return a.length>1?function(b,c,d){var e=a.length;while(e--){if(!a[e](b,c,d)){return !1}}return !0}:a[0]}function sb(a,b,c,d,e){for(var f,g=[],h=0,i=a.length,j=null!=b;i>h;h++){(f=a[h])&&(!c||c(f,d,e))&&(g.push(f),j&&b.push(h))}return g}function tb(a,b,c,d,e,f){return d&&!d[s]&&(d=tb(d)),e&&!e[s]&&(e=tb(e,f)),fb(function(f,g,h,i){var j,k,l,m=[],n=[],o=g.length,p=f||wb(b||"*",h.nodeType?[h]:h,[]),q=!a||!f&&b?p:sb(p,m,a,h,i),r=c?e||(f?a:o||d)?[]:g:q;if(c&&c(q,r,h,i),d){j=sb(r,n),d(j,[],h,i),k=j.length;while(k--){(l=j[k])&&(r[n[k]]=!(q[n[k]]=l))}}if(f){if(e||a){if(e){j=[],k=r.length;while(k--){(l=r[k])&&j.push(q[k]=l)}e(null,r=[],j,i)}k=r.length;while(k--){(l=r[k])&&(j=e?I.call(f,l):m[k])>-1&&(f[j]=!(g[j]=l))}}}else{r=sb(r===g?r.splice(o,r.length):r),e?e(null,g,r,i):G.apply(g,r)}})}function ub(a){for(var b,c,e,f=a.length,g=d.relative[a[0].type],i=g||d.relative[" "],j=g?1:0,k=qb(function(a){return a===b},i,!0),l=qb(function(a){return I.call(b,a)>-1},i,!0),m=[function(a,c,d){return !g&&(d||c!==h)||((b=c).nodeType?k(a,c,d):l(a,c,d))}];f>j;j++){if(c=d.relative[a[j].type]){m=[qb(rb(m),c)]}else{if(c=d.filter[a[j].type].apply(null,a[j].matches),c[s]){for(e=++j;f>e;e++){if(d.relative[a[e].type]){break}}return tb(j>1&&rb(m),j>1&&pb(a.slice(0,j-1).concat({value:" "===a[j-2].type?"*":""})).replace(P,"$1"),c,e>j&&ub(a.slice(j,e)),f>e&&ub(a=a.slice(e)),f>e&&pb(a))}m.push(c)}}return rb(m)}function vb(a,b){var c=b.length>0,e=a.length>0,f=function(f,g,i,j,k){var m,n,o,p=0,q="0",r=f&&[],s=[],t=h,v=f||e&&d.find.TAG("*",k),w=u+=null==t?1:Math.random()||0.1,x=v.length;for(k&&(h=g!==l&&g);q!==x&&null!=(m=v[q]);q++){if(e&&m){n=0;while(o=a[n++]){if(o(m,g,i)){j.push(m);break}}k&&(u=w)}c&&((m=!o&&m)&&p--,f&&r.push(m))}if(p+=q,c&&q!==p){n=0;while(o=b[n++]){o(r,s,g,i)}if(f){if(p>0){while(q--){r[q]||s[q]||(s[q]=E.call(j))}}s=sb(s)}G.apply(j,s),k&&!f&&s.length>0&&p+b.length>1&&db.uniqueSort(j)}return k&&(u=w,h=t),r};return c?fb(f):f}g=db.compile=function(a,b){var c,d=[],e=[],f=y[a+" "];if(!f){b||(b=ob(a)),c=b.length;while(c--){f=ub(b[c]),f[s]?d.push(f):e.push(f)}f=y(a,vb(e,d))}return f};function wb(a,b,c){for(var d=0,e=b.length;e>d;d++){db(a,b[d],c)}return c}function xb(a,b,e,f){var h,i,j,k,l,m=ob(a);if(!f&&1===m.length){if(i=m[0]=m[0].slice(0),i.length>2&&"ID"===(j=i[0]).type&&c.getById&&9===b.nodeType&&n&&d.relative[i[1].type]){if(b=(d.find.ID(j.matches[0].replace(ab,bb),b)||[])[0],!b){return e}a=a.slice(i.shift().value.length)}h=V.needsContext.test(a)?0:i.length;while(h--){if(j=i[h],d.relative[k=j.type]){break}if((l=d.find[k])&&(f=l(j.matches[0].replace(ab,bb),$.test(i[0].type)&&mb(b.parentNode)||b))){if(i.splice(h,1),a=f.length&&pb(i),!a){return G.apply(e,f),e}break}}}return g(a,m)(f,b,!n,e,$.test(a)&&mb(b.parentNode)||b),e}return c.sortStable=s.split("").sort(z).join("")===s,c.detectDuplicates=!!j,k(),c.sortDetached=gb(function(a){return 1&a.compareDocumentPosition(l.createElement("div"))}),gb(function(a){return a.innerHTML="<a href='#'></a>","#"===a.firstChild.getAttribute("href")})||hb("type|href|height|width",function(a,b,c){return c?void 0:a.getAttribute(b,"type"===b.toLowerCase()?1:2)}),c.attributes&&gb(function(a){return a.innerHTML="<input/>",a.firstChild.setAttribute("value",""),""===a.firstChild.getAttribute("value")})||hb("value",function(a,b,c){return c||"input"!==a.nodeName.toLowerCase()?void 0:a.defaultValue}),gb(function(a){return null==a.getAttribute("disabled")})||hb(J,function(a,b,c){var d;return c?void 0:a[b]===!0?b.toLowerCase():(d=a.getAttributeNode(b))&&d.specified?d.value:null}),db}(a);n.find=t,n.expr=t.selectors,n.expr[":"]=n.expr.pseudos,n.unique=t.uniqueSort,n.text=t.getText,n.isXMLDoc=t.isXML,n.contains=t.contains;var u=n.expr.match.needsContext,v=/^<(\w+)\s*\/?>(?:<\/\1>|)$/,w=/^.[^:#\[\.,]*$/;function x(a,b,c){if(n.isFunction(b)){return n.grep(a,function(a,d){return !!b.call(a,d,a)!==c})}if(b.nodeType){return n.grep(a,function(a){return a===b!==c})}if("string"==typeof b){if(w.test(b)){return n.filter(b,a,c)}b=n.filter(b,a)}return n.grep(a,function(a){return n.inArray(a,b)>=0!==c})}n.filter=function(a,b,c){var d=b[0];return c&&(a=":not("+a+")"),1===b.length&&1===d.nodeType?n.find.matchesSelector(d,a)?[d]:[]:n.find.matches(a,n.grep(b,function(a){return 1===a.nodeType}))},n.fn.extend({find:function(a){var b,c=[],d=this,e=d.length;if("string"!=typeof a){return this.pushStack(n(a).filter(function(){for(b=0;e>b;b++){if(n.contains(d[b],this)){return !0}}}))}for(b=0;e>b;b++){n.find(a,d[b],c)}return c=this.pushStack(e>1?n.unique(c):c),c.selector=this.selector?this.selector+" "+a:a,c},filter:function(a){return this.pushStack(x(this,a||[],!1))},not:function(a){return this.pushStack(x(this,a||[],!0))},is:function(a){return !!x(this,"string"==typeof a&&u.test(a)?n(a):a||[],!1).length}});var y,z=a.document,A=/^(?:\s*(<[\w\W]+>)[^>]*|#([\w-]*))$/,B=n.fn.init=function(a,b){var c,d;if(!a){return this}if("string"==typeof a){if(c="<"===a.charAt(0)&&">"===a.charAt(a.length-1)&&a.length>=3?[null,a,null]:A.exec(a),!c||!c[1]&&b){return !b||b.jquery?(b||y).find(a):this.constructor(b).find(a)}if(c[1]){if(b=b instanceof n?b[0]:b,n.merge(this,n.parseHTML(c[1],b&&b.nodeType?b.ownerDocument||b:z,!0)),v.test(c[1])&&n.isPlainObject(b)){for(c in b){n.isFunction(this[c])?this[c](b[c]):this.attr(c,b[c])}}return this}if(d=z.getElementById(c[2]),d&&d.parentNode){if(d.id!==c[2]){return y.find(a)}this.length=1,this[0]=d}return this.context=z,this.selector=a,this}return a.nodeType?(this.context=this[0]=a,this.length=1,this):n.isFunction(a)?"undefined"!=typeof y.ready?y.ready(a):a(n):(void 0!==a.selector&&(this.selector=a.selector,this.context=a.context),n.makeArray(a,this))};B.prototype=n.fn,y=n(z);var C=/^(?:parents|prev(?:Until|All))/,D={children:!0,contents:!0,next:!0,prev:!0};n.extend({dir:function(a,b,c){var d=[],e=a[b];while(e&&9!==e.nodeType&&(void 0===c||1!==e.nodeType||!n(e).is(c))){1===e.nodeType&&d.push(e),e=e[b]}return d},sibling:function(a,b){for(var c=[];a;a=a.nextSibling){1===a.nodeType&&a!==b&&c.push(a)}return c}}),n.fn.extend({has:function(a){var b,c=n(a,this),d=c.length;return this.filter(function(){for(b=0;d>b;b++){if(n.contains(this,c[b])){return !0}}})},closest:function(a,b){for(var c,d=0,e=this.length,f=[],g=u.test(a)||"string"!=typeof a?n(a,b||this.context):0;e>d;d++){for(c=this[d];c&&c!==b;c=c.parentNode){if(c.nodeType<11&&(g?g.index(c)>-1:1===c.nodeType&&n.find.matchesSelector(c,a))){f.push(c);break}}}return this.pushStack(f.length>1?n.unique(f):f)},index:function(a){return a?"string"==typeof a?n.inArray(this[0],n(a)):n.inArray(a.jquery?a[0]:a,this):this[0]&&this[0].parentNode?this.first().prevAll().length:-1},add:function(a,b){return this.pushStack(n.unique(n.merge(this.get(),n(a,b))))},addBack:function(a){return this.add(null==a?this.prevObject:this.prevObject.filter(a))}});function E(a,b){do{a=a[b]}while(a&&1!==a.nodeType);return a}n.each({parent:function(a){var b=a.parentNode;return b&&11!==b.nodeType?b:null},parents:function(a){return n.dir(a,"parentNode")},parentsUntil:function(a,b,c){return n.dir(a,"parentNode",c)},next:function(a){return E(a,"nextSibling")},prev:function(a){return E(a,"previousSibling")},nextAll:function(a){return n.dir(a,"nextSibling")},prevAll:function(a){return n.dir(a,"previousSibling")},nextUntil:function(a,b,c){return n.dir(a,"nextSibling",c)},prevUntil:function(a,b,c){return n.dir(a,"previousSibling",c)},siblings:function(a){return n.sibling((a.parentNode||{}).firstChild,a)},children:function(a){return n.sibling(a.firstChild)},contents:function(a){return n.nodeName(a,"iframe")?a.contentDocument||a.contentWindow.document:n.merge([],a.childNodes)}},function(a,b){n.fn[a]=function(c,d){var e=n.map(this,b,c);return"Until"!==a.slice(-5)&&(d=c),d&&"string"==typeof d&&(e=n.filter(d,e)),this.length>1&&(D[a]||(e=n.unique(e)),C.test(a)&&(e=e.reverse())),this.pushStack(e)}});var F=/\S+/g,G={};function H(a){var b=G[a]={};return n.each(a.match(F)||[],function(a,c){b[c]=!0}),b}n.Callbacks=function(a){a="string"==typeof a?G[a]||H(a):n.extend({},a);var b,c,d,e,f,g,h=[],i=!a.once&&[],j=function(l){for(c=a.memory&&l,d=!0,f=g||0,g=0,e=h.length,b=!0;h&&e>f;f++){if(h[f].apply(l[0],l[1])===!1&&a.stopOnFalse){c=!1;break}}b=!1,h&&(i?i.length&&j(i.shift()):c?h=[]:k.disable())},k={add:function(){if(h){var d=h.length;!function f(b){n.each(b,function(b,c){var d=n.type(c);"function"===d?a.unique&&k.has(c)||h.push(c):c&&c.length&&"string"!==d&&f(c)})}(arguments),b?e=h.length:c&&(g=d,j(c))}return this},remove:function(){return h&&n.each(arguments,function(a,c){var d;while((d=n.inArray(c,h,d))>-1){h.splice(d,1),b&&(e>=d&&e--,f>=d&&f--)}}),this},has:function(a){return a?n.inArray(a,h)>-1:!(!h||!h.length)},empty:function(){return h=[],e=0,this},disable:function(){return h=i=c=void 0,this},disabled:function(){return !h},lock:function(){return i=void 0,c||k.disable(),this},locked:function(){return !i},fireWith:function(a,c){return !h||d&&!i||(c=c||[],c=[a,c.slice?c.slice():c],b?i.push(c):j(c)),this},fire:function(){return k.fireWith(this,arguments),this},fired:function(){return !!d}};return k},n.extend({Deferred:function(a){var b=[["resolve","done",n.Callbacks("once memory"),"resolved"],["reject","fail",n.Callbacks("once memory"),"rejected"],["notify","progress",n.Callbacks("memory")]],c="pending",d={state:function(){return c},always:function(){return e.done(arguments).fail(arguments),this},then:function(){var a=arguments;return n.Deferred(function(c){n.each(b,function(b,f){var g=n.isFunction(a[b])&&a[b];e[f[1]](function(){var a=g&&g.apply(this,arguments);a&&n.isFunction(a.promise)?a.promise().done(c.resolve).fail(c.reject).progress(c.notify):c[f[0]+"With"](this===d?c.promise():this,g?[a]:arguments)})}),a=null}).promise()},promise:function(a){return null!=a?n.extend(a,d):d}},e={};return d.pipe=d.then,n.each(b,function(a,f){var g=f[2],h=f[3];d[f[1]]=g.add,h&&g.add(function(){c=h},b[1^a][2].disable,b[2][2].lock),e[f[0]]=function(){return e[f[0]+"With"](this===e?d:this,arguments),this},e[f[0]+"With"]=g.fireWith}),d.promise(e),a&&a.call(e,e),e},when:function(a){var b=0,c=d.call(arguments),e=c.length,f=1!==e||a&&n.isFunction(a.promise)?e:0,g=1===f?a:n.Deferred(),h=function(a,b,c){return function(e){b[a]=this,c[a]=arguments.length>1?d.call(arguments):e,c===i?g.notifyWith(b,c):--f||g.resolveWith(b,c)}},i,j,k;if(e>1){for(i=new Array(e),j=new Array(e),k=new Array(e);e>b;b++){c[b]&&n.isFunction(c[b].promise)?c[b].promise().done(h(b,k,c)).fail(g.reject).progress(h(b,j,i)):--f}}return f||g.resolveWith(k,c),g.promise()}});var I;n.fn.ready=function(a){return n.ready.promise().done(a),this},n.extend({isReady:!1,readyWait:1,holdReady:function(a){a?n.readyWait++:n.ready(!0)},ready:function(a){if(a===!0?!--n.readyWait:!n.isReady){if(!z.body){return setTimeout(n.ready)}n.isReady=!0,a!==!0&&--n.readyWait>0||(I.resolveWith(z,[n]),n.fn.trigger&&n(z).trigger("ready").off("ready"))}}});function J(){z.addEventListener?(z.removeEventListener("DOMContentLoaded",K,!1),a.removeEventListener("load",K,!1)):(z.detachEvent("onreadystatechange",K),a.detachEvent("onload",K))}function K(){(z.addEventListener||"load"===event.type||"complete"===z.readyState)&&(J(),n.ready())}n.ready.promise=function(b){if(!I){if(I=n.Deferred(),"complete"===z.readyState){setTimeout(n.ready)}else{if(z.addEventListener){z.addEventListener("DOMContentLoaded",K,!1),a.addEventListener("load",K,!1)}else{z.attachEvent("onreadystatechange",K),a.attachEvent("onload",K);var c=!1;try{c=null==a.frameElement&&z.documentElement}catch(d){}c&&c.doScroll&&!function e(){if(!n.isReady){try{c.doScroll("left")}catch(a){return setTimeout(e,50)}J(),n.ready()}}()}}}return I.promise(b)};var L="undefined",M;for(M in n(l)){break}l.ownLast="0"!==M,l.inlineBlockNeedsLayout=!1,n(function(){var a,b,c=z.getElementsByTagName("body")[0];c&&(a=z.createElement("div"),a.style.cssText="border:0;width:0;height:0;position:absolute;top:0;left:-9999px;margin-top:1px",b=z.createElement("div"),c.appendChild(a).appendChild(b),typeof b.style.zoom!==L&&(b.style.cssText="border:0;margin:0;width:1px;padding:1px;display:inline;zoom:1",(l.inlineBlockNeedsLayout=3===b.offsetWidth)&&(c.style.zoom=1)),c.removeChild(a),a=b=null)}),function(){var a=z.createElement("div");if(null==l.deleteExpando){l.deleteExpando=!0;try{delete a.test}catch(b){l.deleteExpando=!1}}a=null}(),n.acceptData=function(a){var b=n.noData[(a.nodeName+" ").toLowerCase()],c=+a.nodeType||1;return 1!==c&&9!==c?!1:!b||b!==!0&&a.getAttribute("classid")===b};var N=/^(?:\{[\w\W]*\}|\[[\w\W]*\])$/,O=/([A-Z])/g;function P(a,b,c){if(void 0===c&&1===a.nodeType){var d="data-"+b.replace(O,"-$1").toLowerCase();if(c=a.getAttribute(d),"string"==typeof c){try{c="true"===c?!0:"false"===c?!1:"null"===c?null:+c+""===c?+c:N.test(c)?n.parseJSON(c):c}catch(e){}n.data(a,b,c)}else{c=void 0}}return c}function Q(a){var b;for(b in a){if(("data"!==b||!n.isEmptyObject(a[b]))&&"toJSON"!==b){return !1}}return !0}function R(a,b,d,e){if(n.acceptData(a)){var f,g,h=n.expando,i=a.nodeType,j=i?n.cache:a,k=i?a[h]:a[h]&&h;if(k&&j[k]&&(e||j[k].data)||void 0!==d||"string"!=typeof b){return k||(k=i?a[h]=c.pop()||n.guid++:h),j[k]||(j[k]=i?{}:{toJSON:n.noop}),("object"==typeof b||"function"==typeof b)&&(e?j[k]=n.extend(j[k],b):j[k].data=n.extend(j[k].data,b)),g=j[k],e||(g.data||(g.data={}),g=g.data),void 0!==d&&(g[n.camelCase(b)]=d),"string"==typeof b?(f=g[b],null==f&&(f=g[n.camelCase(b)])):f=g,f}}}function S(a,b,c){if(n.acceptData(a)){var d,e,f=a.nodeType,g=f?n.cache:a,h=f?a[n.expando]:n.expando;if(g[h]){if(b&&(d=c?g[h]:g[h].data)){n.isArray(b)?b=b.concat(n.map(b,n.camelCase)):b in d?b=[b]:(b=n.camelCase(b),b=b in d?[b]:b.split(" ")),e=b.length;while(e--){delete d[b[e]]}if(c?!Q(d):!n.isEmptyObject(d)){return}}(c||(delete g[h].data,Q(g[h])))&&(f?n.cleanData([a],!0):l.deleteExpando||g!=g.window?delete g[h]:g[h]=null)}}}n.extend({cache:{},noData:{"applet ":!0,"embed ":!0,"object ":"clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"},hasData:function(a){return a=a.nodeType?n.cache[a[n.expando]]:a[n.expando],!!a&&!Q(a)},data:function(a,b,c){return R(a,b,c)},removeData:function(a,b){return S(a,b)},_data:function(a,b,c){return R(a,b,c,!0)},_removeData:function(a,b){return S(a,b,!0)}}),n.fn.extend({data:function(a,b){var c,d,e,f=this[0],g=f&&f.attributes;if(void 0===a){if(this.length&&(e=n.data(f),1===f.nodeType&&!n._data(f,"parsedAttrs"))){c=g.length;while(c--){d=g[c].name,0===d.indexOf("data-")&&(d=n.camelCase(d.slice(5)),P(f,d,e[d]))}n._data(f,"parsedAttrs",!0)}return e}return"object"==typeof a?this.each(function(){n.data(this,a)}):arguments.length>1?this.each(function(){n.data(this,a,b)}):f?P(f,a,n.data(f,a)):void 0},removeData:function(a){return this.each(function(){n.removeData(this,a)})}}),n.extend({queue:function(a,b,c){var d;return a?(b=(b||"fx")+"queue",d=n._data(a,b),c&&(!d||n.isArray(c)?d=n._data(a,b,n.makeArray(c)):d.push(c)),d||[]):void 0},dequeue:function(a,b){b=b||"fx";var c=n.queue(a,b),d=c.length,e=c.shift(),f=n._queueHooks(a,b),g=function(){n.dequeue(a,b)};"inprogress"===e&&(e=c.shift(),d--),e&&("fx"===b&&c.unshift("inprogress"),delete f.stop,e.call(a,g,f)),!d&&f&&f.empty.fire()},_queueHooks:function(a,b){var c=b+"queueHooks";return n._data(a,c)||n._data(a,c,{empty:n.Callbacks("once memory").add(function(){n._removeData(a,b+"queue"),n._removeData(a,c)})})}}),n.fn.extend({queue:function(a,b){var c=2;return"string"!=typeof a&&(b=a,a="fx",c--),arguments.length<c?n.queue(this[0],a):void 0===b?this:this.each(function(){var c=n.queue(this,a,b);n._queueHooks(this,a),"fx"===a&&"inprogress"!==c[0]&&n.dequeue(this,a)})},dequeue:function(a){return this.each(function(){n.dequeue(this,a)})},clearQueue:function(a){return this.queue(a||"fx",[])},promise:function(a,b){var c,d=1,e=n.Deferred(),f=this,g=this.length,h=function(){--d||e.resolveWith(f,[f])};"string"!=typeof a&&(b=a,a=void 0),a=a||"fx";while(g--){c=n._data(f[g],a+"queueHooks"),c&&c.empty&&(d++,c.empty.add(h))}return h(),e.promise(b)}});var T=/[+-]?(?:\d*\.|)\d+(?:[eE][+-]?\d+|)/.source,U=["Top","Right","Bottom","Left"],V=function(a,b){return a=b||a,"none"===n.css(a,"display")||!n.contains(a.ownerDocument,a)},W=n.access=function(a,b,c,d,e,f,g){var h=0,i=a.length,j=null==c;if("object"===n.type(c)){e=!0;for(h in c){n.access(a,b,h,c[h],!0,f,g)}}else{if(void 0!==d&&(e=!0,n.isFunction(d)||(g=!0),j&&(g?(b.call(a,d),b=null):(j=b,b=function(a,b,c){return j.call(n(a),c)})),b)){for(;i>h;h++){b(a[h],c,g?d:d.call(a[h],h,b(a[h],c)))}}}return e?a:j?b.call(a):i?b(a[0],c):f},X=/^(?:checkbox|radio)$/i;!function(){var a=z.createDocumentFragment(),b=z.createElement("div"),c=z.createElement("input");if(b.setAttribute("className","t"),b.innerHTML="  <link/><table></table><a href='/a'>a</a>",l.leadingWhitespace=3===b.firstChild.nodeType,l.tbody=!b.getElementsByTagName("tbody").length,l.htmlSerialize=!!b.getElementsByTagName("link").length,l.html5Clone="<:nav></:nav>"!==z.createElement("nav").cloneNode(!0).outerHTML,c.type="checkbox",c.checked=!0,a.appendChild(c),l.appendChecked=c.checked,b.innerHTML="<textarea>x</textarea>",l.noCloneChecked=!!b.cloneNode(!0).lastChild.defaultValue,a.appendChild(b),b.innerHTML="<input type='radio' checked='checked' name='t'/>",l.checkClone=b.cloneNode(!0).cloneNode(!0).lastChild.checked,l.noCloneEvent=!0,b.attachEvent&&(b.attachEvent("onclick",function(){l.noCloneEvent=!1}),b.cloneNode(!0).click()),null==l.deleteExpando){l.deleteExpando=!0;try{delete b.test}catch(d){l.deleteExpando=!1}}a=b=c=null}(),function(){var b,c,d=z.createElement("div");for(b in {submit:!0,change:!0,focusin:!0}){c="on"+b,(l[b+"Bubbles"]=c in a)||(d.setAttribute(c,"t"),l[b+"Bubbles"]=d.attributes[c].expando===!1)}d=null}();var Y=/^(?:input|select|textarea)$/i,Z=/^key/,$=/^(?:mouse|contextmenu)|click/,_=/^(?:focusinfocus|focusoutblur)$/,ab=/^([^.]*)(?:\.(.+)|)$/;function bb(){return !0}function cb(){return !1}function db(){try{return z.activeElement}catch(a){}}n.event={global:{},add:function(a,b,c,d,e){var f,g,h,i,j,k,l,m,o,p,q,r=n._data(a);if(r){c.handler&&(i=c,c=i.handler,e=i.selector),c.guid||(c.guid=n.guid++),(g=r.events)||(g=r.events={}),(k=r.handle)||(k=r.handle=function(a){return typeof n===L||a&&n.event.triggered===a.type?void 0:n.event.dispatch.apply(k.elem,arguments)},k.elem=a),b=(b||"").match(F)||[""],h=b.length;while(h--){f=ab.exec(b[h])||[],o=q=f[1],p=(f[2]||"").split(".").sort(),o&&(j=n.event.special[o]||{},o=(e?j.delegateType:j.bindType)||o,j=n.event.special[o]||{},l=n.extend({type:o,origType:q,data:d,handler:c,guid:c.guid,selector:e,needsContext:e&&n.expr.match.needsContext.test(e),namespace:p.join(".")},i),(m=g[o])||(m=g[o]=[],m.delegateCount=0,j.setup&&j.setup.call(a,d,p,k)!==!1||(a.addEventListener?a.addEventListener(o,k,!1):a.attachEvent&&a.attachEvent("on"+o,k))),j.add&&(j.add.call(a,l),l.handler.guid||(l.handler.guid=c.guid)),e?m.splice(m.delegateCount++,0,l):m.push(l),n.event.global[o]=!0)}a=null}},remove:function(a,b,c,d,e){var f,g,h,i,j,k,l,m,o,p,q,r=n.hasData(a)&&n._data(a);if(r&&(k=r.events)){b=(b||"").match(F)||[""],j=b.length;while(j--){if(h=ab.exec(b[j])||[],o=q=h[1],p=(h[2]||"").split(".").sort(),o){l=n.event.special[o]||{},o=(d?l.delegateType:l.bindType)||o,m=k[o]||[],h=h[2]&&new RegExp("(^|\\.)"+p.join("\\.(?:.*\\.|)")+"(\\.|$)"),i=f=m.length;while(f--){g=m[f],!e&&q!==g.origType||c&&c.guid!==g.guid||h&&!h.test(g.namespace)||d&&d!==g.selector&&("**"!==d||!g.selector)||(m.splice(f,1),g.selector&&m.delegateCount--,l.remove&&l.remove.call(a,g))}i&&!m.length&&(l.teardown&&l.teardown.call(a,p,r.handle)!==!1||n.removeEvent(a,o,r.handle),delete k[o])}else{for(o in k){n.event.remove(a,o+b[j],c,d,!0)}}}n.isEmptyObject(k)&&(delete r.handle,n._removeData(a,"events"))}},trigger:function(b,c,d,e){var f,g,h,i,k,l,m,o=[d||z],p=j.call(b,"type")?b.type:b,q=j.call(b,"namespace")?b.namespace.split("."):[];if(h=l=d=d||z,3!==d.nodeType&&8!==d.nodeType&&!_.test(p+n.event.triggered)&&(p.indexOf(".")>=0&&(q=p.split("."),p=q.shift(),q.sort()),g=p.indexOf(":")<0&&"on"+p,b=b[n.expando]?b:new n.Event(p,"object"==typeof b&&b),b.isTrigger=e?2:3,b.namespace=q.join("."),b.namespace_re=b.namespace?new RegExp("(^|\\.)"+q.join("\\.(?:.*\\.|)")+"(\\.|$)"):null,b.result=void 0,b.target||(b.target=d),c=null==c?[b]:n.makeArray(c,[b]),k=n.event.special[p]||{},e||!k.trigger||k.trigger.apply(d,c)!==!1)){if(!e&&!k.noBubble&&!n.isWindow(d)){for(i=k.delegateType||p,_.test(i+p)||(h=h.parentNode);h;h=h.parentNode){o.push(h),l=h}l===(d.ownerDocument||z)&&o.push(l.defaultView||l.parentWindow||a)}m=0;while((h=o[m++])&&!b.isPropagationStopped()){b.type=m>1?i:k.bindType||p,f=(n._data(h,"events")||{})[b.type]&&n._data(h,"handle"),f&&f.apply(h,c),f=g&&h[g],f&&f.apply&&n.acceptData(h)&&(b.result=f.apply(h,c),b.result===!1&&b.preventDefault())}if(b.type=p,!e&&!b.isDefaultPrevented()&&(!k._default||k._default.apply(o.pop(),c)===!1)&&n.acceptData(d)&&g&&d[p]&&!n.isWindow(d)){l=d[g],l&&(d[g]=null),n.event.triggered=p;try{d[p]()}catch(r){}n.event.triggered=void 0,l&&(d[g]=l)}return b.result}},dispatch:function(a){a=n.event.fix(a);var b,c,e,f,g,h=[],i=d.call(arguments),j=(n._data(this,"events")||{})[a.type]||[],k=n.event.special[a.type]||{};if(i[0]=a,a.delegateTarget=this,!k.preDispatch||k.preDispatch.call(this,a)!==!1){h=n.event.handlers.call(this,a,j),b=0;while((f=h[b++])&&!a.isPropagationStopped()){a.currentTarget=f.elem,g=0;while((e=f.handlers[g++])&&!a.isImmediatePropagationStopped()){(!a.namespace_re||a.namespace_re.test(e.namespace))&&(a.handleObj=e,a.data=e.data,c=((n.event.special[e.origType]||{}).handle||e.handler).apply(f.elem,i),void 0!==c&&(a.result=c)===!1&&(a.preventDefault(),a.stopPropagation()))}}return k.postDispatch&&k.postDispatch.call(this,a),a.result}},handlers:function(a,b){var c,d,e,f,g=[],h=b.delegateCount,i=a.target;if(h&&i.nodeType&&(!a.button||"click"!==a.type)){for(;i!=this;i=i.parentNode||this){if(1===i.nodeType&&(i.disabled!==!0||"click"!==a.type)){for(e=[],f=0;h>f;f++){d=b[f],c=d.selector+" ",void 0===e[c]&&(e[c]=d.needsContext?n(c,this).index(i)>=0:n.find(c,this,null,[i]).length),e[c]&&e.push(d)}e.length&&g.push({elem:i,handlers:e})}}}return h<b.length&&g.push({elem:this,handlers:b.slice(h)}),g},fix:function(a){if(a[n.expando]){return a}var b,c,d,e=a.type,f=a,g=this.fixHooks[e];g||(this.fixHooks[e]=g=$.test(e)?this.mouseHooks:Z.test(e)?this.keyHooks:{}),d=g.props?this.props.concat(g.props):this.props,a=new n.Event(f),b=d.length;while(b--){c=d[b],a[c]=f[c]}return a.target||(a.target=f.srcElement||z),3===a.target.nodeType&&(a.target=a.target.parentNode),a.metaKey=!!a.metaKey,g.filter?g.filter(a,f):a},props:"altKey bubbles cancelable ctrlKey currentTarget eventPhase metaKey relatedTarget shiftKey target timeStamp view which".split(" "),fixHooks:{},keyHooks:{props:"char charCode key keyCode".split(" "),filter:function(a,b){return null==a.which&&(a.which=null!=b.charCode?b.charCode:b.keyCode),a}},mouseHooks:{props:"button buttons clientX clientY fromElement offsetX offsetY pageX pageY screenX screenY toElement".split(" "),filter:function(a,b){var c,d,e,f=b.button,g=b.fromElement;return null==a.pageX&&null!=b.clientX&&(d=a.target.ownerDocument||z,e=d.documentElement,c=d.body,a.pageX=b.clientX+(e&&e.scrollLeft||c&&c.scrollLeft||0)-(e&&e.clientLeft||c&&c.clientLeft||0),a.pageY=b.clientY+(e&&e.scrollTop||c&&c.scrollTop||0)-(e&&e.clientTop||c&&c.clientTop||0)),!a.relatedTarget&&g&&(a.relatedTarget=g===a.target?b.toElement:g),a.which||void 0===f||(a.which=1&f?1:2&f?3:4&f?2:0),a}},special:{load:{noBubble:!0},focus:{trigger:function(){if(this!==db()&&this.focus){try{return this.focus(),!1}catch(a){}}},delegateType:"focusin"},blur:{trigger:function(){return this===db()&&this.blur?(this.blur(),!1):void 0},delegateType:"focusout"},click:{trigger:function(){return n.nodeName(this,"input")&&"checkbox"===this.type&&this.click?(this.click(),!1):void 0},_default:function(a){return n.nodeName(a.target,"a")}},beforeunload:{postDispatch:function(a){void 0!==a.result&&(a.originalEvent.returnValue=a.result)}}},simulate:function(a,b,c,d){var e=n.extend(new n.Event,c,{type:a,isSimulated:!0,originalEvent:{}});d?n.event.trigger(e,null,b):n.event.dispatch.call(b,e),e.isDefaultPrevented()&&c.preventDefault()}},n.removeEvent=z.removeEventListener?function(a,b,c){a.removeEventListener&&a.removeEventListener(b,c,!1)}:function(a,b,c){var d="on"+b;a.detachEvent&&(typeof a[d]===L&&(a[d]=null),a.detachEvent(d,c))},n.Event=function(a,b){return this instanceof n.Event?(a&&a.type?(this.originalEvent=a,this.type=a.type,this.isDefaultPrevented=a.defaultPrevented||void 0===a.defaultPrevented&&(a.returnValue===!1||a.getPreventDefault&&a.getPreventDefault())?bb:cb):this.type=a,b&&n.extend(this,b),this.timeStamp=a&&a.timeStamp||n.now(),void (this[n.expando]=!0)):new n.Event(a,b)},n.Event.prototype={isDefaultPrevented:cb,isPropagationStopped:cb,isImmediatePropagationStopped:cb,preventDefault:function(){var a=this.originalEvent;this.isDefaultPrevented=bb,a&&(a.preventDefault?a.preventDefault():a.returnValue=!1)},stopPropagation:function(){var a=this.originalEvent;this.isPropagationStopped=bb,a&&(a.stopPropagation&&a.stopPropagation(),a.cancelBubble=!0)},stopImmediatePropagation:function(){this.isImmediatePropagationStopped=bb,this.stopPropagation()}},n.each({mouseenter:"mouseover",mouseleave:"mouseout"},function(a,b){n.event.special[a]={delegateType:b,bindType:b,handle:function(a){var c,d=this,e=a.relatedTarget,f=a.handleObj;return(!e||e!==d&&!n.contains(d,e))&&(a.type=f.origType,c=f.handler.apply(this,arguments),a.type=b),c}}}),l.submitBubbles||(n.event.special.submit={setup:function(){return n.nodeName(this,"form")?!1:void n.event.add(this,"click._submit keypress._submit",function(a){var b=a.target,c=n.nodeName(b,"input")||n.nodeName(b,"button")?b.form:void 0;c&&!n._data(c,"submitBubbles")&&(n.event.add(c,"submit._submit",function(a){a._submit_bubble=!0}),n._data(c,"submitBubbles",!0))})},postDispatch:function(a){a._submit_bubble&&(delete a._submit_bubble,this.parentNode&&!a.isTrigger&&n.event.simulate("submit",this.parentNode,a,!0))},teardown:function(){return n.nodeName(this,"form")?!1:void n.event.remove(this,"._submit")}}),l.changeBubbles||(n.event.special.change={setup:function(){return Y.test(this.nodeName)?(("checkbox"===this.type||"radio"===this.type)&&(n.event.add(this,"propertychange._change",function(a){"checked"===a.originalEvent.propertyName&&(this._just_changed=!0)}),n.event.add(this,"click._change",function(a){this._just_changed&&!a.isTrigger&&(this._just_changed=!1),n.event.simulate("change",this,a,!0)})),!1):void n.event.add(this,"beforeactivate._change",function(a){var b=a.target;Y.test(b.nodeName)&&!n._data(b,"changeBubbles")&&(n.event.add(b,"change._change",function(a){!this.parentNode||a.isSimulated||a.isTrigger||n.event.simulate("change",this.parentNode,a,!0)}),n._data(b,"changeBubbles",!0))})},handle:function(a){var b=a.target;return this!==b||a.isSimulated||a.isTrigger||"radio"!==b.type&&"checkbox"!==b.type?a.handleObj.handler.apply(this,arguments):void 0},teardown:function(){return n.event.remove(this,"._change"),!Y.test(this.nodeName)}}),l.focusinBubbles||n.each({focus:"focusin",blur:"focusout"},function(a,b){var c=function(a){n.event.simulate(b,a.target,n.event.fix(a),!0)};n.event.special[b]={setup:function(){var d=this.ownerDocument||this,e=n._data(d,b);e||d.addEventListener(a,c,!0),n._data(d,b,(e||0)+1)},teardown:function(){var d=this.ownerDocument||this,e=n._data(d,b)-1;e?n._data(d,b,e):(d.removeEventListener(a,c,!0),n._removeData(d,b))}}}),n.fn.extend({on:function(a,b,c,d,e){var f,g;if("object"==typeof a){"string"!=typeof b&&(c=c||b,b=void 0);for(f in a){this.on(f,b,c,a[f],e)}return this}if(null==c&&null==d?(d=b,c=b=void 0):null==d&&("string"==typeof b?(d=c,c=void 0):(d=c,c=b,b=void 0)),d===!1){d=cb}else{if(!d){return this}}return 1===e&&(g=d,d=function(a){return n().off(a),g.apply(this,arguments)},d.guid=g.guid||(g.guid=n.guid++)),this.each(function(){n.event.add(this,a,d,c,b)})},one:function(a,b,c,d){return this.on(a,b,c,d,1)},off:function(a,b,c){var d,e;if(a&&a.preventDefault&&a.handleObj){return d=a.handleObj,n(a.delegateTarget).off(d.namespace?d.origType+"."+d.namespace:d.origType,d.selector,d.handler),this}if("object"==typeof a){for(e in a){this.off(e,b,a[e])}return this}return(b===!1||"function"==typeof b)&&(c=b,b=void 0),c===!1&&(c=cb),this.each(function(){n.event.remove(this,a,c,b)})},trigger:function(a,b){return this.each(function(){n.event.trigger(a,b,this)})},triggerHandler:function(a,b){var c=this[0];return c?n.event.trigger(a,b,c,!0):void 0}});function eb(a){var b=fb.split("|"),c=a.createDocumentFragment();if(c.createElement){while(b.length){c.createElement(b.pop())}}return c}var fb="abbr|article|aside|audio|bdi|canvas|data|datalist|details|figcaption|figure|footer|header|hgroup|mark|meter|nav|output|progress|section|summary|time|video",gb=/ jQuery\d+="(?:null|\d+)"/g,hb=new RegExp("<(?:"+fb+")[\\s/>]","i"),ib=/^\s+/,jb=/<(?!area|br|col|embed|hr|img|input|link|meta|param)(([\w:]+)[^>]*)\/>/gi,kb=/<([\w:]+)/,lb=/<tbody/i,mb=/<|&#?\w+;/,nb=/<(?:script|style|link)/i,ob=/checked\s*(?:[^=]|=\s*.checked.)/i,pb=/^$|\/(?:java|ecma)script/i,qb=/^true\/(.*)/,rb=/^\s*<!(?:\[CDATA\[|--)|(?:\]\]|--)>\s*$/g,sb={option:[1,"<select multiple='multiple'>","</select>"],legend:[1,"<fieldset>","</fieldset>"],area:[1,"<map>","</map>"],param:[1,"<object>","</object>"],thead:[1,"<table>","</table>"],tr:[2,"<table><tbody>","</tbody></table>"],col:[2,"<table><tbody></tbody><colgroup>","</colgroup></table>"],td:[3,"<table><tbody><tr>","</tr></tbody></table>"],_default:l.htmlSerialize?[0,"",""]:[1,"X<div>","</div>"]},tb=eb(z),ub=tb.appendChild(z.createElement("div"));sb.optgroup=sb.option,sb.tbody=sb.tfoot=sb.colgroup=sb.caption=sb.thead,sb.th=sb.td;function vb(a,b){var c,d,e=0,f=typeof a.getElementsByTagName!==L?a.getElementsByTagName(b||"*"):typeof a.querySelectorAll!==L?a.querySelectorAll(b||"*"):void 0;if(!f){for(f=[],c=a.childNodes||a;null!=(d=c[e]);e++){!b||n.nodeName(d,b)?f.push(d):n.merge(f,vb(d,b))}}return void 0===b||b&&n.nodeName(a,b)?n.merge([a],f):f}function wb(a){X.test(a.type)&&(a.defaultChecked=a.checked)}function xb(a,b){return n.nodeName(a,"table")&&n.nodeName(11!==b.nodeType?b:b.firstChild,"tr")?a.getElementsByTagName("tbody")[0]||a.appendChild(a.ownerDocument.createElement("tbody")):a}function yb(a){return a.type=(null!==n.find.attr(a,"type"))+"/"+a.type,a}function zb(a){var b=qb.exec(a.type);return b?a.type=b[1]:a.removeAttribute("type"),a}function Ab(a,b){for(var c,d=0;null!=(c=a[d]);d++){n._data(c,"globalEval",!b||n._data(b[d],"globalEval"))}}function Bb(a,b){if(1===b.nodeType&&n.hasData(a)){var c,d,e,f=n._data(a),g=n._data(b,f),h=f.events;if(h){delete g.handle,g.events={};for(c in h){for(d=0,e=h[c].length;e>d;d++){n.event.add(b,c,h[c][d])}}}g.data&&(g.data=n.extend({},g.data))}}function Cb(a,b){var c,d,e;if(1===b.nodeType){if(c=b.nodeName.toLowerCase(),!l.noCloneEvent&&b[n.expando]){e=n._data(b);for(d in e.events){n.removeEvent(b,d,e.handle)}b.removeAttribute(n.expando)}"script"===c&&b.text!==a.text?(yb(b).text=a.text,zb(b)):"object"===c?(b.parentNode&&(b.outerHTML=a.outerHTML),l.html5Clone&&a.innerHTML&&!n.trim(b.innerHTML)&&(b.innerHTML=a.innerHTML)):"input"===c&&X.test(a.type)?(b.defaultChecked=b.checked=a.checked,b.value!==a.value&&(b.value=a.value)):"option"===c?b.defaultSelected=b.selected=a.defaultSelected:("input"===c||"textarea"===c)&&(b.defaultValue=a.defaultValue)}}n.extend({clone:function(a,b,c){var d,e,f,g,h,i=n.contains(a.ownerDocument,a);if(l.html5Clone||n.isXMLDoc(a)||!hb.test("<"+a.nodeName+">")?f=a.cloneNode(!0):(ub.innerHTML=a.outerHTML,ub.removeChild(f=ub.firstChild)),!(l.noCloneEvent&&l.noCloneChecked||1!==a.nodeType&&11!==a.nodeType||n.isXMLDoc(a))){for(d=vb(f),h=vb(a),g=0;null!=(e=h[g]);++g){d[g]&&Cb(e,d[g])}}if(b){if(c){for(h=h||vb(a),d=d||vb(f),g=0;null!=(e=h[g]);g++){Bb(e,d[g])}}else{Bb(a,f)}}return d=vb(f,"script"),d.length>0&&Ab(d,!i&&vb(a,"script")),d=h=e=null,f},buildFragment:function(a,b,c,d){for(var e,f,g,h,i,j,k,m=a.length,o=eb(b),p=[],q=0;m>q;q++){if(f=a[q],f||0===f){if("object"===n.type(f)){n.merge(p,f.nodeType?[f]:f)}else{if(mb.test(f)){h=h||o.appendChild(b.createElement("div")),i=(kb.exec(f)||["",""])[1].toLowerCase(),k=sb[i]||sb._default,h.innerHTML=k[1]+f.replace(jb,"<$1></$2>")+k[2],e=k[0];while(e--){h=h.lastChild}if(!l.leadingWhitespace&&ib.test(f)&&p.push(b.createTextNode(ib.exec(f)[0])),!l.tbody){f="table"!==i||lb.test(f)?"<table>"!==k[1]||lb.test(f)?0:h:h.firstChild,e=f&&f.childNodes.length;while(e--){n.nodeName(j=f.childNodes[e],"tbody")&&!j.childNodes.length&&f.removeChild(j)}}n.merge(p,h.childNodes),h.textContent="";while(h.firstChild){h.removeChild(h.firstChild)}h=o.lastChild}else{p.push(b.createTextNode(f))}}}}h&&o.removeChild(h),l.appendChecked||n.grep(vb(p,"input"),wb),q=0;while(f=p[q++]){if((!d||-1===n.inArray(f,d))&&(g=n.contains(f.ownerDocument,f),h=vb(o.appendChild(f),"script"),g&&Ab(h),c)){e=0;while(f=h[e++]){pb.test(f.type||"")&&c.push(f)}}}return h=null,o},cleanData:function(a,b){for(var d,e,f,g,h=0,i=n.expando,j=n.cache,k=l.deleteExpando,m=n.event.special;null!=(d=a[h]);h++){if((b||n.acceptData(d))&&(f=d[i],g=f&&j[f])){if(g.events){for(e in g.events){m[e]?n.event.remove(d,e):n.removeEvent(d,e,g.handle)}}j[f]&&(delete j[f],k?delete d[i]:typeof d.removeAttribute!==L?d.removeAttribute(i):d[i]=null,c.push(f))}}}}),n.fn.extend({text:function(a){return W(this,function(a){return void 0===a?n.text(this):this.empty().append((this[0]&&this[0].ownerDocument||z).createTextNode(a))},null,a,arguments.length)},append:function(){return this.domManip(arguments,function(a){if(1===this.nodeType||11===this.nodeType||9===this.nodeType){var b=xb(this,a);b.appendChild(a)}})},prepend:function(){return this.domManip(arguments,function(a){if(1===this.nodeType||11===this.nodeType||9===this.nodeType){var b=xb(this,a);b.insertBefore(a,b.firstChild)}})},before:function(){return this.domManip(arguments,function(a){this.parentNode&&this.parentNode.insertBefore(a,this)})},after:function(){return this.domManip(arguments,function(a){this.parentNode&&this.parentNode.insertBefore(a,this.nextSibling)})},remove:function(a,b){for(var c,d=a?n.filter(a,this):this,e=0;null!=(c=d[e]);e++){b||1!==c.nodeType||n.cleanData(vb(c)),c.parentNode&&(b&&n.contains(c.ownerDocument,c)&&Ab(vb(c,"script")),c.parentNode.removeChild(c))}return this},empty:function(){for(var a,b=0;null!=(a=this[b]);b++){1===a.nodeType&&n.cleanData(vb(a,!1));while(a.firstChild){a.removeChild(a.firstChild)}a.options&&n.nodeName(a,"select")&&(a.options.length=0)}return this},clone:function(a,b){return a=null==a?!1:a,b=null==b?a:b,this.map(function(){return n.clone(this,a,b)})},html:function(a){return W(this,function(a){var b=this[0]||{},c=0,d=this.length;if(void 0===a){return 1===b.nodeType?b.innerHTML.replace(gb,""):void 0}if(!("string"!=typeof a||nb.test(a)||!l.htmlSerialize&&hb.test(a)||!l.leadingWhitespace&&ib.test(a)||sb[(kb.exec(a)||["",""])[1].toLowerCase()])){a=a.replace(jb,"<$1></$2>");try{for(;d>c;c++){b=this[c]||{},1===b.nodeType&&(n.cleanData(vb(b,!1)),b.innerHTML=a)}b=0}catch(e){}}b&&this.empty().append(a)},null,a,arguments.length)},replaceWith:function(){var a=arguments[0];return this.domManip(arguments,function(b){a=this.parentNode,n.cleanData(vb(this)),a&&a.replaceChild(b,this)}),a&&(a.length||a.nodeType)?this:this.remove()},detach:function(a){return this.remove(a,!0)},domManip:function(a,b){a=e.apply([],a);var c,d,f,g,h,i,j=0,k=this.length,m=this,o=k-1,p=a[0],q=n.isFunction(p);if(q||k>1&&"string"==typeof p&&!l.checkClone&&ob.test(p)){return this.each(function(c){var d=m.eq(c);q&&(a[0]=p.call(this,c,d.html())),d.domManip(a,b)})}if(k&&(i=n.buildFragment(a,this[0].ownerDocument,!1,this),c=i.firstChild,1===i.childNodes.length&&(i=c),c)){for(g=n.map(vb(i,"script"),yb),f=g.length;k>j;j++){d=i,j!==o&&(d=n.clone(d,!0,!0),f&&n.merge(g,vb(d,"script"))),b.call(this[j],d,j)}if(f){for(h=g[g.length-1].ownerDocument,n.map(g,zb),j=0;f>j;j++){d=g[j],pb.test(d.type||"")&&!n._data(d,"globalEval")&&n.contains(h,d)&&(d.src?n._evalUrl&&n._evalUrl(d.src):n.globalEval((d.text||d.textContent||d.innerHTML||"").replace(rb,"")))}}i=c=null}return this}}),n.each({appendTo:"append",prependTo:"prepend",insertBefore:"before",insertAfter:"after",replaceAll:"replaceWith"},function(a,b){n.fn[a]=function(a){for(var c,d=0,e=[],g=n(a),h=g.length-1;h>=d;d++){c=d===h?this:this.clone(!0),n(g[d])[b](c),f.apply(e,c.get())}return this.pushStack(e)}});var Db,Eb={};function Fb(b,c){var d=n(c.createElement(b)).appendTo(c.body),e=a.getDefaultComputedStyle?a.getDefaultComputedStyle(d[0]).display:n.css(d[0],"display");return d.detach(),e}function Gb(a){var b=z,c=Eb[a];return c||(c=Fb(a,b),"none"!==c&&c||(Db=(Db||n("<iframe frameborder='0' width='0' height='0'/>")).appendTo(b.documentElement),b=(Db[0].contentWindow||Db[0].contentDocument).document,b.write(),b.close(),c=Fb(a,b),Db.detach()),Eb[a]=c),c}!function(){var a,b,c=z.createElement("div"),d="-webkit-box-sizing:content-box;-moz-box-sizing:content-box;box-sizing:content-box;display:block;padding:0;margin:0;border:0";c.innerHTML="  <link/><table></table><a href='/a'>a</a><input type='checkbox'/>",a=c.getElementsByTagName("a")[0],a.style.cssText="float:left;opacity:.5",l.opacity=/^0.5/.test(a.style.opacity),l.cssFloat=!!a.style.cssFloat,c.style.backgroundClip="content-box",c.cloneNode(!0).style.backgroundClip="",l.clearCloneStyle="content-box"===c.style.backgroundClip,a=c=null,l.shrinkWrapBlocks=function(){var a,c,e,f;if(null==b){if(a=z.getElementsByTagName("body")[0],!a){return}f="border:0;width:0;height:0;position:absolute;top:0;left:-9999px",c=z.createElement("div"),e=z.createElement("div"),a.appendChild(c).appendChild(e),b=!1,typeof e.style.zoom!==L&&(e.style.cssText=d+";width:1px;padding:1px;zoom:1",e.innerHTML="<div></div>",e.firstChild.style.width="5px",b=3!==e.offsetWidth),a.removeChild(c),a=c=e=null}return b}}();var Hb=/^margin/,Ib=new RegExp("^("+T+")(?!px)[a-z%]+$","i"),Jb,Kb,Lb=/^(top|right|bottom|left)$/;a.getComputedStyle?(Jb=function(a){return a.ownerDocument.defaultView.getComputedStyle(a,null)},Kb=function(a,b,c){var d,e,f,g,h=a.style;return c=c||Jb(a),g=c?c.getPropertyValue(b)||c[b]:void 0,c&&(""!==g||n.contains(a.ownerDocument,a)||(g=n.style(a,b)),Ib.test(g)&&Hb.test(b)&&(d=h.width,e=h.minWidth,f=h.maxWidth,h.minWidth=h.maxWidth=h.width=g,g=c.width,h.width=d,h.minWidth=e,h.maxWidth=f)),void 0===g?g:g+""}):z.documentElement.currentStyle&&(Jb=function(a){return a.currentStyle},Kb=function(a,b,c){var d,e,f,g,h=a.style;return c=c||Jb(a),g=c?c[b]:void 0,null==g&&h&&h[b]&&(g=h[b]),Ib.test(g)&&!Lb.test(b)&&(d=h.left,e=a.runtimeStyle,f=e&&e.left,f&&(e.left=a.currentStyle.left),h.left="fontSize"===b?"1em":g,g=h.pixelLeft+"px",h.left=d,f&&(e.left=f)),void 0===g?g:g+""||"auto"});function Mb(a,b){return{get:function(){var c=a();if(null!=c){return c?void delete this.get:(this.get=b).apply(this,arguments)}}}}!function(){var b,c,d,e,f,g,h=z.createElement("div"),i="border:0;width:0;height:0;position:absolute;top:0;left:-9999px",j="-webkit-box-sizing:content-box;-moz-box-sizing:content-box;box-sizing:content-box;display:block;padding:0;margin:0;border:0";h.innerHTML="  <link/><table></table><a href='/a'>a</a><input type='checkbox'/>",b=h.getElementsByTagName("a")[0],b.style.cssText="float:left;opacity:.5",l.opacity=/^0.5/.test(b.style.opacity),l.cssFloat=!!b.style.cssFloat,h.style.backgroundClip="content-box",h.cloneNode(!0).style.backgroundClip="",l.clearCloneStyle="content-box"===h.style.backgroundClip,b=h=null,n.extend(l,{reliableHiddenOffsets:function(){if(null!=c){return c}var a,b,d,e=z.createElement("div"),f=z.getElementsByTagName("body")[0];if(f){return e.setAttribute("className","t"),e.innerHTML="  <link/><table></table><a href='/a'>a</a><input type='checkbox'/>",a=z.createElement("div"),a.style.cssText=i,f.appendChild(a).appendChild(e),e.innerHTML="<table><tr><td></td><td>t</td></tr></table>",b=e.getElementsByTagName("td"),b[0].style.cssText="padding:0;margin:0;border:0;display:none",d=0===b[0].offsetHeight,b[0].style.display="",b[1].style.display="none",c=d&&0===b[0].offsetHeight,f.removeChild(a),e=f=null,c}},boxSizing:function(){return null==d&&k(),d},boxSizingReliable:function(){return null==e&&k(),e},pixelPosition:function(){return null==f&&k(),f},reliableMarginRight:function(){var b,c,d,e;if(null==g&&a.getComputedStyle){if(b=z.getElementsByTagName("body")[0],!b){return}c=z.createElement("div"),d=z.createElement("div"),c.style.cssText=i,b.appendChild(c).appendChild(d),e=d.appendChild(z.createElement("div")),e.style.cssText=d.style.cssText=j,e.style.marginRight=e.style.width="0",d.style.width="1px",g=!parseFloat((a.getComputedStyle(e,null)||{}).marginRight),b.removeChild(c)}return g}});function k(){var b,c,h=z.getElementsByTagName("body")[0];h&&(b=z.createElement("div"),c=z.createElement("div"),b.style.cssText=i,h.appendChild(b).appendChild(c),c.style.cssText="-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;position:absolute;display:block;padding:1px;border:1px;width:4px;margin-top:1%;top:1%",n.swap(h,null!=h.style.zoom?{zoom:1}:{},function(){d=4===c.offsetWidth}),e=!0,f=!1,g=!0,a.getComputedStyle&&(f="1%"!==(a.getComputedStyle(c,null)||{}).top,e="4px"===(a.getComputedStyle(c,null)||{width:"4px"}).width),h.removeChild(b),c=h=null)}}(),n.swap=function(a,b,c,d){var e,f,g={};for(f in b){g[f]=a.style[f],a.style[f]=b[f]}e=c.apply(a,d||[]);for(f in b){a.style[f]=g[f]}return e};var Nb=/alpha\([^)]*\)/i,Ob=/opacity\s*=\s*([^)]*)/,Pb=/^(none|table(?!-c[ea]).+)/,Qb=new RegExp("^("+T+")(.*)$","i"),Rb=new RegExp("^([+-])=("+T+")","i"),Sb={position:"absolute",visibility:"hidden",display:"block"},Tb={letterSpacing:0,fontWeight:400},Ub=["Webkit","O","Moz","ms"];function Vb(a,b){if(b in a){return b}var c=b.charAt(0).toUpperCase()+b.slice(1),d=b,e=Ub.length;while(e--){if(b=Ub[e]+c,b in a){return b}}return d}function Wb(a,b){for(var c,d,e,f=[],g=0,h=a.length;h>g;g++){d=a[g],d.style&&(f[g]=n._data(d,"olddisplay"),c=d.style.display,b?(f[g]||"none"!==c||(d.style.display=""),""===d.style.display&&V(d)&&(f[g]=n._data(d,"olddisplay",Gb(d.nodeName)))):f[g]||(e=V(d),(c&&"none"!==c||!e)&&n._data(d,"olddisplay",e?c:n.css(d,"display"))))}for(g=0;h>g;g++){d=a[g],d.style&&(b&&"none"!==d.style.display&&""!==d.style.display||(d.style.display=b?f[g]||"":"none"))}return a}function Xb(a,b,c){var d=Qb.exec(b);return d?Math.max(0,d[1]-(c||0))+(d[2]||"px"):b}function Yb(a,b,c,d,e){for(var f=c===(d?"border":"content")?4:"width"===b?1:0,g=0;4>f;f+=2){"margin"===c&&(g+=n.css(a,c+U[f],!0,e)),d?("content"===c&&(g-=n.css(a,"padding"+U[f],!0,e)),"margin"!==c&&(g-=n.css(a,"border"+U[f]+"Width",!0,e))):(g+=n.css(a,"padding"+U[f],!0,e),"padding"!==c&&(g+=n.css(a,"border"+U[f]+"Width",!0,e)))}return g}function Zb(a,b,c){var d=!0,e="width"===b?a.offsetWidth:a.offsetHeight,f=Jb(a),g=l.boxSizing()&&"border-box"===n.css(a,"boxSizing",!1,f);if(0>=e||null==e){if(e=Kb(a,b,f),(0>e||null==e)&&(e=a.style[b]),Ib.test(e)){return e}d=g&&(l.boxSizingReliable()||e===a.style[b]),e=parseFloat(e)||0}return e+Yb(a,b,c||(g?"border":"content"),d,f)+"px"}n.extend({cssHooks:{opacity:{get:function(a,b){if(b){var c=Kb(a,"opacity");return""===c?"1":c}}}},cssNumber:{columnCount:!0,fillOpacity:!0,fontWeight:!0,lineHeight:!0,opacity:!0,order:!0,orphans:!0,widows:!0,zIndex:!0,zoom:!0},cssProps:{"float":l.cssFloat?"cssFloat":"styleFloat"},style:function(a,b,c,d){if(a&&3!==a.nodeType&&8!==a.nodeType&&a.style){var e,f,g,h=n.camelCase(b),i=a.style;if(b=n.cssProps[h]||(n.cssProps[h]=Vb(i,h)),g=n.cssHooks[b]||n.cssHooks[h],void 0===c){return g&&"get" in g&&void 0!==(e=g.get(a,!1,d))?e:i[b]}if(f=typeof c,"string"===f&&(e=Rb.exec(c))&&(c=(e[1]+1)*e[2]+parseFloat(n.css(a,b)),f="number"),null!=c&&c===c&&("number"!==f||n.cssNumber[h]||(c+="px"),l.clearCloneStyle||""!==c||0!==b.indexOf("background")||(i[b]="inherit"),!(g&&"set" in g&&void 0===(c=g.set(a,c,d))))){try{i[b]="",i[b]=c}catch(j){}}}},css:function(a,b,c,d){var e,f,g,h=n.camelCase(b);return b=n.cssProps[h]||(n.cssProps[h]=Vb(a.style,h)),g=n.cssHooks[b]||n.cssHooks[h],g&&"get" in g&&(f=g.get(a,!0,c)),void 0===f&&(f=Kb(a,b,d)),"normal"===f&&b in Tb&&(f=Tb[b]),""===c||c?(e=parseFloat(f),c===!0||n.isNumeric(e)?e||0:f):f}}),n.each(["height","width"],function(a,b){n.cssHooks[b]={get:function(a,c,d){return c?0===a.offsetWidth&&Pb.test(n.css(a,"display"))?n.swap(a,Sb,function(){return Zb(a,b,d)}):Zb(a,b,d):void 0},set:function(a,c,d){var e=d&&Jb(a);return Xb(a,c,d?Yb(a,b,d,l.boxSizing()&&"border-box"===n.css(a,"boxSizing",!1,e),e):0)}}}),l.opacity||(n.cssHooks.opacity={get:function(a,b){return Ob.test((b&&a.currentStyle?a.currentStyle.filter:a.style.filter)||"")?0.01*parseFloat(RegExp.$1)+"":b?"1":""},set:function(a,b){var c=a.style,d=a.currentStyle,e=n.isNumeric(b)?"alpha(opacity="+100*b+")":"",f=d&&d.filter||c.filter||"";c.zoom=1,(b>=1||""===b)&&""===n.trim(f.replace(Nb,""))&&c.removeAttribute&&(c.removeAttribute("filter"),""===b||d&&!d.filter)||(c.filter=Nb.test(f)?f.replace(Nb,e):f+" "+e)}}),n.cssHooks.marginRight=Mb(l.reliableMarginRight,function(a,b){return b?n.swap(a,{display:"inline-block"},Kb,[a,"marginRight"]):void 0}),n.each({margin:"",padding:"",border:"Width"},function(a,b){n.cssHooks[a+b]={expand:function(c){for(var d=0,e={},f="string"==typeof c?c.split(" "):[c];4>d;d++){e[a+U[d]+b]=f[d]||f[d-2]||f[0]}return e}},Hb.test(a)||(n.cssHooks[a+b].set=Xb)}),n.fn.extend({css:function(a,b){return W(this,function(a,b,c){var d,e,f={},g=0;if(n.isArray(b)){for(d=Jb(a),e=b.length;e>g;g++){f[b[g]]=n.css(a,b[g],!1,d)}return f}return void 0!==c?n.style(a,b,c):n.css(a,b)},a,b,arguments.length>1)},show:function(){return Wb(this,!0)},hide:function(){return Wb(this)},toggle:function(a){return"boolean"==typeof a?a?this.show():this.hide():this.each(function(){V(this)?n(this).show():n(this).hide()})}});function $b(a,b,c,d,e){return new $b.prototype.init(a,b,c,d,e)}n.Tween=$b,$b.prototype={constructor:$b,init:function(a,b,c,d,e,f){this.elem=a,this.prop=c,this.easing=e||"swing",this.options=b,this.start=this.now=this.cur(),this.end=d,this.unit=f||(n.cssNumber[c]?"":"px")},cur:function(){var a=$b.propHooks[this.prop];return a&&a.get?a.get(this):$b.propHooks._default.get(this)},run:function(a){var b,c=$b.propHooks[this.prop];return this.pos=b=this.options.duration?n.easing[this.easing](a,this.options.duration*a,0,1,this.options.duration):a,this.now=(this.end-this.start)*b+this.start,this.options.step&&this.options.step.call(this.elem,this.now,this),c&&c.set?c.set(this):$b.propHooks._default.set(this),this}},$b.prototype.init.prototype=$b.prototype,$b.propHooks={_default:{get:function(a){var b;return null==a.elem[a.prop]||a.elem.style&&null!=a.elem.style[a.prop]?(b=n.css(a.elem,a.prop,""),b&&"auto"!==b?b:0):a.elem[a.prop]},set:function(a){n.fx.step[a.prop]?n.fx.step[a.prop](a):a.elem.style&&(null!=a.elem.style[n.cssProps[a.prop]]||n.cssHooks[a.prop])?n.style(a.elem,a.prop,a.now+a.unit):a.elem[a.prop]=a.now}}},$b.propHooks.scrollTop=$b.propHooks.scrollLeft={set:function(a){a.elem.nodeType&&a.elem.parentNode&&(a.elem[a.prop]=a.now)}},n.easing={linear:function(a){return a},swing:function(a){return 0.5-Math.cos(a*Math.PI)/2}},n.fx=$b.prototype.init,n.fx.step={};var _b,ac,bc=/^(?:toggle|show|hide)$/,cc=new RegExp("^(?:([+-])=|)("+T+")([a-z%]*)$","i"),dc=/queueHooks$/,ec=[jc],fc={"*":[function(a,b){var c=this.createTween(a,b),d=c.cur(),e=cc.exec(b),f=e&&e[3]||(n.cssNumber[a]?"":"px"),g=(n.cssNumber[a]||"px"!==f&&+d)&&cc.exec(n.css(c.elem,a)),h=1,i=20;if(g&&g[3]!==f){f=f||g[3],e=e||[],g=+d||1;do{h=h||".5",g/=h,n.style(c.elem,a,g+f)}while(h!==(h=c.cur()/d)&&1!==h&&--i)}return e&&(g=c.start=+g||+d||0,c.unit=f,c.end=e[1]?g+(e[1]+1)*e[2]:+e[2]),c}]};function gc(){return setTimeout(function(){_b=void 0}),_b=n.now()}function hc(a,b){var c,d={height:a},e=0;for(b=b?1:0;4>e;e+=2-b){c=U[e],d["margin"+c]=d["padding"+c]=a}return b&&(d.opacity=d.width=a),d}function ic(a,b,c){for(var d,e=(fc[b]||[]).concat(fc["*"]),f=0,g=e.length;g>f;f++){if(d=e[f].call(c,b,a)){return d}}}function jc(a,b,c){var d,e,f,g,h,i,j,k,m=this,o={},p=a.style,q=a.nodeType&&V(a),r=n._data(a,"fxshow");c.queue||(h=n._queueHooks(a,"fx"),null==h.unqueued&&(h.unqueued=0,i=h.empty.fire,h.empty.fire=function(){h.unqueued||i()}),h.unqueued++,m.always(function(){m.always(function(){h.unqueued--,n.queue(a,"fx").length||h.empty.fire()})})),1===a.nodeType&&("height" in b||"width" in b)&&(c.overflow=[p.overflow,p.overflowX,p.overflowY],j=n.css(a,"display"),k=Gb(a.nodeName),"none"===j&&(j=k),"inline"===j&&"none"===n.css(a,"float")&&(l.inlineBlockNeedsLayout&&"inline"!==k?p.zoom=1:p.display="inline-block")),c.overflow&&(p.overflow="hidden",l.shrinkWrapBlocks()||m.always(function(){p.overflow=c.overflow[0],p.overflowX=c.overflow[1],p.overflowY=c.overflow[2]}));for(d in b){if(e=b[d],bc.exec(e)){if(delete b[d],f=f||"toggle"===e,e===(q?"hide":"show")){if("show"!==e||!r||void 0===r[d]){continue}q=!0}o[d]=r&&r[d]||n.style(a,d)}}if(!n.isEmptyObject(o)){r?"hidden" in r&&(q=r.hidden):r=n._data(a,"fxshow",{}),f&&(r.hidden=!q),q?n(a).show():m.done(function(){n(a).hide()}),m.done(function(){var b;n._removeData(a,"fxshow");for(b in o){n.style(a,b,o[b])}});for(d in o){g=ic(q?r[d]:0,d,m),d in r||(r[d]=g.start,q&&(g.end=g.start,g.start="width"===d||"height"===d?1:0))}}}function kc(a,b){var c,d,e,f,g;for(c in a){if(d=n.camelCase(c),e=b[d],f=a[c],n.isArray(f)&&(e=f[1],f=a[c]=f[0]),c!==d&&(a[d]=f,delete a[c]),g=n.cssHooks[d],g&&"expand" in g){f=g.expand(f),delete a[d];for(c in f){c in a||(a[c]=f[c],b[c]=e)}}else{b[d]=e}}}function lc(a,b,c){var d,e,f=0,g=ec.length,h=n.Deferred().always(function(){delete i.elem}),i=function(){if(e){return !1}for(var b=_b||gc(),c=Math.max(0,j.startTime+j.duration-b),d=c/j.duration||0,f=1-d,g=0,i=j.tweens.length;i>g;g++){j.tweens[g].run(f)}return h.notifyWith(a,[j,f,c]),1>f&&i?c:(h.resolveWith(a,[j]),!1)},j=h.promise({elem:a,props:n.extend({},b),opts:n.extend(!0,{specialEasing:{}},c),originalProperties:b,originalOptions:c,startTime:_b||gc(),duration:c.duration,tweens:[],createTween:function(b,c){var d=n.Tween(a,j.opts,b,c,j.opts.specialEasing[b]||j.opts.easing);return j.tweens.push(d),d},stop:function(b){var c=0,d=b?j.tweens.length:0;if(e){return this}for(e=!0;d>c;c++){j.tweens[c].run(1)}return b?h.resolveWith(a,[j,b]):h.rejectWith(a,[j,b]),this}}),k=j.props;for(kc(k,j.opts.specialEasing);g>f;f++){if(d=ec[f].call(j,a,k,j.opts)){return d}}return n.map(k,ic,j),n.isFunction(j.opts.start)&&j.opts.start.call(a,j),n.fx.timer(n.extend(i,{elem:a,anim:j,queue:j.opts.queue})),j.progress(j.opts.progress).done(j.opts.done,j.opts.complete).fail(j.opts.fail).always(j.opts.always)}n.Animation=n.extend(lc,{tweener:function(a,b){n.isFunction(a)?(b=a,a=["*"]):a=a.split(" ");for(var c,d=0,e=a.length;e>d;d++){c=a[d],fc[c]=fc[c]||[],fc[c].unshift(b)}},prefilter:function(a,b){b?ec.unshift(a):ec.push(a)}}),n.speed=function(a,b,c){var d=a&&"object"==typeof a?n.extend({},a):{complete:c||!c&&b||n.isFunction(a)&&a,duration:a,easing:c&&b||b&&!n.isFunction(b)&&b};return d.duration=n.fx.off?0:"number"==typeof d.duration?d.duration:d.duration in n.fx.speeds?n.fx.speeds[d.duration]:n.fx.speeds._default,(null==d.queue||d.queue===!0)&&(d.queue="fx"),d.old=d.complete,d.complete=function(){n.isFunction(d.old)&&d.old.call(this),d.queue&&n.dequeue(this,d.queue)},d},n.fn.extend({fadeTo:function(a,b,c,d){return this.filter(V).css("opacity",0).show().end().animate({opacity:b},a,c,d)},animate:function(a,b,c,d){var e=n.isEmptyObject(a),f=n.speed(b,c,d),g=function(){var b=lc(this,n.extend({},a),f);(e||n._data(this,"finish"))&&b.stop(!0)};return g.finish=g,e||f.queue===!1?this.each(g):this.queue(f.queue,g)},stop:function(a,b,c){var d=function(a){var b=a.stop;delete a.stop,b(c)};return"string"!=typeof a&&(c=b,b=a,a=void 0),b&&a!==!1&&this.queue(a||"fx",[]),this.each(function(){var b=!0,e=null!=a&&a+"queueHooks",f=n.timers,g=n._data(this);if(e){g[e]&&g[e].stop&&d(g[e])}else{for(e in g){g[e]&&g[e].stop&&dc.test(e)&&d(g[e])}}for(e=f.length;e--;){f[e].elem!==this||null!=a&&f[e].queue!==a||(f[e].anim.stop(c),b=!1,f.splice(e,1))}(b||!c)&&n.dequeue(this,a)})},finish:function(a){return a!==!1&&(a=a||"fx"),this.each(function(){var b,c=n._data(this),d=c[a+"queue"],e=c[a+"queueHooks"],f=n.timers,g=d?d.length:0;for(c.finish=!0,n.queue(this,a,[]),e&&e.stop&&e.stop.call(this,!0),b=f.length;b--;){f[b].elem===this&&f[b].queue===a&&(f[b].anim.stop(!0),f.splice(b,1))}for(b=0;g>b;b++){d[b]&&d[b].finish&&d[b].finish.call(this)}delete c.finish})}}),n.each(["toggle","show","hide"],function(a,b){var c=n.fn[b];n.fn[b]=function(a,d,e){return null==a||"boolean"==typeof a?c.apply(this,arguments):this.animate(hc(b,!0),a,d,e)}}),n.each({slideDown:hc("show"),slideUp:hc("hide"),slideToggle:hc("toggle"),fadeIn:{opacity:"show"},fadeOut:{opacity:"hide"},fadeToggle:{opacity:"toggle"}},function(a,b){n.fn[a]=function(a,c,d){return this.animate(b,a,c,d)}}),n.timers=[],n.fx.tick=function(){var a,b=n.timers,c=0;for(_b=n.now();c<b.length;c++){a=b[c],a()||b[c]!==a||b.splice(c--,1)}b.length||n.fx.stop(),_b=void 0},n.fx.timer=function(a){n.timers.push(a),a()?n.fx.start():n.timers.pop()},n.fx.interval=13,n.fx.start=function(){ac||(ac=setInterval(n.fx.tick,n.fx.interval))},n.fx.stop=function(){clearInterval(ac),ac=null},n.fx.speeds={slow:600,fast:200,_default:400},n.fn.delay=function(a,b){return a=n.fx?n.fx.speeds[a]||a:a,b=b||"fx",this.queue(b,function(b,c){var d=setTimeout(b,a);c.stop=function(){clearTimeout(d)}})},function(){var a,b,c,d,e=z.createElement("div");e.setAttribute("className","t"),e.innerHTML="  <link/><table></table><a href='/a'>a</a><input type='checkbox'/>",a=e.getElementsByTagName("a")[0],c=z.createElement("select"),d=c.appendChild(z.createElement("option")),b=e.getElementsByTagName("input")[0],a.style.cssText="top:1px",l.getSetAttribute="t"!==e.className,l.style=/top/.test(a.getAttribute("style")),l.hrefNormalized="/a"===a.getAttribute("href"),l.checkOn=!!b.value,l.optSelected=d.selected,l.enctype=!!z.createElement("form").enctype,c.disabled=!0,l.optDisabled=!d.disabled,b=z.createElement("input"),b.setAttribute("value",""),l.input=""===b.getAttribute("value"),b.value="t",b.setAttribute("type","radio"),l.radioValue="t"===b.value,a=b=c=d=e=null}();var mc=/\r/g;n.fn.extend({val:function(a){var b,c,d,e=this[0];if(arguments.length){return d=n.isFunction(a),this.each(function(c){var e;1===this.nodeType&&(e=d?a.call(this,c,n(this).val()):a,null==e?e="":"number"==typeof e?e+="":n.isArray(e)&&(e=n.map(e,function(a){return null==a?"":a+""})),b=n.valHooks[this.type]||n.valHooks[this.nodeName.toLowerCase()],b&&"set" in b&&void 0!==b.set(this,e,"value")||(this.value=e))})}if(e){return b=n.valHooks[e.type]||n.valHooks[e.nodeName.toLowerCase()],b&&"get" in b&&void 0!==(c=b.get(e,"value"))?c:(c=e.value,"string"==typeof c?c.replace(mc,""):null==c?"":c)}}}),n.extend({valHooks:{option:{get:function(a){var b=n.find.attr(a,"value");return null!=b?b:n.text(a)}},select:{get:function(a){for(var b,c,d=a.options,e=a.selectedIndex,f="select-one"===a.type||0>e,g=f?null:[],h=f?e+1:d.length,i=0>e?h:f?e:0;h>i;i++){if(c=d[i],!(!c.selected&&i!==e||(l.optDisabled?c.disabled:null!==c.getAttribute("disabled"))||c.parentNode.disabled&&n.nodeName(c.parentNode,"optgroup"))){if(b=n(c).val(),f){return b}g.push(b)}}return g},set:function(a,b){var c,d,e=a.options,f=n.makeArray(b),g=e.length;while(g--){if(d=e[g],n.inArray(n.valHooks.option.get(d),f)>=0){try{d.selected=c=!0}catch(h){d.scrollHeight}}else{d.selected=!1}}return c||(a.selectedIndex=-1),e}}}}),n.each(["radio","checkbox"],function(){n.valHooks[this]={set:function(a,b){return n.isArray(b)?a.checked=n.inArray(n(a).val(),b)>=0:void 0}},l.checkOn||(n.valHooks[this].get=function(a){return null===a.getAttribute("value")?"on":a.value})});var nc,oc,pc=n.expr.attrHandle,qc=/^(?:checked|selected)$/i,rc=l.getSetAttribute,sc=l.input;n.fn.extend({attr:function(a,b){return W(this,n.attr,a,b,arguments.length>1)},removeAttr:function(a){return this.each(function(){n.removeAttr(this,a)})}}),n.extend({attr:function(a,b,c){var d,e,f=a.nodeType;if(a&&3!==f&&8!==f&&2!==f){return typeof a.getAttribute===L?n.prop(a,b,c):(1===f&&n.isXMLDoc(a)||(b=b.toLowerCase(),d=n.attrHooks[b]||(n.expr.match.bool.test(b)?oc:nc)),void 0===c?d&&"get" in d&&null!==(e=d.get(a,b))?e:(e=n.find.attr(a,b),null==e?void 0:e):null!==c?d&&"set" in d&&void 0!==(e=d.set(a,c,b))?e:(a.setAttribute(b,c+""),c):void n.removeAttr(a,b))}},removeAttr:function(a,b){var c,d,e=0,f=b&&b.match(F);if(f&&1===a.nodeType){while(c=f[e++]){d=n.propFix[c]||c,n.expr.match.bool.test(c)?sc&&rc||!qc.test(c)?a[d]=!1:a[n.camelCase("default-"+c)]=a[d]=!1:n.attr(a,c,""),a.removeAttribute(rc?c:d)}}},attrHooks:{type:{set:function(a,b){if(!l.radioValue&&"radio"===b&&n.nodeName(a,"input")){var c=a.value;return a.setAttribute("type",b),c&&(a.value=c),b}}}}}),oc={set:function(a,b,c){return b===!1?n.removeAttr(a,c):sc&&rc||!qc.test(c)?a.setAttribute(!rc&&n.propFix[c]||c,c):a[n.camelCase("default-"+c)]=a[c]=!0,c}},n.each(n.expr.match.bool.source.match(/\w+/g),function(a,b){var c=pc[b]||n.find.attr;pc[b]=sc&&rc||!qc.test(b)?function(a,b,d){var e,f;return d||(f=pc[b],pc[b]=e,e=null!=c(a,b,d)?b.toLowerCase():null,pc[b]=f),e}:function(a,b,c){return c?void 0:a[n.camelCase("default-"+b)]?b.toLowerCase():null}}),sc&&rc||(n.attrHooks.value={set:function(a,b,c){return n.nodeName(a,"input")?void (a.defaultValue=b):nc&&nc.set(a,b,c)}}),rc||(nc={set:function(a,b,c){var d=a.getAttributeNode(c);return d||a.setAttributeNode(d=a.ownerDocument.createAttribute(c)),d.value=b+="","value"===c||b===a.getAttribute(c)?b:void 0}},pc.id=pc.name=pc.coords=function(a,b,c){var d;return c?void 0:(d=a.getAttributeNode(b))&&""!==d.value?d.value:null},n.valHooks.button={get:function(a,b){var c=a.getAttributeNode(b);return c&&c.specified?c.value:void 0},set:nc.set},n.attrHooks.contenteditable={set:function(a,b,c){nc.set(a,""===b?!1:b,c)}},n.each(["width","height"],function(a,b){n.attrHooks[b]={set:function(a,c){return""===c?(a.setAttribute(b,"auto"),c):void 0}}})),l.style||(n.attrHooks.style={get:function(a){return a.style.cssText||void 0},set:function(a,b){return a.style.cssText=b+""}});var tc=/^(?:input|select|textarea|button|object)$/i,uc=/^(?:a|area)$/i;n.fn.extend({prop:function(a,b){return W(this,n.prop,a,b,arguments.length>1)},removeProp:function(a){return a=n.propFix[a]||a,this.each(function(){try{this[a]=void 0,delete this[a]}catch(b){}})}}),n.extend({propFix:{"for":"htmlFor","class":"className"},prop:function(a,b,c){var d,e,f,g=a.nodeType;if(a&&3!==g&&8!==g&&2!==g){return f=1!==g||!n.isXMLDoc(a),f&&(b=n.propFix[b]||b,e=n.propHooks[b]),void 0!==c?e&&"set" in e&&void 0!==(d=e.set(a,c,b))?d:a[b]=c:e&&"get" in e&&null!==(d=e.get(a,b))?d:a[b]}},propHooks:{tabIndex:{get:function(a){var b=n.find.attr(a,"tabindex");return b?parseInt(b,10):tc.test(a.nodeName)||uc.test(a.nodeName)&&a.href?0:-1}}}}),l.hrefNormalized||n.each(["href","src"],function(a,b){n.propHooks[b]={get:function(a){return a.getAttribute(b,4)}}}),l.optSelected||(n.propHooks.selected={get:function(a){var b=a.parentNode;return b&&(b.selectedIndex,b.parentNode&&b.parentNode.selectedIndex),null}}),n.each(["tabIndex","readOnly","maxLength","cellSpacing","cellPadding","rowSpan","colSpan","useMap","frameBorder","contentEditable"],function(){n.propFix[this.toLowerCase()]=this}),l.enctype||(n.propFix.enctype="encoding");var vc=/[\t\r\n\f]/g;n.fn.extend({addClass:function(a){var b,c,d,e,f,g,h=0,i=this.length,j="string"==typeof a&&a;if(n.isFunction(a)){return this.each(function(b){n(this).addClass(a.call(this,b,this.className))})}if(j){for(b=(a||"").match(F)||[];i>h;h++){if(c=this[h],d=1===c.nodeType&&(c.className?(" "+c.className+" ").replace(vc," "):" ")){f=0;while(e=b[f++]){d.indexOf(" "+e+" ")<0&&(d+=e+" ")}g=n.trim(d),c.className!==g&&(c.className=g)}}}return this},removeClass:function(a){var b,c,d,e,f,g,h=0,i=this.length,j=0===arguments.length||"string"==typeof a&&a;if(n.isFunction(a)){return this.each(function(b){n(this).removeClass(a.call(this,b,this.className))})}if(j){for(b=(a||"").match(F)||[];i>h;h++){if(c=this[h],d=1===c.nodeType&&(c.className?(" "+c.className+" ").replace(vc," "):"")){f=0;while(e=b[f++]){while(d.indexOf(" "+e+" ")>=0){d=d.replace(" "+e+" "," ")}}g=a?n.trim(d):"",c.className!==g&&(c.className=g)}}}return this},toggleClass:function(a,b){var c=typeof a;return"boolean"==typeof b&&"string"===c?b?this.addClass(a):this.removeClass(a):this.each(n.isFunction(a)?function(c){n(this).toggleClass(a.call(this,c,this.className,b),b)}:function(){if("string"===c){var b,d=0,e=n(this),f=a.match(F)||[];while(b=f[d++]){e.hasClass(b)?e.removeClass(b):e.addClass(b)}}else{(c===L||"boolean"===c)&&(this.className&&n._data(this,"__className__",this.className),this.className=this.className||a===!1?"":n._data(this,"__className__")||"")}})},hasClass:function(a){for(var b=" "+a+" ",c=0,d=this.length;d>c;c++){if(1===this[c].nodeType&&(" "+this[c].className+" ").replace(vc," ").indexOf(b)>=0){return !0}}return !1}}),n.each("blur focus focusin focusout load resize scroll unload click dblclick mousedown mouseup mousemove mouseover mouseout mouseenter mouseleave change select submit keydown keypress keyup error contextmenu".split(" "),function(a,b){n.fn[b]=function(a,c){return arguments.length>0?this.on(b,null,a,c):this.trigger(b)}}),n.fn.extend({hover:function(a,b){return this.mouseenter(a).mouseleave(b||a)},bind:function(a,b,c){return this.on(a,null,b,c)},unbind:function(a,b){return this.off(a,null,b)},delegate:function(a,b,c,d){return this.on(b,a,c,d)},undelegate:function(a,b,c){return 1===arguments.length?this.off(a,"**"):this.off(b,a||"**",c)}});var wc=n.now(),xc=/\?/,yc=/(,)|(\[|{)|(}|])|"(?:[^"\\\r\n]|\\["\\\/bfnrt]|\\u[\da-fA-F]{4})*"\s*:?|true|false|null|-?(?!0\d)\d+(?:\.\d+|)(?:[eE][+-]?\d+|)/g;n.parseJSON=function(b){if(a.JSON&&a.JSON.parse){return a.JSON.parse(b+"")}var c,d=null,e=n.trim(b+"");return e&&!n.trim(e.replace(yc,function(a,b,e,f){return c&&b&&(d=0),0===d?a:(c=e||b,d+=!f-!e,"")}))?Function("return "+e)():n.error("Invalid JSON: "+b)},n.parseXML=function(b){var c,d;if(!b||"string"!=typeof b){return null}try{a.DOMParser?(d=new DOMParser,c=d.parseFromString(b,"text/xml")):(c=new ActiveXObject("Microsoft.XMLDOM"),c.async="false",c.loadXML(b))}catch(e){c=void 0}return c&&c.documentElement&&!c.getElementsByTagName("parsererror").length||n.error("Invalid XML: "+b),c};var zc,Ac,Bc=/#.*$/,Cc=/([?&])_=[^&]*/,Dc=/^(.*?):[ \t]*([^\r\n]*)\r?$/gm,Ec=/^(?:about|app|app-storage|.+-extension|file|res|widget):$/,Fc=/^(?:GET|HEAD)$/,Gc=/^\/\//,Hc=/^([\w.+-]+:)(?:\/\/(?:[^\/?#]*@|)([^\/?#:]*)(?::(\d+)|)|)/,Ic={},Jc={},Kc="*/".concat("*");try{Ac=location.href}catch(Lc){Ac=z.createElement("a"),Ac.href="",Ac=Ac.href}zc=Hc.exec(Ac.toLowerCase())||[];function Mc(a){return function(b,c){"string"!=typeof b&&(c=b,b="*");var d,e=0,f=b.toLowerCase().match(F)||[];if(n.isFunction(c)){while(d=f[e++]){"+"===d.charAt(0)?(d=d.slice(1)||"*",(a[d]=a[d]||[]).unshift(c)):(a[d]=a[d]||[]).push(c)}}}}function Nc(a,b,c,d){var e={},f=a===Jc;function g(h){var i;return e[h]=!0,n.each(a[h]||[],function(a,h){var j=h(b,c,d);return"string"!=typeof j||f||e[j]?f?!(i=j):void 0:(b.dataTypes.unshift(j),g(j),!1)}),i}return g(b.dataTypes[0])||!e["*"]&&g("*")}function Oc(a,b){var c,d,e=n.ajaxSettings.flatOptions||{};for(d in b){void 0!==b[d]&&((e[d]?a:c||(c={}))[d]=b[d])}return c&&n.extend(!0,a,c),a}function Pc(a,b,c){var d,e,f,g,h=a.contents,i=a.dataTypes;while("*"===i[0]){i.shift(),void 0===e&&(e=a.mimeType||b.getResponseHeader("Content-Type"))}if(e){for(g in h){if(h[g]&&h[g].test(e)){i.unshift(g);break}}}if(i[0] in c){f=i[0]}else{for(g in c){if(!i[0]||a.converters[g+" "+i[0]]){f=g;break}d||(d=g)}f=f||d}return f?(f!==i[0]&&i.unshift(f),c[f]):void 0}function Qc(a,b,c,d){var e,f,g,h,i,j={},k=a.dataTypes.slice();if(k[1]){for(g in a.converters){j[g.toLowerCase()]=a.converters[g]}}f=k.shift();while(f){if(a.responseFields[f]&&(c[a.responseFields[f]]=b),!i&&d&&a.dataFilter&&(b=a.dataFilter(b,a.dataType)),i=f,f=k.shift()){if("*"===f){f=i}else{if("*"!==i&&i!==f){if(g=j[i+" "+f]||j["* "+f],!g){for(e in j){if(h=e.split(" "),h[1]===f&&(g=j[i+" "+h[0]]||j["* "+h[0]])){g===!0?g=j[e]:j[e]!==!0&&(f=h[0],k.unshift(h[1]));break}}}if(g!==!0){if(g&&a["throws"]){b=g(b)}else{try{b=g(b)}catch(l){return{state:"parsererror",error:g?l:"No conversion from "+i+" to "+f}}}}}}}}return{state:"success",data:b}}n.extend({active:0,lastModified:{},etag:{},ajaxSettings:{url:Ac,type:"GET",isLocal:Ec.test(zc[1]),global:!0,processData:!0,async:!0,contentType:"application/x-www-form-urlencoded; charset=UTF-8",accepts:{"*":Kc,text:"text/plain",html:"text/html",xml:"application/xml, text/xml",json:"application/json, text/javascript"},contents:{xml:/xml/,html:/html/,json:/json/},responseFields:{xml:"responseXML",text:"responseText",json:"responseJSON"},converters:{"* text":String,"text html":!0,"text json":n.parseJSON,"text xml":n.parseXML},flatOptions:{url:!0,context:!0}},ajaxSetup:function(a,b){return b?Oc(Oc(a,n.ajaxSettings),b):Oc(n.ajaxSettings,a)},ajaxPrefilter:Mc(Ic),ajaxTransport:Mc(Jc),ajax:function(a,b){"object"==typeof a&&(b=a,a=void 0),b=b||{};var c,d,e,f,g,h,i,j,k=n.ajaxSetup({},b),l=k.context||k,m=k.context&&(l.nodeType||l.jquery)?n(l):n.event,o=n.Deferred(),p=n.Callbacks("once memory"),q=k.statusCode||{},r={},s={},t=0,u="canceled",v={readyState:0,getResponseHeader:function(a){var b;if(2===t){if(!j){j={};while(b=Dc.exec(f)){j[b[1].toLowerCase()]=b[2]}}b=j[a.toLowerCase()]}return null==b?null:b},getAllResponseHeaders:function(){return 2===t?f:null},setRequestHeader:function(a,b){var c=a.toLowerCase();return t||(a=s[c]=s[c]||a,r[a]=b),this},overrideMimeType:function(a){return t||(k.mimeType=a),this},statusCode:function(a){var b;if(a){if(2>t){for(b in a){q[b]=[q[b],a[b]]}}else{v.always(a[v.status])}}return this},abort:function(a){var b=a||u;return i&&i.abort(b),x(0,b),this}};if(o.promise(v).complete=p.add,v.success=v.done,v.error=v.fail,k.url=((a||k.url||Ac)+"").replace(Bc,"").replace(Gc,zc[1]+"//"),k.type=b.method||b.type||k.method||k.type,k.dataTypes=n.trim(k.dataType||"*").toLowerCase().match(F)||[""],null==k.crossDomain&&(c=Hc.exec(k.url.toLowerCase()),k.crossDomain=!(!c||c[1]===zc[1]&&c[2]===zc[2]&&(c[3]||("http:"===c[1]?"80":"443"))===(zc[3]||("http:"===zc[1]?"80":"443")))),k.data&&k.processData&&"string"!=typeof k.data&&(k.data=n.param(k.data,k.traditional)),Nc(Ic,k,b,v),2===t){return v}h=k.global,h&&0===n.active++&&n.event.trigger("ajaxStart"),k.type=k.type.toUpperCase(),k.hasContent=!Fc.test(k.type),e=k.url,k.hasContent||(k.data&&(e=k.url+=(xc.test(e)?"&":"?")+k.data,delete k.data),k.cache===!1&&(k.url=Cc.test(e)?e.replace(Cc,"$1_="+wc++):e+(xc.test(e)?"&":"?")+"_="+wc++)),k.ifModified&&(n.lastModified[e]&&v.setRequestHeader("If-Modified-Since",n.lastModified[e]),n.etag[e]&&v.setRequestHeader("If-None-Match",n.etag[e])),(k.data&&k.hasContent&&k.contentType!==!1||b.contentType)&&v.setRequestHeader("Content-Type",k.contentType),v.setRequestHeader("Accept",k.dataTypes[0]&&k.accepts[k.dataTypes[0]]?k.accepts[k.dataTypes[0]]+("*"!==k.dataTypes[0]?", "+Kc+"; q=0.01":""):k.accepts["*"]);for(d in k.headers){v.setRequestHeader(d,k.headers[d])}if(k.beforeSend&&(k.beforeSend.call(l,v,k)===!1||2===t)){return v.abort()}u="abort";for(d in {success:1,error:1,complete:1}){v[d](k[d])}if(i=Nc(Jc,k,b,v)){v.readyState=1,h&&m.trigger("ajaxSend",[v,k]),k.async&&k.timeout>0&&(g=setTimeout(function(){v.abort("timeout")},k.timeout));try{t=1,i.send(r,x)}catch(w){if(!(2>t)){throw w}x(-1,w)}}else{x(-1,"No Transport")}function x(a,b,c,d){var j,r,s,u,w,x=b;2!==t&&(t=2,g&&clearTimeout(g),i=void 0,f=d||"",v.readyState=a>0?4:0,j=a>=200&&300>a||304===a,c&&(u=Pc(k,v,c)),u=Qc(k,u,v,j),j?(k.ifModified&&(w=v.getResponseHeader("Last-Modified"),w&&(n.lastModified[e]=w),w=v.getResponseHeader("etag"),w&&(n.etag[e]=w)),204===a||"HEAD"===k.type?x="nocontent":304===a?x="notmodified":(x=u.state,r=u.data,s=u.error,j=!s)):(s=x,(a||!x)&&(x="error",0>a&&(a=0))),v.status=a,v.statusText=(b||x)+"",j?o.resolveWith(l,[r,x,v]):o.rejectWith(l,[v,x,s]),v.statusCode(q),q=void 0,h&&m.trigger(j?"ajaxSuccess":"ajaxError",[v,k,j?r:s]),p.fireWith(l,[v,x]),h&&(m.trigger("ajaxComplete",[v,k]),--n.active||n.event.trigger("ajaxStop")))}return v},getJSON:function(a,b,c){return n.get(a,b,c,"json")},getScript:function(a,b){return n.get(a,void 0,b,"script")}}),n.each(["get","post"],function(a,b){n[b]=function(a,c,d,e){return n.isFunction(c)&&(e=e||d,d=c,c=void 0),n.ajax({url:a,type:b,dataType:e,data:c,success:d})}}),n.each(["ajaxStart","ajaxStop","ajaxComplete","ajaxError","ajaxSuccess","ajaxSend"],function(a,b){n.fn[b]=function(a){return this.on(b,a)}}),n._evalUrl=function(a){return n.ajax({url:a,type:"GET",dataType:"script",async:!1,global:!1,"throws":!0})},n.fn.extend({wrapAll:function(a){if(n.isFunction(a)){return this.each(function(b){n(this).wrapAll(a.call(this,b))})}if(this[0]){var b=n(a,this[0].ownerDocument).eq(0).clone(!0);this[0].parentNode&&b.insertBefore(this[0]),b.map(function(){var a=this;while(a.firstChild&&1===a.firstChild.nodeType){a=a.firstChild}return a}).append(this)}return this},wrapInner:function(a){return this.each(n.isFunction(a)?function(b){n(this).wrapInner(a.call(this,b))}:function(){var b=n(this),c=b.contents();c.length?c.wrapAll(a):b.append(a)})},wrap:function(a){var b=n.isFunction(a);return this.each(function(c){n(this).wrapAll(b?a.call(this,c):a)})},unwrap:function(){return this.parent().each(function(){n.nodeName(this,"body")||n(this).replaceWith(this.childNodes)}).end()}}),n.expr.filters.hidden=function(a){return a.offsetWidth<=0&&a.offsetHeight<=0||!l.reliableHiddenOffsets()&&"none"===(a.style&&a.style.display||n.css(a,"display"))},n.expr.filters.visible=function(a){return !n.expr.filters.hidden(a)};var Rc=/%20/g,Sc=/\[\]$/,Tc=/\r?\n/g,Uc=/^(?:submit|button|image|reset|file)$/i,Vc=/^(?:input|select|textarea|keygen)/i;function Wc(a,b,c,d){var e;if(n.isArray(b)){n.each(b,function(b,e){c||Sc.test(a)?d(a,e):Wc(a+"["+("object"==typeof e?b:"")+"]",e,c,d)})}else{if(c||"object"!==n.type(b)){d(a,b)}else{for(e in b){Wc(a+"["+e+"]",b[e],c,d)}}}}n.param=function(a,b){var c,d=[],e=function(a,b){b=n.isFunction(b)?b():null==b?"":b,d[d.length]=encodeURIComponent(a)+"="+encodeURIComponent(b)};if(void 0===b&&(b=n.ajaxSettings&&n.ajaxSettings.traditional),n.isArray(a)||a.jquery&&!n.isPlainObject(a)){n.each(a,function(){e(this.name,this.value)})}else{for(c in a){Wc(c,a[c],b,e)}}return d.join("&").replace(Rc,"+")},n.fn.extend({serialize:function(){return n.param(this.serializeArray())},serializeArray:function(){return this.map(function(){var a=n.prop(this,"elements");return a?n.makeArray(a):this}).filter(function(){var a=this.type;return this.name&&!n(this).is(":disabled")&&Vc.test(this.nodeName)&&!Uc.test(a)&&(this.checked||!X.test(a))}).map(function(a,b){var c=n(this).val();return null==c?null:n.isArray(c)?n.map(c,function(a){return{name:b.name,value:a.replace(Tc,"\r\n")}}):{name:b.name,value:c.replace(Tc,"\r\n")}}).get()}}),n.ajaxSettings.xhr=void 0!==a.ActiveXObject?function(){return !this.isLocal&&/^(get|post|head|put|delete|options)$/i.test(this.type)&&$c()||_c()}:$c;var Xc=0,Yc={},Zc=n.ajaxSettings.xhr();a.ActiveXObject&&n(a).on("unload",function(){for(var a in Yc){Yc[a](void 0,!0)}}),l.cors=!!Zc&&"withCredentials" in Zc,Zc=l.ajax=!!Zc,Zc&&n.ajaxTransport(function(a){if(!a.crossDomain||l.cors){var b;return{send:function(c,d){var e,f=a.xhr(),g=++Xc;if(f.open(a.type,a.url,a.async,a.username,a.password),a.xhrFields){for(e in a.xhrFields){f[e]=a.xhrFields[e]}}a.mimeType&&f.overrideMimeType&&f.overrideMimeType(a.mimeType),a.crossDomain||c["X-Requested-With"]||(c["X-Requested-With"]="XMLHttpRequest");for(e in c){void 0!==c[e]&&f.setRequestHeader(e,c[e]+"")}f.send(a.hasContent&&a.data||null),b=function(c,e){var h,i,j;if(b&&(e||4===f.readyState)){if(delete Yc[g],b=void 0,f.onreadystatechange=n.noop,e){4!==f.readyState&&f.abort()}else{j={},h=f.status,"string"==typeof f.responseText&&(j.text=f.responseText);try{i=f.statusText}catch(k){i=""}h||!a.isLocal||a.crossDomain?1223===h&&(h=204):h=j.text?200:404}}j&&d(h,i,j,f.getAllResponseHeaders())},a.async?4===f.readyState?setTimeout(b):f.onreadystatechange=Yc[g]=b:b()},abort:function(){b&&b(void 0,!0)}}}});function $c(){try{return new a.XMLHttpRequest}catch(b){}}function _c(){try{return new a.ActiveXObject("Microsoft.XMLHTTP")}catch(b){}}n.ajaxSetup({accepts:{script:"text/javascript, application/javascript, application/ecmascript, application/x-ecmascript"},contents:{script:/(?:java|ecma)script/},converters:{"text script":function(a){return n.globalEval(a),a}}}),n.ajaxPrefilter("script",function(a){void 0===a.cache&&(a.cache=!1),a.crossDomain&&(a.type="GET",a.global=!1)}),n.ajaxTransport("script",function(a){if(a.crossDomain){var b,c=z.head||n("head")[0]||z.documentElement;return{send:function(d,e){b=z.createElement("script"),b.async=!0,a.scriptCharset&&(b.charset=a.scriptCharset),b.src=a.url,b.onload=b.onreadystatechange=function(a,c){(c||!b.readyState||/loaded|complete/.test(b.readyState))&&(b.onload=b.onreadystatechange=null,b.parentNode&&b.parentNode.removeChild(b),b=null,c||e(200,"success"))},c.insertBefore(b,c.firstChild)},abort:function(){b&&b.onload(void 0,!0)}}}});var ad=[],bd=/(=)\?(?=&|$)|\?\?/;n.ajaxSetup({jsonp:"callback",jsonpCallback:function(){var a=ad.pop()||n.expando+"_"+wc++;return this[a]=!0,a}}),n.ajaxPrefilter("json jsonp",function(b,c,d){var e,f,g,h=b.jsonp!==!1&&(bd.test(b.url)?"url":"string"==typeof b.data&&!(b.contentType||"").indexOf("application/x-www-form-urlencoded")&&bd.test(b.data)&&"data");return h||"jsonp"===b.dataTypes[0]?(e=b.jsonpCallback=n.isFunction(b.jsonpCallback)?b.jsonpCallback():b.jsonpCallback,h?b[h]=b[h].replace(bd,"$1"+e):b.jsonp!==!1&&(b.url+=(xc.test(b.url)?"&":"?")+b.jsonp+"="+e),b.converters["script json"]=function(){return g||n.error(e+" was not called"),g[0]},b.dataTypes[0]="json",f=a[e],a[e]=function(){g=arguments},d.always(function(){a[e]=f,b[e]&&(b.jsonpCallback=c.jsonpCallback,ad.push(e)),g&&n.isFunction(f)&&f(g[0]),g=f=void 0}),"script"):void 0}),n.parseHTML=function(a,b,c){if(!a||"string"!=typeof a){return null}"boolean"==typeof b&&(c=b,b=!1),b=b||z;var d=v.exec(a),e=!c&&[];return d?[b.createElement(d[1])]:(d=n.buildFragment([a],b,e),e&&e.length&&n(e).remove(),n.merge([],d.childNodes))};var cd=n.fn.load;n.fn.load=function(a,b,c){if("string"!=typeof a&&cd){return cd.apply(this,arguments)}var d,e,f,g=this,h=a.indexOf(" ");return h>=0&&(d=a.slice(h,a.length),a=a.slice(0,h)),n.isFunction(b)?(c=b,b=void 0):b&&"object"==typeof b&&(f="POST"),g.length>0&&n.ajax({url:a,type:f,dataType:"html",data:b}).done(function(a){e=arguments,g.html(d?n("<div>").append(n.parseHTML(a)).find(d):a)}).complete(c&&function(a,b){g.each(c,e||[a.responseText,b,a])}),this},n.expr.filters.animated=function(a){return n.grep(n.timers,function(b){return a===b.elem}).length};var dd=a.document.documentElement;function ed(a){return n.isWindow(a)?a:9===a.nodeType?a.defaultView||a.parentWindow:!1}n.offset={setOffset:function(a,b,c){var d,e,f,g,h,i,j,k=n.css(a,"position"),l=n(a),m={};"static"===k&&(a.style.position="relative"),h=l.offset(),f=n.css(a,"top"),i=n.css(a,"left"),j=("absolute"===k||"fixed"===k)&&n.inArray("auto",[f,i])>-1,j?(d=l.position(),g=d.top,e=d.left):(g=parseFloat(f)||0,e=parseFloat(i)||0),n.isFunction(b)&&(b=b.call(a,c,h)),null!=b.top&&(m.top=b.top-h.top+g),null!=b.left&&(m.left=b.left-h.left+e),"using" in b?b.using.call(a,m):l.css(m)}},n.fn.extend({offset:function(a){if(arguments.length){return void 0===a?this:this.each(function(b){n.offset.setOffset(this,a,b)})}var b,c,d={top:0,left:0},e=this[0],f=e&&e.ownerDocument;if(f){return b=f.documentElement,n.contains(b,e)?(typeof e.getBoundingClientRect!==L&&(d=e.getBoundingClientRect()),c=ed(f),{top:d.top+(c.pageYOffset||b.scrollTop)-(b.clientTop||0),left:d.left+(c.pageXOffset||b.scrollLeft)-(b.clientLeft||0)}):d}},position:function(){if(this[0]){var a,b,c={top:0,left:0},d=this[0];return"fixed"===n.css(d,"position")?b=d.getBoundingClientRect():(a=this.offsetParent(),b=this.offset(),n.nodeName(a[0],"html")||(c=a.offset()),c.top+=n.css(a[0],"borderTopWidth",!0),c.left+=n.css(a[0],"borderLeftWidth",!0)),{top:b.top-c.top-n.css(d,"marginTop",!0),left:b.left-c.left-n.css(d,"marginLeft",!0)}}},offsetParent:function(){return this.map(function(){var a=this.offsetParent||dd;while(a&&!n.nodeName(a,"html")&&"static"===n.css(a,"position")){a=a.offsetParent}return a||dd})}}),n.each({scrollLeft:"pageXOffset",scrollTop:"pageYOffset"},function(a,b){var c=/Y/.test(b);n.fn[a]=function(d){return W(this,function(a,d,e){var f=ed(a);return void 0===e?f?b in f?f[b]:f.document.documentElement[d]:a[d]:void (f?f.scrollTo(c?n(f).scrollLeft():e,c?e:n(f).scrollTop()):a[d]=e)},a,d,arguments.length,null)}}),n.each(["top","left"],function(a,b){n.cssHooks[b]=Mb(l.pixelPosition,function(a,c){return c?(c=Kb(a,b),Ib.test(c)?n(a).position()[b]+"px":c):void 0})}),n.each({Height:"height",Width:"width"},function(a,b){n.each({padding:"inner"+a,content:b,"":"outer"+a},function(c,d){n.fn[d]=function(d,e){var f=arguments.length&&(c||"boolean"!=typeof d),g=c||(d===!0||e===!0?"margin":"border");return W(this,function(b,c,d){var e;return n.isWindow(b)?b.document.documentElement["client"+a]:9===b.nodeType?(e=b.documentElement,Math.max(b.body["scroll"+a],e["scroll"+a],b.body["offset"+a],e["offset"+a],e["client"+a])):void 0===d?n.css(b,c,g):n.style(b,c,d,g)},b,f?d:void 0,f,null)}})}),n.fn.size=function(){return this.length},n.fn.andSelf=n.fn.addBack,"function"==typeof define&&define.amd&&define("jquery",[],function(){return n});var fd=a.jQuery,gd=a.$;return n.noConflict=function(b){return a.$===n&&(a.$=gd),b&&a.jQuery===n&&(a.jQuery=fd),n},typeof b===L&&(a.jQuery=a.$=n),n});
!function(t,f){function g(w,m,j){var q=w.children(),k=!1;w.empty();for(var y=0,x=q.length;x>y;y++){var b=q.eq(y);if(w.append(b),j&&w.append(j),a(w,m)){b.remove(),k=!0;break}j&&j.detach()}return k}function o(y,j,q,x,b){var k=!1,m="table, thead, tbody, tfoot, tr, col, colgroup, object, embed, param, ol, ul, dl, blockquote, select, optgroup, option, textarea, script, style",w="script, .dotdotdot-keep";return y.contents().detach().each(function(){var z=this,A=t(z);if("undefined"==typeof z||3==z.nodeType&&0==t.trim(z.data).length){return !0}if(A.is(w)){y.append(A)}else{if(k){return !0}y.append(A),b&&y[y.is(m)?"after":"append"](b),a(q,x)&&(k=3==z.nodeType?h(A,j,q,x,b):o(A,j,q,x,b),k||(A.detach(),k=!0)),k||b&&b.detach()}}),k}function h(A,H,D,b,z){var y=A[0];if(!y){return !1}var B=s(y),E=-1!==B.indexOf(" ")?" ":"　",m="letter"==b.wrap?"":E,C=B.split(m),j=-1,k=-1,w=0,x=C.length-1;for(b.fallbackToLetter&&0==w&&0==x&&(m="",C=B.split(m),x=C.length-1);x>=w&&(0!=w||0!=x);){var G=Math.floor((w+x)/2);if(G==k){break}k=G,d(y,C.slice(0,k+1).join(m)+b.ellipsis),a(D,b)?(x=k,b.fallbackToLetter&&0==w&&0==x&&(m="",C=C[0].split(m),j=-1,k=-1,w=0,x=C.length-1)):(j=k,w=k)}if(-1==j||1==C.length&&0==C[0].length){var q=A.parent();A.detach();var F=z&&z.closest(q).length?z.length:0;q.contents().length>F?y=u(q.contents().eq(-1-F),H):(y=u(q,H,!0),F||q.detach()),y&&(B=r(s(y),b),d(y,B),F&&z&&t(y).parent().append(z))}else{B=r(C.slice(0,j+1).join(m),b),d(y,B)}return !0}function a(b,j){return b.innerHeight()>j.maxHeight}function r(b,j){for(;t.inArray(b.slice(-1),j.lastCharacter.remove)>-1;){b=b.slice(0,-1)}return t.inArray(b.slice(-1),j.lastCharacter.noEllipsis)<0&&(b+=j.ellipsis),b}function e(b){return{width:b.innerWidth(),height:b.innerHeight()}}function d(b,j){b.innerText?b.innerText=j:b.nodeValue?b.nodeValue=j:b.textContent&&(b.textContent=j)}function s(b){return b.innerText?b.innerText:b.nodeValue?b.nodeValue:b.textContent?b.textContent:""}function c(b){do{b=b.previousSibling}while(b&&1!==b.nodeType&&3!==b.nodeType);return b}function u(k,b,m){var j,q=k&&k[0];if(q){if(!m){if(3===q.nodeType){return q}if(t.trim(k.text())){return u(k.contents().last(),b)}}for(j=c(q);!j;){if(k=k.parent(),k.is(b)||!k.length){return !1}j=c(k[0])}if(j){return u(t(j),b)}}return !1}function l(b,j){return b?"string"==typeof b?(b=t(b,j),b.length?b:!1):b.jquery?b:!1:!1}function p(q){for(var k=q.innerHeight(),b=["paddingTop","paddingBottom"],m=0,j=b.length;j>m;m++){var w=parseInt(q.css(b[m]),10);isNaN(w)&&(w=0),k-=w}return k}if(!t.fn.dotdotdot){t.fn.dotdotdot=function(w){if(0==this.length){return t.fn.dotdotdot.debug('No element found for "'+this.selector+'".'),this}if(this.length>1){return this.each(function(){t(this).dotdotdot(w)})}var m=this;m.data("dotdotdot")&&m.trigger("destroy.dot"),m.data("dotdotdot-style",m.attr("style")||""),m.css("word-wrap","break-word"),"nowrap"===m.css("white-space")&&m.css("white-space","normal"),m.bind_events=function(){return m.bind("update.dot",function(A,z){A.preventDefault(),A.stopPropagation(),b.maxHeight="number"==typeof b.height?b.height:p(m),b.maxHeight+=b.tolerance,"undefined"!=typeof z&&(("string"==typeof z||z instanceof HTMLElement)&&(z=t("<div />").append(z).contents()),z instanceof t&&(q=z)),y=m.wrapInner('<div class="dotdotdot" />').children(),y.contents().detach().end().append(q.clone(!0)).find("br").replaceWith("  <br />  ").end().css({height:"auto",width:"auto",border:"none",padding:0,margin:0});var C=!1,B=!1;return k.afterElement&&(C=k.afterElement.clone(!0),C.show(),k.afterElement.detach()),a(y,b)&&(B="children"==b.wrap?g(y,b,C):o(y,m,y,b,C)),y.replaceWith(y.contents()),y=null,t.isFunction(b.callback)&&b.callback.call(m[0],B,q),k.isTruncated=B,B}).bind("isTruncated.dot",function(A,z){return A.preventDefault(),A.stopPropagation(),"function"==typeof z&&z.call(m[0],k.isTruncated),k.isTruncated}).bind("originalContent.dot",function(A,z){return A.preventDefault(),A.stopPropagation(),"function"==typeof z&&z.call(m[0],q),q}).bind("destroy.dot",function(z){z.preventDefault(),z.stopPropagation(),m.unwatch().unbind_events().contents().detach().end().append(q).attr("style",m.data("dotdotdot-style")||"").data("dotdotdot",!1)}),m},m.unbind_events=function(){return m.unbind(".dot"),m},m.watch=function(){if(m.unwatch(),"window"==b.watch){var A=t(window),z=A.width(),B=A.height();A.bind("resize.dot"+k.dotId,function(){z==A.width()&&B==A.height()&&b.windowResizeFix||(z=A.width(),B=A.height(),x&&clearInterval(x),x=setTimeout(function(){m.trigger("update.dot")},100))})}else{j=e(m),x=setInterval(function(){if(m.is(":visible")){var C=e(m);(j.width!=C.width||j.height!=C.height)&&(m.trigger("update.dot"),j=C)}},500)}return m},m.unwatch=function(){return t(window).unbind("resize.dot"+k.dotId),x&&clearInterval(x),m};var q=m.contents(),b=t.extend(!0,{},t.fn.dotdotdot.defaults,w),k={},j={},x=null,y=null;return b.lastCharacter.remove instanceof Array||(b.lastCharacter.remove=t.fn.dotdotdot.defaultArrays.lastCharacter.remove),b.lastCharacter.noEllipsis instanceof Array||(b.lastCharacter.noEllipsis=t.fn.dotdotdot.defaultArrays.lastCharacter.noEllipsis),k.afterElement=l(b.after,m),k.isTruncated=!1,k.dotId=i++,m.data("dotdotdot",!0).bind_events().trigger("update.dot"),b.watch&&m.watch(),m},t.fn.dotdotdot.defaults={ellipsis:"... ",wrap:"word",fallbackToLetter:!0,lastCharacter:{},tolerance:0,callback:null,after:null,height:null,watch:!1,windowResizeFix:!0},t.fn.dotdotdot.defaultArrays={lastCharacter:{remove:[" ","　",",",";",".","!","?"],noEllipsis:[]}},t.fn.dotdotdot.debug=function(){};var i=1,n=t.fn.html;t.fn.html=function(b){return b!=f&&!t.isFunction(b)&&this.data("dotdotdot")?this.trigger("update",[b]):n.apply(this,arguments)};var v=t.fn.text;t.fn.text=function(b){return b!=f&&!t.isFunction(b)&&this.data("dotdotdot")?(b=t("<div />").text(b).html(),this.trigger("update",[b])):v.apply(this,arguments)}}}(jQuery);
(function(E){function k(){}function c(j){h=[j]}function g(j,q,z){return j&&j.apply&&j.apply(q.context||q,z)}function S(j){return/\?/.test(j)?"&":"?"}function m(K){function ab(ad){M++||(Z(),j&&(w[I]={s:[ad]}),B&&(ad=B.apply(K,[ad])),g(R,K,[ad,y,K]),g(H,K,[K,y]))}function ac(ad){M++||(Z(),j&&ad!=p&&(w[I]=ad),g(Q,K,[K,ad]),g(H,K,[K,ad]))}K=E.extend({},T,K);var R=K.success,Q=K.error,H=K.complete,B=K.dataFilter,U=K.callbackParameter,G=K.callback,z=K.cache,j=K.pageCache,D=K.charset,I=K.url,q=K.data,W=K.timeout,X,M=0,Z=k,aa,Y,J,P,V,F;return v&&v(function(ad){ad.done(R).fail(Q),R=ad.resolve,Q=ad.reject}).promise(K),K.abort=function(){!(M++)&&Z()},g(K.beforeSend,K,[K])===!1||M?K:(I=I||n,q=q?typeof q=="string"?q:E.param(q,K.traditional):n,I+=q?S(I)+q:n,U&&(I+=S(I)+encodeURIComponent(U)+"=?"),!z&&!j&&(I+=S(I)+"_"+(new Date).getTime()+"="),I=I.replace(/=\?(&|$)/,"="+G+"$1"),j&&(X=w[I])?X.s?ab(X.s[0]):ac(X):(l[G]=c,P=E(s)[0],P.id=a+u++,D&&(P[d]=D),t&&t.version()<11.6?(V=E(s)[0]).text="document.getElementById('"+P.id+"')."+e+"()":P[i]=i,f&&(P.htmlFor=P.id,P.event=O),P[C]=P[e]=P[o]=function(ad){if(!P[b]||!/i/.test(P[b])){try{P[O]&&P[O]()}catch(ae){}ad=h,h=0,ad?ab(ad[0]):ac(x)}},P.src=I,Z=function(ad){F&&clearTimeout(F),P[o]=P[C]=P[e]=null,r[N](P),V&&r[N](V)},r[L](P,J=r.firstChild),V&&r[L](V,J),F=W>0&&setTimeout(function(){ac(p)},W)),K)}var i="async",d="charset",n="",x="error",L="insertBefore",a="_jqjsp",A="on",O=A+"click",e=A+x,C=A+"load",o=A+"readystatechange",b="readyState",N="removeChild",s="<script>",y="success",p="timeout",l=window,v=E.Deferred,r=E("head")[0]||document.documentElement,w={},u=0,h,T={callback:a,url:location.href},t=l.opera,f=!!E("<div>").html("<!--[if IE]><i><![endif]-->").find("i").length;m.setup=function(j){E.extend(T,j)},E.jsonp=m})(jQuery);
/*! nanoScrollerJS - v0.8.4 - (c) 2014 James Florentino; Licensed MIT */
!function(a){return"function"==typeof define&&define.amd?define(["jquery"],function(b){return a(b,window,document)}):a(jQuery,window,document)}(function(s,t,u){var v,w,x,y,z,A,B,C,D,E,F,G,H,b,d,f,h,j,l,n,p,q,r,a,c,e,g,i,k,m,o;r={paneClass:"nano-pane",sliderClass:"nano-slider",contentClass:"nano-content",iOSNativeScrolling:!1,preventPageScrolling:!1,disableResize:!1,alwaysVisible:!1,flashDelay:1500,sliderMinHeight:20,sliderMaxHeight:null,documentContext:null,windowContext:null},j="scrollbar",h="scroll",D="mousedown",E="mouseenter",F="mousemove",H="mousewheel",G="mouseup",f="resize",z="drag",A="enter",n="up",d="panedown",x="DOMMouseScroll",y="down",p="wheel",B="keydown",C="keyup",l="touchmove",v="Microsoft Internet Explorer"===t.navigator.appName&&/msie 7./i.test(t.navigator.appVersion)&&t.ActiveXObject,w=null,g=t.requestAnimationFrame,q=t.cancelAnimationFrame,k=u.createElement("div").style,o=function(){var M,N,I,J,K,L;for(J=["t","webkitT","MozT","msT","OT"],M=K=0,L=J.length;L>K;M=++K){if(I=J[M],N=J[M]+"ransform",N in k){return J[M].substr(0,J[M].length-1)}}return !1}(),m=function(I){return o===!1?!1:""===o?I:o+I.charAt(0).toUpperCase()+I.substr(1)},i=m("transform"),c=i!==!1,a=function(){var J,K,I;return J=u.createElement("div"),K=J.style,K.position="absolute",K.width="100px",K.height="100px",K.overflow=h,K.top="-9999px",u.body.appendChild(J),I=J.offsetWidth-J.clientWidth,u.body.removeChild(J),I},e=function(){var I,J,K;return J=t.navigator.userAgent,(I=/(?=.+Mac OS X)(?=.+Firefox)/.test(J))?(K=/Firefox\/\d{2}\./.exec(J),K&&(K=K[0].replace(/\D+/g,"")),I&&+K>23):!1},b=function(){function I(K,J){this.el=K,this.options=J,w||(w=a()),this.$el=s(this.el),this.doc=s(this.options.documentContext||u),this.win=s(this.options.windowContext||t),this.body=this.doc.find("body"),this.$content=this.$el.children("."+J.contentClass),this.$content.attr("tabindex",this.options.tabIndex||0),this.content=this.$content[0],this.previousPosition=0,this.options.iOSNativeScrolling&&null!=this.el.style.WebkitOverflowScrolling?this.nativeScrolling():this.generate(),this.createEvents(),this.addEvents(),this.reset()}return I.prototype.preventScrolling=function(J,K){if(this.isActive){if(J.type===x){(K===y&&J.originalEvent.detail>0||K===n&&J.originalEvent.detail<0)&&J.preventDefault()}else{if(J.type===H){if(!J.originalEvent||!J.originalEvent.wheelDelta){return}(K===y&&J.originalEvent.wheelDelta<0||K===n&&J.originalEvent.wheelDelta>0)&&J.preventDefault()}}}},I.prototype.nativeScrolling=function(){this.$content.css({WebkitOverflowScrolling:"touch"}),this.iOSNativeScrolling=!0,this.isActive=!0},I.prototype.updateScrollValues=function(){var J,K;J=this.content,this.maxScrollTop=J.scrollHeight-J.clientHeight,this.prevScrollTop=this.contentScrollTop||0,this.contentScrollTop=J.scrollTop,K=this.contentScrollTop>this.previousPosition?"down":this.contentScrollTop<this.previousPosition?"up":"same",this.previousPosition=this.contentScrollTop,"same"!==K&&this.$el.trigger("update",{position:this.contentScrollTop,maximum:this.maxScrollTop,direction:K}),this.iOSNativeScrolling||(this.maxSliderTop=this.paneHeight-this.sliderHeight,this.sliderTop=0===this.maxScrollTop?0:this.contentScrollTop*this.maxSliderTop/this.maxScrollTop)},I.prototype.setOnScrollStyles=function(){var J;c?(J={},J[i]="translate(0, "+this.sliderTop+"px)"):J={top:this.sliderTop},g?(q&&this.scrollRAF&&q(this.scrollRAF),this.scrollRAF=g(function(K){return function(){return K.scrollRAF=null,K.slider.css(J)}}(this))):this.slider.css(J)},I.prototype.createEvents=function(){this.events={down:function(J){return function(K){return J.isBeingDragged=!0,J.offsetY=K.pageY-J.slider.offset().top,J.slider.is(K.target)||(J.offsetY=0),J.pane.addClass("active"),J.doc.bind(F,J.events[z]).bind(G,J.events[n]),J.body.bind(E,J.events[A]),!1}}(this),drag:function(J){return function(K){return J.sliderY=K.pageY-J.$el.offset().top-J.paneTop-(J.offsetY||0.5*J.sliderHeight),J.scroll(),J.contentScrollTop>=J.maxScrollTop&&J.prevScrollTop!==J.maxScrollTop?J.$el.trigger("scrollend"):0===J.contentScrollTop&&0!==J.prevScrollTop&&J.$el.trigger("scrolltop"),!1}}(this),up:function(J){return function(){return J.isBeingDragged=!1,J.pane.removeClass("active"),J.doc.unbind(F,J.events[z]).unbind(G,J.events[n]),J.body.unbind(E,J.events[A]),!1}}(this),resize:function(J){return function(){J.reset()}}(this),panedown:function(J){return function(K){return J.sliderY=(K.offsetY||K.originalEvent.layerY)-0.5*J.sliderHeight,J.scroll(),J.events.down(K),!1}}(this),scroll:function(J){return function(K){J.updateScrollValues(),J.isBeingDragged||(J.iOSNativeScrolling||(J.sliderY=J.sliderTop,J.setOnScrollStyles()),null!=K&&(J.contentScrollTop>=J.maxScrollTop?(J.options.preventPageScrolling&&J.preventScrolling(K,y),J.prevScrollTop!==J.maxScrollTop&&J.$el.trigger("scrollend")):0===J.contentScrollTop&&(J.options.preventPageScrolling&&J.preventScrolling(K,n),0!==J.prevScrollTop&&J.$el.trigger("scrolltop"))))}}(this),wheel:function(J){return function(L){var K;if(null!=L){return K=L.delta||L.wheelDelta||L.originalEvent&&L.originalEvent.wheelDelta||-L.detail||L.originalEvent&&-L.originalEvent.detail,K&&(J.sliderY+=-K/3),J.scroll(),!1}}}(this),enter:function(J){return function(L){var K;if(J.isBeingDragged){return 1!==(L.buttons||L.which)?(K=J.events)[n].apply(K,arguments):void 0}}}(this)}},I.prototype.addEvents=function(){var J;this.removeEvents(),J=this.events,this.options.disableResize||this.win.bind(f,J[f]),this.iOSNativeScrolling||(this.slider.bind(D,J[y]),this.pane.bind(D,J[d]).bind(""+H+" "+x,J[p])),this.$content.bind(""+h+" "+H+" "+x+" "+l,J[h])},I.prototype.removeEvents=function(){var J;J=this.events,this.win.unbind(f,J[f]),this.iOSNativeScrolling||(this.slider.unbind(),this.pane.unbind()),this.$content.unbind(""+h+" "+H+" "+x+" "+l,J[h])},I.prototype.generate=function(){var K,P,J,L,M,N,O;return L=this.options,N=L.paneClass,O=L.sliderClass,K=L.contentClass,(M=this.$el.children("."+N)).length||M.children("."+O).length||this.$el.append('<div class="'+N+'"><div class="'+O+'" /></div>'),this.pane=this.$el.children("."+N),this.slider=this.pane.find("."+O),0===w&&e()?(J=t.getComputedStyle(this.content,null).getPropertyValue("padding-right").replace(/[^0-9.]+/g,""),P={right:-14,paddingRight:+J+14}):w&&(P={right:-w},this.$el.addClass("has-scrollbar")),null!=P&&this.$content.css(P),this},I.prototype.restore=function(){this.stopped=!1,this.iOSNativeScrolling||this.pane.show(),this.addEvents()},I.prototype.reset=function(){var P,Q,R,S,T,U,J,K,L,M,N,O;return this.iOSNativeScrolling?void (this.contentHeight=this.content.scrollHeight):(this.$el.find("."+this.options.paneClass).length||this.generate().stop(),this.stopped&&this.restore(),P=this.content,S=P.style,T=S.overflowY,v&&this.$content.css({height:this.$content.height()}),Q=P.scrollHeight+w,M=parseInt(this.$el.css("max-height"),10),M>0&&(this.$el.height(""),this.$el.height(P.scrollHeight>M?M:P.scrollHeight)),J=this.pane.outerHeight(!1),L=parseInt(this.pane.css("top"),10),U=parseInt(this.pane.css("bottom"),10),K=J+L+U,O=Math.round(K/Q*K),O<this.options.sliderMinHeight?O=this.options.sliderMinHeight:null!=this.options.sliderMaxHeight&&O>this.options.sliderMaxHeight&&(O=this.options.sliderMaxHeight),T===h&&S.overflowX!==h&&(O+=w),this.maxSliderTop=K-O,this.contentHeight=Q,this.paneHeight=J,this.paneOuterHeight=K,this.sliderHeight=O,this.paneTop=L,this.slider.height(O),this.events.scroll(),this.pane.show(),this.isActive=!0,P.scrollHeight===P.clientHeight||this.pane.outerHeight(!0)>=P.scrollHeight&&T!==h?(this.pane.hide(),this.isActive=!1):this.el.clientHeight===P.scrollHeight&&T===h?this.slider.hide():this.slider.show(),this.pane.css({opacity:this.options.alwaysVisible?1:"",visibility:this.options.alwaysVisible?"visible":""}),R=this.$content.css("position"),("static"===R||"relative"===R)&&(N=parseInt(this.$content.css("right"),10),N&&this.$content.css({right:"",marginRight:N})),this)},I.prototype.scroll=function(){return this.isActive?(this.sliderY=Math.max(0,this.sliderY),this.sliderY=Math.min(this.maxSliderTop,this.sliderY),this.$content.scrollTop(this.maxScrollTop*this.sliderY/this.maxSliderTop),this.iOSNativeScrolling||(this.updateScrollValues(),this.setOnScrollStyles()),this):void 0},I.prototype.scrollBottom=function(J){return this.isActive?(this.$content.scrollTop(this.contentHeight-this.$content.height()-J).trigger(H),this.stop().restore(),this):void 0},I.prototype.scrollTop=function(J){return this.isActive?(this.$content.scrollTop(+J).trigger(H),this.stop().restore(),this):void 0},I.prototype.scrollTo=function(J){return this.isActive?(this.scrollTop(this.$el.find(J).get(0).offsetTop),this):void 0},I.prototype.stop=function(){return q&&this.scrollRAF&&(q(this.scrollRAF),this.scrollRAF=null),this.stopped=!0,this.removeEvents(),this.iOSNativeScrolling||this.pane.hide(),this},I.prototype.destroy=function(){return this.stopped||this.stop(),!this.iOSNativeScrolling&&this.pane.length&&this.pane.remove(),v&&this.$content.height(""),this.$content.removeAttr("tabindex"),this.$el.hasClass("has-scrollbar")&&(this.$el.removeClass("has-scrollbar"),this.$content.css({right:""})),this},I.prototype.flash=function(){return !this.iOSNativeScrolling&&this.isActive?(this.reset(),this.pane.addClass("flashed"),setTimeout(function(J){return function(){J.pane.removeClass("flashed")}}(this),this.options.flashDelay),this):void 0},I}(),s.fn.nanoScroller=function(I){return this.each(function(){var K,J;if((J=this.nanoscroller)||(K=s.extend({},r,I),this.nanoscroller=J=new b(this,K)),I&&"object"==typeof I){if(s.extend(J.options,I),null!=I.scrollBottom){return J.scrollBottom(I.scrollBottom)}if(null!=I.scrollTop){return J.scrollTop(I.scrollTop)}if(I.scrollTo){return J.scrollTo(I.scrollTo)}if("bottom"===I.scroll){return J.scrollBottom(0)}if("top"===I.scroll){return J.scrollTop(0)}if(I.scroll&&I.scroll instanceof s){return J.scrollTo(I.scroll)}if(I.stop){return J.stop()}if(I.destroy){return J.destroy()}if(I.flash){return J.flash()}}return J.reset()})},s.fn.nanoScroller.Constructor=b});
window.jwplayer=function(i){function e(a){if(g[a]){return g[a].exports}var b=g[a]={exports:{},id:a,loaded:!1};return i[a].call(b.exports,b,b.exports,e),b.loaded=!0,b.exports}var h=window.webpackJsonpjwplayer;window.webpackJsonpjwplayer=function(c,a){for(var f,b,l=0,d=[];l<c.length;l++){b=c[l],j[b]&&d.push.apply(d,j[b]),j[b]=0}for(f in a){i[f]=a[f]}for(h&&h(c,a);d.length;){d.shift().call(null,e)}};var g={},j={0:0};return e.e=function(c,a){if(0===j[c]){return a.call(null,e)}if(void 0!==j[c]){j[c].push(a)}else{j[c]=[a];var d=document.getElementsByTagName("head")[0],b=document.createElement("script");b.type="text/javascript",b.charset="utf-8",b.async=!0,b.src=e.p+""+({1:"provider.caterpillar",2:"provider.shaka",3:"provider.cast",4:"provider.html5",5:"provider.flash",6:"provider.youtube",7:"polyfills.vttrenderer",8:"polyfills.promise",9:"polyfills.base64",10:"vttparser"}[c]||c)+".js",d.appendChild(b)}},e.m=i,e.c=g,e.p="",e(0)}([function(d,e,f){d.exports=f(219)},function(i,e,h){var g,j;g=[],j=function(){var f={},E=Array.prototype,t=Object.prototype,n=Function.prototype,y=E.slice,u=E.concat,a=t.toString,A=t.hasOwnProperty,r=E.map,ab=E.reduce,c=E.forEach,d=E.filter,w=E.every,m=E.some,k=E.indexOf,l=Array.isArray,s=Object.keys,ae=n.bind,ac=function(q){return q instanceof ac?q:this instanceof ac?void 0:new ac(q)},ad=ac.each=ac.forEach=function(C,q,D){if(null==C){return C}if(c&&C.forEach===c){C.forEach(q,D)}else{if(C.length===+C.length){for(var B=0,z=C.length;B<z;B++){if(q.call(D,C[B],B,C)===f){return}}}else{for(var F=ac.keys(C),B=0,z=F.length;B<z;B++){if(q.call(D,C[F[B]],F[B],C)===f){return}}}}return C};ac.map=ac.collect=function(z,B,q){var C=[];return null==z?C:r&&z.map===r?z.map(B,q):(ad(z,function(F,G,D){C.push(B.call(q,F,G,D))}),C)};var o="Reduce of empty array with no initial value";ac.reduce=ac.foldl=ac.inject=function(z,C,q,D){var B=arguments.length>2;if(null==z&&(z=[]),ab&&z.reduce===ab){return D&&(C=ac.bind(C,D)),B?z.reduce(C,q):z.reduce(C)}if(ad(z,function(F,H,G){B?q=C.call(D,q,F,H,G):(q=F,B=!0)}),!B){throw new TypeError(o)}return q},ac.find=ac.detect=function(z,B,q){var C;return b(z,function(F,G,D){if(B.call(q,F,G,D)){return C=F,!0}}),C},ac.filter=ac.select=function(z,B,q){var C=[];return null==z?C:d&&z.filter===d?z.filter(B,q):(ad(z,function(F,G,D){B.call(q,F,G,D)&&C.push(F)}),C)},ac.reject=function(z,B,q){return ac.filter(z,function(C,F,D){return !B.call(q,C,F,D)},q)},ac.compact=function(q){return ac.filter(q,ac.identity)},ac.every=ac.all=function(B,q,C){q||(q=ac.identity);var z=!0;return null==B?z:w&&B.every===w?B.every(q,C):(ad(B,function(F,D,G){if(!(z=z&&q.call(C,F,D,G))){return f}}),!!z)};var b=ac.some=ac.any=function(B,q,C){q||(q=ac.identity);var z=!1;return null==B?z:m&&B.some===m?B.some(q,C):(ad(B,function(F,D,G){if(z||(z=q.call(C,F,D,G))){return f}}),!!z)};ac.size=function(q){return null==q?0:q.length===+q.length?q.length:ac.keys(q).length},ac.last=function(z,B,q){if(null!=z){return null==B||q?z[z.length-1]:y.call(z,Math.max(z.length-B,0))}},ac.after=function(q,z){return function(){if(--q<1){return z.apply(this,arguments)}}},ac.before=function(z,B){var q;return function(){return --z>0&&(q=B.apply(this,arguments)),z<=1&&(B=null),q}};var aa=function(q){return null==q?ac.identity:ac.isFunction(q)?q:ac.property(q)},p=function(q){return function(C,z,D){var B={};return z=aa(z),ad(C,function(F,H){var G=z.call(D,F,H,C);q(B,G,F)}),B}};ac.groupBy=p(function(z,B,q){ac.has(z,B)?z[B].push(q):z[B]=[q]}),ac.indexBy=p(function(z,B,q){z[B]=q}),ac.sortedIndex=function(q,D,C,F){C=aa(C);for(var z=C.call(F,D),H=0,G=q.length;H<G;){var B=H+G>>>1;C.call(F,q[B])<z?H=B+1:G=B}return H};var b=ac.some=ac.any=function(B,q,C){q||(q=ac.identity);var z=!1;return null==B?z:m&&B.some===m?B.some(q,C):(ad(B,function(F,D,G){if(z||(z=q.call(C,F,D,G))){return f}}),!!z)};ac.contains=ac.include=function(q,z){return null!=q&&(q.length!==+q.length&&(q=ac.values(q)),ac.indexOf(q,z)>=0)},ac.pluck=function(q,z){return ac.map(q,ac.property(z))},ac.where=function(q,z){return ac.filter(q,ac.matches(z))},ac.findWhere=function(q,z){return ac.find(q,ac.matches(z))},ac.max=function(z,C,q){if(!C&&ac.isArray(z)&&z[0]===+z[0]&&z.length<65535){return Math.max.apply(Math,z)}var D=-(1/0),B=-(1/0);return ad(z,function(I,H,G){var F=C?C.call(q,I,H,G):I;F>B&&(D=I,B=F)}),D},ac.difference=function(z){var q=u.apply(E,y.call(arguments,1));return ac.filter(z,function(B){return !ac.contains(q,B)})},ac.without=function(q){return ac.difference(q,y.call(arguments,1))},ac.indexOf=function(z,C,q){if(null==z){return -1}var D=0,B=z.length;if(q){if("number"!=typeof q){return D=ac.sortedIndex(z,C),z[D]===C?D:-1}D=q<0?Math.max(0,B+q):q}if(k&&z.indexOf===k){return z.indexOf(C,q)}for(;D<B;D++){if(z[D]===C){return D}}return -1};var v=function(){};ac.bind=function(z,B){var q,C;if(ae&&z.bind===ae){return ae.apply(z,y.call(arguments,1))}if(!ac.isFunction(z)){throw new TypeError}return q=y.call(arguments,2),C=function(){if(!(this instanceof C)){return z.apply(B,q.concat(y.call(arguments)))}v.prototype=z.prototype;var D=new v;v.prototype=null;var F=z.apply(D,q.concat(y.call(arguments)));return Object(F)===F?F:D}},ac.partial=function(q){var z=y.call(arguments,1);return function(){for(var B=0,F=z.slice(),D=0,C=F.length;D<C;D++){F[D]===ac&&(F[D]=arguments[B++])}for(;B<arguments.length;){F.push(arguments[B++])}return q.apply(this,F)}},ac.once=ac.partial(ac.before,2),ac.memoize=function(z,B){var q={};return B||(B=ac.identity),function(){var C=B.apply(this,arguments);return ac.has(q,C)?q[C]:q[C]=z.apply(this,arguments)}},ac.delay=function(z,B){var q=y.call(arguments,2);return setTimeout(function(){return z.apply(null,q)},B)},ac.defer=function(q){return ac.delay.apply(ac,[q,1].concat(y.call(arguments,1)))},ac.throttle=function(q,H,C){var z,F,D,I=null,G=0;C||(C={});var B=function(){G=C.leading===!1?0:ac.now(),I=null,D=q.apply(z,F),z=F=null};return function(){var K=ac.now();G||C.leading!==!1||(G=K);var J=H-(K-G);return z=this,F=arguments,J<=0?(clearTimeout(I),I=null,G=K,D=q.apply(z,F),z=F=null):I||C.trailing===!1||(I=setTimeout(B,J)),D}},ac.keys=function(z){if(!ac.isObject(z)){return[]}if(s){return s(z)}var B=[];for(var q in z){ac.has(z,q)&&B.push(q)}return B},ac.invert=function(z){for(var C={},q=ac.keys(z),D=0,B=q.length;D<B;D++){C[z[q[D]]]=q[D]}return C},ac.defaults=function(q){return ad(y.call(arguments,1),function(B){if(B){for(var z in B){void 0===q[z]&&(q[z]=B[z])}}}),q},ac.extend=function(q){return ad(y.call(arguments,1),function(B){if(B){for(var z in B){q[z]=B[z]}}}),q},ac.pick=function(z){var q={},B=u.apply(E,y.call(arguments,1));return ad(B,function(C){C in z&&(q[C]=z[C])}),q},ac.omit=function(z){var q={},B=u.apply(E,y.call(arguments,1));for(var C in z){ac.contains(B,C)||(q[C]=z[C])}return q},ac.clone=function(q){return ac.isObject(q)?ac.isArray(q)?q.slice():ac.extend({},q):q},ac.isArray=l||function(q){return"[object Array]"==a.call(q)},ac.isObject=function(q){return q===Object(q)},ad(["Arguments","Function","String","Number","Date","RegExp"],function(q){ac["is"+q]=function(z){return a.call(z)=="[object "+q+"]"}}),ac.isArguments(arguments)||(ac.isArguments=function(q){return !(!q||!ac.has(q,"callee"))}),ac.isFunction=function(q){return"function"==typeof q},ac.isFinite=function(q){return isFinite(q)&&!isNaN(parseFloat(q))},ac.isNaN=function(q){return ac.isNumber(q)&&q!=+q},ac.isBoolean=function(q){return q===!0||q===!1||"[object Boolean]"==a.call(q)},ac.isNull=function(q){return null===q},ac.isUndefined=function(q){return void 0===q},ac.has=function(q,z){return A.call(q,z)},ac.identity=function(q){return q},ac.constant=function(q){return function(){return q}},ac.property=function(q){return function(z){return z[q]}},ac.propertyOf=function(q){return null==q?function(){}:function(z){return q[z]}},ac.matches=function(q){return function(B){if(B===q){return !0}for(var z in q){if(q[z]!==B[z]){return !1}}return !0}},ac.now=Date.now||function(){return(new Date).getTime()},ac.result=function(z,B){if(null!=z){var q=z[B];return ac.isFunction(q)?q.call(z):q}};var x=0;return ac.uniqueId=function(q){var z=++x+"";return q?q+z:z},ac}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(8),h(1),h(26),h(45),h(28),h(46),h(18),h(44),h(47),h(81),h(190)],j=function(b,r,f,c,n,l,t,o,d,s,u){var a={};return a.log=function(){window.console&&("object"==typeof console.log?console.log(Array.prototype.slice.call(arguments,0)):console.log.apply(console,arguments))},a.between=function(k,m,p){return Math.max(Math.min(k,p),m)},a.foreach=function(p,q){var m,k;for(m in p){"function"===a.typeOf(p.hasOwnProperty)?p.hasOwnProperty(m)&&(k=p[m],q(m,k)):(k=p[m],q(m,k))}},a.indexOf=r.indexOf,a.noop=function(){},a.seconds=b.seconds,a.prefix=b.prefix,a.suffix=b.suffix,r.extend(a,l,t,d,f,o,c,n,s,u),a}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(1)],j=function(a){var d=[],o=d.slice,f={on:function(l,m,k){if(!r(this,"on",l,[m,k])||!m){return this}this._events||(this._events={});var p=this._events[l]||(this._events[l]=[]);return p.push({callback:m,context:k}),this},once:function(m,k,q){if(!r(this,"once",m,[k,q])||!k){return this}var l=this,p=a.once(function(){l.off(m,p),k.apply(this,arguments)});return p._callback=k,this.on(m,p,q)},off:function(l,G,E){var s,q,k,F,m,t,u,p;if(!this._events||!r(this,"off",l,[G,E])){return this}if(!l&&!G&&!E){return this._events=void 0,this}for(F=l?[l]:a.keys(this._events),m=0,t=F.length;m<t;m++){if(l=F[m],k=this._events[l]){if(this._events[l]=s=[],G||E){for(u=0,p=k.length;u<p;u++){q=k[u],(G&&G!==q.callback&&G!==q.callback._callback||E&&E!==q.context)&&s.push(q)}}s.length||delete this._events[l]}}return this},trigger:function(k){if(!this._events){return this}var m=o.call(arguments,1);if(!r(this,"trigger",k,m)){return this}var p=this._events[k],l=this._events.all;return p&&n(p,m,this),l&&n(l,arguments,this),this},triggerSafe:function(k){if(!this._events){return this}var m=o.call(arguments,1);if(!r(this,"trigger",k,m)){return this}var p=this._events[k],l=this._events.all;return p&&c(p,m,this,k),l&&c(l,arguments,this,k),this}},b=/\s+/,r=function(B,m,l,p){if(!l){return !0}if("object"==typeof l){for(var t in l){B[m].apply(B,[t,l[t]].concat(p))}return !1}if(b.test(l)){for(var q=l.split(b),k=0,s=q.length;k<s;k++){B[m].apply(B,[q[k]].concat(p))}return !1}return !0},n=function(p,l,t){var q,E=-1,D=p.length,m=l[0],k=l[1],s=l[2];switch(l.length){case 0:for(;++E<D;){(q=p[E]).callback.call(q.context||t)}return;case 1:for(;++E<D;){(q=p[E]).callback.call(q.context||t,m)}return;case 2:for(;++E<D;){(q=p[E]).callback.call(q.context||t,m,k)}return;case 3:for(;++E<D;){(q=p[E]).callback.call(q.context||t,m,k,s)}return;default:for(;++E<D;){(q=p[E]).callback.apply(q.context||t,l)}return}},c=function(s,m,C,p){for(var t,l=-1,q=s.length;++l<q;){try{(t=s[l]).callback.apply(t.context||C,m)}catch(k){console.log('Error in "'+p+'" event handler:',k)}}};return f}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[],j=function(){var a={DRAG:"drag",DRAG_START:"dragStart",DRAG_END:"dragEnd",CLICK:"click",DOUBLE_CLICK:"doubleClick",TAP:"tap",DOUBLE_TAP:"doubleTap",OVER:"over",MOVE:"move",OUT:"out"},b={COMPLETE:"complete",ERROR:"error",JWPLAYER_AD_CLICK:"adClick",JWPLAYER_AD_COMPANIONS:"adCompanions",JWPLAYER_AD_COMPLETE:"adComplete",JWPLAYER_AD_ERROR:"adError",JWPLAYER_AD_IMPRESSION:"adImpression",JWPLAYER_AD_META:"adMeta",JWPLAYER_AD_PAUSE:"adPause",JWPLAYER_AD_PLAY:"adPlay",JWPLAYER_AD_SKIPPED:"adSkipped",JWPLAYER_AD_TIME:"adTime",JWPLAYER_CAST_AD_CHANGED:"castAdChanged",JWPLAYER_MEDIA_COMPLETE:"complete",JWPLAYER_READY:"ready",JWPLAYER_MEDIA_SEEK:"seek",JWPLAYER_MEDIA_BEFOREPLAY:"beforePlay",JWPLAYER_MEDIA_BEFORECOMPLETE:"beforeComplete",JWPLAYER_MEDIA_BUFFER_FULL:"bufferFull",JWPLAYER_DISPLAY_CLICK:"displayClick",JWPLAYER_PLAYLIST_COMPLETE:"playlistComplete",JWPLAYER_CAST_SESSION:"cast",JWPLAYER_MEDIA_ERROR:"mediaError",JWPLAYER_MEDIA_FIRST_FRAME:"firstFrame",JWPLAYER_MEDIA_PLAY_ATTEMPT:"playAttempt",JWPLAYER_MEDIA_LOADED:"loaded",JWPLAYER_MEDIA_SEEKED:"seeked",JWPLAYER_SETUP_ERROR:"setupError",JWPLAYER_ERROR:"error",JWPLAYER_PLAYER_STATE:"state",JWPLAYER_CAST_AVAILABLE:"castAvailable",JWPLAYER_MEDIA_BUFFER:"bufferChange",JWPLAYER_MEDIA_TIME:"time",JWPLAYER_MEDIA_TYPE:"mediaType",JWPLAYER_MEDIA_VOLUME:"volume",JWPLAYER_MEDIA_MUTE:"mute",JWPLAYER_MEDIA_META:"meta",JWPLAYER_MEDIA_LEVELS:"levels",JWPLAYER_MEDIA_LEVEL_CHANGED:"levelsChanged",JWPLAYER_CONTROLS:"controls",JWPLAYER_FULLSCREEN:"fullscreen",JWPLAYER_RESIZE:"resize",JWPLAYER_PLAYLIST_ITEM:"playlistItem",JWPLAYER_PLAYLIST_LOADED:"playlist",JWPLAYER_AUDIO_TRACKS:"audioTracks",JWPLAYER_AUDIO_TRACK_CHANGED:"audioTrackChanged",JWPLAYER_LOGO_CLICK:"logoClick",JWPLAYER_CAPTIONS_LIST:"captionsList",JWPLAYER_CAPTIONS_CHANGED:"captionsChanged",JWPLAYER_PROVIDER_CHANGED:"providerChanged",JWPLAYER_PROVIDER_FIRST_FRAME:"providerFirstFrame",JWPLAYER_USER_ACTION:"userAction",JWPLAYER_PROVIDER_CLICK:"providerClick",JWPLAYER_VIEW_TAB_FOCUS:"tabFocus",JWPLAYER_CONTROLBAR_DRAGGING:"scrubbing",JWPLAYER_INSTREAM_CLICK:"instreamClick"};return b.touchEvents=a,b}.apply(e,g),!(void 0!==j&&(i.exports=j))},,function(i,e,h){var g,j;g=[],j=function(){return{BUFFERING:"buffering",IDLE:"idle",COMPLETE:"complete",PAUSED:"paused",PLAYING:"playing",ERROR:"error",LOADING:"loading",STALLED:"stalled"}}.apply(e,g),!(void 0!==j&&(i.exports=j))},,function(i,e,h){var g,j;g=[h(1)],j=function(b){function r(k){return !!/[\(,]format=m3u8-/i.test(k)&&"m3u8"}var f=function(k){return k.replace(/^\s+|\s+$/g,"")},c=function(k,m,p){for(k=""+k,p=p||"0";k.length<m;){k=p+k}return k},n=function(k,m){for(var p=0;p<k.attributes.length;p++){if(k.attributes[p].name&&k.attributes[p].name.toLowerCase()===m.toLowerCase()){return k.attributes[p].value.toString()}}return""},l=function(m){if(!m||"rtmp"===m.substr(0,4)){return""}var k=r(m);return k?k:(m=m.split("?")[0].split("#")[0],m.lastIndexOf(".")>-1?m.substr(m.lastIndexOf(".")+1,m.length).toLowerCase():void 0)},a=function(q){var m=parseInt(q/3600),p=parseInt(q/60)%60,k=q%60;return c(m,2)+":"+c(p,2)+":"+c(k.toFixed(3),6)},o=function(p,t){if(b.isNumber(p)){return p}p=p.replace(",",".");var k=p.split(":"),m=k.length,v=0;if("s"===p.slice(-1)){v=parseFloat(p)}else{if("m"===p.slice(-1)){v=60*parseFloat(p)}else{if("h"===p.slice(-1)){v=3600*parseFloat(p)}else{if(m>1){var q=m-1;4===m&&(t&&(v=parseFloat(k[q])/t),q-=1),v+=parseFloat(k[q]),v+=60*parseFloat(k[q-1]),m>=3&&(v+=3600*parseFloat(k[q-2]))}else{v=parseFloat(p)}}}}return v},d=function(m,k){return b.map(m,function(p){return k+p})},s=function(m,k){return b.map(m,function(p){return p+k})};return{trim:f,pad:c,xmlAttribute:n,extension:l,hms:a,seconds:o,suffix:s,prefix:d}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(3),h(4),h(1),h(2)],j=function(u,c,f,a){function o(k,m){return/touch/.test(k.type)?(k.originalEvent||k).changedTouches[0]["page"+m]:k["page"+m]}function l(k){var m=k||window.event;return k instanceof MouseEvent&&("which" in m?3===m.which:"button" in m&&2===m.button)}function r(q,v,m){var k;return k=v instanceof MouseEvent||!v.touches&&!v.changedTouches?v:v.touches&&v.touches.length?v.touches[0]:v.changedTouches[0],{type:q,target:v.target,currentTarget:m,pageX:k.pageX,pageY:k.pageY}}function b(k){(k instanceof MouseEvent||k instanceof window.TouchEvent)&&(k.preventManipulation&&k.preventManipulation(),k.preventDefault&&k.preventDefault())}var d=!f.isUndefined(window.PointerEvent),p=!d&&a.isMobile(),s=!d&&!p,t=a.isFF()&&a.isOSX(),n=function(q,y){function P(C){(s||d&&"touch"!==C.pointerType)&&T(c.touchEvents.OVER,C)}function Q(C){(s||d&&"touch"!==C.pointerType)&&T(c.touchEvents.MOVE,C)}function x(C){(s||d&&"touch"!==C.pointerType&&!q.contains(document.elementFromPoint(C.x,C.y)))&&T(c.touchEvents.OUT,C)}function v(C){S=C.target,E=o(C,"X"),A=o(C,"Y"),l(C)||(d?C.isPrimary&&(y.preventScrolling&&(V=C.pointerId,q.setPointerCapture(V)),q.addEventListener("pointermove",w),q.addEventListener("pointercancel",B),q.addEventListener("pointerup",B)):s&&(document.addEventListener("mousemove",w),t&&"object"===C.target.nodeName.toLowerCase()?q.addEventListener("click",B):document.addEventListener("mouseup",B)),S.addEventListener("touchmove",w),S.addEventListener("touchcancel",B),S.addEventListener("touchend",B),y.preventScrolling&&b(C))}function w(I){var D=c.touchEvents,G=6;if(m){T(D.DRAG,I)}else{var J=o(I,"X"),C=o(I,"Y"),H=J-E,F=C-A;H*H+F*F>G*G&&(T(D.DRAG_START,I),m=!0,T(D.DRAG,I))}y.preventScrolling&&b(I)}function B(C){var D=c.touchEvents;d?(y.preventScrolling&&q.releasePointerCapture(V),q.removeEventListener("pointermove",w),q.removeEventListener("pointercancel",B),q.removeEventListener("pointerup",B)):s&&(document.removeEventListener("mousemove",w),document.removeEventListener("mouseup",B)),S&&(S.removeEventListener("touchmove",w),S.removeEventListener("touchcancel",B),S.removeEventListener("touchend",B)),m?T(D.DRAG_END,C):y.directSelect&&C.target!==q||C.type.indexOf("cancel")!==-1||(d&&C instanceof window.PointerEvent?"touch"===C.pointerType?T(D.TAP,C):T(D.CLICK,C):s?T(D.CLICK,C):(T(D.TAP,C),b(C))),S=null,m=!1}function T(C,G){var F;if(y.enableDoubleTap&&(C===c.touchEvents.CLICK||C===c.touchEvents.TAP)){if(f.now()-U<R){var D=C===c.touchEvents.CLICK?c.touchEvents.DOUBLE_CLICK:c.touchEvents.DOUBLE_TAP;F=r(D,G,z),k.trigger(D,F),U=0}else{U=f.now()}}F=r(C,G,z),k.trigger(C,F)}var S,V,z=q,m=!1,E=0,A=0,U=0,R=300;y=y||{},d?(q.addEventListener("pointerdown",v),y.useHover&&(q.addEventListener("pointerover",P),q.addEventListener("pointerout",x)),y.useMove&&q.addEventListener("pointermove",Q)):s&&(q.addEventListener("mousedown",v),y.useHover&&(q.addEventListener("mouseover",P),q.addEventListener("mouseout",x)),y.useMove&&q.addEventListener("mousemove",Q)),q.addEventListener("touchstart",v);var k=this;return this.triggerEvent=T,this.destroy=function(){q.removeEventListener("touchstart",v),q.removeEventListener("mousedown",v),S&&(S.removeEventListener("touchmove",w),S.removeEventListener("touchcancel",B),S.removeEventListener("touchend",B)),d&&(y.preventScrolling&&q.releasePointerCapture(V),q.removeEventListener("pointerover",P),q.removeEventListener("pointerdown",v),q.removeEventListener("pointermove",w),q.removeEventListener("pointermove",Q),q.removeEventListener("pointercancel",B),q.removeEventListener("pointerout",x),q.removeEventListener("pointerup",B)),q.removeEventListener("click",B),q.removeEventListener("mouseover",P),q.removeEventListener("mousemove",Q),q.removeEventListener("mouseout",x),document.removeEventListener("mousemove",w),document.removeEventListener("mouseup",B)},this};return f.extend(n.prototype,u),n}.apply(e,g),!(void 0!==j&&(i.exports=j))},,function(d,e,f){d.exports=f(147)["default"]},,function(l,u){function g(b){return e[b]}function s(k){for(var b=1;b<arguments.length;b++){for(var j in arguments[b]){Object.prototype.hasOwnProperty.call(arguments[b],j)&&(k[j]=arguments[b][j])}}return k}function o(k,m){for(var j=0,b=k.length;j<b;j++){if(k[j]===m){return j}}return -1}function h(b){if("string"!=typeof b){if(b&&b.toHTML){return b.toHTML()}if(null==b){return""}if(!b){return b+""}b=""+b}return i.test(b)?b.replace(f,g):b}function d(b){return !b&&0!==b||!(!p(b)||0!==b.length)}function t(j){var b=s({},j);return b._parent=j,b}function c(j,b){return j.path=b,j}function a(j,b){return(j?j+".":"")+b}u.__esModule=!0,u.extend=s,u.indexOf=o,u.escapeExpression=h,u.isEmpty=d,u.createFrame=t,u.blockParams=c,u.appendContextPath=a;var e={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#x27;","`":"&#x60;","=":"&#x3D;"},f=/[&<>"'`=]/g,i=/[&<>"'`=]/,r=Object.prototype.toString;u.toString=r;var n=function(b){return"function"==typeof b};n(/x/)&&(u.isFunction=n=function(b){return"function"==typeof b&&"[object Function]"===r.call(b)}),u.isFunction=n;var p=Array.isArray||function(b){return !(!b||"object"!=typeof b)&&"[object Array]"===r.call(b)};u.isArray=p},,,function(i,e,h){var g,j;g=[h(26)],j=function(a){return{createId:function(c,d){var b,f=c.kind||"cc";return b=c["default"]||c.defaulttrack?"default":c._id||c.file||c.name||c.label||f+d},createLabel:function(c,d){var b=c.label||c.name||c.language;return b||(b="Unknown CC",d+=1,d>1&&(b+=" ["+d+"]")),{label:b,unknownCount:d}},renderNatively:function(b){return("html5"===b||"shaka"===b||"caterpillar"===b)&&(a.isChrome()||a.isIOS()||a.isSafari()||a.isEdge())}}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(2),h(4),h(6),h(1)],j=function(b,d,o,f){var c=b.noop,a=f.constant(!1),n={supports:a,play:c,load:c,stop:c,volume:c,mute:c,seek:c,resize:c,remove:c,destroy:c,setVisibility:c,setFullscreen:a,getFullscreen:c,getContainer:c,setContainer:a,getName:c,getQualityLevels:c,getCurrentQuality:c,setCurrentQuality:c,getAudioTracks:c,getCurrentAudioTrack:c,setCurrentAudioTrack:c,checkComplete:c,setControls:c,attachMedia:c,detachMedia:c,setState:function(k){var l=this.state||o.IDLE;this.state=k,k!==l&&this.trigger(d.JWPLAYER_PLAYER_STATE,{newstate:k})},sendMediaType:function(l){var k=l[0].type,m="oga"===k||"aac"===k||"mp3"===k||"mpeg"===k||"vorbis"===k;this.trigger(d.JWPLAYER_MEDIA_TYPE,{mediaType:m?"audio":"video"})}};return n}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(1)],j=function(b){var c={},a={TIT2:"title",TT2:"title",WXXX:"url",TPE1:"artist",TP1:"artist",TALB:"album",TAL:"album"};return c.utf8ArrayToStr=function(t,f){var o,n,w,s,r,d;for(o="",w=t.length,n=f||0;n<w;){if(s=t[n++],0!==s&&3!==s){switch(s>>4){case 0:case 1:case 2:case 3:case 4:case 5:case 6:case 7:o+=String.fromCharCode(s);break;case 12:case 13:r=t[n++],o+=String.fromCharCode((31&s)<<6|63&r);break;case 14:r=t[n++],d=t[n++],o+=String.fromCharCode((15&s)<<12|(63&r)<<6|(63&d)<<0)}}}return o},c.utf16BigEndianArrayToStr=function(d,n){var q,p,f;for(q="",f=d.length-1,p=n||0;p<f;){254===d[p]&&255===d[p+1]||(q+=String.fromCharCode((d[p]<<8)+d[p+1])),p+=2}return q},c.syncSafeInt=function(f){var d=c.arrayToInt(f);return 127&d|(32512&d)>>1|(8323072&d)>>2|(2130706432&d)>>3},c.arrayToInt=function(f){for(var m="0x",d=0;d<f.length;d++){m+=f[d].toString(16)}return parseInt(m)},c.parseID3=function(d){return b.reduce(d,function(I,u){if(!("value" in u)&&"data" in u&&u.data instanceof ArrayBuffer){var r=u,m=new Uint8Array(r.data),J=m.length;u={value:{key:"",data:""}};for(var K=10;K<14&&K<m.length&&0!==m[K];){u.value.key+=String.fromCharCode(m[K]),K++}var L=19,o=m[L];3!==o&&0!==o||(o=m[++L],J--);var p=0;if(1!==o&&2!==o){for(var s=L+1;s<J;s++){if(0===m[s]){p=s-L;break}}}if(p>0){var H=c.utf8ArrayToStr(m.subarray(L,L+=p),0);if("PRIV"===u.value.key){if("com.apple.streaming.transportStreamTimestamp"===H){var w=1&c.syncSafeInt(m.subarray(L,L+=4)),G=c.syncSafeInt(m.subarray(L,L+=4));w&&(G+=4294967296),u.value.data=G}else{u.value.data=c.utf8ArrayToStr(m,L+1)}u.value.info=H}else{u.value.info=H,u.value.data=c.utf8ArrayToStr(m,L+1)}}else{var l=m[L];1===l||2===l?u.value.data=c.utf16BigEndianArrayToStr(m,L+1):u.value.data=c.utf8ArrayToStr(m,L+1)}}if(a.hasOwnProperty(u.value.key)&&(I[a[u.value.key]]=u.value.data),u.value.info){var f=I[u.value.key];b.isObject(f)||(f={},I[u.value.key]=f),f[u.value.info]=u.value.data}else{I[u.value.key]=u.value.data}return I},{})},c}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(4),h(3),h(1)],j=function(c,f,a){var n={},d={NEW:0,LOADING:1,ERROR:2,COMPLETE:3},b=function(m,k){function s(p){l=d.ERROR,t.trigger(c.ERROR,p)}function o(p){l=d.COMPLETE,t.trigger(c.COMPLETE,p)}var t=a.extend(this,f),l=d.NEW;this.addEventListener=this.on,this.removeEventListener=this.off,this.makeStyleLink=function(p){var q=document.createElement("link");return q.type="text/css",q.rel="stylesheet",q.href=p,q},this.makeScriptTag=function(p){var q=document.createElement("script");return q.src=p,q},this.makeTag=k?this.makeStyleLink:this.makeScriptTag,this.load=function(){if(l===d.NEW){var r=n[m];if(r&&(l=r.getStatus(),l<2)){return r.on(c.ERROR,s),void r.on(c.COMPLETE,o)}var p=document.getElementsByTagName("head")[0]||document.documentElement,u=this.makeTag(m),q=!1;u.onload=u.onreadystatechange=function(v){q||this.readyState&&"loaded"!==this.readyState&&"complete"!==this.readyState||(q=!0,o(v),u.onload=u.onreadystatechange=null,p&&u.parentNode&&!k&&p.removeChild(u))},u.onerror=s,p.insertBefore(u,p.firstChild),l=d.LOADING,n[m]=this}},this.getStatus=function(){return l}};return b.loaderstatus=d,b}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(1)],j=function(b){var r="free",f="premium",c="enterprise",n="platinum",l="ads",a="unlimited",o="trial",d={setup:[r,f,c,l,a,o,n],dash:[f,c,l,a,o,n],drm:[c,l,a,o],hls:[f,l,c,a,o,n],ads:[l,a,o,n,c],casting:[f,c,l,a,o,n],jwpsrv:[r,f,c,l,o,n]},s=function(k){return function(m){return b.contains(d[m],k)}};return s}.apply(e,g),!(void 0!==j&&(i.exports=j))},,function(h,e){function g(b,l){var c=l&&l.loc,a=void 0,n=void 0;c&&(a=c.start.line,n=c.start.column,b+=" - "+a+":"+n);for(var d=Error.prototype.constructor.call(this,b),o=0;o<f.length;o++){this[f[o]]=d[f[o]]}Error.captureStackTrace&&Error.captureStackTrace(this,g),c&&(this.lineNumber=a,this.column=n)}e.__esModule=!0;var f=["description","fileName","lineNumber","message","name","number","stack"];g.prototype=new Error,e["default"]=g,h.exports=e["default"]},function(i,e,h){var g,j;g=[h(1),h(2),h(24),h(42),h(177),h(68)],j=function(d,a,f,r,o,c){function s(m,t,p,v){var n,u,B=m.responseXML?m.responseXML.firstChild:null;if(B){for("xml"===f.localName(B)&&(B=B.nextSibling);B.nodeType===B.COMMENT_NODE;){B=B.nextSibling}}try{if(B&&"tt"===f.localName(B)){n=o(m.responseXML),u=this.convertToVTTCues(n),delete t.xhr,p(u)}else{var k=m.responseText;k.indexOf("WEBVTT")>=0?l(k,t,p,v):(n=r(k),u=this.convertToVTTCues(n),delete t.xhr,p(u))}}catch(q){delete t.xhr,v(q)}}function l(m,p,k,n){h.e(10,function(x){var q=h(69),v=new q(window),u=[];v.oncue=function(t){u.push(t)},v.onflush=function(){delete p.xhr,k(u)};try{v.parse(m).flush()}catch(y){delete p.xhr,n(y)}})}var b={};return b.loadFile=function(n,m,k){n.xhr=a.ajax(n.file,function(p){s.call(b,p,n,m,k)},k)},b.cancelXhr=function(k){d.each(k,function(m){var n=m.xhr;n&&(n.onload=null,n.onreadystatechange=null,n.onerror=null,"abort" in n&&n.abort()),delete m.xhr})},b.convertToVTTCues=function(m){var k=d.map(m,function(n){return new c(n.begin,n.end,n.text)});return k},b}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(8)],j=function(a){return{localName:function(b){return b?b.localName?b.localName:b.baseName?b.baseName:"":""},textContent:function(b){return b?b.textContent?a.trim(b.textContent):b.text?a.trim(b.text):"":""},getChildNode:function(b,c){return b.childNodes[c]},numChildren:function(b){return b.childNodes?b.childNodes.length:0}}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(181),h(182),h(74),h(32)],j=function(a,d,o,f){var b={},r={},n=function(l,k){return r[l]=new a(new d(b),k),r[l]},c=function(l,q,k,m){var p=f.getPluginName(l);b[p]||(b[p]=new o(l)),b[p].registerPlugin(l,q,k,m)};return{loadPlugins:n,registerPlugin:c}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(1)],j=function(b){function r(k){return function(){return c(k)}}var f={},c=b.memoize(function(k){var m=navigator.userAgent.toLowerCase();return null!==m.match(k)}),n=f.isInt=function(k){return parseFloat(k)%1===0};f.isFlashSupported=function(){var k=f.flashVersion();return k&&k>=11.2},f.isFF=r(/firefox/i),f.isIPod=r(/iP(hone|od)/i),f.isIPad=r(/iPad/i),f.isSafari602=r(/Macintosh.*Mac OS X 10_8.*6\.0\.\d* Safari/i),f.isOSX=r(/Mac OS X/i);var l=f.isEdge=function(k){return c(k?new RegExp("\\sedge\\/"+k,"i"):/\sEdge\/\d+/i)},a=f.isIETrident=r(/trident\/.+rv:\s*11/i),o=f.isMSIE=function(k){return k?(k=parseFloat(k).toFixed(1),c(new RegExp("msie\\s*"+k,"i"))):c(/msie/i)};f.isChrome=function(){return c(/\s(?:Chrome|CriOS)\//i)&&!f.isEdge()},f.isIE=function(k){return k?(k=parseFloat(k).toFixed(1),k>=12?l(k):k>=11?a():o(k)):l()||a()||o()},f.isSafari=function(){return c(/safari/i)&&!c(/chrome/i)&&!c(/chromium/i)&&!c(/android/i)};var d=f.isIOS=function(k){return c(k?new RegExp("iP(hone|ad|od).+\\s(OS\\s"+k+"|.*\\sVersion/"+k+")","i"):/iP(hone|ad|od)/i)};f.isAndroidNative=function(k){return s(k,!0)};var s=f.isAndroid=function(k,m){return !(m&&c(/chrome\/[123456789]/i)&&!c(/chrome\/18/))&&(k?(n(k)&&!/\./.test(k)&&(k=""+k+"."),c(new RegExp("Android\\s*"+k,"i"))):c(/Android/i))};return f.isMobile=function(){return d()||s()},f.isIframe=function(){return window.frameElement&&"IFRAME"===window.frameElement.nodeName},f.flashVersion=function(){if(f.isAndroid()){return 0}var m,p=navigator.plugins;if(p&&(m=p["Shockwave Flash"],m&&m.description)){return parseFloat(m.description.replace(/\D+(\d+\.?\d*).*/,"$1"))}if("undefined"!=typeof window.ActiveXObject){try{if(m=new window.ActiveXObject("ShockwaveFlash.ShockwaveFlash")){return parseFloat(m.GetVariable("$version").split(" ")[1].replace(/\s*,\s*/,"."))}}catch(k){return 0}return m}return 0},f}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[],j=function(){return{repo:"http://ssl.p.jwpcdn.com/player/v/",SkinsIncluded:["seven"],SkinsLoadable:["beelden","bekle","five","glow","roundster","six","stormtrooper","vapor"],dvrSeekLimit:-25}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(8),h(86)],j=function(a,d){function o(l){l=l.split("-");for(var k=1;k<l.length;k++){l[k]=l[k].charAt(0).toUpperCase()+l[k].slice(1)}return l.join("")}function f(p,k,m){if(""===k||void 0===k||null===k){return""}var l=m?" !important":"";return"string"==typeof k&&isNaN(k)?/png|gif|jpe?g/i.test(k)&&k.indexOf("url")<0?"url("+k+")":k+l:0===k||"z-index"===p||"opacity"===p?""+k+l:/color/i.test(p)?"#"+a.pad(k.toString(16).replace(/^0x/i,""),6)+l:Math.ceil(k)+"px"+l}var b=function(l,k,p){p=p||"all-players";var m="";if("object"==typeof k){var q=document.createElement("div");r(q,k),m="{"+q.style.cssText+"}"}else{"string"==typeof k&&(m=k)}d.style([[l,l+m]],p)},r=function(k,p){if(void 0!==k&&null!==k){void 0===k.length&&(k=[k]);var l,t={};for(l in p){t[l]=f(l,p[l])}for(var s=0;s<k.length;s++){var m,q=k[s];if(void 0!==q&&null!==q){for(l in t){m=o(l),q.style[m]!==t[l]&&(q.style[m]=t[l])}}}}},n=function(l,k){r(l,{transform:k,webkitTransform:k,msTransform:k,mozTransform:k,oTransform:k})},c=function(l,m){var k="rgb";l?(l=String(l).replace("#",""),3===l.length&&(l=l[0]+l[0]+l[1]+l[1]+l[2]+l[2])):l="000000";var p=[parseInt(l.substr(0,2),16),parseInt(l.substr(2,2),16),parseInt(l.substr(4,2),16)];return void 0!==m&&100!==m&&(k+="a",p.push(m/100)),k+"("+p.join(",")+")"};return{css:b,style:r,clearCss:d.clear,transform:n,hexToRgba:c}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[],j=function(){return"7.7.4+commercial_v7-7-4.127.commercial.8c45ad.jwplayer.39d271.freewheel.32fc26.googima.17c8c6.vast.10bf30.analytics.516c4b.plugin-gapro.7e936b.plugin-related.b37675.plugin-sharing.8b8aae"}.apply(e,g),!(void 0!==j&&(i.exports=j))},,function(i,e,h){var g,j;g=[h(2),h(53),h(173),h(1),h(3),h(189),h(4),h(6)],j=function(b,r,f,c,n,l,a,o){var d=function(){function p(C,w){var E=c.extend({},w,{type:C});switch(C){case"flashThrottle":var D="resume"!==w.state;this.set("flashThrottle",D),this.set("flashBlocked",D);break;case"flashBlocked":return void this.set("flashBlocked",!0);case"flashUnblocked":return void this.set("flashBlocked",!1);case"volume":case"mute":return void this.set(C,w[C]);case a.JWPLAYER_MEDIA_TYPE:return void (this.mediaModel.get("mediaType")!==w.mediaType&&(this.mediaModel.set("mediaType",w.mediaType),this.mediaController.trigger(C,E)));case a.JWPLAYER_PLAYER_STATE:return void this.mediaModel.set("state",w.newstate);case a.JWPLAYER_MEDIA_BUFFER:this.set("buffer",w.bufferPercent);case a.JWPLAYER_MEDIA_META:var v=w.duration;c.isNumber(v)&&!c.isNaN(v)&&(this.mediaModel.set("duration",v),this.set("duration",v));break;case a.JWPLAYER_MEDIA_BUFFER_FULL:this.mediaModel.get("playAttempt")?this.playVideo():this.mediaModel.on("change:playAttempt",function(){this.playVideo()},this);break;case a.JWPLAYER_MEDIA_TIME:this.mediaModel.set("position",w.position),this.set("position",w.position),c.isNumber(w.duration)&&(this.mediaModel.set("duration",w.duration),this.set("duration",w.duration));break;case a.JWPLAYER_PROVIDER_CHANGED:this.set("provider",m.getName());break;case a.JWPLAYER_MEDIA_LEVELS:this.setQualityLevel(w.currentQuality,w.levels),this.mediaModel.set("levels",w.levels);break;case a.JWPLAYER_MEDIA_LEVEL_CHANGED:this.setQualityLevel(w.currentQuality,w.levels),this.persistQualityLevel(w.currentQuality,w.levels);break;case a.JWPLAYER_AUDIO_TRACKS:this.setCurrentAudioTrack(w.currentTrack,w.tracks),this.mediaModel.set("audioTracks",w.tracks);break;case a.JWPLAYER_AUDIO_TRACK_CHANGED:this.setCurrentAudioTrack(w.currentTrack,w.tracks);break;case"subtitlesTrackChanged":this.persistVideoSubtitleTrack(w.currentTrack,w.tracks);break;case"visualQuality":var x=c.extend({},w);this.mediaModel.set("visualQuality",x)}this.mediaController.trigger(C,E)}var q,m,t=this,k=b.noop;this.mediaController=c.extend({},n),this.mediaModel=new s,f.model(this),this.set("mediaModel",this.mediaModel),this.setup=function(u){return c.extend(this.attributes,u,{item:0,state:o.IDLE,flashBlocked:!1,fullscreen:!1,scrubbing:!1,duration:0,position:0,buffer:0}),b.isMobile()&&!u.mobileSdk&&this.set("autostart",!1),this.updateProviders(),this},this.getConfiguration=function(){return c.omit(this.clone(),["mediaModel"])},this.updateProviders=function(){q=new r(this.getConfiguration())},this.setQualityLevel=function(v,u){v>-1&&u.length>1&&"youtube"!==m.getName().name&&this.mediaModel.set("currentLevel",parseInt(v))},this.persistQualityLevel=function(w,x){var z=x[w]||{},v=z.label;this.set("qualityLabel",v)},this.setCurrentAudioTrack=function(v,u){v>-1&&u.length>0&&v<u.length&&this.mediaModel.set("currentAudioTrack",parseInt(v))},this.onMediaContainer=function(){var u=this.get("mediaContainer");k.setContainer(u)},this.changeVideoProvider=function(v){if(this.off("change:mediaContainer",this.onMediaContainer),m&&(m.off(null,null,this),m.getContainer()&&m.remove(),delete m.instreamMode),!v){return m=k=v,void this.set("provider",void 0)}k=new v(t.get("id"),t.getConfiguration());var u=this.get("mediaContainer");u?k.setContainer(u):this.once("change:mediaContainer",this.onMediaContainer),this.set("provider",k.getName()),k.getName().name.indexOf("flash")===-1&&(this.set("flashThrottle",void 0),this.set("flashBlocked",!1)),m=k,m.volume(t.get("volume")),m.mute(t.get("mute")),m.on("all",p,this),this.get("instreamMode")===!0&&(m.instreamMode=!0)},this.destroy=function(){this.off(),m&&(m.off(null,null,this),m.destroy())},this.getVideo=function(){return m},this.setFullscreen=function(u){u=!!u,u!==t.get("fullscreen")&&t.set("fullscreen",u)},this.chooseProvider=function(u){return q.choose(u).provider},this.setItemIndex=function(v){var u=this.get("playlist");v=parseInt(v,10)||0,v=(v+u.length)%u.length,this.set("item",v),this.set("playlistItem",u[v]),this.setActiveItem(u[v])},this.setActiveItem=function(u){this.mediaModel.off(),this.mediaModel=new s,this.set("mediaModel",this.mediaModel),this.set("position",u.starttime||0),this.set("minDvrWindow",u.minDvrWindow),this.set("duration",u.duration&&b.seconds(u.duration)||0),this.setProvider(u)},this.setProvider=function(x){var v=x&&x.sources&&x.sources[0];if(void 0!==v){var w=this.chooseProvider(v);w&&k instanceof w||t.changeVideoProvider(w),k&&(k.init&&k.init(x),this.trigger("itemReady",x))}},this.getProviders=function(){return q},this.resetProvider=function(){k=null},this.setVolume=function(v){v=Math.round(v),this.set("volume",v),m&&m.volume(v);var u=0===v;u!==this.get("mute")&&this.setMute(u)},this.setMute=function(u){if(b.exists(u)||(u=!this.get("mute")),this.set("mute",u),m&&m.mute(u),!u){var v=Math.max(10,this.get("volume"));this.setVolume(v)}},this.loadVideo=function(u){if(!u){var v=this.get("item");u=this.get("playlist")[v]}this.set("position",u.starttime||0),this.set("duration",u.duration&&b.seconds(u.duration)||0),this.mediaModel.set("playAttempt",!0),this.mediaController.trigger(a.JWPLAYER_MEDIA_PLAY_ATTEMPT,{playReason:this.get("playReason")}),m.load(u)},this.stopVideo=function(){m&&m.stop()},this.playVideo=function(){m.play()},this.persistCaptionsTrack=function(){var u=this.get("captionsTrack");u?this.set("captionLabel",u.name):this.set("captionLabel","Off")},this.setVideoSubtitleTrack=function(v,u){this.set("captionsIndex",v),v&&u&&v<=u.length&&u[v-1].data&&this.set("captionsTrack",u[v-1]),m&&m.setSubtitlesTrack&&m.setSubtitlesTrack(v)},this.persistVideoSubtitleTrack=function(v,u){this.setVideoSubtitleTrack(v,u),this.persistCaptionsTrack()},this.setNextUp=function(u){this.set("nextUp",u)}},s=d.MediaModel=function(){this.set("state",o.IDLE)};return c.extend(d.prototype,l),c.extend(s.prototype,l),d}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(8)],j=function(b){var c={},a=c.pluginPathType={ABSOLUTE:0,RELATIVE:1,CDN:2};return c.getPluginPathType=function(m){if("string"==typeof m){m=m.split("?")[0];var n=m.indexOf("://");if(n>0){return a.ABSOLUTE}var f=m.indexOf("/"),d=b.extension(m);return !(n<0&&f<0)||d&&isNaN(d)?a.RELATIVE:a.CDN}},c.getPluginName=function(d){return d.replace(/^(.*\/)?([^-]*)-?.*\.(swf|js)$/,"$2")},c.getPluginVersion=function(d){return d.replace(/[^-]*-?([^\.]*).*$/,"$1")},c}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[],j=function(){var a=window.chrome,b={};return b.NS="urn:x-cast:com.longtailvideo.jwplayer",b.debug=!1,b.availability=null,b.available=function(c){c=c||b.availability;var d="available";return a&&a.cast&&a.cast.ReceiverAvailability&&(d=a.cast.ReceiverAvailability.AVAILABLE),c===d},b.log=function(){if(b.debug){var c=Array.prototype.slice.call(arguments,0);console.log.apply(console,c)}},b.error=function(){var c=Array.prototype.slice.call(arguments,0);console.error.apply(console,c)},b}.apply(e,g),!(void 0!==j&&(i.exports=j))},,,,,,,,function(i,e,h){var g,j;g=[h(6)],j=function(a){function b(c){return c===a.COMPLETE||c===a.ERROR?a.IDLE:c}return function(d,o,n){if(o=b(o),n=b(n),o!==n){var f=o.replace(/(?:ing|d)$/,""),c={type:f,newstate:o,oldstate:n,reason:d.mediaModel.get("state")};"play"===f&&(c.playReason=d.get("playReason")),this.trigger(f,c)}}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(2),h(8)],j=function(b,c){function a(t){var k={},o=t.split("\r\n");1===o.length&&(o=t.split("\n"));var f=1;if(o[0].indexOf(" --> ")>0&&(f=0),o.length>f+1&&o[f+1]){var r=o[f],n=r.indexOf(" --> ");n>0&&(k.begin=d(r.substr(0,n)),k.end=d(r.substr(n+5)),k.text=o.slice(f+1).join("\r\n"))}return k}var d=b.seconds;return function(r){var f=[];r=c.trim(r);var s=r.split("\r\n\r\n");1===s.length&&(s=r.split("\n\n"));for(var o=0;o<s.length;o++){if("WEBVTT"!==s[o]){var k=a(s[o]);k.text&&f.push(k)}}return f}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(1),h(73),h(180)],j=function(b,c,a){var d={sources:[],tracks:[],minDvrWindow:120};return function(q){q=q||{},b.isArray(q.tracks)||delete q.tracks;var o=b.extend({},d,q);b.isObject(o.sources)&&!b.isArray(o.sources)&&(o.sources=[c(o.sources)]),b.isArray(o.sources)&&0!==o.sources.length||(q.levels?o.sources=q.levels:o.sources=[c(q)]);for(var k=0;k<o.sources.length;k++){var f=o.sources[k];if(f){var l=f["default"];l?f["default"]="true"===l.toString():f["default"]=!1,o.sources[k].label||(o.sources[k].label=k.toString()),o.sources[k]=c(o.sources[k])}}return o.sources=b.compact(o.sources),b.isArray(o.tracks)||(o.tracks=[]),b.isArray(o.captions)&&(o.tracks=o.tracks.concat(o.captions),delete o.captions),o.tracks=b.compact(b.map(o.tracks,a)),o}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(1),h(46)],j=function(b,r){function f(k){k.onload=null,k.onprogress=null,k.onreadystatechange=null,k.onerror=null,"abort" in k&&k.abort()}function c(k,m){return function(v){var q=v.currentTarget||m.xhr;if(clearTimeout(m.timeoutId),m.retryWithoutCredentials&&m.xhr.withCredentials){f(q);var p=b.extend({},m,{xhr:null,withCredentials:!1,retryWithoutCredentials:!1});return void a(p)}m.onerror(k,m.url,q)}}function n(k){return function(m){var q=m.currentTarget||k.xhr;if(4===q.readyState){if(clearTimeout(k.timeoutId),q.status>=400){var p;return p=404===q.status?"File not found":""+q.status+"("+q.statusText+")",k.onerror(p,k.url,q)}if(200===q.status){return l(k)(m)}}}}function l(k){return function(m){var v=m.currentTarget||k.xhr;if(clearTimeout(k.timeoutId),k.responseType){if("json"===k.responseType){return t(v,k)}}else{var q,p=v.responseXML;if(p){try{q=p.firstChild}catch(w){}}if(p&&q){return o(v,p,k)}if(s&&v.responseText&&!p&&(p=r.parseXML(v.responseText),p&&p.firstChild)){return o(v,p,k)}if(k.requireValidXML){return void k.onerror("Invalid XML",k.url,v)}}k.oncomplete(v)}}function t(k,p){if(!k.response||b.isString(k.response)&&'"'!==k.responseText.substr(1)){try{k=b.extend({},k,{response:JSON.parse(k.responseText)})}catch(m){return void p.onerror("Invalid JSON",p.url,k)}}return p.oncomplete(k)}function o(k,m,p){var q=m.documentElement;return p.requireValidXML&&("parsererror"===q.nodeName||q.getElementsByTagName("parsererror").length)?void p.onerror("Invalid XML",p.url,k):(k.responseXML||(k=b.extend({},k,{responseXML:m})),p.oncomplete(k))}var d=function(){},s=!1,u=function(p){var q=document.createElement("a"),m=document.createElement("a");q.href=location.href;try{return m.href=p,m.href=m.href,q.protocol+"//"+q.host!=m.protocol+"//"+m.host}catch(k){}return !0},a=function(q,w,y,k){b.isObject(q)&&(k=q,q=k.url);var p,m=b.extend({xhr:null,url:q,withCredentials:!1,retryWithoutCredentials:!1,timeout:60000,timeoutId:-1,oncomplete:w||d,onerror:y||d,mimeType:k&&!k.responseType?"text/xml":"",requireValidXML:!1,responseType:k&&k.plainText?"text":""},k);if("XDomainRequest" in window&&u(q)){p=m.xhr=new window.XDomainRequest,p.onload=l(m),p.ontimeout=p.onprogress=d,s=!0}else{if(!("XMLHttpRequest" in window)){return void m.onerror("",q)}p=m.xhr=new window.XMLHttpRequest,p.onreadystatechange=n(m)}var v=c("Error loading file",m);p.onerror=v,"overrideMimeType" in p?m.mimeType&&p.overrideMimeType(m.mimeType):s=!0;try{q=q.replace(/#.*$/,""),p.open("GET",q,!0)}catch(x){return v(x),p}if(m.responseType){try{p.responseType=m.responseType}catch(x){}}m.timeout&&(m.timeoutId=setTimeout(function(){f(p),m.onerror("Timeout",q,p)},m.timeout),p.onabort=function(){clearTimeout(m.timeoutId)});try{m.withCredentials&&"withCredentials" in p&&(p.withCredentials=!0),p.send()}catch(x){v(x)}return p};return{ajax:a,crossdomain:u}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(8),h(1),h(188)],j=function(c,f,a){var n={};n.createElement=function(l){var k=document.createElement("div");return k.innerHTML=l,k.firstChild},n.styleDimension=function(k){return k+(k.toString().indexOf("%")>0?"":"px")};var d=function(k){return f.isString(k.className)?k.className.split(" "):[]},b=function(l,k){k=c.trim(k),l.className!==k&&(l.className=k)};return n.classList=function(k){return k.classList?k.classList:d(k)},n.hasClass=a.hasClass,n.addClass=function(l,k){var m=d(l),s=f.isArray(k)?k:k.split(" ");f.each(s,function(o){f.contains(m,o)||m.push(o)}),b(l,m.join(" "))},n.removeClass=function(l,k){var m=d(l),s=f.isArray(k)?k:k.split(" ");b(l,f.difference(m,s).join(" "))},n.replaceClass=function(l,m,k){var s=l.className||"";m.test(s)?s=s.replace(m,k):k&&(s+=" "+k),b(l,s)},n.toggleClass=function(o,l,k){var m=n.hasClass(o,l);k=f.isBoolean(k)?k:!m,k!==m&&(k?n.addClass(o,l):n.removeClass(o,l))},n.emptyElement=function(k){for(;k.firstChild;){k.removeChild(k.firstChild)}},n.addStyleSheet=function(l){var k=document.createElement("link");k.rel="stylesheet",k.href=l,document.getElementsByTagName("head")[0].appendChild(k)},n.empty=function(k){if(k){for(;k.childElementCount>0;){k.removeChild(k.children[0])}}},n.bounds=function(l){var r={left:0,right:0,width:0,height:0,top:0,bottom:0};if(!l||!document.body.contains(l)){return r}var k=l.getBoundingClientRect(),t=window.pageYOffset,m=window.pageXOffset;return k.width||k.height||k.left||k.top?(r.left=k.left+m,r.right=k.right+m,r.top=k.top+t,r.bottom=k.bottom+t,r.width=k.right-k.left,r.height=k.bottom-k.top,r):r},n}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(1),h(47)],j=function(b,d){function a(k){return/^(?:(?:https?|file)\:)?\/\//.test(k)}function f(k){return b.some(k,function(l){return"parsererror"===l.nodeName})}var c={};return c.getAbsolutePath=function(o,u){if(d.exists(u)||(u=document.location.href),d.exists(o)){if(a(o)){return o}var r,l=u.substring(0,u.indexOf("://")+3),z=u.substring(l.length,u.indexOf("/",l.length+1));if(0===o.indexOf("/")){r=o.split("/")}else{var s=u.split("?")[0];s=s.substring(l.length+z.length+1,s.lastIndexOf("/")),r=s.split("/").concat(o.split("/"))}for(var k=[],y=0;y<r.length;y++){r[y]&&d.exists(r[y])&&"."!==r[y]&&(".."===r[y]?k.pop():k.push(r[y]))}return l+z+"/"+k.join("/")}},c.getScriptPath=b.memoize(function(n){for(var r=document.getElementsByTagName("script"),l=0;l<r.length;l++){var k=r[l].src;if(k&&k.indexOf(n)>=0){return k.substr(0,k.indexOf(n))}}return""}),c.parseXML=function(k){var l=null;try{"DOMParser" in window?(l=(new window.DOMParser).parseFromString(k,"text/xml"),(f(l.childNodes)||l.childNodes&&f(l.childNodes[0].childNodes))&&(l=null)):(l=new window.ActiveXObject("Microsoft.XMLDOM"),l.async="false",l.loadXML(k))}catch(n){}return l},c.serialize=function(k){if(void 0===k){return null}if("string"==typeof k&&k.length<6){var l=k.toLowerCase();if("true"===l){return !0}if("false"===l){return !1}if(!isNaN(Number(k))&&!isNaN(parseFloat(k))){return Number(k)}}return k},c.parseDimension=function(k){return"string"==typeof k?""===k?0:k.lastIndexOf("%")>-1?k:parseInt(k.replace("px",""),10):k},c.timeFormat=function(t,l){if(t<=0&&!l||b.isNaN(parseInt(t))){return"00:00"}var k=t<0?"-":"";t=Math.abs(t);var o=Math.floor(t/3600),n=Math.floor((t-3600*o)/60),r=Math.floor(t%60);return k+(o?o+":":"")+(n<10?"0":"")+n+":"+(r<10?"0":"")+r},c.streamType=function(k,n){var l=b.isUndefined(n)?120:n,q="VOD";return k===1/0?q="LIVE":k<0&&(q=Math.abs(k)>=Math.max(l,0)?"DVR":"LIVE"),q},c}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(1)],j=function(a){var b={};return b.exists=function(c){switch(typeof c){case"string":return c.length>0;case"object":return null!==c;case"undefined":return !1}return !0},b.isHTTPS=function(){return 0===window.location.href.indexOf("https")},b.isRtmp=function(c,d){return 0===c.indexOf("rtmp")||"rtmp"===d},b.isYouTube=function(c,d){return"youtube"===d||/^(http|\/\/).*(youtube\.com|youtu\.be)\/.+/.test(c)},b.youTubeID=function(c){var d=/v[=\/]([^?&]*)|youtu\.be\/([^?]*)|^([\w-]*)$/i.exec(c);return d?d.slice(1).join("").replace("?",""):""},b.typeOf=function(d){if(null===d){return"null"}var c=typeof d;return"object"===c&&a.isArray(d)?"array":c},b}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(80),h(9),h(145),h(2)],j=function(b,d,a,f){var c=b.extend({constructor:function(k,l){this.className=k+" jw-background-color jw-reset",this.orientation=l,this.dragStartListener=this.dragStart.bind(this),this.dragMoveListener=this.dragMove.bind(this),this.dragEndListener=this.dragEnd.bind(this),this.tapListener=this.tap.bind(this),this.setup()},setup:function(){var k={"default":this["default"],className:this.className,orientation:"jw-slider-"+this.orientation};this.el=f.createElement(a(k)),this.elementRail=this.el.getElementsByClassName("jw-slider-container")[0],this.elementBuffer=this.el.getElementsByClassName("jw-buffer")[0],this.elementProgress=this.el.getElementsByClassName("jw-progress")[0],this.elementThumb=this.el.getElementsByClassName("jw-knob")[0],this.userInteract=new d(this.element(),{preventScrolling:!0}),this.userInteract.on("dragStart",this.dragStartListener),this.userInteract.on("drag",this.dragMoveListener),this.userInteract.on("dragEnd",this.dragEndListener),this.userInteract.on("tap click",this.tapListener)},dragStart:function(){this.trigger("dragStart"),this.railBounds=f.bounds(this.elementRail)},dragEnd:function(k){this.dragMove(k),this.trigger("dragEnd")},dragMove:function(r){var l,n,k=this.railBounds=this.railBounds?this.railBounds:f.bounds(this.elementRail);"horizontal"===this.orientation?(l=r.pageX,n=l<k.left?0:l>k.right?100:100*f.between((l-k.left)/k.width,0,1)):(l=r.pageY,n=l>=k.bottom?0:l<=k.top?100:100*f.between((k.height-(l-k.top))/k.height,0,1));var o=this.limit(n);return this.render(o),this.update(o),!1},tap:function(k){this.railBounds=f.bounds(this.elementRail),this.dragMove(k)},limit:function(k){return k},update:function(k){this.trigger("update",{percentage:k})},render:function(k){k=Math.max(0,Math.min(k,100)),"horizontal"===this.orientation?(this.elementThumb.style.left=k+"%",this.elementProgress.style.width=k+"%"):(this.elementThumb.style.bottom=k+"%",this.elementProgress.style.height=k+"%")},updateBuffer:function(k){this.elementBuffer.style.width=k+"%"},element:function(){return this.el}});return c}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(80),h(2)],j=function(b,c){var a=b.extend({constructor:function(f,m,d){this.el=document.createElement("div"),this.el.className="jw-icon jw-icon-tooltip "+f+" jw-button-color jw-reset jw-hidden",m&&(this.el.setAttribute("tabindex","0"),this.el.setAttribute("role","button"),this.el.setAttribute("aria-label",m)),d===!0?this.el.setAttribute("aria-hidden","false"):this.el.setAttribute("aria-hidden","true"),this.container=document.createElement("div"),this.container.className="jw-overlay jw-reset",this.openClass="jw-open",this.componentType="tooltip",this.el.appendChild(this.container)},addContent:function(d){this.content&&this.removeContent(),this.content=d,this.container.appendChild(d)},removeContent:function(){this.content&&(this.container.removeChild(this.content),this.content=null)},hasContent:function(){return !!this.content},element:function(){return this.el},openTooltip:function(d){this.trigger("open-"+this.componentType,d,{isOpen:!0}),this.isOpen=!0,c.toggleClass(this.el,this.openClass,this.isOpen)},closeTooltip:function(d){this.trigger("close-"+this.componentType,d,{isOpen:!1}),this.isOpen=!1,c.toggleClass(this.el,this.openClass,this.isOpen)},toggleOpenState:function(d){this.isOpen?this.closeTooltip(d):this.openTooltip(d)}});return a}.apply(e,g),!(void 0!==j&&(i.exports=j))},,function(i,e,h){var g,j;g=[h(1),h(20)],j=function(b,r){var f,c=[{configName:"clearkey",keyName:"org.w3.clearkey"},{configName:"widevine",keyName:"com.widevine.alpha"},{configName:"playready",keyName:"com.microsoft.playready"}],n=[],l={},t=function(m){var k=m.get("playlist");return !!m.get("drm")||b.some(k,function(p){return !!p.drm||b.some(p.sources,function(q){return !!q.drm})})},o=function(k){return new Promise(function(m,p){var q;try{q=new window.MSMediaKeys(k)}catch(v){}q?m():p()})},d=function(k){var m=o;return navigator.requestMediaKeySystemAccess&&(m=navigator.requestMediaKeySystemAccess.bind(navigator)),f?f.then(k):(b.forEach(c,function(q){var p=m(q.keyName,[{}]).then(function(){l[q.configName]=!0},function(){l[q.configName]=!1});n.push(p)}),f=Promise.all(n).then(k))},s=function(){return !!navigator.requestMediaKeySystemAccess&&!!MediaKeySystemAccess.prototype.getConfiguration||!!window.MSMediaKeys},u=function(k){return l[k]},a=function(k){f||console.error('DRM only supported with "drm" block in initial setup.',k);var m=b.keys(k);return b.some(m,function(p){return u(p)})};return{containsDrm:t,probe:function(m,k){s()&&r(k)("drm")?d(m):m()},anySupported:a,isSupported:u}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(26),h(20),h(1),h(185),h(51)],j=function(b,r,f,c,n){function l(){return !!window.MediaSource&&!!window.MediaSource.isTypeSupported&&window.MediaSource.isTypeSupported('video/mp4;codecs="avc1.4d400d,mp4a.40.2"')}function t(p,k){if(b.isSafari()){return !1}var v=r(k);if(!v("dash")){return !1}if(p.drm&&!n.anySupported(p.drm)){return !1}var m=window.MediaSource;if(!window.HTMLVideoElement||!m){return !1}var q=!0;return p.mediaTypes&&(q=f.all(p.mediaTypes,function(u){return m.isTypeSupported(u)})),q&&("dash"===p.type||"mpd"===p.type||(p.file||"").indexOf("mpd-time-csf")>-1)}var o=f.find(c,f.matches({name:"flash"})),d=o.supports;o.supports=function(m,q){if(!b.isFlashSupported()||m.drm){return !1}var k=m&&m.type;if("hls"===k||"m3u8"===k){var p=r(q);return p("hls")}return d.apply(this,arguments)};var s=f.find(c,f.matches({name:"html5"})),a=s.supports;return s.supports=function(p,k){var v=a.apply(this,arguments);if(v&&p.drm&&"hls"===p.type){var q=r(k),w=q("drm");if(w&&p.drm.fairplay){var m=window.WebKitMediaKeys;return m&&m.isTypeSupported&&m.isTypeSupported("com.apple.fps.1_0","video/mp4")}return w}return v},c.push({name:"shaka",supports:t}),c.push({name:"caterpillar",supports:function(m,k){if((b.isChrome()||b.isFF())&&l()&&!b.isMobile()&&!m.drm){var p=m&&m.type,q=m&&m.file;if(q.indexOf(".m3u8")>-1||"hls"===p||"m3u8"===p){var v=r(k);return v("hls")}}}}),c}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(186),h(1),h(52)],j=function(b,d){var f,c=b.registerProvider,a=b.prototype.reorderProviders;return d.extend(b.loaders,{caterpillar:function(k){h.e(1,function(n){var l=h(90);l.setEdition&&l.setEdition(f),c(l),k(l)})},shaka:function(k){h.e(2,function(n){var l=h(92);c(l),k(l)})}}),d.extend(b.prototype,{reorderProviders:function(n){var l=a.call(this,n);if("flash"!==n&&this.config.hlshtml===!0){var t=d.indexOf(l,d.findWhere(l,{name:"caterpillar"})),r=l.splice(t,1)[0],k=d.indexOf(l,d.findWhere(l,{name:"flash"}));l.splice(k,0,r)}return l},providerSupports:function(k,l){return f=this.config.edition,k.supports(l,f)}}),b}.apply(e,g),!(void 0!==j&&(i.exports=j))},,,,,,,,,,,,,function(e,s,d){function n(b){return b&&b.__esModule?b:{"default":b}}function m(k,b,j){this.helpers=k||{},this.partials=b||{},this.decorators=j||{},o.registerDefaultHelpers(this),t.registerDefaultDecorators(this)}s.__esModule=!0,s.HandlebarsEnvironment=m;var g=d(13),u=d(22),r=n(u),o=d(150),t=d(148),a=d(158),c=n(a),h="4.0.5";s.VERSION=h;var l=7;s.COMPILER_REVISION=l;var f={1:"<= 1.0.rc.2",2:"== 1.0.0-rc.3",3:"== 1.0.0-rc.4",4:"== 1.x.x",5:"== 2.0.0-alpha.x",6:">= 2.0.0-beta.1",7:">= 4.0.0"};s.REVISION_CHANGES=f;var i="[object Object]";m.prototype={constructor:m,logger:c["default"],log:c["default"].log,registerHelper:function(j,b){if(g.toString.call(j)===i){if(b){throw new r["default"]("Arg not supported with multiple helpers")}g.extend(this.helpers,j)}else{this.helpers[j]=b}},unregisterHelper:function(b){delete this.helpers[b]},registerPartial:function(j,b){if(g.toString.call(j)===i){g.extend(this.partials,j)}else{if("undefined"==typeof b){throw new r["default"]('Attempting to register a partial called "'+j+'" as undefined')}this.partials[j]=b}},unregisterPartial:function(b){delete this.partials[b]},registerDecorator:function(j,b){if(g.toString.call(j)===i){if(b){throw new r["default"]("Arg not supported with multiple decorators")}g.extend(this.decorators,j)}else{this.decorators[j]=b}},unregisterDecorator:function(b){delete this.decorators[b]}};var p=c["default"].log;s.log=p,s.createFrame=g.createFrame,s.logger=c["default"]},function(i,e,h){var g,j;g=[h(2),h(1)],j=function(a,d){function f(k){d.each(k,function(l,m){k[m]=a.serialize(l)})}function b(k){return k.slice&&"px"===k.slice(-2)&&(k=k.slice(0,-2)),k}function p(r,k){if(k.toString().indexOf("%")===-1){return 0}if("string"!=typeof r||!a.exists(r)){return 0}if(/^\d*\.?\d+%$/.test(r)){return r}var n=r.indexOf(":");if(n===-1){return 0}var m=parseFloat(r.substr(0,n)),l=parseFloat(r.substr(n+1));return m<=0||l<=0?0:l/m*100+"%"}var o={autostart:!1,controls:!0,displaytitle:!0,displaydescription:!0,mobilecontrols:!1,repeat:!1,castAvailable:!1,skin:"seven",stretching:"uniform",mute:!1,volume:90,width:480,height:270,localization:{play:"Play",playback:"Start playback",pause:"Pause",volume:"Volume",prev:"Previous",next:"Next",cast:"Chromecast",fullscreen:"Fullscreen",playlist:"Playlist",hd:"Quality",cc:"Closed captions",audioTracks:"Audio tracks",replay:"Replay",buffer:"Loading",more:"More",liveBroadcast:"Live broadcast",loadingAd:"Loading ad",rewind:"Rewind 10s",nextUp:"Next Up",related:"Related"}},c=function(u,s){var l=s&&s.getAllItems(),k=d.extend({},(window.jwplayer||{}).defaults,l,u);f(k),k.localization=d.extend({},o.localization,k.localization);var m=d.extend({},o,k);if("."===m.base&&(m.base=a.getScriptPath("jwplayer.js")),m.base=(m.base||a.loadFrom()).replace(/\/?$/,"/"),h.p=m.base,m.width=b(m.width),m.height=b(m.height),m.flashplayer=m.flashplayer||(a.getScriptPath("jwplayer.js")||m.base)+"jwplayer.flash.swf","http:"===window.location.protocol&&(m.flashplayer=m.flashplayer.replace("https","http")),m.aspectratio=p(m.aspectratio,m.width),d.isObject(m.skin)&&(m.skinUrl=m.skin.url,m.skinColorInactive=m.skin.inactive,m.skinColorActive=m.skin.active,m.skinColorBackground=m.skin.background,m.skin=d.isString(m.skin.name)?m.skin.name:o.skin),d.isString(m.skin)&&m.skin.indexOf(".xml")>0&&(console.log("JW Player does not support XML skins, please update your config"),m.skin=m.skin.replace(".xml","")),m.aspectratio||delete m.aspectratio,!m.playlist){var n=d.pick(m,["title","description","type","mediaid","image","file","sources","tracks","preload"]);m.playlist=[n]}return m};return c}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(h,e,g){var f;f=function(){function c(k){if("string"!=typeof k){return !1}var j=b[k.toLowerCase()];return !!j&&k.toLowerCase()}function i(k){if("string"!=typeof k){return !1}var j=o[k.toLowerCase()];return !!j&&k.toLowerCase()}function a(k){for(var l=1;l<arguments.length;l++){var j=arguments[l];for(var m in j){k[m]=j[m]}}return k}function n(y,U,j){var v=this,Q=/MSIE\s8\.0/.test(navigator.userAgent),R={};Q?v=document.createElement("custom"):R.enumerable=!0,v.hasBeenReset=!1;var l="",m=!1,p=y,w=U,s=j,u=null,S="",V=!0,T="auto",W="start",E=50,k="middle",O=50,P="middle";if(Object.defineProperty(v,"id",a({},R,{get:function(){return l},set:function(q){l=""+q}})),Object.defineProperty(v,"pauseOnExit",a({},R,{get:function(){return m},set:function(q){m=!!q}})),Object.defineProperty(v,"startTime",a({},R,{get:function(){return p},set:function(q){if("number"!=typeof q){throw new TypeError("Start time must be set to a number.")}p=q,this.hasBeenReset=!0}})),Object.defineProperty(v,"endTime",a({},R,{get:function(){return w},set:function(q){if("number"!=typeof q){throw new TypeError("End time must be set to a number.")}w=q,this.hasBeenReset=!0}})),Object.defineProperty(v,"text",a({},R,{get:function(){return s},set:function(q){s=""+q,this.hasBeenReset=!0}})),Object.defineProperty(v,"region",a({},R,{get:function(){return u},set:function(q){u=q,this.hasBeenReset=!0}})),Object.defineProperty(v,"vertical",a({},R,{get:function(){return S},set:function(q){var r=c(q);if(r===!1){throw new SyntaxError("An invalid or illegal string was specified.")}S=r,this.hasBeenReset=!0}})),Object.defineProperty(v,"snapToLines",a({},R,{get:function(){return V},set:function(q){V=!!q,this.hasBeenReset=!0}})),Object.defineProperty(v,"line",a({},R,{get:function(){return T},set:function(q){if("number"!=typeof q&&q!==d){throw new SyntaxError("An invalid number or illegal string was specified.")}T=q,this.hasBeenReset=!0}})),Object.defineProperty(v,"lineAlign",a({},R,{get:function(){return W},set:function(q){var r=i(q);if(!r){throw new SyntaxError("An invalid or illegal string was specified.")}W=r,this.hasBeenReset=!0}})),Object.defineProperty(v,"position",a({},R,{get:function(){return E},set:function(q){if(q<0||q>100){throw new Error("Position must be between 0 and 100.")}E=q,this.hasBeenReset=!0}})),Object.defineProperty(v,"positionAlign",a({},R,{get:function(){return k},set:function(q){var r=i(q);if(!r){throw new SyntaxError("An invalid or illegal string was specified.")}k=r,this.hasBeenReset=!0}})),Object.defineProperty(v,"size",a({},R,{get:function(){return O},set:function(q){if(q<0||q>100){throw new Error("Size must be between 0 and 100.")}O=q,this.hasBeenReset=!0}})),Object.defineProperty(v,"align",a({},R,{get:function(){return P},set:function(q){var r=i(q);if(!r){throw new SyntaxError("An invalid or illegal string was specified.")}P=r,this.hasBeenReset=!0}})),v.displayState=void 0,Q){return v}}if(window.VTTCue){return window.VTTCue}var d="auto",b={"":!0,lr:!0,rl:!0},o={start:!0,middle:!0,end:!0,left:!0,right:!0};return n.prototype.getCueAsHTML=function(){var j=window.WebVTT;return j.convertCueToDOMTree(window,this.text)},n}.call(e,g,e,h),!(void 0!==f&&(h.exports=f))},,function(i,e,h){var g,j;g=[h(8),h(24),h(178),h(179),h(43)],j=function(b,r,f,c,n){function l(m){for(var p={},v=0;v<m.childNodes.length;v++){var q=m.childNodes[v],k=s(q);if(k){switch(k.toLowerCase()){case"enclosure":p.file=b.xmlAttribute(q,"url");break;case"title":p.title=t(q);break;case"guid":p.mediaid=t(q);break;case"pubdate":p.date=t(q);break;case"description":p.description=t(q);break;case"link":p.link=t(q);break;case"category":p.tags?p.tags+=t(q):p.tags=t(q)}}}return p=c(m,p),p=f(m,p),new n(p)}var t=r.textContent,o=r.getChildNode,d=r.numChildren,s=r.localName,a={};return a.parse=function(w){for(var q=[],x=0;x<d(w);x++){var v=o(w,x),p=s(v).toLowerCase();if("channel"===p){for(var m=0;m<d(v);m++){var k=o(v,m);"item"===s(k).toLowerCase()&&q.push(l(k))}}}return q},a}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(24),h(70),h(2),h(4),h(3),h(1)],j=function(b,d,o,f,c,a){var n=function(){function k(r){var t=o.tryCatch(function(){var q,B=r.responseXML?r.responseXML.childNodes:null,A="";if(B){for(var s=0;s<B.length&&(A=B[s],8===A.nodeType);s++){}"xml"===b.localName(A)&&(A=A.nextSibling),"rss"===b.localName(A)&&(q={playlist:d.parse(A)})}if(!q){try{var y=JSON.parse(r.responseText);if(a.isArray(y)){q={playlist:y}}else{if(!a.isArray(y.playlist)){throw null}q=y}}catch(z){return void l("Not a valid RSS/JSON feed")}}p.trigger(f.JWPLAYER_PLAYLIST_LOADED,q)});t instanceof o.Error&&l()}function m(r){l("Playlist load error: "+r)}function l(r){p.trigger(f.JWPLAYER_ERROR,{message:r?r:"Error loading file"})}var p=a.extend(this,c);this.load=function(r){o.ajax(r,k,m)},this.destroy=function(){this.off()}};return n}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(43),h(73),h(1),h(53)],j=function(b,r,f,c){function n(p,t){for(var k=0;k<p.length;k++){var m=p[k],q=t.choose(m);if(q){return{type:m.type,provider:q.providerToCheck}}}return null}function l(k,m){return f.isUndefined(k)?m:k}var a=function(k){return k=f.isArray(k)?k:[k],f.compact(f.map(k,b))};a.filterPlaylist=function(k,q,u,p,m,A,t){var v=[];return f.each(k,function(s){s=f.extend({},s),s.allSources=o(s.sources,u,s.drm||p,s.preload||m,l(s.withCredentials,t)),s.sources=d(s.allSources,q),s.sources.length&&(s.file=s.sources[0].file,(s.preload||m)&&(s.preload=s.preload||m),(s.feedid||A)&&(s.feedid=s.feedid||A),v.push(s))}),v};var o=function(m,s,p,k,q){return f.compact(f.map(m,function(u){if(f.isObject(u)){void 0!==s&&null!==s&&(u.androidhls=s),(u.drm||p)&&(u.drm=u.drm||p),(u.preload||k)&&(u.preload=u.preload||k);var t=l(u.withCredentials,q);return f.isUndefined(t)||(u.withCredentials=t),r(u)}}))},d=function(q,m){m&&m.choose||(m=new c({primary:m?"flash":null}));var k=n(q,m);if(!k){return[]}var p=k.provider,s=k.type;return f.filter(q,function(t){return t.type===s&&m.providerSupports(p,t)})};return a}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(2),h(8),h(1)],j=function(b,d,a){var f={"default":!1},c=function(l){if(l&&l.file){var k=a.extend({},f,l);k.file=d.trim(""+k.file);var n=/^[^\/]+\/(?:x-)?([^\/]+)$/;if(n.test(k.type)&&(k.mimeType=k.type,k.type=k.type.replace(n,"$1")),b.isYouTube(k.file)?k.type="youtube":b.isRtmp(k.file)?k.type="rtmp":k.type||(k.type=d.extension(k.file)),k.type){switch(k.type){case"m3u8":case"vnd.apple.mpegurl":k.type="hls";break;case"dash+xml":k.type="dash";break;case"smil":k.type="rtmp";break;case"m4a":k.type="aac"}return a.each(k,function(m,p){""===m&&delete k[p]}),k}}};return c}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(2),h(32),h(4),h(3),h(19),h(1)],j=function(a,d,o,f,b,r){var n={FLASH:0,JAVASCRIPT:1,HYBRID:2},c=function(s){function m(){switch(d.getPluginPathType(s)){case d.pluginPathType.ABSOLUTE:return s;case d.pluginPathType.RELATIVE:return a.getAbsolutePath(s,window.location.href)}}function u(){r.defer(function(){p=b.loaderstatus.COMPLETE,k.trigger(o.COMPLETE)})}function z(){p=b.loaderstatus.ERROR,k.trigger(o.ERROR,{url:s})}var A,q,l,B,k=r.extend(this,f),p=b.loaderstatus.NEW;this.load=function(){if(p===b.loaderstatus.NEW){if(s.lastIndexOf(".swf")>0){return A=s,p=b.loaderstatus.COMPLETE,void k.trigger(o.COMPLETE)}if(d.getPluginPathType(s)===d.pluginPathType.CDN){return p=b.loaderstatus.COMPLETE,void k.trigger(o.COMPLETE)}p=b.loaderstatus.LOADING;var t=new b(m());t.on(o.COMPLETE,u),t.on(o.ERROR,z),t.load()}},this.registerPlugin=function(x,v,w,t){B&&(clearTimeout(B),B=void 0),l=v,w&&t?(A=t,q=w):"string"==typeof w?A=w:"function"==typeof w?q=w:w||t||(A=x),p=b.loaderstatus.COMPLETE,k.trigger(o.COMPLETE)},this.getStatus=function(){return p},this.getPluginName=function(){return d.getPluginName(s)},this.getFlashPath=function(){if(A){switch(d.getPluginPathType(A)){case d.pluginPathType.ABSOLUTE:return A;case d.pluginPathType.RELATIVE:return s.lastIndexOf(".swf")>0?a.getAbsolutePath(A,window.location.href):a.getAbsolutePath(A,m())}}return null},this.getJS=function(){return q},this.getTarget=function(){return l},this.getPluginmode=function(){return void 0!==typeof A&&void 0!==typeof q?n.HYBRID:void 0!==typeof A?n.FLASH:void 0!==typeof q?n.JAVASCRIPT:void 0},this.getNewInstance=function(t,v,w){return new q(t,v,w)},this.getURL=function(){return s}};return c}.apply(e,g),!(void 0!==j&&(i.exports=j))},,,,,,function(i,e,h){var g,j;g=[h(3),h(1)],j=function(b,c){function a(){}var d=function(r,n){var k,f=this;k=r&&c.has(r,"constructor")?r.constructor:function(){return f.apply(this,arguments)},c.extend(k,f,n);var o=function(){this.constructor=k};return o.prototype=f.prototype,k.prototype=new o,r&&c.extend(k.prototype,r),k.__super__=f.prototype,k};return a.extend=d,c.extend(a.prototype,b),a}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(27),h(1),h(47),h(46),h(29)],j=function(c,f,a,n,d){var b={};return b.repo=f.memoize(function(){var l=d.split("+")[0],k=c.repo+l+"/";return a.isHTTPS()?k.replace(/^http:/,"https:"):k}),b.versionCheck=function(m){var o=("0"+m).split(/\W/),k=d.split(/\W/),t=parseFloat(o[0]),l=parseFloat(k[0]);return !(t>l)&&!(t===l&&parseFloat("0"+o[1])>parseFloat(k[1]))},b.loadFrom=function(){return b.repo()},b}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(1)],j=function(a){var b=function(){var f={},c={},m={},d={};return{start:function(k){f[k]=a.now(),m[k]=m[k]+1||1},end:function(k){if(f[k]){var l=a.now()-f[k];c[k]=c[k]+l||l}},dump:function(){return{counts:m,sums:c,events:d}},tick:function(l,k){d[l]=k||a.now()},between:function(k,l){return d[l]&&d[k]?d[l]-d[k]:-1}}};return b}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[],j=function(){return document.createElement("video")}.apply(e,g),!(void 0!==j&&(i.exports=j))},,,function(h,e,g){var f;f=function(c,r,I){function l(j,k){p(k,n(j))}function u(w){var q=d[w];if(q){for(var k=Object.keys(q),v=0;v<k.length;v+=1){for(var j=q[k[v]],m=0;m<j.parts.length;m+=1){j.parts[m]()}}delete d[w]}}function p(v,j){for(var q=0;q<j.length;q++){var m=j[q],x=(d[v]||{})[m.id];if(x){for(var k=0;k<x.parts.length;k++){x.parts[k](m.parts[k])}for(;k<m.parts.length;k++){x.parts.push(G(v,m.parts[k]))}}else{for(var w=[],k=0;k<m.parts.length;k++){w.push(G(v,m.parts[k]))}d[v]=d[v]||{},d[v][m.id]={id:m.id,parts:w}}}}function n(x){for(var v=[],j={},z=0;z<x.length;z++){var m=x[z],k=m[0],w=m[1],q=m[2],y={css:w,media:q};j[k]?j[k].parts.push(y):v.push(j[k]={id:k,parts:[y]})}return v}function b(j){t().appendChild(j)}function H(j){var k=document.createElement("style");return k.type="text/css",k.setAttribute("data-jwplayer-id",j),b(k),k}function G(v,j){var q,m,x,k=i[v];k||(k=i[v]={element:H(v),counter:0});var w=k.counter++;return q=k.element,m=a.bind(null,q,w,!1),x=a.bind(null,q,w,!0),m(j),function(y){if(y){if(y.css===j.css&&y.media===j.media){return}m(j=y)}else{x()}}}function a(v,j,q,m){var x=q?"":m.css;if(v.styleSheet){v.styleSheet.cssText=s(j,x)}else{var k=document.createTextNode(x),w=v.childNodes;w[j]&&v.removeChild(w[j]),w.length?v.insertBefore(k,w[j]):v.appendChild(k)}}var d={},i={},o=function(j){var k;return function(){return"undefined"==typeof k&&(k=j.apply(this,arguments)),k}},t=o(function(){return document.head||document.getElementsByTagName("head")[0]});I.exports={style:l,clear:u};var s=function(){var j=[];return function(m,k){return j[m]=k,j.filter(Boolean).join("\n")}}()}.call(e,g,e,h),!(void 0!==f&&(h.exports=f))},,function(i,e,h){var g,j;g=[h(166),h(25),h(1)],j=function(b,d,a){var f=b.selectPlayer,c=function(){var k=f.apply(this,arguments);return k?k:{registerPlugin:function(q,n,l){"jwpsrv"!==q&&d.registerPlugin(q,n,l)}}};return a.extend(b,{selectPlayer:c})}.apply(e,g),!(void 0!==j&&(i.exports=j))},,,,,function(i,e,h){var g,j;g=[h(2),h(94),h(20)],j=function(c,f,a){var n="invalid",d="RnXcsftYjWRDA^Uy",b=function(l){function k(q){c.exists(q)||(q="");try{q=f.decrypt(q,d);var y=q.split("/");o=y[0],"pro"===o&&(o="premium");var p=a(o);if(y.length>2&&p("setup")){m=y[1];var w=parseInt(y[2]);w>0&&(r=new Date,r.setTime(w))}else{o=n}}catch(x){o=n}}var o,m,r;this.edition=function(){return r&&r.getTime()<(new Date).getTime()?n:o},this.token=function(){return m},this.expiration=function(){return r},k(l)};return b}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[],j=function(){var b=function(k){return window.atob(k)},d=function(k){return unescape(encodeURIComponent(k))},a=function(k){try{return decodeURIComponent(escape(k))}catch(l){return k}},f=function(k){for(var l=new Array(Math.ceil(k.length/4)),n=0;n<l.length;n++){l[n]=k.charCodeAt(4*n)+(k.charCodeAt(4*n+1)<<8)+(k.charCodeAt(4*n+2)<<16)+(k.charCodeAt(4*n+3)<<24)}return l},c=function(k){for(var l=new Array(k.length),n=0;n<k.length;n++){l[n]=String.fromCharCode(255&k[n],k[n]>>>8&255,k[n]>>>16&255,k[n]>>>24&255)}return l.join("")};return{decrypt:function(v,s){if(v=String(v),s=String(s),0==v.length){return""}for(var J,o,l=f(b(v)),F=f(d(s).slice(0,16)),G=l.length,w=l[G-1],k=l[0],H=2654435769,I=Math.floor(6+52/G),u=I*H;0!=u;){o=u>>>2&3;for(var p=G-1;p>=0;p--){w=l[p>0?p-1:G-1],J=(w>>>5^k<<2)+(k>>>3^w<<4)^(u^k)+(F[3&p^o]^w),k=l[p]-=J}u-=H}var m=c(l);return m=m.replace(/\0+$/,""),a(m)}}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(208),h(4),h(221)],j=function(b,c,a){var d=function(k,f){var p=new b(k,f),o=p.setup;return p.setup=function(){o.call(this),f.on("change:skipButton",this.onSkipButton,this),f.on("change:castActive change:playlistItem",this.showDisplayIconImage,this)},p.showDisplayIconImage=function(m){var n=m.get("castActive"),l=m.get("playlistItem"),s=p.controlsContainer().getElementsByClassName("jw-display-icon-container")[0];n&&l&&l.image?(s.style.backgroundImage='url("'+l.image+'")',s.style.backgroundSize="contain"):(s.style.backgroundImage="",s.style.backgroundSize="")},p.onSkipButton=function(m,l){l?this.addSkipButton():this._skipButton&&(this._skipButton.destroy(),this._skipButton=null)},p.addSkipButton=function(){this._skipButton=new a(this.instreamModel),this._skipButton.on(c.JWPLAYER_AD_SKIPPED,function(){this.api.skipAd()},this),this.controlsContainer().appendChild(this._skipButton.element())},p};return d}.apply(e,g),!(void 0!==j&&(i.exports=j))},,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,function(d,e,f){e=d.exports=f(133)(),e.push([d.id,".jw-reset{color:inherit;background-color:transparent;padding:0;margin:0;float:none;font-family:Arial,Helvetica,sans-serif;font-size:1em;line-height:1em;list-style:none;text-align:left;text-transform:none;vertical-align:baseline;border:0;direction:ltr;font-variant:inherit;font-stretch:inherit;-webkit-tap-highlight-color:rgba(255,255,255,0)}@font-face{font-family:jw-icons;src:url("+f(135)+") format('woff'),url("+f(134)+') format(\'truetype\');font-weight:400;font-style:normal}.jw-controlbar .jw-menu .jw-option:before,.jw-icon-display,.jw-icon-inline,.jw-icon-tooltip{font-family:jw-icons;-webkit-font-smoothing:antialiased;font-style:normal;font-weight:400;text-transform:none;background-color:transparent;font-variant:normal;-webkit-font-feature-settings:"liga";-ms-font-feature-settings:"liga" 1;-o-font-feature-settings:"liga";font-feature-settings:"liga";-moz-osx-font-smoothing:grayscale}.jw-icon-audio-tracks:before{content:"\\E600"}.jw-icon-buffer:before{content:"\\E601"}.jw-icon-cast:before{content:"\\E603"}.jw-icon-cast.jw-off:before{content:"\\E602"}.jw-icon-cc:before{content:"\\E605"}.jw-icon-cue:before,.jw-icon-menu-bullet:before{content:"\\E606"}.jw-icon-error:before{content:"\\E607"}.jw-icon-fullscreen:before{content:"\\E608"}.jw-icon-fullscreen.jw-off:before{content:"\\E613"}.jw-icon-hd:before{content:"\\E60A"}.jw-rightclick-logo:before{content:"\\E60B"}.jw-icon-next:before{content:"\\E60C"}.jw-icon-pause:before{content:"\\E60D"}.jw-icon-play:before{content:"\\E60E"}.jw-icon-replay:before{content:"\\E610"}.jw-icon-volume:before{content:"\\E612"}.jw-icon-volume.jw-off:before{content:"\\E611"}.jw-icon-more:before{content:"\\E614"}.jw-icon-close:before{content:"\\E615"}.jw-icon-rewind:before{content:"\\E900"}.jwplayer{width:100%;font-size:16px;position:relative;display:block;min-height:0;overflow:hidden;box-sizing:border-box;font-family:Arial,Helvetica,sans-serif;background-color:#000;-webkit-touch-callout:none;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.jwplayer *{box-sizing:inherit}.jwplayer.jw-flag-aspect-mode{height:auto!important}.jwplayer.jw-flag-aspect-mode .jw-aspect{display:block}.jwplayer .jw-aspect{display:none}.jwplayer.jw-no-focus:focus,.jwplayer .jw-swf{outline:none}.jwplayer.jw-ie:focus{outline:1px dotted #585858}.jwplayer:hover .jw-display-icon-container{background-color:#212121}.jw-controls,.jw-media,.jw-overlays,.jw-preview{position:absolute;width:100%;height:100%;top:0;left:0;bottom:0;right:0}.jw-media{overflow:hidden;cursor:pointer}.jw-overlays{cursor:auto}.jw-media.jw-media-show{visibility:visible;opacity:1}.jw-controls.jw-controls-disabled{display:none}.jw-controls .jw-controls-right{position:absolute;top:0;right:0;left:0;bottom:2.5em}.jw-text{height:1em;font-family:Arial,Helvetica,sans-serif;font-size:.75em;font-style:normal;font-weight:400;color:#fff;text-align:center;font-variant:normal;font-stretch:normal}.jw-plugin{position:absolute;bottom:2.5em}.jw-plugin .jw-banner{max-width:100%;opacity:0;cursor:pointer;position:absolute;margin:auto auto 0;left:0;right:0;bottom:0;display:block}.jw-cast-screen{width:100%;height:100%}.jw-instream{position:absolute;top:0;right:0;bottom:0;left:0;display:none}.jw-icon-playback:before{content:"\\E60E"}.jw-captions,.jw-controls,.jw-overlays,.jw-preview,.jw-title{pointer-events:none}.jw-controlbar,.jw-display-icon-container,.jw-dock .jw-dock-button,.jw-logo,.jw-media,.jw-nextup-container,.jw-overlays .jw-plugin,.jw-skip{pointer-events:all}.jwplayer video{position:absolute;top:0;right:0;bottom:0;left:0;width:100%;height:100%;margin:auto;background:transparent}.jwplayer video::-webkit-media-controls-start-playback-button{display:none}.jwplayer.jw-stretch-uniform video{-o-object-fit:contain;object-fit:contain}.jwplayer.jw-stretch-none video{-o-object-fit:none;object-fit:none}.jwplayer.jw-stretch-fill video{-o-object-fit:cover;object-fit:cover}.jwplayer.jw-stretch-exactfit video{-o-object-fit:fill;object-fit:fill}.jw-click,.jw-preview{position:absolute;width:100%;height:100%}.jw-preview{display:none;opacity:1;visibility:visible;background:#000 no-repeat 50% 50%}.jw-error .jw-preview,.jw-stretch-uniform .jw-preview,.jwplayer .jw-preview{background-size:contain}.jw-stretch-none .jw-preview{background-size:auto auto}.jw-stretch-fill .jw-preview{background-size:cover}.jw-stretch-exactfit .jw-preview{background-size:100% 100%}.jw-display-icon-container{position:relative;top:50%;display:table;height:3.75em;width:3.75em;margin:-1.875em auto 0;cursor:pointer}.jw-display-icon-container .jw-icon-display{position:relative;display:table-cell;text-align:center;vertical-align:middle!important;background-position:50% 50%;background-repeat:no-repeat;font-size:2.5em}.jw-breakpoint-0 .jw-display-icon-container{height:44px;width:44px;margin:-22px auto 0}.jw-breakpoint-0 .jw-display-icon-container .jw-icon{font-size:22px}.jw-breakpoint-1 .jw-display-icon-container{height:55px;width:55px;margin:-27.5px auto 0}.jw-breakpoint-1 .jw-display-icon-container .jw-icon{font-size:35.2px}.jw-flag-audio-player .jw-display-icon-container,.jw-flag-dragging .jw-display-icon-container{display:none}.jw-icon{font-family:jw-icons;-webkit-font-smoothing:antialiased;font-style:normal;font-weight:400;text-transform:none;background-color:transparent;font-variant:normal;-webkit-font-feature-settings:"liga";-ms-font-feature-settings:"liga" 1;-o-font-feature-settings:"liga";font-feature-settings:"liga";-moz-osx-font-smoothing:grayscale}.jw-controlbar{display:table;position:absolute;bottom:0;height:2.5em;width:100%;padding:0 .5em}.jw-controlbar .jw-hidden{display:none}.jw-background-color{background-color:rgba(33,33,33,.8)}.jw-slider-horizontal{background-color:transparent}.jw-group{display:table-cell}.jw-controlbar-center-group{width:100%;padding:0 .5em}.jw-controlbar-center-group .jw-slider-time,.jw-controlbar-center-group .jw-text-alt{padding:0}.jw-controlbar-center-group .jw-text-alt{display:none}.jw-controlbar-left-group,.jw-controlbar-right-group{white-space:nowrap}.jw-icon-display:hover,.jw-icon-inline:hover,.jw-icon-tooltip:hover,.jw-knob:hover,.jw-option:before:hover{color:#fff}.jw-icon-inline,.jw-icon-tooltip,.jw-slider-horizontal,.jw-text-duration,.jw-text-elapsed{display:inline-block;height:2.5em;position:relative;line-height:2.5em;vertical-align:middle;cursor:pointer;padding:0 .5em}.jw-icon-inline,.jw-icon-tooltip{min-width:1.5625em;text-align:center}.jw-icon-playback{min-width:2.25em}.jw-icon-volume{min-width:1.75em;text-align:left}.jw-time-tip{line-height:1em;pointer-events:none}.jw-icon-cast,.jw-icon-inline.jw-icon-volume,.jw-slider-volume.jw-slider-horizontal{display:none}.jw-button-color{color:hsla(0,0%,100%,.6)}.jw-button-color:hover{color:#fff}.jw-button-color:focus{outline:none;color:#fff}.jw-toggle{color:#fff}.jw-toggle.jw-off{color:hsla(0,0%,100%,.6)}.jw-toggle:focus{outline:none;color:#fff}.jw-dock{clear:right;margin:.75em;display:block;opacity:1}.jw-breakpoint-0 .jw-dock{margin:.225em .1125em}.jw-breakpoint-1 .jw-dock{margin:.45em .225em}.jw-dock:after{content:\'\';clear:both;display:block}.jw-dock-button{cursor:pointer;float:right;height:2.5em;margin:.5em;position:relative;width:2.5em}.jw-breakpoint-0 .jw-dock-button{margin:0 .1125em;height:44px;width:44px}.jw-breakpoint-1 .jw-dock-button{margin:0 .225em;height:44px;width:44px}.jw-dock-button .jw-arrow{display:none;position:absolute;bottom:-.2em;width:.5em;height:.2em;left:50%;margin-left:-.25em}.jw-dock-button .jw-overlay{display:none;position:absolute;top:2.5em;right:0;margin-top:.25em;padding:.5em;white-space:nowrap}.jw-dock-button:hover .jw-arrow,.jw-dock-button:hover .jw-overlay{display:block}.jw-dock-image{width:100%;height:100%;background-position:50% 50%;background-repeat:no-repeat;opacity:.75}.jw-title{display:none;position:absolute;top:0;width:100%;font-size:.875em;height:8em;background:-webkit-linear-gradient(top,#000,#000 18%,transparent);background:linear-gradient(180deg,#000 0,#000 18%,transparent)}.jw-title-primary,.jw-title-secondary{padding:.75em 1.5em;min-height:2.5em;width:100%;color:#fff;white-space:nowrap;text-overflow:ellipsis;overflow-x:hidden}.jw-title-primary{font-weight:700}.jw-title-secondary{margin-top:-.5em}.jw-slider-container{height:1em;width:100%;position:relative;touch-action:none}.jw-buffer,.jw-progress,.jw-rail{position:absolute;cursor:pointer}.jw-progress{background-color:#fff}.jw-rail{background-color:hsla(0,0%,100%,.2)}.jw-buffer{background-color:hsla(0,0%,100%,.3)}.jw-cue,.jw-knob{position:absolute;cursor:pointer}.jw-cue{height:.25em;background-color:rgba(33,33,33,.9);border-radius:25%;width:.5em}.jw-knob{background-color:#fff;width:.5em;height:.5em;border-radius:.25em}.jw-slider-horizontal{height:.25em}.jw-slider-horizontal.jw-slider-volume{width:4em}.jw-slider-horizontal .jw-rail{width:100%}.jw-slider-horizontal .jw-knob{top:-.125em;margin-left:-.25em}.jw-slider-horizontal .jw-buffer,.jw-slider-horizontal .jw-progress,.jw-slider-horizontal .jw-rail{height:.25em}.jw-slider-vertical{padding:1em 1em 0;position:absolute}.jw-slider-vertical .jw-buffer,.jw-slider-vertical .jw-progress,.jw-slider-vertical .jw-rail{bottom:0;height:100%;left:0;right:0;margin:0 auto}.jw-slider-vertical .jw-progress,.jw-slider-vertical .jw-rail,.jw-slider-vertical .jw-slider-container{width:.25em}.jw-slider-vertical .jw-slider-container{height:4em}.jw-slider-vertical .jw-knob{right:0;left:-.125em}.jw-slider-time{width:100%}.jw-tooltip-time{position:absolute}.jw-slider-volume .jw-buffer{display:none}.jw-captions{position:absolute;width:100%;height:inherit;text-align:center;display:none;max-height:81.375%;line-height:1.3em;letter-spacing:normal;word-spacing:normal;text-transform:none;text-indent:0;text-decoration:none;pointer-events:none;overflow:hidden;top:0}.jw-captions.jw-captions-enabled{display:block}.jw-captions-window{display:none;padding:.25em;border-radius:.25em}.jw-captions-text,.jw-captions-window.jw-captions-window-active{display:inline-block}.jw-captions-text{color:#fff;background-color:#000;word-wrap:normal;word-break:normal;white-space:pre-line;font-style:normal;font-weight:400;text-align:center;text-decoration:none;line-height:1.3em;padding:.1em .8em}.jw-text-track-display{font-size:inherit;line-height:1.3em}.jwplayer video::-webkit-media-controls{-webkit-box-pack:start;justify-content:flex-start}.jwplayer video::-webkit-media-text-track-container{max-height:81.375%;line-height:1.3em}.jwplayer .jw-rightclick{display:none;position:absolute;white-space:nowrap}.jwplayer .jw-rightclick.jw-open{display:block}.jwplayer .jw-rightclick ul{list-style:none;font-weight:700;border-radius:.15em;margin:0;border:1px solid #444;padding:0}.jwplayer .jw-rightclick ul li{background-color:#000;border-bottom:1px solid #444;margin:0}.jwplayer .jw-rightclick ul li .jw-rightclick-logo{font-size:2em;color:#ff0147;vertical-align:middle;padding-right:.3em;margin-right:.3em;border-right:1px solid #444}.jwplayer .jw-rightclick ul li a{color:#fff;text-decoration:none;padding:1em;display:block;font-size:.6875em;line-height:1em}.jwplayer .jw-rightclick ul li:last-child{border-bottom:none}.jwplayer .jw-rightclick ul li:hover{background-color:#1a1a1a;cursor:pointer}.jwplayer .jw-rightclick ul .jw-featured{background-color:#252525;vertical-align:middle}.jwplayer .jw-rightclick ul .jw-featured a{color:#777}.jw-logo{position:absolute;margin:.75em;cursor:pointer;pointer-events:all;background-repeat:no-repeat;background-size:contain;top:auto;right:auto;left:auto;bottom:auto}.jw-logo .jw-flag-audio-player{display:none}.jw-logo-top-right{top:0;right:0}.jw-logo-top-left{top:0;left:0}.jw-logo-bottom-left{bottom:0;left:0}.jw-logo-bottom-right{bottom:0;right:0}.jw-icon-tooltip.jw-open .jw-overlay{opacity:1;visibility:visible}.jw-icon-tooltip.jw-hidden{display:none}.jw-overlay:before{position:absolute;top:0;bottom:0;left:-50%;width:100%;background-color:transparent;content:" "}.jw-slider-time .jw-overlay:before{height:1em;top:auto}.jw-menu,.jw-time-tip,.jw-volume-tip{position:relative;left:-50%;margin:0}.jw-volume-tip{width:100%;height:100%;display:block}.jw-time-tip{text-align:center;font-family:inherit;bottom:1.25em;padding:.5em;border-radius:.25em}.jw-time-tip .jw-text{color:#fff;line-height:1em}.jw-controlbar .jw-overlay{margin:0;position:absolute;bottom:2.5em;left:50%;opacity:0;visibility:hidden}.jw-controlbar .jw-overlay .jw-contents{position:relative}.jw-controlbar .jw-option{position:relative;white-space:nowrap;cursor:pointer;list-style:none;height:1.5em;font-family:inherit;line-height:1.5em;color:hsla(0,0%,100%,.6);padding:0 .5em;font-size:.8em}.jw-controlbar .jw-option:before:hover,.jw-controlbar .jw-option:hover{color:#fff}.jw-controlbar .jw-option:before{padding-right:.125em}.jw-controlbar .jw-option.jw-active-option{color:#fff}.jw-skip{cursor:default;position:absolute;float:right;display:inline-block;right:.75em;bottom:3em;padding:.5em}.jw-skip.jw-skippable{cursor:pointer}.jw-skip.jw-hidden{visibility:hidden}.jw-skip .jw-skip-icon{display:none;margin-left:-.75em}.jw-skip .jw-skip-icon:before{content:"\\E60C"}.jw-skip .jw-skip-icon,.jw-skip .jw-text{color:hsla(0,0%,100%,.6);vertical-align:middle;line-height:1.5em;font-size:.7em}.jw-skip.jw-skippable:hover{cursor:pointer}.jw-skip.jw-skippable:hover .jw-skip-icon,.jw-skip.jw-skippable:hover .jw-text{color:#fff}.jw-skip.jw-skippable .jw-skip-icon{display:inline;margin:0}.jwplayer.jw-state-paused.jw-flag-casting .jw-display-icon-container,.jwplayer.jw-state-playing.jw-flag-casting .jw-display-icon-container{display:table}.jwplayer.jw-flag-casting .jw-display-icon-container{border-radius:0;border:1px solid #fff;position:absolute;top:auto;left:.5em;right:.5em;bottom:50%;margin-bottom:-12.5%;height:50%;width:50%;padding:0;background-repeat:no-repeat;background-position:50%}.jwplayer.jw-flag-casting .jw-display-icon-container .jw-icon{font-size:3em}.jwplayer.jw-flag-casting.jw-state-complete .jw-preview{display:none}.jw-cast{position:absolute;width:100%;height:100%;background-repeat:no-repeat;background-size:auto;background-position:50% 50%}.jw-cast-label{position:absolute;left:.5em;right:.5em;bottom:75%;margin-bottom:1.5em;text-align:center}.jw-cast-name{color:#ccc}.jw-nextup-container{-webkit-font-smoothing:antialiased;-moz-font-smoothing:antialiased;background-color:transparent;bottom:3em;cursor:pointer;max-width:300px;min-width:200px;opacity:0;position:absolute;right:.5em;-webkit-transform:translateY(5px);transform:translateY(5px);-webkit-transition:all .15s ease;transition:all .15s ease;visibility:hidden;width:40%}.jw-nextup-container-visible{opacity:1;-webkit-transform:translateY(0);transform:translateY(0);visibility:visible}.jw-nextup{border-radius:0;overflow:hidden;position:relative}.jw-nextup-header{background:rgba(33,33,33,.8);box-sizing:border-box;color:#fff;font-size:12px;font-weight:700;line-height:normal;padding:8px}.jw-nextup-body{background:rgba(0,0,0,.8);color:#fff;overflow:hidden}.jw-nextup-thumbnail{background-position:50%;background-size:cover;display:none;float:left;height:60px;width:45%}.jw-nextup-thumbnail-visible{display:block}.jw-nextup-title{box-sizing:border-box;float:left;font-size:12px;font-weight:700;line-height:1.3;overflow:hidden;padding:5px 6px;position:relative;text-overflow:ellipsis;white-space:nowrap;width:100%}.jw-nextup-thumbnail-visible+.jw-nextup-title{height:60px;white-space:normal;width:55%}.jw-nextup-thumbnail-visible+.jw-nextup-title:after{background:-webkit-linear-gradient(top,transparent,#000);background:linear-gradient(-180deg,transparent,#000);bottom:0;content:\'\';height:30px;left:0;position:absolute;width:100%}.jw-nextup-close{font-family:jw-icons;-webkit-font-smoothing:antialiased;font-style:normal;font-weight:400;text-transform:none;background-color:transparent;font-variant:normal;-webkit-font-feature-settings:"liga";-ms-font-feature-settings:"liga" 1;-o-font-feature-settings:"liga";font-feature-settings:"liga";-moz-osx-font-smoothing:grayscale;border:none;color:hsla(0,0%,100%,.6);font-size:13px;opacity:0;position:absolute;right:5px;top:6px;-webkit-transition:color .15s ease,opacity .15s ease,visibility .15s ease;transition:color .15s ease,opacity .15s ease,visibility .15s ease;visibility:hidden}.jw-nextup-close:before{content:"\\E615"}.jw-nextup-close:active,.jw-nextup-close:hover{color:#fff}.jw-nextup-sticky .jw-nextup-close{opacity:1;visibility:visible}.jw-state-idle .jw-preview{display:block}.jw-state-idle .jw-icon-display:before{content:"\\E60E"}.jw-state-idle .jw-captions,.jw-state-idle .jw-controlbar{display:none}.jw-state-idle .jw-title{display:block}.jwplayer.jw-state-playing .jw-display-icon-container{display:none}.jwplayer.jw-state-playing .jw-display-icon-container .jw-icon-display:before,.jwplayer.jw-state-playing .jw-icon-playback:before{content:"\\E60D"}.jwplayer.jw-state-paused .jw-display-icon-container{display:none}.jwplayer.jw-state-paused .jw-display-icon-container .jw-icon-display:before,.jwplayer.jw-state-paused .jw-icon-playback:before{content:"\\E60E"}.jwplayer.jw-state-buffering .jw-display-icon-container .jw-icon-display{-webkit-animation:spin 2s linear infinite;animation:spin 2s linear infinite}.jwplayer.jw-state-buffering .jw-display-icon-container .jw-icon-display:before{content:"\\E601"}@-webkit-keyframes spin{to{-webkit-transform:rotate(1turn)}}@keyframes spin{to{-webkit-transform:rotate(1turn);transform:rotate(1turn)}}.jwplayer.jw-state-buffering .jw-display-icon-container .jw-text{display:none}.jwplayer.jw-state-buffering .jw-icon-playback:before{content:"\\E60D"}.jwplayer.jw-state-complete .jw-preview{display:block}.jwplayer.jw-state-complete .jw-display-icon-container .jw-icon-display:before{content:"\\E610"}.jwplayer.jw-state-complete .jw-display-icon-container .jw-text{display:none}.jwplayer.jw-state-complete .jw-icon-playback:before{content:"\\E60E"}.jwplayer.jw-state-complete .jw-captions{display:none}.jwplayer.jw-state-error .jw-title,body .jw-error .jw-title{display:block}.jwplayer.jw-state-error .jw-title .jw-title-primary,body .jw-error .jw-title .jw-title-primary{white-space:normal}.jwplayer.jw-state-error .jw-preview,body .jw-error .jw-preview{display:block}.jwplayer.jw-state-error .jw-captions,.jwplayer.jw-state-error .jw-controlbar,body .jw-error .jw-captions,body .jw-error .jw-controlbar{display:none}.jwplayer.jw-state-error:hover .jw-display-icon-container,body .jw-error:hover .jw-display-icon-container{cursor:default;color:#fff;background:#000}.jwplayer.jw-state-error .jw-icon-display,body .jw-error .jw-icon-display{cursor:default;font-family:jw-icons;-webkit-font-smoothing:antialiased;font-style:normal;font-weight:400;text-transform:none;background-color:transparent;font-variant:normal;-webkit-font-feature-settings:"liga";-ms-font-feature-settings:"liga" 1;-o-font-feature-settings:"liga";font-feature-settings:"liga";-moz-osx-font-smoothing:grayscale}.jwplayer.jw-state-error .jw-icon-display:before,body .jw-error .jw-icon-display:before{content:"\\E607"}.jwplayer.jw-state-error .jw-icon-display:hover,body .jw-error .jw-icon-display:hover{color:#fff}body .jw-error{font-size:16px;background-color:#000;color:#fff;width:100%;height:100%;display:table;opacity:1;position:relative}body .jw-error .jw-icon-container{position:absolute;width:100%;height:100%;top:0;left:0;bottom:0;right:0}.jwplayer.jw-flag-cast-available .jw-controlbar{display:table}.jwplayer.jw-flag-cast-available .jw-icon-cast{display:inline-block}.jwplayer.jw-flag-skin-loading .jw-captions,.jwplayer.jw-flag-skin-loading .jw-controls,.jwplayer.jw-flag-skin-loading .jw-title{display:none}.jwplayer.jw-flag-fullscreen{width:100%!important;height:100%!important;top:0;right:0;bottom:0;left:0;z-index:1000;margin:0;position:fixed}.jwplayer.jw-flag-live .jw-controlbar .jw-slider-time,.jwplayer.jw-flag-live .jw-controlbar .jw-text-duration,.jwplayer.jw-flag-live .jw-controlbar .jw-text-elapsed{display:none}.jwplayer.jw-flag-live .jw-controlbar .jw-text-alt{display:inline-block;margin:0 -.5em;overflow:hidden;text-overflow:ellipsis;vertical-align:middle;white-space:nowrap}.jwplayer.jw-flag-live.jw-breakpoint-0 .jw-text-alt{max-width:80px}.jwplayer.jw-flag-live.jw-breakpoint-1 .jw-text-alt{max-width:150px}.jwplayer.jw-flag-live.jw-breakpoint-2 .jw-text-alt{max-width:250px}.jwplayer.jw-flag-live.jw-breakpoint-3 .jw-text-alt{max-width:370px}.jwplayer.jw-flag-live.jw-breakpoint-4 .jw-text-alt{max-width:470px}.jwplayer.jw-flag-live.jw-breakpoint-5 .jw-text-alt{max-width:630px}.jwplayer.jw-flag-live.jw-breakpoint-6 .jw-text-alt{max-width:790px}.jwplayer.jw-flag-user-inactive.jw-state-playing .jw-controlbar,.jwplayer.jw-flag-user-inactive.jw-state-playing .jw-dock,.jwplayer.jw-flag-user-inactive.jw-state-playing .jw-logo.jw-hide{display:none}.jwplayer.jw-flag-user-inactive.jw-state-playing .jw-nextup-container,.jwplayer.jw-flag-user-inactive.jw-state-playing .jw-plugin{bottom:.5em}.jwplayer.jw-flag-user-inactive.jw-state-playing .jw-media{cursor:none;-webkit-cursor-visibility:auto-hide}.jwplayer.jw-flag-user-inactive.jw-state-playing .jw-captions{max-height:none}.jwplayer.jw-flag-user-inactive.jw-state-playing video::-webkit-media-text-track-container{max-height:none}.jwplayer.jw-flag-user-inactive.jw-state-buffering .jw-controlbar{display:none}.jwplayer.jw-flag-user-inactive.jw-state-buffering .jw-nextup-container{bottom:.5em}.jwplayer.jw-flag-media-audio .jw-controlbar,.jwplayer.jw-flag-media-audio.jw-flag-user-inactive .jw-controlbar{display:table}.jwplayer.jw-flag-media-audio.jw-flag-user-inactive .jw-nextup-container,.jwplayer.jw-flag-media-audio.jw-flag-user-inactive.jw-state-playing .jw-plugin{bottom:3em}.jwplayer.jw-flag-media-audio.jw-flag-user-inactive.jw-state-playing .jw-captions{max-height:81.375%}.jwplayer.jw-flag-media-audio.jw-flag-user-inactive.jw-state-playing video::-webkit-media-text-track-container{max-height:81.375%}.jwplayer.jw-flag-media-audio.jw-flag-user-inactive.jw-state-playing.jw-flag-touch video::-webkit-media-text-track-container{max-height:70%}.jw-flag-media-audio .jw-preview{display:block}.jwplayer.jw-flag-ads .jw-captions.jw-captions-enabled,.jwplayer.jw-flag-ads .jw-dock,.jwplayer.jw-flag-ads .jw-logo,.jwplayer.jw-flag-ads .jw-nextup-container,.jwplayer.jw-flag-ads .jw-preview{display:none}.jwplayer.jw-flag-ads video::-webkit-media-text-track-container{display:none}.jwplayer.jw-flag-ads .jw-controlbar .jw-icon-inline,.jwplayer.jw-flag-ads .jw-controlbar .jw-icon-tooltip,.jwplayer.jw-flag-ads .jw-controlbar .jw-slider-horizontal,.jwplayer.jw-flag-ads .jw-controlbar .jw-text{display:none}.jwplayer.jw-flag-ads .jw-controlbar .jw-icon-fullscreen,.jwplayer.jw-flag-ads .jw-controlbar .jw-icon-playback,.jwplayer.jw-flag-ads .jw-controlbar .jw-icon-volume,.jwplayer.jw-flag-ads .jw-controlbar .jw-slider-volume{display:inline-block}.jwplayer.jw-flag-ads .jw-controlbar .jw-text-alt{display:inline-block;margin:0 -.5em;overflow:hidden;text-overflow:ellipsis;vertical-align:middle;white-space:nowrap}.jwplayer.jw-flag-ads .jw-controlbar .jw-icon-inline.jw-icon-volume,.jwplayer.jw-flag-ads .jw-controlbar .jw-slider-volume.jw-slider-horizontal{display:inline-block}.jwplayer.jw-flag-ads .jw-controlbar .jw-icon-tooltip.jw-icon-volume{display:none}.jwplayer.jw-flag-ads.jw-breakpoint-0 .jw-text-alt{max-width:80px}.jwplayer.jw-flag-ads.jw-breakpoint-1 .jw-text-alt{max-width:150px}.jwplayer.jw-flag-ads.jw-breakpoint-2 .jw-text-alt{max-width:250px}.jwplayer.jw-flag-ads.jw-breakpoint-3 .jw-text-alt{max-width:370px}.jwplayer.jw-flag-ads.jw-breakpoint-4 .jw-text-alt{max-width:470px}.jwplayer.jw-flag-ads.jw-breakpoint-5 .jw-text-alt{max-width:630px}.jwplayer.jw-flag-ads.jw-breakpoint-6 .jw-text-alt{max-width:790px}.jwplayer.jw-flag-ads-freewheel.jw-freewheel-before-impression .jw-media video{pointer-events:none}.jwplayer.jw-flag-ads-freewheel.jw-flag-user-inactive.jw-state-playing .jw-freewheel-nonlinear-container{bottom:.5em}.jwplayer.jw-flag-ads-freewheel .jw-freewheel-nonlinear-container{bottom:2.5em;pointer-events:none}.jwplayer.jw-flag-ads-freewheel .jw-freewheel-nonlinear-container iframe{pointer-events:all}.jwplayer.jw-flag-ads-googleima .jw-controlbar{display:table;bottom:0}.jwplayer.jw-flag-ads-googleima.jw-flag-touch .jw-controlbar{font-size:1em}.jwplayer.jw-flag-ads-googleima.jw-flag-touch.jw-state-paused .jw-display-icon-container{display:none}.jwplayer.jw-flag-ads-googleima.jw-skin-seven .jw-controlbar{font-size:.9em}.jwplayer.jw-flag-ads.jw-flag-touch .jw-controlbar{display:table}.jwplayer.jw-flag-ads-vpaid .jw-controlbar,.jwplayer.jw-flag-ads-vpaid .jw-skip,.jwplayer.jw-flag-touch.jw-flag-ads-vpaid .jw-controlbar,.jwplayer.jw-flag-touch.jw-flag-ads-vpaid .jw-skip{display:none}.jwplayer.jw-flag-ads-hide-controls .jw-controls{display:none!important}.jwplayer.jw-flag-overlay-open-related .jw-controls,.jwplayer.jw-flag-overlay-open-related .jw-title,.jwplayer.jw-flag-overlay-open-sharing .jw-controls,.jwplayer.jw-flag-overlay-open-sharing .jw-title,.jwplayer.jw-flag-overlay-open .jw-controls-right .jw-logo,.jwplayer.jw-flag-overlay-open .jw-title{display:none}.jwplayer.jw-flag-rightclick-open{overflow:visible}.jwplayer.jw-flag-rightclick-open .jw-rightclick{z-index:16777215}.jw-flag-controls-disabled .jw-controls{visibility:hidden}.jw-flag-controls-disabled .jw-logo{visibility:visible}.jw-flag-controls-disabled .jw-media{cursor:auto}.jw-flag-controls-disabled.jwplayer .jw-captions{max-height:none}.jw-flag-controls-disabled.jwplayer video::-webkit-media-text-track-container{max-height:none}body .jwplayer.jw-flag-flash-blocked .jw-title{display:block}body .jwplayer.jw-flag-flash-blocked .jw-controls,body .jwplayer.jw-flag-flash-blocked .jw-overlays,body .jwplayer.jw-flag-flash-blocked .jw-preview{display:none}.jw-flag-touch.jw-breakpoint-4 .jw-controlbar,.jw-flag-touch.jw-breakpoint-4 .jw-plugin,.jw-flag-touch.jw-breakpoint-4 .jw-skip,.jw-flag-touch.jw-breakpoint-5 .jw-controlbar,.jw-flag-touch.jw-breakpoint-5 .jw-plugin,.jw-flag-touch.jw-breakpoint-5 .jw-skip,.jw-flag-touch.jw-breakpoint-6 .jw-controlbar,.jw-flag-touch.jw-breakpoint-6 .jw-plugin,.jw-flag-touch.jw-breakpoint-6 .jw-skip,.jw-flag-touch.jw-breakpoint-7 .jw-controlbar,.jw-flag-touch.jw-breakpoint-7 .jw-plugin,.jw-flag-touch.jw-breakpoint-7 .jw-skip{font-size:1.5em}.jw-flag-touch.jw-breakpoint-4 .jw-captions,.jw-flag-touch.jw-breakpoint-5 .jw-captions,.jw-flag-touch.jw-breakpoint-6 .jw-captions,.jw-flag-touch.jw-breakpoint-7 .jw-captions{bottom:4.25em}.jw-flag-touch.jw-breakpoint-4 video::-webkit-media-text-track-container,.jw-flag-touch.jw-breakpoint-5 video::-webkit-media-text-track-container,.jw-flag-touch.jw-breakpoint-6 video::-webkit-media-text-track-container,.jw-flag-touch.jw-breakpoint-7 video::-webkit-media-text-track-container{max-height:70%}.jw-flag-touch.jw-breakpoint-4 .jw-nextup-container,.jw-flag-touch.jw-breakpoint-5 .jw-nextup-container,.jw-flag-touch.jw-breakpoint-6 .jw-nextup-container,.jw-flag-touch.jw-breakpoint-7 .jw-nextup-container{bottom:4.25em}.jw-flag-touch .jw-display-icon-container{pointer-events:none}.jw-flag-touch.jw-state-paused .jw-display-icon-container{display:table}.jw-flag-compact-player .jw-text-duration,.jw-flag-compact-player .jw-text-elapsed,.jw-flag-touch.jw-state-paused.jw-flag-dragging .jw-display-icon-container{display:none}.jwplayer.jw-flag-audio-player{background-color:transparent}.jwplayer.jw-flag-audio-player .jw-media{visibility:hidden}.jwplayer.jw-flag-audio-player .jw-media object{width:1px;height:1px}.jwplayer.jw-flag-audio-player .jw-display-icon-container,.jwplayer.jw-flag-audio-player .jw-dock,.jwplayer.jw-flag-audio-player .jw-nextup-container,.jwplayer.jw-flag-audio-player .jw-preview,.jwplayer.jw-flag-audio-player .jw-title{display:none}.jwplayer.jw-flag-audio-player .jw-controlbar{vertical-align:middle;display:table;height:100%;left:0;bottom:0;margin:0;width:100%;min-width:100%}.jwplayer.jw-flag-audio-player .jw-controlbar .jw-icon-fullscreen,.jwplayer.jw-flag-audio-player .jw-controlbar .jw-icon-tooltip{display:none}.jwplayer.jw-flag-audio-player .jw-controlbar .jw-icon-inline.jw-icon-volume,.jwplayer.jw-flag-audio-player .jw-controlbar .jw-slider-volume.jw-slider-horizontal{display:inline-block}.jwplayer.jw-flag-audio-player .jw-controlbar .jw-icon-tooltip.jw-icon-volume{display:none}.jwplayer.jw-flag-audio-player.jw-flag-user-inactive .jw-controlbar{display:table}.jwplayer.jw-flag-audio-player .jw-icon-inline{height:auto;line-height:normal}.jwplayer.jw-flag-audio-player .jw-group{vertical-align:middle}.jwplayer.jw-flag-audio-player .jw-controlbar-center-group{padding-bottom:2px}.jw-breakpoint-0 .jw-nextup-container,.jw-breakpoint-0 .jw-text-duration,.jw-breakpoint-0 .jw-text-elapsed,.jw-breakpoint-1 .jw-nextup-container,.jw-breakpoint-1 .jw-text-duration,.jw-breakpoint-1 .jw-text-elapsed{display:none}.jw-skin-seven .jw-color-active,.jw-skin-seven .jw-color-active-hover:hover{color:#fff;stroke:#fff;border-color:#fff}.jw-skin-seven .jw-color-inactive,.jw-skin-seven .jw-color-inactive-hover:hover{color:#cecece;stroke:#cecece;border-color:#cecece}.jw-skin-seven .jw-active-option{background-color:hsla(0,0%,100%,.1)}.jw-skin-seven .jw-display-icon-container{display:table;font-size:20px;border-radius:3.5em}.jw-skin-seven .jw-display-icon-container:hover .jw-icon{color:#fff}.jw-skin-seven .jw-display-icon-container>.jw-icon{color:hsla(0,0%,100%,.9);font-size:1.7em}.jw-skin-seven.jw-state-idle .jw-display-icon-container>.jw-icon{padding-left:4px}.jw-skin-seven .jw-dock-button{border-radius:2.5em}.jw-skin-seven .jw-menu{padding:0}.jw-skin-seven .jw-dock .jw-overlay,.jw-skin-seven .jw-skip{border-radius:.5em}.jw-skin-seven .jw-text{text-rendering:optimizeLegibility;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}.jw-skin-seven.jw-breakpoint-0 .jw-display-icon-container .jw-icon{font-size:22px}.jw-skin-seven.jw-breakpoint-1 .jw-display-icon-container .jw-icon{font-size:35.2px}',""])},function(c,d){c.exports=function(){var a=[];return a.toString=function(){for(var e=[],h=0;h<this.length;h++){var b=this[h];b[2]?e.push("@media "+b[2]+"{"+b[1]+"}"):e.push(b[1])}return e.join("")},a.i=function(l,b){"string"==typeof l&&(l=[[null,l,""]]);for(var m={},k=0;k<this.length;k++){var i=this[k][0];"number"==typeof i&&(m[i]=!0)}for(k=0;k<l.length;k++){var n=l[k];"number"==typeof n[0]&&m[n[0]]||(b&&!n[2]?n[2]=b:b&&(n[2]="("+n[2]+") and ("+b+")"),a.push(n))}},a}},function(d,e,f){d.exports=f.p+"jw-icons.ttf"},function(d,e,f){d.exports=f.p+"jw-icons.woff"},function(h,e,g){var f=g(11);h.exports=(f["default"]||f).template({compiler:[7,">= 4.0.0"],main:function(b,d,a,i,c){return'<div class="jw-skip jw-background-color jw-hidden jw-reset">\n    <span class="jw-text jw-skiptext jw-reset"></span>\n    <span class="jw-icon-inline jw-skip-icon jw-reset"></span>\n</div>'},useData:!0})},function(h,e,g){var f=g(11);h.exports=(f["default"]||f).template({compiler:[7,">= 4.0.0"],main:function(c,i,a,m,d){var b;return'<div class="jw-display-icon-container jw-background-color jw-reset">\n    <div class="jw-icon jw-icon-display jw-button-color jw-reset" role="button" tabindex="0" aria-label="'+c.escapeExpression((b=null!=(b=a.ariaLabel||(null!=i?i.ariaLabel:i))?b:a.helperMissing,"function"==typeof b?b.call(null!=i?i:{},{name:"ariaLabel",hash:{},data:d}):b))+'"></div>\n</div>\n'},useData:!0})},function(h,e,g){var f=g(11);h.exports=(f["default"]||f).template({1:function(b,i,q,n,c){var a,o,d=null!=i?i:{};return'    <div class="jw-dock-button jw-background-color jw-reset'+(null!=(a=q["if"].call(d,null!=i?i.btnClass:i,{name:"if",hash:{},fn:b.program(2,c,0),inverse:b.noop,data:c}))?a:"")+'" button="'+b.escapeExpression((o=null!=(o=q.id||(null!=i?i.id:i))?o:q.helperMissing,"function"==typeof o?o.call(d,{name:"id",hash:{},data:c}):o))+'">\n        <div class="jw-icon jw-dock-image jw-reset" '+(null!=(a=q["if"].call(d,null!=i?i.img:i,{name:"if",hash:{},fn:b.program(4,c,0),inverse:b.noop,data:c}))?a:"")+'></div>\n        <div class="jw-arrow jw-reset"></div>\n'+(null!=(a=q["if"].call(d,null!=i?i.tooltip:i,{name:"if",hash:{},fn:b.program(6,c,0),inverse:b.noop,data:c}))?a:"")+"    </div>\n"},2:function(c,i,a,m,d){var b;return" "+c.escapeExpression((b=null!=(b=a.btnClass||(null!=i?i.btnClass:i))?b:a.helperMissing,"function"==typeof b?b.call(null!=i?i:{},{name:"btnClass",hash:{},data:d}):b))},4:function(c,i,a,m,d){var b;return"style='background-image: url(\""+c.escapeExpression((b=null!=(b=a.img||(null!=i?i.img:i))?b:a.helperMissing,"function"==typeof b?b.call(null!=i?i:{},{name:"img",hash:{},data:d}):b))+"\")'"},6:function(c,i,a,m,d){var b;return'        <div class="jw-overlay jw-background-color jw-reset">\n            <span class="jw-text jw-dock-text jw-reset">'+c.escapeExpression((b=null!=(b=a.tooltip||(null!=i?i.tooltip:i))?b:a.helperMissing,"function"==typeof b?b.call(null!=i?i:{},{name:"tooltip",hash:{},data:d}):b))+"</span>\n        </div>\n"},compiler:[7,">= 4.0.0"],main:function(c,i,a,m,d){var b;return'<div class="jw-dock jw-reset">\n'+(null!=(b=a.each.call(null!=i?i:{},i,{name:"each",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?b:"")+"</div>"},useData:!0})},function(h,e,g){var f=g(11);h.exports=(f["default"]||f).template({compiler:[7,">= 4.0.0"],main:function(c,s,l,d,o){var n,b=null!=s?s:{},r=l.helperMissing,i="function",a=c.escapeExpression;return'<div id="'+a((n=null!=(n=l.id||(null!=s?s.id:s))?n:r,typeof n===i?n.call(b,{name:"id",hash:{},data:o}):n))+'"class="jw-skin-'+a((n=null!=(n=l.skin||(null!=s?s.skin:s))?n:r,typeof n===i?n.call(b,{name:"skin",hash:{},data:o}):n))+' jw-error jw-reset">\n    <div class="jw-title jw-reset">\n        <div class="jw-title-primary jw-reset">'+a((n=null!=(n=l.title||(null!=s?s.title:s))?n:r,typeof n===i?n.call(b,{name:"title",hash:{},data:o}):n))+'</div>\n        <div class="jw-title-secondary jw-reset">'+a((n=null!=(n=l.body||(null!=s?s.body:s))?n:r,typeof n===i?n.call(b,{name:"body",hash:{},data:o}):n))+'</div>\n    </div>\n\n    <div class="jw-icon-container jw-reset">\n        <div class="jw-display-icon-container jw-background-color jw-reset">\n            <div class="jw-icon jw-icon-display jw-reset" aria-hidden="true"></div>\n        </div>\n    </div>\n</div>\n'},useData:!0})},function(h,e,g){var f=g(11);h.exports=(f["default"]||f).template({compiler:[7,">= 4.0.0"],main:function(b,d,a,i,c){return'<div class="jw-logo jw-reset"></div>'},useData:!0})},function(h,e,g){var f=g(11);h.exports=(f["default"]||f).template({1:function(c,i,a,n,d){var b,o=c.escapeExpression;return"        <li class='jw-text jw-option jw-item-"+o((b=null!=(b=a.index||d&&d.index)?b:a.helperMissing,"function"==typeof b?b.call(null!=i?i:{},{name:"index",hash:{},data:d}):b))+" jw-reset'>"+o(c.lambda(null!=i?i.label:i,i))+"</li>\n"},compiler:[7,">= 4.0.0"],main:function(c,i,a,m,d){var b;return'<ul class="jw-menu jw-background-color jw-reset">\n'+(null!=(b=a.each.call(null!=i?i:{},i,{name:"each",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?b:"")+"</ul>"},useData:!0})},function(h,e,g){var f=g(11);h.exports=(f["default"]||f).template({compiler:[7,">= 4.0.0"],main:function(c,i,a,n,d){var b=c.lambda,o=c.escapeExpression;return'<div class="jw-nextup jw-reset">\n    <div class="jw-nextup-tooltip jw-reset">\n        <div class="jw-nextup-header jw-reset">\n            '+o(b(null!=i?i.nextUpText:i,i))+'\n        </div>\n        <div class="jw-nextup-body jw-background-color jw-reset">\n            <div class="jw-nextup-thumbnail jw-reset"></div>\n            <div class="jw-nextup-title jw-reset">'+o(b(null!=i?i.title:i,i))+'</div>\n        </div>\n    </div>\n    <button class="jw-nextup-close"></button>\n</div>\n'},useData:!0})},function(h,e,g){var f=g(11);h.exports=(f["default"]||f).template({compiler:[7,">= 4.0.0"],main:function(c,i,a,m,d){var b;return'<div id="'+c.escapeExpression((b=null!=(b=a.id||(null!=i?i.id:i))?b:a.helperMissing,"function"==typeof b?b.call(null!=i?i:{},{name:"id",hash:{},data:d}):b))+'" class="jwplayer jw-reset jw-state-idle" tabindex="0">\n    <div class="jw-aspect jw-reset"></div>\n    <div class="jw-media jw-reset"></div>\n    <div class="jw-preview jw-reset"></div>\n    <div class="jw-title jw-reset">\n        <div class="jw-title-primary jw-reset"></div>\n        <div class="jw-title-secondary jw-reset"></div>\n    </div>\n    <div class="jw-overlays jw-reset"></div>\n    <div class="jw-controls jw-reset"></div>\n</div>'},useData:!0})},function(h,e,g){var f=g(11);h.exports=(f["default"]||f).template({1:function(c,s,l,d,o){var n,a,r=null!=s?s:{},i=l.helperMissing,t="function",b=c.escapeExpression;return'        <li class="jw-reset'+(null!=(n=l["if"].call(r,null!=s?s.featured:s,{name:"if",hash:{},fn:c.program(2,o,0),inverse:c.noop,data:o}))?n:"")+'">\n            <a href="'+b((a=null!=(a=l.link||(null!=s?s.link:s))?a:i,typeof a===t?a.call(r,{name:"link",hash:{},data:o}):a))+'" class="jw-reset" target="_top">\n'+(null!=(n=l["if"].call(r,null!=s?s.showLogo:s,{name:"if",hash:{},fn:c.program(4,o,0),inverse:c.noop,data:o}))?n:"")+"                "+b((a=null!=(a=l.title||(null!=s?s.title:s))?a:i,typeof a===t?a.call(r,{name:"title",hash:{},data:o}):a))+"\n            </a>\n        </li>\n"},2:function(b,d,a,i,c){return" jw-featured"},4:function(b,d,a,i,c){return'                <span class="jw-icon jw-rightclick-logo jw-reset"></span>\n'},compiler:[7,">= 4.0.0"],main:function(c,i,a,m,d){var b;return'<div class="jw-rightclick jw-reset">\n    <ul class="jw-reset">\n'+(null!=(b=a.each.call(null!=i?i:{},null!=i?i.items:i,{name:"each",hash:{},fn:c.program(1,d,0),inverse:c.noop,data:d}))?b:"")+"    </ul>\n</div>"},useData:!0})},function(h,e,g){var f=g(11);h.exports=(f["default"]||f).template({compiler:[7,">= 4.0.0"],main:function(c,s,l,d,o){var n,b=null!=s?s:{},r=l.helperMissing,i="function",a=c.escapeExpression;return'<div class="'+a((n=null!=(n=l.className||(null!=s?s.className:s))?n:r,typeof n===i?n.call(b,{name:"className",hash:{},data:o}):n))+" "+a((n=null!=(n=l.orientation||(null!=s?s.orientation:s))?n:r,typeof n===i?n.call(b,{name:"orientation",hash:{},data:o}):n))+' jw-reset" aria-hidden="true">\n    <div class="jw-slider-container jw-reset">\n        <div class="jw-rail jw-reset"></div>\n        <div class="jw-buffer jw-reset"></div>\n        <div class="jw-progress jw-reset"></div>\n        <div class="jw-knob jw-reset"></div>\n    </div>\n</div>'},useData:!0})},,function(g,s,r){function n(b){return b&&b.__esModule?b:{"default":b}}function f(k){if(k&&k.__esModule){return k}var b={};if(null!=k){for(var j in k){Object.prototype.hasOwnProperty.call(k,j)&&(b[j]=k[j])}}return b["default"]=k,b}function t(){var b=new h.HandlebarsEnvironment;return m.extend(b,h),b.SafeString=u["default"],b.Exception=e["default"],b.Utils=m,b.escapeExpression=m.escapeExpression,b.VM=l,b.template=function(j){return l.template(j,b)},b}s.__esModule=!0;var a=r(66),h=f(a),o=r(161),u=n(o),c=r(22),e=n(c),d=r(13),m=f(d),i=r(160),l=f(i),p=r(159),w=n(p),v=t();v.create=t,w["default"](v),v["default"]=v,s["default"]=v,g.exports=s["default"]},function(k,m,e){function n(b){return b&&b.__esModule?b:{"default":b}}function l(b){a["default"](b)}m.__esModule=!0,m.registerDefaultDecorators=l;var i=e(149),a=n(i)},function(h,e,g){e.__esModule=!0;var f=g(13);e["default"]=function(a){a.registerDecorator("inline",function(d,m,b,l){var c=d;return m.partials||(m.partials={},c=function(i,o){var k=b.partials;b.partials=f.extend({},k,m.partials);var j=d(i,o);return b.partials=k,j}),m.partials[l.args[0]]=l.fn,c})},h.exports=e["default"]},function(g,s,r){function n(b){return b&&b.__esModule?b:{"default":b}}function f(b){a["default"](b),o["default"](b),c["default"](b),d["default"](b),i["default"](b),p["default"](b),v["default"](b)}s.__esModule=!0,s.registerDefaultHelpers=f;var t=r(151),a=n(t),h=r(152),o=n(h),u=r(153),c=n(u),e=r(154),d=n(e),m=r(155),i=n(m),l=r(156),p=n(l),w=r(157),v=n(w)},function(h,e,g){e.__esModule=!0;var f=g(13);e["default"]=function(a){a.registerHelper("blockHelperMissing",function(k,b){var d=b.inverse,c=b.fn;if(k===!0){return c(this)}if(k===!1||null==k){return d(this)}if(f.isArray(k)){return k.length>0?(b.ids&&(b.ids=[b.name]),a.helpers.each(k,b)):d(this)}if(b.data&&b.ids){var l=f.createFrame(b.data);l.contextPath=f.appendContextPath(b.data.contextPath,b.name),b={data:l}}return c(k,b)})},h.exports=e["default"]},function(k,m,e){function n(b){return b&&b.__esModule?b:{"default":b}}m.__esModule=!0;var l=e(13),i=e(22),a=n(i);m["default"]=function(b){b.registerHelper("each",function(t,g){function f(v,q,r){h&&(h.key=v,h.index=q,h.first=0===q,h.last=!!r,p&&(h.contextPath=p+v)),c+=D(t[v],{data:h,blockParams:l.blockParams([t[v],v],[p+v,null])})}if(!g){throw new a["default"]("Must pass iterator to #each")}var D=g.fn,j=g.inverse,d=0,c="",h=void 0,p=void 0;if(g.data&&g.ids&&(p=l.appendContextPath(g.data.contextPath,g.ids[0])+"."),l.isFunction(t)&&(t=t.call(this)),g.data&&(h=l.createFrame(g.data)),t&&"object"==typeof t){if(l.isArray(t)){for(var s=t.length;d<s;d++){d in t&&f(d,d,d===t.length-1)}}else{var o=void 0;for(var u in t){t.hasOwnProperty(u)&&(void 0!==o&&f(o,d-1),o=u,d++)}void 0!==o&&f(o,d-1,!0)}}return 0===d&&(c=j(this)),c})},k.exports=m["default"]},function(k,e,i){function h(a){return a&&a.__esModule?a:{"default":a}}e.__esModule=!0;var l=i(22),j=h(l);e["default"]=function(a){a.registerHelper("helperMissing",function(){if(1!==arguments.length){throw new j["default"]('Missing helper: "'+arguments[arguments.length-1].name+'"')}})},k.exports=e["default"]},function(h,e,g){e.__esModule=!0;var f=g(13);e["default"]=function(a){a.registerHelper("if",function(b,c){return f.isFunction(b)&&(b=b.call(this)),!c.hash.includeZero&&!b||f.isEmpty(b)?c.inverse(this):c.fn(this)}),a.registerHelper("unless",function(c,b){return a.helpers["if"].call(this,c,{fn:b.inverse,inverse:b.fn,hash:b.hash})})},h.exports=e["default"]},function(c,d){d.__esModule=!0,d["default"]=function(a){a.registerHelper("log",function(){for(var i=[void 0],b=arguments[arguments.length-1],j=0;j<arguments.length-1;j++){i.push(arguments[j])}var h=1;null!=b.hash.level?h=b.hash.level:b.data&&null!=b.data.level&&(h=b.data.level),i[0]=h,a.log.apply(a,i)})},c.exports=d["default"]},function(c,d){d.__esModule=!0,d["default"]=function(a){a.registerHelper("lookup",function(b,e){return b&&b[e]})},c.exports=d["default"]},function(h,e,g){e.__esModule=!0;var f=g(13);e["default"]=function(a){a.registerHelper("with",function(c,k){f.isFunction(c)&&(c=c.call(this));var b=k.fn;if(f.isEmpty(c)){return k.inverse(this)}var d=k.data;return k.data&&k.ids&&(d=f.createFrame(k.data),d.contextPath=f.appendContextPath(k.data.contextPath,k.ids[0])),b(c,{data:d,blockParams:f.blockParams([c],[d&&d.contextPath])})})},h.exports=e["default"]},function(i,e,h){e.__esModule=!0;var g=h(13),j={methodMap:["debug","info","warn","error"],level:"info",lookupLevel:function(a){if("string"==typeof a){var b=g.indexOf(j.methodMap,a.toLowerCase());a=b>=0?b:parseInt(a,10)}return a},log:function(c){if(c=j.lookupLevel(c),"undefined"!=typeof console&&j.lookupLevel(j.level)<=c){var d=j.methodMap[c];console[d]||(d="log");for(var a=arguments.length,f=Array(a>1?a-1:0),b=1;b<a;b++){f[b-1]=arguments[b]}console[d].apply(console,f)}}};e["default"]=j,i.exports=e["default"]},function(c,d){(function(a){d.__esModule=!0,d["default"]=function(b){var e="undefined"!=typeof a?a:window,h=e.Handlebars;b.noConflict=function(){return e.Handlebars===b&&(e.Handlebars=h),b}},c.exports=d["default"]}).call(d,function(){return this}())},function(h,t,a){function o(b){return b&&b.__esModule?b:{"default":b}}function i(k){if(k&&k.__esModule){return k}var b={};if(null!=k){for(var j in k){Object.prototype.hasOwnProperty.call(k,j)&&(b[j]=k[j])}}return b["default"]=k,b}function d(k){var v=k&&k[0]||1,j=w.COMPILER_REVISION;if(v!==j){if(v<j){var b=w.REVISION_CHANGES[j],q=w.REVISION_CHANGES[v];throw new s["default"]("Template was precompiled with an older version of Handlebars than the current runtime. Please update your precompiler to a newer version ("+b+") or downgrade your runtime to an older version ("+q+").")}throw new s["default"]("Template was precompiled with a newer version of Handlebars than the current runtime. Please update your runtime to a newer version ("+k[1]+").")}}function c(k,v){function j(y,x,A){A.hash&&(x=l.extend({},x,A.hash),A.ids&&(A.ids[0]=!0)),y=v.VM.resolvePartial.call(this,y,x,A);var z=v.VM.invokePartial.call(this,y,x,A);if(null==z&&v.compile&&(A.partials[A.name]=v.compile(y,k.compilerOptions,v),z=A.partials[A.name](x,A)),null!=z){if(A.indent){for(var B=z.split("\n"),D=0,C=B.length;D<C&&(B[D]||D+1!==C);D++){B[D]=A.indent+B[D]}z=B.join("\n")}return z}throw new s["default"]("The partial "+A.name+" could not be compiled when running in runtime-only mode")}function b(y){function A(D){return""+k.main(q,D,q.helpers,q.partials,z,B,x)}var C=arguments.length<=1||void 0===arguments[1]?{}:arguments[1],z=C.data;b._setup(C),!C.partial&&k.useData&&(z=g(y,z));var x=void 0,B=k.useBlockParams?[]:void 0;return k.useDepths&&(x=C.depths?y!==C.depths[0]?[y].concat(C.depths):C.depths:[y]),(A=f(k.main,A,q,C.depths||[],z,B))(y,C)}if(!v){throw new s["default"]("No environment passed to template")}if(!k||!k.main){throw new s["default"]("Unknown template object: "+typeof k)}k.main.decorator=k.main_d,v.VM.checkRevision(k.compiler);var q={strict:function(x,y){if(!(y in x)){throw new s["default"]('"'+y+'" not defined in '+x)}return x[y]},lookup:function(x,y){for(var A=x.length,z=0;z<A;z++){if(x[z]&&null!=x[z][y]){return x[z][y]}}},lambda:function(x,y){return"function"==typeof x?x.call(y):x},escapeExpression:l.escapeExpression,invokePartial:j,fn:function(y){var x=k[y];return x.decorator=k[y+"_d"],x},programs:[],program:function(C,x,z,y,D){var A=this.programs[C],B=this.fn(C);return x||D||y||z?A=r(this,C,B,x,z,y,D):A||(A=this.programs[C]=r(this,C,B)),A},data:function(x,y){for(;x&&y--;){x=x._parent}return x},merge:function(y,z){var x=y||z;return y&&z&&y!==z&&(x=l.extend({},z,y)),x},noop:v.VM.noop,compilerInfo:k.compiler};return b.isTop=!0,b._setup=function(x){x.partial?(q.helpers=x.helpers,q.partials=x.partials,q.decorators=x.decorators):(q.helpers=q.merge(x.helpers,v.helpers),k.usePartial&&(q.partials=q.merge(x.partials,v.partials)),(k.usePartial||k.useDecorators)&&(q.decorators=q.merge(x.decorators,v.decorators)))},b._child=function(z,x,A,y){if(k.useBlockParams&&!A){throw new s["default"]("must pass block params")}if(k.useDepths&&!y){throw new s["default"]("must pass parent depths")}return r(q,z,k[z],x,0,A,y)},b}function r(j,v,x,y,k,b,z){function q(A){var B=arguments.length<=1||void 0===arguments[1]?{}:arguments[1],C=z;return z&&A!==z[0]&&(C=[A].concat(z)),x(j,A,j.helpers,j.partials,B.data||y,b&&[B.blockParams].concat(b),C)}return q=f(x,q,j,z,y,b),q.program=v,q.depth=z?z.length:0,q.blockParams=k||0,q}function p(k,b,j){return k?k.call||j.name||(j.name=k,k=j.partials[k]):k="@partial-block"===j.name?j.data["partial-block"]:j.partials[j.name],k}function u(k,q,j){j.partial=!0,j.ids&&(j.data.contextPath=j.ids[0]||j.data.contextPath);var b=void 0;if(j.fn&&j.fn!==e&&(j.data=w.createFrame(j.data),b=j.data["partial-block"]=j.fn,b.partials&&(j.partials=l.extend({},j.partials,b.partials))),void 0===k&&b&&(k=b),void 0===k){throw new s["default"]("The partial "+j.name+" could not be found")}if(k instanceof Function){return k(q,j)}}function e(){return""}function g(j,b){return b&&"root" in b||(b=b?w.createFrame(b):{},b.root=j),b}function f(k,v,b,x,q,j){if(k.decorator){var y={};v=k.decorator(v,y,b,x&&x[0],q,j,x),l.extend(v,y)}return v}t.__esModule=!0,t.checkRevision=d,t.template=c,t.wrapProgram=r,t.resolvePartial=p,t.invokePartial=u,t.noop=e;var n=a(13),l=i(n),m=a(22),s=o(m),w=a(66)},function(d,e){function f(a){this.string=a}e.__esModule=!0,f.prototype.toString=f.prototype.toHTML=function(){return""+this.string},e["default"]=f,d.exports=e["default"]},function(i,e,h){var g,j;g=[h(25),h(1)],j=function(a,b){return function(c,f){var d=["seek","skipAd","stop","playlistNext","playlistPrev","playlistItem","resize","addButton","removeButton","registerPlugin","attachMedia","next"];b.each(d,function(k){c[k]=function(){return f[k].apply(f,arguments),c}}),c.registerPlugin=a.registerPlugin}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(1)],j=function(a){return function(f,b){var m=["buffer","controls","position","duration","fullscreen","volume","mute","item","stretching","playlist","captions"];a.each(m,function(l){var k=l.slice(0,1).toUpperCase()+l.slice(1);f["get"+k]=function(){return b._model.get(l)}});var d=["getAudioTracks","getCaptionsList","getWidth","getHeight","getCurrentAudioTrack","setCurrentAudioTrack","getCurrentCaptions","setCurrentCaptions","getCurrentQuality","setCurrentQuality","getQualityLevels","getVisualQuality","getConfig","getState","getSafeRegion","isBeforeComplete","isBeforePlay","getProvider","detachMedia"],c=["setControls","setFullscreen","setVolume","setMute","setCues","setCaptions"];a.each(d,function(k){f[k]=function(){return b[k]?b[k].apply(b,arguments):null}}),a.each(c,function(k){f[k]=function(){return b[k].apply(b,arguments),f}}),f.getPlaylistIndex=f.getItem}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(4),h(6),h(3),h(2),h(82),h(1),h(217),h(162),h(163),h(165),h(29)],j=function(b,r,f,c,n,l,t,o,d,s,u){var a=function(k,w){var q,m=this,p=!1,v={};l.extend(this,f),this.utils=c,this._=l,this.Events=f,this.version=u,this.trigger=function(E,F){F=l.isObject(F)?l.extend({},F):{},F.type=E;var D=window.jwplayer;return D&&D.debug?f.trigger.call(m,E,F):f.triggerSafe.call(m,E,F)},this.dispatchEvent=this.trigger,this.removeEventListener=this.off.bind(this);var y=function(){q=new t(k),o(m,q),d(m,q),q.on(b.JWPLAYER_PLAYLIST_ITEM,function(){v={}}),q.on(b.JWPLAYER_MEDIA_META,function(B){l.extend(v,B.metadata)}),q.on(b.JWPLAYER_READY,function(B){p=!0,x.tick("ready"),B.setupTime=x.between("setup","ready")}),q.on("all",m.trigger)};y(),s(this),this.id=k.id;var x=this._qoe=new n;x.tick("init");var z=function(){p=!1,v={},m.off(),q&&q.off(),q&&q.playerDestroy&&q.playerDestroy()};return this.getPlugin=function(B){return m.plugins&&m.plugins[B]},this.addPlugin=function(D,C){this.plugins=this.plugins||{},this.plugins[D]=C,this.onReady(C.addToPlayer),C.resize&&this.onResize(C.resizeHandler)},this.setup=function(B){return x.tick("setup"),z(),y(),c.foreach(B.events,function(E,F){var A=m[E];"function"==typeof A&&A.call(m,F)}),B.id=m.id,q.setup(B,this),m},this.qoe=function(){var F=q.getItemQoe(),E=x.between("setup","ready"),D=F.between(b.JWPLAYER_MEDIA_PLAY_ATTEMPT,b.JWPLAYER_MEDIA_FIRST_FRAME);return{setupTime:E,firstFrame:D,player:x.dump(),item:F.dump()}},this.getContainer=function(){return q.getContainer?q.getContainer():k},this.getMeta=this.getItemMeta=function(){return v},this.getPlaylistItem=function(D){if(!c.exists(D)){return q._model.get("playlistItem")}var C=m.getPlaylist();return C?C[D]:null},this.getRenderingMode=function(){return"html5"},this.load=function(D){var C=this.getPlugin("vast")||this.getPlugin("googima")||this.getPlugin("freewheel");return C&&(q._model.set("preInstreamState","instream-idle"),C.destroy()),q.load(D),m},this.play=function(C,D){if(l.isBoolean(C)||(D=C),D||(D={reason:"external"}),C===!0){return q.play(D),m}if(C===!1){return q.pause(),m}switch(C=m.getState()){case r.PLAYING:case r.BUFFERING:q.pause();break;default:q.play(D)}return m},this.pause=function(B){return l.isBoolean(B)?this.play(!B):this.play()},this.createInstream=function(){return q.createInstream()},this.castToggle=function(){q&&q.castToggle&&q.castToggle()},this.playAd=this.pauseAd=c.noop,this.remove=function(){return w(m),m.trigger("remove"),z(),m},this};return a}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(1),h(4)],j=function(a,b){return function(c){var f={onBufferChange:b.JWPLAYER_MEDIA_BUFFER,onBufferFull:b.JWPLAYER_MEDIA_BUFFER_FULL,onError:b.JWPLAYER_ERROR,onSetupError:b.JWPLAYER_SETUP_ERROR,onFullscreen:b.JWPLAYER_FULLSCREEN,onMeta:b.JWPLAYER_MEDIA_META,onMute:b.JWPLAYER_MEDIA_MUTE,onPlaylist:b.JWPLAYER_PLAYLIST_LOADED,onPlaylistItem:b.JWPLAYER_PLAYLIST_ITEM,onPlaylistComplete:b.JWPLAYER_PLAYLIST_COMPLETE,onReady:b.JWPLAYER_READY,onResize:b.JWPLAYER_RESIZE,onComplete:b.JWPLAYER_MEDIA_COMPLETE,onSeek:b.JWPLAYER_MEDIA_SEEK,onTime:b.JWPLAYER_MEDIA_TIME,onVolume:b.JWPLAYER_MEDIA_VOLUME,onBeforePlay:b.JWPLAYER_MEDIA_BEFOREPLAY,onBeforeComplete:b.JWPLAYER_MEDIA_BEFORECOMPLETE,onDisplayClick:b.JWPLAYER_DISPLAY_CLICK,onControls:b.JWPLAYER_CONTROLS,onQualityLevels:b.JWPLAYER_MEDIA_LEVELS,onQualityChange:b.JWPLAYER_MEDIA_LEVEL_CHANGED,onCaptionsList:b.JWPLAYER_CAPTIONS_LIST,onCaptionsChange:b.JWPLAYER_CAPTIONS_CHANGED,onAdError:b.JWPLAYER_AD_ERROR,onAdClick:b.JWPLAYER_AD_CLICK,onAdImpression:b.JWPLAYER_AD_IMPRESSION,onAdTime:b.JWPLAYER_AD_TIME,onAdComplete:b.JWPLAYER_AD_COMPLETE,onAdCompanions:b.JWPLAYER_AD_COMPANIONS,onAdSkipped:b.JWPLAYER_AD_SKIPPED,onAdPlay:b.JWPLAYER_AD_PLAY,onAdPause:b.JWPLAYER_AD_PAUSE,onAdMeta:b.JWPLAYER_AD_META,onCast:b.JWPLAYER_CAST_SESSION,onAudioTrackChange:b.JWPLAYER_AUDIO_TRACK_CHANGED,onAudioTracks:b.JWPLAYER_AUDIO_TRACKS},d={onBuffer:"buffer",onPause:"pause",onPlay:"play",onIdle:"idle"};a.each(d,function(k,n){c[n]=a.partial(c.on,k,a)}),a.each(f,function(k,n){c[n]=a.partial(c.on,k,a)})}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(164),h(1),h(53),h(52),h(25)],j=function(b,r,f,c,n){var l=[],t=0,o=function(k){var p,m;return k?"string"==typeof k?(p=d(k),p||(m=document.getElementById(k))):"number"==typeof k?p=l[k]:k.nodeType&&(m=k,p=d(m.id)):p=l[0],p?p:m?s(new b(m,u)):{registerPlugin:n.registerPlugin}},d=function(k){for(var m=0;m<l.length;m++){if(l[m].id===k){return l[m]}}return null},s=function(k){return t++,k.uniqueId=t,l.push(k),k},u=function(k){for(var m=l.length;m--;){if(l[m].uniqueId===k.uniqueId){l.splice(m,1);break}}},a={selectPlayer:o,registerProvider:f.registerProvider,availableProviders:c,registerPlugin:n.registerPlugin};return o.api=a,a}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(218),h(3),h(1),h(4)],j=function(b,d,a,f){var c=function(k,t,r,o){function J(){s("Setup Timeout Error","Setup took longer than "+l+" seconds to complete.")}function I(){a.each(G,function(n){n.complete!==!0&&n.running!==!0&&null!==k&&p(n.depends)&&(n.running=!0,m(n))})}function m(n){var q=function(v){v=v||{},u(n,v)};n.method(q,t,k,r,o)}function p(n){return a.all(n,function(q){return G[q].complete})}function u(q,n){"error"===n.type?s(n.msg,n.reason):"complete"===n.type?(clearTimeout(H),F.trigger(f.JWPLAYER_READY)):(q.complete=!0,I())}function s(q,n){clearTimeout(H),F.trigger(f.JWPLAYER_SETUP_ERROR,{message:q+": "+n}),F.destroy()}var H,F=this,G=b.getQueue(),l=30;this.start=function(){H=setTimeout(J,1000*l),I()},this.destroy=function(){clearTimeout(H),this.off(),G.length=0,k=null,t=null,r=null}};return c.prototype=d,c}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(2),h(23),h(16)],j=function(b,c,a){var d=function(u,l){function N(x){if(x.tracks.length){for(var n=x.tracks||[],t=0;t<n.length;t++){var q=n[t];O[q._id]||P(q)}var z=s();o(),this.setCaptionsList(z)}}function f(n,q){M=q,Q=[],O={},R={},v=0}function p(z){f(l,z);var q=z.tracks,t=q&&q.length;if(!a.renderNatively(l.get("provider").name)&&t){var n,x;for(n=0;n<t;n++){x=q[n],y(x.kind)&&!O[x._id]&&(P(x),c.loadFile(x,w.bind(null,x),k))}}var A=s();o(),this.setCaptionsList(A)}function y(n){return"subtitles"===n||"captions"===n}function w(n,q){n.data=q}function k(n){b.log("CAPTIONS("+n+")")}function m(q,t){var n=null;0!==t&&(n=Q[t-1]),q.set("captionsTrack",n)}function P(n){if(n.data=n.data||[],n.name=n.label||n.name||n.language,n._id=a.createId(n,Q.length),!n.name){var q=a.createLabel(n,v);n.name=q.label,v=q.unknownCount}Q.push(n),O[n._id]=n}function s(){for(var n=[{id:"off",label:"Off"}],q=0;q<Q.length;q++){n.push({id:Q[q]._id,label:Q[q].name||"Unknown CC"})}return n}function o(){var x=0,n=l.get("captionLabel");if("Off"===n){return void l.set("captionsIndex",0)}for(var t=0;t<Q.length;t++){var q=Q[t];if(n&&n===q.name){x=t+1;break}q["default"]||q.defaulttrack||"default"===q._id?x=t+1:q.autoselect}r(x)}function r(n){Q.length?l.setVideoSubtitleTrack(n,Q):l.set("captionsIndex",n)}l.on("change:playlistItem",f,this),l.on("change:captionsIndex",m,this),l.on("itemReady",p,this),l.mediaController.on("subtitlesTracks",N,this);var M={},Q=[],O={},R={},v=0;this.getCurrentIndex=function(){return l.get("captionsIndex")},this.getCaptionsList=function(){return l.get("captionsList")},this.setCaptionsList=function(n){l.set("captionsList",n)}};return d}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(67),h(170),h(1),h(167),h(168),h(31),h(175),h(72),h(71),h(2),h(95),h(3),h(41),h(6),h(4),h(203)],j=function(f,n,u,r,d,v,a,l,s,w,b,c,N,p,m,o){function t(k){return function(){var q=Array.prototype.slice.call(arguments,0);this._model.getVideo()?this["_"+k].apply(this,q):this.eventsQueue.push([k,q])}}function P(k){return k===p.LOADING||k===p.STALLED?p.BUFFERING:k}var O=function(k){this.originalContainer=this.currentContainer=k,this.eventsQueue=[],u.extend(this,c),this._model=new v};return O.prototype={play:t("play"),pause:t("pause"),seek:t("seek"),stop:t("stop"),load:t("load"),playlistNext:t("next"),playlistPrev:t("prev"),playlistItem:t("item"),setCurrentCaptions:t("setCurrentCaptions"),setCurrentQuality:t("setCurrentQuality"),setFullscreen:t("setFullscreen"),setup:function(ae,Z){function aa(ax,ay){q.triggerAfterReady(ax,ay)}function ad(){av=null,V.on("all",aa,q),q.showView(V.element()),u.defer(ag)}function ag(){q.trigger(m.JWPLAYER_READY,{setupTime:0}),q.triggerAfterReady=q.trigger;for(var ax=0;ax<ah.length;ax++){var ay=ah[ax];q.trigger(ay.type,ay.args)}var az=Z.getPlugin("related");az&&az.on("nextUp",aw.setNextUp,aw),aw.get("autostart")&&q.play({reason:"autostart"})}function ak(ax){var ay=aw.getProviders(),az=ay.required(ax,aw.get("primary"));return ay.load(az).then(function(){q.getProvider()||(aw.setProvider(aw.get("playlistItem")),ab())})}function ab(){for(;q.eventsQueue.length>0;){var ax=q.eventsQueue.shift(),ay=ax[0],az=ax[1]||[];q["_"+ay].apply(q,az)}}function Y(ax){switch(aw.get("state")===p.ERROR&&aw.set("state",p.IDLE),W(!0),aw.get("autostart")&&aw.once("itemReady",B),typeof ax){case"string":G(ax);break;case"object":var ay=al(ax);ay&&K(0);break;case"number":K(ax)}}function G(ax){var ay=new s;ay.on(m.JWPLAYER_PLAYLIST_LOADED,function(az){Y(az.playlist)}),ay.on(m.JWPLAYER_ERROR,function(az){az.message="Error loading playlist: "+az.message,this.triggerError(az)},this),ay.load(ax)}function ac(){return q._instreamAdapter&&q._instreamAdapter.getState()}function ai(){var ax=ac();return u.isString(ax)?ax:aw.get("state")}function B(az){var ax;if(az&&aw.set("playReason",az.reason),aw.get("state")!==p.ERROR){var ay=ac();if(u.isString(ay)){return Z.pauseAd(!1)}if(aw.get("state")===p.COMPLETE&&(W(!0),K(0)),!y&&(y=!0,q.trigger(m.JWPLAYER_MEDIA_BEFOREPLAY,{playReason:aw.get("playReason")}),y=!1,ar)){return ar=!1,void (X=null)}if(D()){if(0===aw.get("playlist").length){return !1}ax=w.tryCatch(function(){aw.loadVideo()})}else{aw.get("state")===p.PAUSED&&(ax=w.tryCatch(function(){aw.playVideo()}))}return !(ax instanceof w.Error)||(q.triggerError(ax),X=null,!1)}}function W(ax){aw.off("itemReady",B);var ay=!ax;X=null;var az=w.tryCatch(function(){aw.stopVideo()},q);return az instanceof w.Error?(q.triggerError(az),!1):(ay&&(aj=!0),y&&(ar=!0),!0)}function Q(){X=null;var ax=ac();if(u.isString(ax)){return Z.pauseAd(!0)}switch(aw.get("state")){case p.ERROR:return !1;case p.PLAYING:case p.BUFFERING:var ay=w.tryCatch(function(){F().pause()},this);if(ay instanceof w.Error){return q.triggerError(ay),!1}break;default:y&&(ar=!0)}return !0}function D(){var ax=aw.get("state");return ax===p.IDLE||ax===p.COMPLETE||ax===p.ERROR}function an(ax){aw.get("state")!==p.ERROR&&(aw.get("scrubbing")||aw.get("state")===p.PLAYING||B(!0),F().seek(ax))}function U(ax,ay){W(!0),aw.get("state")===p.ERROR&&aw.set("state",p.IDLE),K(ax),B(ay)}function al(ax){var ay=l(ax);return ay=l.filterPlaylist(ay,aw.getProviders(),aw.get("androidhls"),aw.get("drm"),aw.get("preload"),aw.get("feedid"),aw.get("withCredentials")),aw.set("playlist",ay),u.isArray(ay)&&0!==ay.length?(ak(ay),!0):(q.triggerError({message:"Error loading playlist: No playable sources found"}),!1)}function K(ax){aw.setItemIndex(ax)}function R(ax){U(aw.get("item")-1,ax||{reason:"external"})}function am(ax){U(aw.get("item")+1,ax||{reason:"external"})}function T(){if(D()){if(aj){return void (aj=!1)}X=T;var ax=aw.get("item");return ax===aw.get("playlist").length-1?void (aw.get("repeat")?am({reason:"repeat"}):(aw.set("state",p.COMPLETE),q.trigger(m.JWPLAYER_PLAYLIST_COMPLETE,{}))):void am({reason:"playlist"})}}function E(ax){F()&&(ax=parseInt(ax,10)||0,F().setCurrentQuality(ax))}function S(){return F()?F().getCurrentQuality():-1}function au(){if(this._model){return this._model.getConfiguration()}}function aq(){if(this._model.mediaModel){return this._model.mediaModel.get("visualQuality")}var az=H();if(az){var ax=S(),ay=az[ax];if(ay){return{level:u.extend({index:ax},ay),mode:"",reason:""}}}return null}function H(){return F()?F().getQualityLevels():null}function L(ax){F()&&(ax=parseInt(ax,10)||0,F().setCurrentAudioTrack(ax))}function C(){return F()?F().getCurrentAudioTrack():-1}function ap(){return F()?F().getAudioTracks():null}function k(ax){ax=parseInt(ax,10)||0,aw.persistVideoSubtitleTrack(ax),q.trigger(m.JWPLAYER_CAPTIONS_CHANGED,{tracks:J(),track:ax})}function ao(){return z.getCurrentIndex()}function J(){return z.getCaptionsList()}function I(){var ax=aw.getVideo();if(ax){var ay=ax.detachMedia();if(ay instanceof HTMLVideoElement){return ay}}return null}function M(){var ax=w.tryCatch(function(){aw.getVideo().attachMedia()});return ax instanceof w.Error?void w.log("Error calling _attachMedia",ax):void ("function"==typeof X&&X())}function at(ax){u.isBoolean(ax)||(ax=!aw.get("fullscreen")),aw.set("fullscreen",ax),this._instreamAdapter&&this._instreamAdapter._adModel&&this._instreamAdapter._adModel.set("fullscreen",ax)}function af(){var ax=Z.getPlugin("related");ax&&ax.next()}var V,z,av,X,ar,aw=this._model,y=!1,aj=!1,q=this,F=function(){return aw.getVideo()},A=new a;A.track(aw);var x=new f(ae,A),ah=[];aw.setup(x,A),V=this._view=new b(Z,aw),av=new r(Z,aw,V,al),av.on(m.JWPLAYER_READY,ad,this),av.on(m.JWPLAYER_SETUP_ERROR,this.setupError,this),aw.mediaController.on("all",aa,this),aw.mediaController.on(m.JWPLAYER_MEDIA_COMPLETE,function(){u.defer(T)}),aw.mediaController.on(m.JWPLAYER_MEDIA_ERROR,this.triggerError,this),aw.on("change:flashBlocked",function(aA,ax){if(!ax){return void this._model.set("errorEvent",void 0)}var ay=!!aA.get("flashThrottle"),az={message:ay?"Click to run Flash":"Flash plugin failed to load"};ay||this.trigger(m.JWPLAYER_ERROR,az),this._model.set("errorEvent",az)},this),aw.on("change:state",N,this),aw.on("change:castState",function(ax,ay){q.trigger(m.JWPLAYER_CAST_SESSION,ay)}),aw.on("change:fullscreen",function(ax,ay){q.trigger(m.JWPLAYER_FULLSCREEN,{fullscreen:ay})}),aw.on("itemReady",function(){q.triggerAfterReady(m.JWPLAYER_PLAYLIST_ITEM,{index:aw.get("item"),item:aw.get("playlistItem")})}),aw.on("change:playlist",function(ax,ay){ay.length&&q.triggerAfterReady(m.JWPLAYER_PLAYLIST_LOADED,{playlist:ay})}),aw.on("change:volume",function(ax,ay){q.trigger(m.JWPLAYER_MEDIA_VOLUME,{volume:ay})}),aw.on("change:mute",function(ax,ay){q.trigger(m.JWPLAYER_MEDIA_MUTE,{mute:ay})}),aw.on("change:controls",function(ax,ay){q.trigger(m.JWPLAYER_CONTROLS,{controls:ay})}),aw.on("change:scrubbing",function(ax,ay){ay?Q():B()}),aw.on("change:captionsList",function(ax,ay){try{q.triggerAfterReady(m.JWPLAYER_CAPTIONS_LIST,{tracks:ay,track:ao()})}catch(az){w.log("Error with captionsList event:",az)}}),aw.on("change:mediaModel",function(ax){ax.mediaModel.on("change:state",function(aA,az){var ay=P(az);ax.set("state",ay)})}),z=new d(Z,aw),this.triggerAfterReady=function(ax,ay){ah.push({type:ax,args:ay})},this._play=B,this._pause=Q,this._seek=an,this._stop=W,this._load=Y,this._next=am,this._prev=R,this._item=U,this._setCurrentCaptions=k,this._setCurrentQuality=E,this._setFullscreen=at,this.detachMedia=I,this.attachMedia=M,this.getCurrentQuality=S,this.getQualityLevels=H,this.setCurrentAudioTrack=L,this.getCurrentAudioTrack=C,this.getAudioTracks=ap,this.getCurrentCaptions=ao,this.getCaptionsList=J,this.getVisualQuality=aq,this.getConfig=au,this.getState=ai,this.setVolume=aw.setVolume.bind(aw),this.setMute=aw.setMute.bind(aw),this.getProvider=function(){return aw.get("provider")},this.getWidth=function(){return aw.get("containerWidth")},this.getHeight=function(){return aw.get("containerHeight")},this.getContainer=function(){return this.currentContainer},this.resize=V.resize,this.getSafeRegion=V.getSafeRegion,this.setCues=V.addCues,this.setCaptions=V.setCaptions,this.next=af,this.addButton=function(aB,ay,ax,aC,aA){var az={img:aB,tooltip:ay,callback:ax,id:aC,btnClass:aA},aD=aw.get("dock");aD=aD?aD.slice(0):[],aD=u.reject(aD,u.matches({id:az.id})),aD.push(az),aw.set("dock",aD)},this.removeButton=function(ax){var ay=aw.get("dock")||[];ay=u.reject(ay,u.matches({id:ax})),aw.set("dock",ay)},this.checkBeforePlay=function(){return y},this.getItemQoe=function(){return aw._qoeItem},this.setControls=function(ax){u.isBoolean(ax)||(ax=!aw.get("controls")),aw.set("controls",ax);var ay=aw.getVideo();ay&&ay.setControls(ax)},this.playerDestroy=function(){this.stop(),this.showView(this.originalContainer),V&&V.destroy(),aw&&aw.destroy(),av&&(av.destroy(),av=null)},this.isBeforePlay=this.checkBeforePlay,this.isBeforeComplete=function(){return aw.getVideo().checkComplete()},this.createInstream=function(){return this.instreamDestroy(),this._instreamAdapter=new n(this,aw,V),this._instreamAdapter},this.skipAd=function(){this._instreamAdapter&&this._instreamAdapter.skipAd()},this.instreamDestroy=function(){q._instreamAdapter&&q._instreamAdapter.destroy()},av.start()},showView:function(k){(document.documentElement.contains(this.currentContainer)||(this.currentContainer=document.getElementById(this._model.get("id")),this.currentContainer))&&(this.currentContainer.parentElement&&this.currentContainer.parentElement.replaceChild(k,this.currentContainer),this.currentContainer=k)},triggerError:function(k){this._model.set("errorEvent",k),this._model.set("state",p.ERROR),this._model.once("change:state",function(){this._model.set("errorEvent",void 0)},this),this.trigger(m.JWPLAYER_ERROR,k)},setupError:function(A){var q=A.message,x=w.createElement(o(this._model.get("id"),this._model.get("skin"),q)),k=this._model.get("width"),z=this._model.get("height");w.style(x,{width:k.toString().indexOf("%")>0?k:k+"px",height:z.toString().indexOf("%")>0?z:z+"px"}),this.showView(x);var y=this;u.defer(function(){y.trigger(m.JWPLAYER_SETUP_ERROR,{message:q})})}},O}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(172),h(171),h(4),h(6),h(2),h(3),h(1)],j=function(b,r,f,c,n,l,a){function o(p){var m="",k=p.get("provider");return k&&(m=k.name),m.indexOf("flash")>=0?r:b}var d={skipoffset:null,tag:null},s=function(u,Q,O){function m(){V._adModel.set("state","buffering"),Q.set("skipButton",!1),y++;var t,z=x[y];v&&(t=v[y]),E.loadItem(z,t)}function p(t,z){"complete"!==t&&(z=z||{},k.tag&&!z.tag&&(z.tag=k.tag),this.trigger(t,z),"mediaError"!==t&&"error"!==t||x&&y+1<x.length&&m())}function S(t){V._adModel.set("duration",t.duration),V._adModel.set("position",t.position)}var x,v,w,P,T,R=o(Q),V=new R(u,Q),y=0,k={},E=this,A=a.bind(function(t){t=t||{},t.hasControls=!!Q.get("controls"),this.trigger(f.JWPLAYER_INSTREAM_CLICK,t),V&&V._adModel&&(V._adModel.get("state")===c.PAUSED?t.hasControls&&V.instreamPlay():V.instreamPause())},this),U=a.bind(function(){V&&V._adModel&&V._adModel.get("state")===c.PAUSED&&Q.get("controls")&&(u.setFullscreen(),u.play())},this);this.type="instream",this.init=function(){w=Q.getVideo(),P=Q.get("position"),T=Q.get("playlist")[Q.get("item")],V.on("all",p,this),V.on(f.JWPLAYER_MEDIA_TIME,S,this),V.on(f.JWPLAYER_MEDIA_COMPLETE,q,this),V.init(),w.detachMedia(),Q.mediaModel.set("state",c.BUFFERING),u.checkBeforePlay()||0===P&&!w.checkComplete()?(P=0,Q.set("preInstreamState","instream-preroll")):w&&w.checkComplete()||Q.get("state")===c.COMPLETE?Q.set("preInstreamState","instream-postroll"):Q.set("preInstreamState","instream-midroll");var t=Q.get("state");return t!==c.PLAYING&&t!==c.BUFFERING||w.pause(),O.setupInstream(V._adModel),V._adModel.set("state",c.BUFFERING),O.clickHandler().setAlternateClickHandlers(n.noop,null),this.setText(Q.get("localization").loadingAd),this};var q=function(t){var z={};k.tag&&(z.tag=k.tag),x&&y+1<x.length?(this.trigger(f.JWPLAYER_MEDIA_COMPLETE,z),m()):(t.type===f.JWPLAYER_MEDIA_COMPLETE&&(this.trigger(f.JWPLAYER_MEDIA_COMPLETE,z),this.trigger(f.JWPLAYER_PLAYLIST_COMPLETE,{})),this.destroy())};this.loadItem=function(D,G){if(n.isAndroid(2.3)){return void this.trigger({type:f.JWPLAYER_ERROR,message:"Error loading instream: Cannot play instream on Android 2.3"})}var t=D;a.isArray(D)?(x=D,v=G,D=x[y],v&&(G=v[y])):t=[D];var F=this,z=Q.getProviders(),C=R===r?"flash":void 0,B=z.required(t,C);Q.set("hideAdsControls",!1),z.load(B).then(function(){if(null!==V){F.trigger(f.JWPLAYER_PLAYLIST_ITEM,{index:y,item:D}),k=a.extend({},d,G),V.load(D),F.addClickHandler();var H=D.skipoffset||k.skipoffset;H&&F.setupSkipButton(H,k)}})},this.setupSkipButton=function(t,z,B){Q.set("skipButton",!1),B&&(q=B),V._adModel.set("skipMessage",z.skipMessage),V._adModel.set("skipText",z.skipText),V._adModel.set("skipOffset",t),Q.set("skipButton",!0)},this.applyProviderListeners=function(t){V.applyProviderListeners(t),this.addClickHandler()},this.play=function(){V.instreamPlay()},this.pause=function(){V.instreamPause()},this.addClickHandler=function(){O.clickHandler().setAlternateClickHandlers(A,U),V.on(f.JWPLAYER_MEDIA_META,this.metaHandler,this)},this.skipAd=function(t){var z=f.JWPLAYER_AD_SKIPPED;this.trigger(z,t),q.call(this,{type:z})},this.metaHandler=function(t){t.width&&t.height&&O.resizeMedia()},this.destroy=function(){if(this.off(),Q.set("skipButton",!1),V){O.clickHandler()&&O.clickHandler().revertAlternateClickHandlers(),Q.off(null,null,V),V.instreamDestroy(),O.destroyInstream(),V=null,u.attachMedia();var t=Q.get("preInstreamState");switch(t){case"instream-preroll":case"instream-midroll":var z=a.extend({},T);z.starttime=P,Q.loadVideo(z),n.isMobile()&&Q.mediaModel.get("state")===c.BUFFERING&&w.setState(c.BUFFERING),w.play();break;case"instream-postroll":case"instream-idle":w.stop()}}},this.getState=function(){return !(!V||!V._adModel)&&V._adModel.get("state")},this.setText=function(t){O.setAltText(t?t:"")},this.hide=function(){Q.set("hideAdsControls",!0)}};return a.extend(s.prototype,l),s}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(3),h(31),h(41),h(4),h(6),h(2),h(1)],j=function(a,d,o,f,b,r,n){var c=function(k,m){this.model=m,this._adModel=(new d).setup({id:m.get("id"),volume:m.get("volume"),fullscreen:m.get("fullscreen"),mute:m.get("mute")}),this._adModel.on("change:state",o,this);var l=k.getContainer();this.swf=l.querySelector("object")};return c.prototype=n.extend({init:function(){if(r.isChrome()){var l=-1,k=!1;this.swf.on("throttle",function(p){if(clearTimeout(l),"resume"===p.state){k&&(k=!1,this.instreamPlay())}else{var m=this;l=setTimeout(function(){m._adModel.get("state")===b.PLAYING&&(k=!0,m.instreamPause())},250)}},this)}this.swf.on("instream:state",this.stateHandler,this).on("instream:time",function(m){this._adModel.set("position",m.position),this._adModel.set("duration",m.duration),this.trigger(f.JWPLAYER_MEDIA_TIME,m)},this).on("instream:complete",function(m){this.trigger(f.JWPLAYER_MEDIA_COMPLETE,m)},this).on("instream:error",function(m){this.trigger(f.JWPLAYER_MEDIA_ERROR,m)},this),this.swf.triggerFlash("instream:init"),this.applyProviderListeners=function(m){this.model.on("change:volume",function(q,p){m.volume(p)},this),this.model.on("change:mute",function(q,p){m.mute(p)},this),m.volume(this.model.get("volume")),m.mute(this.model.get("mute")),m.off(),m.on(f.JWPLAYER_PLAYER_STATE,this.stateHandler,this),m.on(f.JWPLAYER_MEDIA_TIME,function(p){this.trigger(f.JWPLAYER_MEDIA_TIME,p)},this)}},stateHandler:function(k){switch(k.newstate){case b.PLAYING:case b.PAUSED:this._adModel.set("state",k.newstate)}},instreamDestroy:function(){this._adModel&&(this.off(),this.swf.off(null,null,this),this.swf.triggerFlash("instream:destroy"),this.swf=null,this._adModel.off(),this._adModel=null,this.model=null)},load:function(k){this.swf.triggerFlash("instream:load",k)},instreamPlay:function(){this.swf.triggerFlash("instream:play")},instreamPause:function(){this.swf.triggerFlash("instream:pause")}},a),c}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(1),h(3),h(41),h(4),h(6),h(31)],j=function(b,d,o,f,c,a){var n=function(z,x){function s(r){var q=r||u.getVideo();if(p!==q){if(p=q,!q){return}q.off(),q.on("all",function(t,v){v=b.extend({},v,{type:t}),this.trigger(t,v)},m),q.on(f.JWPLAYER_MEDIA_BUFFER_FULL,l),q.on(f.JWPLAYER_PLAYER_STATE,y),q.attachMedia(),q.volume(x.get("volume")),q.mute(x.get("mute")),u.on("change:state",o,m)}}function y(q){switch(q.newstate){case c.PLAYING:case c.PAUSED:u.set("state",q.newstate)}}function k(q){x.trigger(q.type,q),m.trigger(f.JWPLAYER_FULLSCREEN,{fullscreen:q.jwstate})}function l(){u.getVideo().play()}var u,p,m=b.extend(this,d);return z.on(f.JWPLAYER_FULLSCREEN,function(q){this.trigger(f.JWPLAYER_FULLSCREEN,q)},m),this.init=function(){u=(new a).setup({id:x.get("id"),volume:x.get("volume"),fullscreen:x.get("fullscreen"),mute:x.get("mute"),instreamMode:!0}),u.on("fullscreenchange",k),this._adModel=u},m.load=function(q){u.set("item",0),u.set("playlistItem",q),u.setActiveItem(q),s(),u.off(f.JWPLAYER_ERROR),u.on(f.JWPLAYER_ERROR,function(r){this.trigger(f.JWPLAYER_ERROR,r)},m),u.loadVideo(q)},m.applyProviderListeners=function(q){s(q),q.off(f.JWPLAYER_ERROR),q.on(f.JWPLAYER_ERROR,function(r){this.trigger(f.JWPLAYER_ERROR,r)},m),x.on("change:volume",function(r,t){p.volume(t)},m),x.on("change:mute",function(r,t){p.mute(t)},m)},this.instreamDestroy=function(){u&&(u.off(),this.off(),p&&(p.detachMedia(),p.off(),u.getVideo()&&p.destroy()),u=null,z.off(null,null,this),z=null)},m.instreamPlay=function(){u.getVideo()&&u.getVideo().play(!0)},m.instreamPause=function(){u.getVideo()&&u.getVideo().pause(!0)},m};return n}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(82),h(4),h(1)],j=function(b,d,o){function f(k){k.mediaController.off(d.JWPLAYER_MEDIA_PLAY_ATTEMPT,k._onPlayAttempt),k.mediaController.off(d.JWPLAYER_PROVIDER_FIRST_FRAME,k._triggerFirstFrame),k.mediaController.off(d.JWPLAYER_MEDIA_TIME,k._onTime)}function c(k){f(k),k._triggerFirstFrame=o.once(function(){var m=k._qoeItem;m.tick(d.JWPLAYER_MEDIA_FIRST_FRAME);var l=m.between(d.JWPLAYER_MEDIA_PLAY_ATTEMPT,d.JWPLAYER_MEDIA_FIRST_FRAME);k.mediaController.trigger(d.JWPLAYER_MEDIA_FIRST_FRAME,{loadTime:l}),f(k)}),k._onTime=n(k._triggerFirstFrame),k._onPlayAttempt=function(){k._qoeItem.tick(d.JWPLAYER_MEDIA_PLAY_ATTEMPT)},k.mediaController.on(d.JWPLAYER_MEDIA_PLAY_ATTEMPT,k._onPlayAttempt),k.mediaController.once(d.JWPLAYER_PROVIDER_FIRST_FRAME,k._triggerFirstFrame),k.mediaController.on(d.JWPLAYER_MEDIA_TIME,k._onTime)}function a(l){function k(m,t,p){m._qoeItem&&p&&m._qoeItem.end(p.get("state")),m._qoeItem=new b,m._qoeItem.tick(d.JWPLAYER_PLAYLIST_ITEM),m._qoeItem.start(t.get("state")),c(m),t.on("change:state",function(q,r,s){m._qoeItem.end(s),m._qoeItem.start(r)})}l.on("change:mediaModel",k)}var n=function(l){var k=0;return function(p){var m=p.position;m>k&&l(),k=m}};return{model:a}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(25),h(71),h(19),h(27),h(1),h(2),h(4)],j=function(k,Z,p,A,v,b,E){function t(){var n={LOAD_PROMISE_POLYFILL:{method:ab,depends:[]},LOAD_BASE64_POLYFILL:{method:d,depends:[]},LOADED_POLYFILLS:{method:f,depends:["LOAD_PROMISE_POLYFILL","LOAD_BASE64_POLYFILL"]},LOAD_PLUGINS:{method:x,depends:["LOADED_POLYFILLS"]},INIT_PLUGINS:{method:o,depends:["LOAD_PLUGINS","SETUP_VIEW"]},LOAD_SKIN:{method:r,depends:["LOADED_POLYFILLS"]},LOAD_PLAYLIST:{method:m,depends:["LOADED_POLYFILLS"]},FILTER_PLAYLIST:{method:u,depends:["LOAD_PLAYLIST"]},SETUP_VIEW:{method:c,depends:["LOAD_SKIN"]},SET_ITEM:{method:aa,depends:["INIT_PLUGINS","FILTER_PLAYLIST"]},SEND_READY:{method:s,depends:["SETUP_VIEW","SET_ITEM"]}};return n}function ab(n){window.Promise?n():h.e(8,function(q){h(76),n()})}function d(n){window.btoa&&window.atob?n():h.e(9,function(q){h(75),n()})}function f(n){n()}function x(q,n){window.jwplayerPluginJsonp=k.registerPlugin,y=k.loadPlugins(n.get("id"),n.get("plugins")),y.on(E.COMPLETE,q),y.on(E.ERROR,v.partial(l,q)),y.load()}function o(q,z,n){delete window.jwplayerPluginJsonp,y.setupPlugins(n,z),q()}function l(n,q){ac(n,"Could not load plugin",q.message)}function m(q,n){var z=n.get("playlist");v.isString(z)?(a=new Z,a.on(E.JWPLAYER_PLAYLIST_LOADED,function(B){n.set("playlist",B.playlist),n.set("feedid",B.feedid),q()}),a.on(E.JWPLAYER_ERROR,v.partial(w,q)),a.load(z)):q()}function u(q,B,F,C,z){var n=B.get("playlist"),D=z(n);D?q():w(q)}function w(n,q){q&&q.message?ac(n,"Error loading playlist",q.message):ac(n,"Error loading player","No playable sources found")}function ad(n,q){if(v.contains(A.SkinsLoadable,n)){return q+"skins/"+n+".css"}}function ae(q){for(var z=document.styleSheets,n=0,B=z.length;n<B;n++){if(z[n].href===q){return !0}}return !1}function r(q,z){var n=z.get("skin"),C=z.get("skinUrl");if(v.contains(A.SkinsIncluded,n)){return void q()}if(C||(C=ad(n,z.get("base"))),v.isString(C)&&!ae(C)){z.set("skin-loading",!0);var D=!0,B=new p(C,D);B.addEventListener(E.COMPLETE,function(){z.set("skin-loading",!1)}),B.addEventListener(E.ERROR,function(){z.set("skin","seven"),z.set("skin-loading",!1)}),B.load()}v.defer(function(){q()})}function c(q,z,n,B){B.setup(),q()}function aa(n,q){q.once("itemReady",n),q.setItemIndex(q.get("item"))}function s(n){n({type:"complete"})}function ac(q,z,n){q({type:"error",msg:z,reason:n})}var y,a;return{getQueue:t,error:ac}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(1),h(2)],j=function(b,r){function f(k){return"jwplayer."+k}function c(){return b.reduce(this.persistItems,function(m,k){var p=d[f(k)];return p&&(m[k]=r.serialize(p)),m},{})}function n(m,q){try{d[f(m)]=q}catch(k){var p=window.jwplayer;p&&p.debug&&console.error(k)}}function l(){b.each(this.persistItems,function(k){d.removeItem(f(k))})}function a(){this.persistItems=["volume","mute","captionLabel","qualityLabel"]}function o(k){b.each(this.persistItems,function(m){k.on("change:"+m,function(p,q){n(m,q)})})}var d={removeItem:r.noop};try{d=window.localStorage}catch(s){}return b.extend(a.prototype,{getAllItems:c,track:o,clear:l}),a}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(88),h(2)],j=function(a,b){return h.p=b.loadFrom(),a.selectPlayer}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(8)],j=function(b){function c(f){f||a()}function a(){throw new Error("Invalid DFXP file")}var d=b.seconds;return function(s){c(s);var p=[],M=s.getElementsByTagName("p"),w=30,N=s.getElementsByTagName("tt");if(N&&N[0]){var y=parseFloat(N[0].getAttribute("ttp:frameRate"));isNaN(y)||(w=y)}c(M),M.length||(M=s.getElementsByTagName("tt:p"),M.length||(M=s.getElementsByTagName("tts:p")));for(var f=0;f<M.length;f++){for(var l=M[f],r=l.getElementsByTagName("br"),u=0;u<r.length;u++){var m=r[u];m.parentNode.replaceChild(s.createTextNode("\r\n"),m)}var o=l.innerHTML||l.textContent||l.text||"",k=b.trim(o).replace(/>\s+</g,"><").replace(/(<\/?)tts?:/g,"$1").replace(/<br.*?\/>/g,"\r\n");if(k){var L=l.getAttribute("begin"),K=l.getAttribute("dur"),O=l.getAttribute("end"),v={begin:d(L,w),text:k};O?v.end=d(O,w):K&&(v.end=v.begin+d(K,w)),p.push(v)}}return p.length||a(),p}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(24),h(8),h(2)],j=function(b,d,a){var f="jwplayer",c=function(s,p){for(var B=[],l=[],o=d.xmlAttribute,u="default",C="label",D="file",r="type",k=0;k<s.childNodes.length;k++){var E=s.childNodes[k];if(E.prefix===f){var F=b.localName(E);"source"===F?(delete p.sources,B.push({file:o(E,D),"default":o(E,u),label:o(E,C),type:o(E,r)})):"track"===F?(delete p.tracks,l.push({file:o(E,D),"default":o(E,u),kind:o(E,"kind"),label:o(E,C)})):(p[F]=a.serialize(b.textContent(E)),"file"===F&&p.sources&&delete p.sources)}p[D]||(p[D]=p.link)}if(B.length){for(p.sources=[],k=0;k<B.length;k++){B[k].file.length>0&&(B[k][u]="true"===B[k][u],B[k].label.length||delete B[k].label,p.sources.push(B[k]))}}if(l.length){for(p.tracks=[],k=0;k<l.length;k++){l[k].file.length>0&&(l[k][u]="true"===l[k][u],l[k].kind=l[k].kind.length?l[k].kind:"captions",l[k].label.length||delete l[k].label,p.tracks.push(l[k]))}}return p};return c}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(24),h(8),h(2)],j=function(b,r,f){function c(p){for(var q=[],m=0;m<o(p);m++){var k=p.childNodes[m];"jwplayer"===k.prefix&&"mediatypes"===l(k).toLowerCase()&&q.push(a(k))}return q}var n=r.xmlAttribute,l=b.localName,a=b.textContent,o=b.numChildren,d="media",s=function(C,p){function x(u){var y={zh:"Chinese",nl:"Dutch",en:"English",fr:"French",de:"German",it:"Italian",ja:"Japanese",pt:"Portuguese",ru:"Russian",es:"Spanish"};return y[u]?y[u]:u}var B,v,q="tracks",k=[];for(v=0;v<o(C);v++){if(B=C.childNodes[v],B.prefix===d){if(!l(B)){continue}switch(l(B).toLowerCase()){case"content":if(n(B,"duration")&&(p.duration=f.seconds(n(B,"duration"))),n(B,"url")){p.sources||(p.sources=[]);var m={file:n(B,"url"),type:n(B,"type"),width:n(B,"width"),label:n(B,"label")},t=c(B);t.length&&(m.mediaTypes=t),p.sources.push(m)}o(B)>0&&(p=s(B,p));break;case"title":p.title=a(B);break;case"description":p.description=a(B);break;case"guid":p.mediaid=a(B);break;case"thumbnail":p.image||(p.image=n(B,"url"));break;case"player":break;case"group":s(B,p);break;case"subtitle":var w={};w.file=n(B,"url"),w.kind="captions",n(B,"lang").length>0&&(w.label=x(n(B,"lang"))),k.push(w)}}}for(p.hasOwnProperty(q)||(p[q]=[]),v=0;v<k.length;v++){p[q].push(k[v])}return p};return s}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(1)],j=function(b){var c={kind:"captions","default":!1},a=function(d){if(d&&d.file){return b.extend({},c,d)}};return a}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(32),h(2),h(4),h(3),h(1),h(19)],j=function(b,r,f,c,n,l){function a(k,m,p){return function(){var q=k.getContainer().getElementsByClassName("jw-overlays")[0];q&&(q.appendChild(p),p.left=q.style.left,p.top=q.style.top,m.displayArea=q)}}function o(k){function m(){var p=k.displayArea;p&&k.resize(p.clientWidth,p.clientHeight)}return function(){m(),setTimeout(m,400)}}var d=function(q,p){function C(){u||(u=!0,k=l.loaderstatus.COMPLETE,E.trigger(f.COMPLETE))}function D(){if(!w&&(p&&0!==n.keys(p).length||C(),!u)){var s=q.getPlugins();m=n.after(B,C),n.each(p,function(z,I){var A=b.getPluginName(I),t=s[A],H=t.getJS(),x=t.getTarget(),y=t.getStatus();y!==l.loaderstatus.LOADING&&y!==l.loaderstatus.NEW&&(H&&!r.versionCheck(x)&&E.trigger(f.ERROR,{message:"Incompatible player version"}),m())})}}function v(t){if(!w){var s="File not found";t.url&&r.log(s,t.url),this.off(),this.trigger(f.ERROR,{message:s}),D()}}var m,E=n.extend(this,c),k=l.loaderstatus.NEW,u=!1,B=n.size(p),w=!1;this.setupPlugins=function(x,t){var z=[],s=q.getPlugins(),y=t.get("plugins");n.each(y,function(R,S){var N=b.getPluginName(S),U=s[N],Q=U.getFlashPath(),O=U.getJS(),P=U.getURL();if(Q){var T=n.extend({name:N,swf:Q,pluginmode:U.getPluginmode()},R);z.push(T)}var A=r.tryCatch(function(){if(O){var G=y[P];if(!G){return void r.log("JW Plugin already loaded",N,P)}var H=document.createElement("div");H.id=x.id+"_"+N,H.className="jw-plugin jw-reset";var F=n.extend({},G),I=U.getNewInstance(x,F,H);I.addToPlayer=a(x,I,H),I.resizeHandler=o(I),x.addPlugin(N,I,H)}});A instanceof r.Error&&r.log("ERROR: Failed to load "+N+".")}),t.set("flashPlugins",z)},this.load=function(){if(r.exists(p)&&"object"!==r.typeOf(p)){return void D()}k=l.loaderstatus.LOADING,n.each(p,function(x,t){if(r.exists(t)){var y=q.addPlugin(t);y.on(f.COMPLETE,D),y.on(f.ERROR,v)}});var s=q.getPlugins();n.each(s,function(t){t.load()}),D()},this.destroy=function(){w=!0,this.off()},this.getStatus=function(){return k}};return d}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(32),h(74)],j=function(b,c){var a=function(d){this.addPlugin=function(l){var f=b.getPluginName(l);return d[f]||(d[f]=new c(l)),d[f]},this.getPlugins=function(){return d}};return a}.apply(e,g),!(void 0!==j&&(i.exports=j))},,function(i,e,h){var g,j;g=[],j=function(){return{}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(2),h(1),h(83)],j=function(b,d,a){function f(l){if("hls"===l.type){if(l.androidhls!==!1){var k=b.isAndroidNative;if(k(2)||k(3)||k("4.0")){return !1}if(b.isAndroid()){return !0}}else{if(b.isAndroid()){return !1}}}return null}var c=[{name:"youtube",supports:function(k){return b.isYouTube(k.file,k.type)}},{name:"html5",supports:function(k){var s={aac:"audio/mp4",mp4:"video/mp4",f4v:"video/mp4",m4v:"video/mp4",mov:"video/mp4",mp3:"audio/mpeg",mpeg:"audio/mpeg",ogv:"video/ogg",ogg:"video/ogg",oga:"video/ogg",vorbis:"video/ogg",webm:"video/webm",f4a:"video/aac",m3u8:"application/vnd.apple.mpegurl",m3u:"application/vnd.apple.mpegurl",hls:"application/vnd.apple.mpegurl"},o=k.file,l=k.type,t=f(k);if(null!==t){return t}if(b.isRtmp(o,l)){return !1}if(!s[l]){return !1}if(a.canPlayType){var r=a.canPlayType(s[l]);return !!r}return !1}},{name:"flash",supports:function(l){var k={flv:"video",f4v:"video",mov:"video",m4a:"video",m4v:"video",mp4:"video",aac:"video",f4a:"video",mp3:"sound",mpeg:"sound",smil:"rtmp"},r=d.keys(k);if(!b.isFlashSupported()){return !1}var n=l.file,o=l.type;return !!b.isRtmp(n,o)||d.contains(r,o)}}];return c}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(17),h(52),h(184),h(1)],j=function(b,d,f,c){function a(k){this.config=k||{},this.providers=this.reorderProviders(this.config.primary)}a.loaders={html5:function(k){h.e(4,function(l){var m=h(91);n(m),k(m)})},flash:function(k){h.e(5,function(l){var m=h(78);n(m),k(m)})},youtube:function(k){h.e(6,function(l){var m=h(79);n(m),k(m)})}};var n=a.registerProvider=function(m){var k=m.getName().name;if(!f[k]){if(!c.find(d,c.matches({name:k}))){if(!c.isFunction(m.supports)){throw {message:"Tried to register a provider with an invalid object"}}d.unshift({name:k,supports:m.supports})}var l=function(){};l.prototype=b,m.prototype=new l,f[k]=m}};return c.extend(a.prototype,{load:function(k){return Promise.all(c.map(k,function(l){return new Promise(function(m){var p=a.loaders[l.name];p?p(m):m()})}))},reorderProviders:function(m){var k=c.clone(d);if("flash"===m){var o=c.indexOf(k,c.findWhere(k,{name:"flash"})),l=k.splice(o,1)[0],u=c.indexOf(k,c.findWhere(k,{name:"html5"}));k.splice(u,0,l)}return k},providerSupports:function(l,k){return l.supports(k)},required:function(l,m){var k=this,s=this.reorderProviders(m);return l=l.slice(),c.compact(c.map(s,function(q){for(var t=!1,p=l.length;p--;){var o=l[p],r=k.providerSupports(q,o.sources[0]);r&&l.splice(p,1),t=t||r}if(t){return q}}))},choose:function(o){o=c.isObject(o)?o:{};for(var t=this.providers.length,l=0;l<t;l++){var m=this.providers[l];if(this.providerSupports(m,o)){var k=t-l-1;return{priority:k,name:m.name,type:o.type,providerToCheck:m,provider:f[m.name]}}}return null}}),a}.apply(e,g),!(void 0!==j&&(i.exports=j))},,function(i,e,h){var g,j;g=[],j=function(){return{hasClass:function(b,c){var a=" "+c+" ";return 1===b.nodeType&&(" "+b.className+" ").replace(/[\t\r\n\f]/g," ").indexOf(a)>=0}}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(1),h(3)],j=function(b,c){var a=b.extend({get:function(d){return this.attributes=this.attributes||{},this.attributes[d]},set:function(f,m){if(this.attributes=this.attributes||{},this.attributes[f]!==m){var d=this.attributes[f];this.attributes[f]=m,this.trigger("change:"+f,this,m,d)}},clone:function(){return b.clone(this.attributes)}},c);return a}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[],j=function(){var a=function(d,o,n){o=o||this,n=n||[];var f=window.jwplayer;if(f&&f.debug){return d.apply(o,n)}try{return d.apply(o,n)}catch(c){return new b(d.name,c)}},b=function(c,d){this.name=c,this.message=d.message||d.toString(),this.error=d};return{tryCatch:a,Error:b}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(2),h(1)],j=function(a){return function(f,b,n){var d="jw-breakpoint-",c=b,o=n;d+=c>=1280?"7":c>=960?"6":c>=800?"5":c>=640?"4":c>=540?"3":c>=420?"2":c>=320?"1":"0",a.replaceClass(f,/jw-breakpoint-\d+/,d),a.toggleClass(f,"jw-orientation-portrait",o>c)}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(2),h(28),h(6),h(1),h(16)],j=function(o,b,c,r,l){var d=b.style,a={back:!0,fontSize:14,fontFamily:"Arial,sans-serif",fontOpacity:100,color:"#FFF",backgroundColor:"#000",backgroundOpacity:100,edgeStyle:null,windowColor:"#FFF",windowOpacity:0,preprocessor:r.identity},f=function(q){function H(x,t,s){if(b.css("#"+x+" .jw-text-track-display",t,x),b.css("#"+x+" .jw-text-track-cue",s,x),b.css("#"+x+" .jw-video::-webkit-media-text-track-display",t,x),b.css("#"+x+" .jw-video::cue",s,x),s.backgroundColor){var z="{background-color: "+s.backgroundColor+" !important;}";b.css("#"+x+" .jw-video::-webkit-media-text-track-display-backdrop",z,x)}}function u(x,t,s){var z=b.hexToRgba("#000000",s);"dropshadow"===x?t.textShadow="0 2px 1px "+z:"raised"===x?t.textShadow="0 0 5px "+z+", 0 1px 5px "+z+", 0 2px 5px "+z:"depressed"===x?t.textShadow="0 -2px 1px "+z:"uniform"===x&&(t.textShadow="-2px 0 1px "+z+",2px 0 1px "+z+",0 -2px 1px "+z+",0 2px 1px "+z+",-1px 1px 1px "+z+",1px 1px 1px "+z+",1px -1px 1px "+z+",1px 1px 1px "+z)}function y(s){G=s,this.selectCues(I,G)}function w(){l.renderNatively(q.get("provider").name)||h.e(7,function(s){p=h(77)})}var I,F,G,v,n,m,p,k={};v=document.createElement("div"),v.className="jw-captions jw-reset",this.show=function(){v.className="jw-captions jw-captions-enabled jw-reset"},this.hide=function(){v.className="jw-captions jw-reset"},this.populate=function(s){return F=[],I=s,s?void this.selectCues(s,G):(F=[],void this.renderCues())},this.resize=function(){var x=v.clientWidth,s=Math.pow(x/400,0.6);if(s){var t=k.fontSize*s;d(v,{fontSize:Math.floor(2*t)/2+"px"})}this.renderCues(!0)},this.renderCues=function(s){s=!!s,p&&p.WebVTT.processCues(window,F,v,s)},this.selectCues=function(x,z){var t,s;x&&x.data&&z&&(s=this.getAlignmentPosition(x,z),s!==!1&&(t=this.getCurrentCues(x.data,s),this.updateCurrentCues(t),this.renderCues(!0)))},this.getCurrentCues=function(t,s){return r.filter(t,function(x){return s>=x.startTime&&(!x.endTime||s<=x.endTime)})},this.updateCurrentCues=function(s){return s.length?r.difference(s,F).length&&(n.className="jw-captions-window jw-reset jw-captions-window-active",F=s):F=[],F},this.getAlignmentPosition=function(x,z){var t=x.source,s=z.metadata;return t?!(!s||!r.isNumber(s[t]))&&s[t]:x.embedded&&z.duration<0?z.position-z.duration:z.position},this.clear=function(){o.empty(v)},this.setContainerHeight=function(s){d(v,{height:s})},this.setup=function(D,A){n=document.createElement("div"),m=document.createElement("span"),n.className="jw-captions-window jw-reset",m.className="jw-captions-text jw-reset",k=r.extend({},a,A);var t=k.fontOpacity,B=k.windowOpacity,C=k.edgeStyle,s=k.backgroundColor,z={},x={color:b.hexToRgba(k.color,t),fontFamily:k.fontFamily,fontStyle:k.fontStyle,fontWeight:k.fontWeight,textDecoration:k.textDecoration};B&&(z.backgroundColor=b.hexToRgba(k.windowColor,B)),u(C,x,t),k.back?x.backgroundColor=b.hexToRgba(s,k.backgroundOpacity):null===C&&u("uniform",x),d(n,z),d(m,x),H(D,z,x),n.appendChild(m),v.appendChild(n),this.populate(q.get("captionsTrack")),q.set("captions",k)},this.element=function(){return v},q.on("change:playlistItem",function(){G=null,F=[]},this),q.on("change:captionsTrack",function(t,s){this.populate(s)},this),q.mediaController.on("seek",function(){F=[]},this),q.mediaController.on("time seek",y,this),q.mediaController.on("subtitlesTrackData",function(){this.selectCues(I,G)},this),q.on("change:state",function(t,s){switch(s){case c.IDLE:case c.ERROR:case c.COMPLETE:this.hide();break;default:this.show()}},this),q.on("itemReady",w,this)};return f}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(9),h(4),h(3),h(1)],j=function(b,d,a,f){var c=function(r,o,A){function s(m){if(!r.get("flashBlocked")){return B?void B(m):void D.trigger(m.type===d.touchEvents.CLICK?"click":"tap")}}function l(){return C?void C():void D.trigger("doubleClick")}var u,B,C,p={enableDoubleTap:!0,useMove:!0};f.extend(this,a),u=o,this.element=function(){return u};var k=new b(u,f.extend(p,A));k.on("click tap",s),k.on("doubleClick doubleTap",l),k.on("move",function(){D.trigger("move")}),k.on("over",function(){D.trigger("over")}),k.on("out",function(){D.trigger("out")}),this.clickHandler=s;var D=this;this.setAlternateClickHandlers=function(m,n){B=m,C=n||null},this.revertAlternateClickHandlers=function(){B=null,C=null}};return c}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(1),h(2),h(42)],j=function(b,d,a){function f(k,l){this.time=k,this.text=l,this.el=document.createElement("div"),this.el.className="jw-cue jw-reset"}b.extend(f.prototype,{align:function(k){if("%"===this.time.toString().slice(-1)){this.pct=this.time}else{var l=this.time/k*100;this.pct=l+"%"}this.el.style.left=this.pct}});var c={loadChapters:function(k){d.ajax(k,this.chaptersLoaded.bind(this),this.chaptersFailed,{plainText:!0})},chaptersLoaded:function(k){var l=a(k.responseText);b.isArray(l)&&(b.each(l,this.addCue,this),this.drawCues())},chaptersFailed:function(){},addCue:function(k){this.cues.push(new f(k.begin,k.text))},drawCues:function(){var l=this._model.mediaModel.get("duration");if(!l||l<=0){return void this._model.mediaModel.once("change:duration",this.drawCues,this)}var k=this;b.each(this.cues,function(n){n.align(l),n.el.addEventListener("mouseover",function(){k.activeCue=n}),n.el.addEventListener("mouseout",function(){k.activeCue=null}),k.elementRail.appendChild(n.el)})},resetChapters:function(){b.each(this.cues,function(k){k.el.parentNode&&k.el.parentNode.removeChild(k.el)},this),this.cues=[]}};return c}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(49),h(2),h(1),h(9),h(141)],j=function(c,f,a,n,d){var b=c.extend({setup:function(o,m,w){w=w||{},this.iconUI||(this.iconUI=new n(this.el,{useHover:!0,directSelect:!0}),this.toggleValueListener=this.toggleValue.bind(this),this.toggleOpenStateListener=this.toggleOpenState.bind(this),this.openTooltipListener=this.openTooltip.bind(this),this.closeTooltipListener=this.closeTooltip.bind(this),this.selectListener=this.select.bind(this)),this.reset(),o=a.isArray(o)?o:[],f.toggleClass(this.el,"jw-hidden",o.length<2);var s=o.length>2||2===o.length&&w&&w.toggle===!1,l=!s&&2===o.length;if(f.toggleClass(this.el,"jw-toggle",l||!!w.isToggle),f.toggleClass(this.el,"jw-button-color",!l),this.isActive=s||l,s){f.removeClass(this.el,"jw-off"),this.iconUI.on("tap",this.toggleOpenStateListener).on("over",this.openTooltipListener).on("out",this.closeTooltipListener);var u=d(o),k=f.createElement(u);this.addContent(k),this.contentUI=new n(this.content).on("click tap",this.selectListener)}else{l&&this.iconUI.on("click tap",this.toggleValueListener)}this.selectItem(m)},toggleValue:function(){this.trigger("toggleValue")},select:function(k){if(k.target.parentElement===this.content){var m=f.classList(k.target),l=a.find(m,function(o){return 0===o.indexOf("jw-item")});l&&(this.trigger("select",parseInt(l.split("-")[2])),this.closeTooltipListener())}},selectItem:function(k){if(this.content){for(var l=0;l<this.content.children.length;l++){f.toggleClass(this.content.children[l],"jw-active-option",k===l)}}f.toggleClass(this.el,"jw-off",0===k)},reset:function(){f.addClass(this.el,"jw-off"),this.iconUI.off(),this.contentUI&&this.contentUI.off().destroy(),this.removeContent()}});return b}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(45),h(9),h(1),h(2),h(142)],j=function(c,f,a,n,d){var b=function(m,k,l){this._model=m,this._api=k,this._nextButton=l,this.nextUpText=m.get("localization").nextUp,this.state="tooltip"};return a.extend(b.prototype,{setup:function(){this.container=document.createElement("div"),this.container.className="jw-nextup-container jw-reset";var k=n.createElement(d());this.addContent(k),this.closeButton=this.content.querySelector(".jw-nextup-close"),this.tooltip=this.content.querySelector(".jw-nextup-tooltip"),this.showNextUp=!1,this.streamType=void 0,this._model.on("change:mediaModel",this.onMediaModel,this),this._model.on("change:streamType",this.onStreamType,this),this._model.on("change:nextUp",this.onNextUp,this),this._model.on("change:duration",this.onDuration,this),this._model.on("change:position",this.onElapsed,this),this.onMediaModel(this._model,this._model.get("mediaModel")),new f(this.closeButton,{directSelect:!0}).on("click tap",this.hide,this),new f(this.tooltip).on("click tap",this.click,this),new f(this._nextButton.element(),{useHover:!0,directSelect:!0}).on("click tap",this.click,this).on("over",this.show,this).on("out",this.hoverOut,this)},loadThumbnail:function(k){return this.nextUpImage=new Image,this.nextUpImage.onload=function(){this.nextUpImage.onload=null}.bind(this),this.nextUpImage.src=k,{backgroundImage:'url("'+k+'")'}},click:function(){this.state="tooltip",this._api.next(),this.hide()},show:function(){"opened"===this.state||this.hideToolTip||c.addClass(this.container,"jw-nextup-container-visible")},hide:function(){c.removeClass(this.container,"jw-nextup-container-visible"),c.removeClass(this.container,"jw-nextup-sticky"),"opened"===this.state&&(this.state="closed")},hoverOut:function(){"opened"!==this.state&&this.hide()},showTilEnd:function(){"opened"!==this.state&&"closed"!==this.state&&(c.addClass(this.container,"jw-nextup-sticky"),this.show(),this.state="opened")},setNextUpItem:function(l){var k=this;setTimeout(function(){if(k.hideToolTip=!(l.title||l.image),!k.hideToolTip){if(k.thumbnail=k.content.querySelector(".jw-nextup-thumbnail"),c.toggleClass(k.thumbnail,"jw-nextup-thumbnail-visible",!!l.image),l.image){var o=k.loadThumbnail(l.image);n.style(k.thumbnail,o)}k.header=k.content.querySelector(".jw-nextup-header"),k.header.innerText=k.nextUpText,k.title=k.content.querySelector(".jw-nextup-title");var m=l.title;k.title.innerText=m?n.createElement(m).textContent:""}},500)},onNextUp:function(l,k){return k?(this.showNextUp=!0,this._nextButton.toggle(!0),void this.setNextUpItem(k)):(this._nextButton.toggle(!1),void (this.showNextUp=!1))},onDuration:function(m,k){if(k){var l=n.seconds(m.get("nextupoffset")||-10);l<0&&(l+=k),this.offset=l}},onMediaModel:function(l,k){k.on("change:state",function(m,q){"complete"===q&&(this.state="tooltip",this.hide())},this)},onElapsed:function(l,k){"VOD"===this.streamType&&this.showNextUp&&k>=this.offset?this.showTilEnd():"opened"!==this.state&&"closed"!==this.state||(this.state="tooltip",this.hide())},onStreamType:function(l,k){this.streamType=k},element:function(){return this.container},addContent:function(k){this.content&&this.removeContent(),this.content=k,this.container.appendChild(k)},removeContent:function(){this.content&&(this.container.removeChild(this.content),this.content=null)}}),b}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(1),h(2),h(42)],j=function(b,d,a){function f(k){this.begin=k.begin,this.end=k.end,this.img=k.text}var c={loadThumbnails:function(k){k&&(this.vttPath=k.split("?")[0].split("/").slice(0,-1).join("/"),this.individualImage=null,d.ajax(k,this.thumbnailsLoaded.bind(this),this.thumbnailsFailed.bind(this),{plainText:!0}))},thumbnailsLoaded:function(l){var k=a(l.responseText);b.isArray(k)&&(b.each(k,function(n){this.thumbnails.push(new f(n))},this),this.drawCues())},thumbnailsFailed:function(){},chooseThumbnail:function(k){var n=b.sortedIndex(this.thumbnails,{end:k},b.property("end"));n>=this.thumbnails.length&&(n=this.thumbnails.length-1);var l=this.thumbnails[n].img;return l.indexOf("://")<0&&(l=this.vttPath?this.vttPath+"/"+l:l),l},loadThumbnail:function(t){var l=this.chooseThumbnail(t),k={display:"block",margin:"0 auto",backgroundPosition:"0 0"},o=l.indexOf("#xywh");if(o>0){try{var n=/(.+)\#xywh=(\d+),(\d+),(\d+),(\d+)/.exec(l);l=n[1],k.backgroundPosition=n[2]*-1+"px "+n[3]*-1+"px",k.width=n[4],k.height=n[5]}catch(r){return}}else{this.individualImage||(this.individualImage=new Image,this.individualImage.onload=b.bind(function(){this.individualImage.onload=null,this.timeTip.image({width:this.individualImage.width,height:this.individualImage.height})},this),this.individualImage.src=l)}return k.backgroundImage='url("'+l+'")',k},showThumbnail:function(k){this.thumbnails.length<1||this.timeTip.image(this.loadThumbnail(k))},resetThumbnails:function(){this.timeTip.image({backgroundImage:"",width:0,height:0}),this.thumbnails=[]}};return c}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(1),h(2),h(27),h(48),h(49),h(194),h(197)],j=function(b,r,f,c,n,l,a){var o=n.extend({setup:function(){this.text=document.createElement("span"),this.text.className="jw-text jw-reset",this.img=document.createElement("div"),this.img.className="jw-reset";var k=document.createElement("div");k.className="jw-time-tip jw-background-color jw-reset",k.appendChild(this.img),k.appendChild(this.text),r.removeClass(this.el,"jw-hidden"),this.addContent(k)},image:function(k){r.style(this.img,k)},update:function(k){this.text.innerHTML=k}}),d=c.extend({constructor:function(m,k){this._model=m,this._api=k,this.timeTip=new o("jw-tooltip-time"),this.timeTip.setup(),this.cues=[],this.seekThrottled=b.throttle(this.performSeek,400),this._model.on("change:playlistItem",this.onPlaylistItem,this).on("change:position",this.onPosition,this).on("change:duration",this.onDuration,this).on("change:buffer",this.onBuffer,this),c.call(this,"jw-slider-time","horizontal")},setup:function(){c.prototype.setup.apply(this,arguments),this._model.get("playlistItem")&&this.onPlaylistItem(this._model,this._model.get("playlistItem")),this.elementRail.appendChild(this.timeTip.element()),this.el.addEventListener("mousemove",this.showTimeTooltip.bind(this),!1),this.el.addEventListener("mouseout",this.hideTimeTooltip.bind(this),!1)},limit:function(m){if(this.activeCue&&b.isNumber(this.activeCue.pct)){return this.activeCue.pct}var p=this._model.get("duration"),s=this._model.get("streamType");if("DVR"===s){var k=(1-m/100)*p,u=this._model.get("position"),t=Math.min(k,Math.max(f.dvrSeekLimit,u)),q=100*t/p;return 100-q}return m},update:function(k){this.seekTo=k,this.seekThrottled(),c.prototype.update.apply(this,arguments)},dragStart:function(){this._model.set("scrubbing",!0),c.prototype.dragStart.apply(this,arguments)},dragEnd:function(){c.prototype.dragEnd.apply(this,arguments),this._model.set("scrubbing",!1)},onSeeked:function(){this._model.get("scrubbing")&&this.performSeek()},onBuffer:function(k,m){this.updateBuffer(m)},onPosition:function(k,m){this.updateTime(m,k.get("duration"))},onDuration:function(k,m){this.updateTime(k.get("position"),m)},updateTime:function(p,q){var m=0;if(q){var k=this._model.get("streamType");"DVR"===k?m=(q-p)/q*100:"VOD"===k&&(m=p/q*100)}this.render(m)},onPlaylistItem:function(k,p){this.reset(),k.mediaModel.on("seeked",this.onSeeked,this);var m=p.tracks;b.each(m,function(q){q&&q.kind&&"thumbnails"===q.kind.toLowerCase()?this.loadThumbnails(q.file):q&&q.kind&&"chapters"===q.kind.toLowerCase()&&this.loadChapters(q.file)},this)},performSeek:function(){var p,q=this.seekTo,m=this._model.get("duration"),k=this._model.get("streamType");0===m?this._api.play():"DVR"===k?(p=(100-q)/100*m,this._api.seek(p)):(p=q/100*m,this._api.seek(Math.min(p,m-0.25)))},showTimeTooltip:function(m){var k=this._model.get("duration");if(0!==k){var s=r.bounds(this.elementRail),C=m.pageX?m.pageX-s.left:m.x;C=r.between(C,0,s.width);var q=C/s.width,v=k*q;k<0&&(v=k-v);var u;if(this.activeCue){u=this.activeCue.text}else{var p=!0;u=r.timeFormat(v,p),k<0&&v>f.dvrSeekLimit&&(u="Live")}this.timeTip.update(u),this.showThumbnail(v),r.addClass(this.timeTip.el,"jw-open"),this.timeTip.el.style.left=100*q+"%"}},hideTimeTooltip:function(){r.removeClass(this.timeTip.el,"jw-open")},reset:function(){this.resetChapters(),this.resetThumbnails()}});return b.extend(d.prototype,l,a),d}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(49),h(48),h(9),h(2)],j=function(b,d,a,f){var c=b.extend({constructor:function(l,k,n){this._model=l,b.call(this,k,n,!0),this.volumeSlider=new d("jw-slider-volume jw-volume-tip","vertical"),this.addContent(this.volumeSlider.element()),this.volumeSlider.on("update",function(m){this.trigger("update",m)},this),f.removeClass(this.el,"jw-hidden"),new a(this.el,{useHover:!0,directSelect:!0}).on("click",this.toggleValue,this).on("tap",this.toggleOpenState,this).on("over",this.openTooltip,this).on("out",this.closeTooltip,this),this._model.on("change:volume",this.onVolume,this)},toggleValue:function(){this.trigger("toggleValue")}});return c}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(2),h(1),h(3),h(27),h(9),h(48),h(198),h(195),h(199)],j=function(t,c,l,E,p,n,f,a,b){function d(v,k,q){var m=document.createElement("div");return m.className="jw-icon jw-icon-inline jw-button-color jw-reset "+v,m.setAttribute("role","button"),m.setAttribute("tabindex","0"),q&&m.setAttribute("aria-label",q),m.style.display="none",k&&new p(m).on("click tap",function(){k()}),{element:function(){return m},toggle:function(w){w?this.show():this.hide()},show:function(){m.style.display=""},hide:function(){m.style.display="none"}}}function r(m,q){var k=document.createElement("span");return k.className="jw-text jw-reset "+m,q&&k.setAttribute("role",q),k}function s(m,q){var k=new a(m,q);return k}function o(k,q){var m=document.createElement("div");return m.className="jw-group jw-controlbar-"+k+"-group jw-reset",c.each(q,function(v){v.element&&(v=v.element()),m.appendChild(v)}),m}function u(m,k){this._api=m,this._model=k,this._isMobile=t.isMobile(),this._localization=this._model.get("localization"),this.setup()}return c.extend(u.prototype,l,{setup:function(){this.build(),this.initialize()},build:function(){var w,v,k,m=new f(this._model,this._api),y=this._localization.play,z=this._localization.next,x=this._localization.volume,q=this._localization.rewind;this._isMobile||(k=d("jw-icon-volume",this._api.setMute,x),w=new n("jw-slider-volume","horizontal"),v=new b(this._model,"jw-icon-volume",x)),this.elements={alt:r("jw-text-alt","status"),play:d("jw-icon-playback",this._api.play.bind(this,{reason:"interaction"}),y),rewind:d("jw-icon-rewind",this.rewind.bind(this),q),next:d("jw-icon-next",null,z),elapsed:r("jw-text-elapsed","timer"),time:m,duration:r("jw-text-duration","timer"),hd:s("jw-icon-hd",this._localization.hd),cc:s("jw-icon-cc",this._localization.cc),audiotracks:s("jw-icon-audio-tracks",this._localization.audioTracks),mute:k,volume:w,volumetooltip:v,cast:d("jw-icon-cast jw-off",this._api.castToggle,this._localization.cast),fullscreen:d("jw-icon-fullscreen",this._api.setFullscreen,this._localization.fullscreen)},this.layout={left:[this.elements.play,this.elements.rewind,this.elements.elapsed],center:[this.elements.time,this.elements.alt],right:[this.elements.duration,this.elements.next,this.elements.hd,this.elements.cc,this.elements.audiotracks,this.elements.mute,this.elements.cast,this.elements.volume,this.elements.volumetooltip,this.elements.fullscreen]},this.menus=c.compact([this.elements.hd,this.elements.cc,this.elements.audiotracks,this.elements.volumetooltip]),this.layout.left=c.compact(this.layout.left),this.layout.center=c.compact(this.layout.center),this.layout.right=c.compact(this.layout.right),this.el=document.createElement("div"),this.el.className="jw-controlbar jw-background-color jw-reset",this.elements.left=o("left",this.layout.left),this.elements.center=o("center",this.layout.center),this.elements.right=o("right",this.layout.right),this.el.appendChild(this.elements.left),this.el.appendChild(this.elements.center),this.el.appendChild(this.elements.right)},initialize:function(){this.elements.play.show(),this.elements.fullscreen.show(),this.elements.mute&&this.elements.mute.show(),this.onVolume(this._model,this._model.get("volume")),this.onPlaylistItem(),this.onMediaModel(this._model,this._model.get("mediaModel")),this.onCastAvailable(this._model,this._model.get("castAvailable")),this.onCastActive(this._model,this._model.get("castActive")),this.onCaptionsList(this._model,this._model.get("captionsList")),this._model.on("change:volume",this.onVolume,this),this._model.on("change:mute",this.onMute,this),this._model.on("change:playlistItem",this.onPlaylistItem,this),this._model.on("change:mediaModel",this.onMediaModel,this),this._model.on("change:castAvailable",this.onCastAvailable,this),this._model.on("change:castActive",this.onCastActive,this),this._model.on("change:duration",this.onDuration,this),this._model.on("change:position",this.onElapsed,this),this._model.on("change:fullscreen",this.onFullscreen,this),this._model.on("change:captionsList",this.onCaptionsList,this),this._model.on("change:captionsIndex",this.onCaptionsIndex,this),this._model.on("change:streamType",this.onStreamTypeChange,this),this.elements.volume&&this.elements.volume.on("update",function(k){var m=k.percentage;this._api.setVolume(m)},this),this.elements.volumetooltip&&(this.elements.volumetooltip.on("update",function(k){var m=k.percentage;this._api.setVolume(m)},this),this.elements.volumetooltip.on("toggleValue",function(){this._api.setMute()},this)),this.elements.hd.on("select",function(k){this._model.getVideo().setCurrentQuality(k)},this),this.elements.hd.on("toggleValue",function(){this._model.getVideo().setCurrentQuality(0===this._model.getVideo().getCurrentQuality()?1:0)},this),this.elements.cc.on("select",function(k){this._api.setCurrentCaptions(k)},this),this.elements.cc.on("toggleValue",function(){var k=this._model.get("captionsIndex");this._api.setCurrentCaptions(k?0:1)},this),this.elements.audiotracks.on("select",function(k){this._model.getVideo().setCurrentAudioTrack(k)},this),new p(this.elements.duration).on("click tap",function(){if("DVR"===this._model.get("streamType")){var k=this._model.get("position");this._api.seek(Math.max(E.dvrSeekLimit,k))}},this),new p(this.el).on("click tap drag",function(){this.trigger("userAction")},this),c.each(this.menus,function(k){k.on("open-tooltip",this.closeMenus,this)},this)},onCaptionsList:function(m,q){var k=m.get("captionsIndex");this.elements.cc.setup(q,k,{isToggle:!0})},onCaptionsIndex:function(k,m){this.elements.cc.selectItem(m)},onPlaylistItem:function(){this.elements.time.updateBuffer(0),this.elements.time.render(0),this.elements.duration.innerHTML="00:00",this.elements.elapsed.innerHTML="00:00",this.elements.audiotracks.setup()},onMediaModel:function(m,k){k.on("change:levels",function(v,q){this.elements.hd.setup(q,v.get("currentLevel"))},this),k.on("change:currentLevel",function(v,q){this.elements.hd.selectItem(q)},this),k.on("change:audioTracks",function(w,v){var q=c.map(v,function(x){return{label:x.name}});this.elements.audiotracks.setup(q,w.get("currentAudioTrack"),{toggle:!1})},this),k.on("change:currentAudioTrack",function(v,q){this.elements.audiotracks.selectItem(q)},this)},onVolume:function(k,m){this.renderVolume(k.get("mute"),m)},onMute:function(k,m){this.renderVolume(m,k.get("volume"))},renderVolume:function(m,k){this.elements.mute&&t.toggleClass(this.elements.mute.element(),"jw-off",m),this.elements.volume&&this.elements.volume.render(m?0:k),this.elements.volumetooltip&&(this.elements.volumetooltip.volumeSlider.render(m?0:k),t.toggleClass(this.elements.volumetooltip.element(),"jw-off",m))},onCastAvailable:function(k,m){this.elements.cast.toggle(m)},onCastActive:function(m,k){t.toggleClass(this.elements.cast.element(),"jw-off",!k)},onElapsed:function(m,v){var q,k=m.get("duration");q="DVR"===m.get("streamType")?"-"+t.timeFormat(-k):t.timeFormat(v),this.elements.elapsed.innerHTML=q},onDuration:function(m,k){var q;q="DVR"===m.get("streamType")?"Live":t.timeFormat(k),this.elements.duration.innerHTML=q},onFullscreen:function(m,k){t.toggleClass(this.elements.fullscreen.element(),"jw-off",k)},element:function(){return this.el},setAltText:function(k){this.elements.alt.innerHTML=k},addCues:function(k){this.elements.time&&(c.each(k,function(m){this.elements.time.addCue(m)},this),this.elements.time.drawCues())},closeMenus:function(k){c.each(this.menus,function(m){k&&k.target===m.el||m.closeTooltip(k)})},hideComponents:function(){this.closeMenus()},rewind:function(){var v=this._model.get("position"),k=this._model.get("duration"),q=v-10,m=0;"DVR"===this._model.get("streamType")&&(m=k),this._api.seek(Math.max(q,m))},onStreamTypeChange:function(k){this.elements.rewind.toggle("LIVE"!==k.get("streamType"))}}),u}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(2),h(3),h(9),h(137),h(1)],j=function(c,f,a,n,d){var b=function(k){d.extend(this,f),this.model=k,this.el=c.createElement(n({ariaLabel:this.model.get("localization").playback}));var l=this;this.iconUI=new a(this.el).on("click tap",function(m){l.trigger(m.type)}),this.model.on("change:state",function(r,v){var m=l.el.getElementsByClassName("jw-icon-display");if(m.length){var w=l.model.get("localization"),t=w.playback;switch(v){case"buffering":t=w.buffer;break;case"playing":t=w.pause;break;case"complete":t=w.replay;break;case"error":t=""}""===t?m[0].removeAttribute("aria-label"):m[0].setAttribute("aria-label",t)}})};return d.extend(b.prototype,{element:function(){return this.el}}),b}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(138),h(2),h(1),h(9)],j=function(b,d,a,f){var c=function(k){this.model=k,this.setup(),this.model.on("change:dock",this.render,this)};return a.extend(c.prototype,{setup:function(){var k=this.model.get("dock"),n=this.click.bind(this),l=b(k);this.el=d.createElement(l),new f(this.el).on("click tap",n)},getDockButton:function(k){return d.hasClass(k.target,"jw-dock-button")?k.target:d.hasClass(k.target,"jw-dock-text")?k.target.parentElement.parentElement:k.target.parentElement},click:function(o){var t=this.getDockButton(o),k=t.getAttribute("button"),r=this.model.get("dock"),l=a.findWhere(r,{id:k});l&&l.callback&&l.callback(o)},render:function(){var n=this.model.get("dock"),l=b(n),k=d.createElement(l);this.el.innerHTML=k.innerHTML},element:function(){return this.el}}),c}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(139)],j=function(a){function b(f,c,m,d){return a({id:f,skin:c,title:m,body:d})}return b}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(9),h(2),h(4),h(1),h(3),h(140)],j=function(b,r,f,c,n,l){var a=r.style,o={linktarget:"_blank",margin:8,hide:!1,position:"top-right"},d=function(p){var k,m,q=new Image,s=c.extend({},p.get("logo"));return c.extend(this,n),this.setup=function(u){if(m=c.extend({},o,s),m.hide="true"===m.hide.toString(),k=r.createElement(l()),m.file){m.hide&&r.addClass(k,"jw-hide"),r.addClass(k,"jw-logo-"+(m.position||o.position)),"top-right"===m.position&&(p.on("change:dock",this.topRight,this),p.on("change:controls",this.topRight,this),this.topRight(p)),p.set("logo",m),q.onload=function(){var v={backgroundImage:'url("'+this.src+'")',width:this.width,height:this.height};if(m.margin!==o.margin){var y=/(\w+)-(\w+)/.exec(m.position);3===y.length&&(v["margin-"+y[1]]=m.margin,v["margin-"+y[2]]=m.margin)}a(k,v),p.set("logoWidth",v.width)},q.src=m.file;var t=new b(k);t.on("click tap",function(v){r.exists(v)&&v.stopPropagation&&v.stopPropagation(),this.trigger(f.JWPLAYER_LOGO_CLICK,{link:m.link,linktarget:m.linktarget})},this),u.appendChild(k)}},this.topRight=function(v){var y=v.get("controls"),t=v.get("dock"),u=y&&(t&&t.length||v.get("sharing")||v.get("related"));a(k,{top:u?"3.5em":0})},this.element=function(){return k},this.position=function(){return m.position},this.destroy=function(){q.onload=null},this};return d}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(1),h(2)],j=function(b,d){function a(k,l){l.off("change:mediaType",null,this),l.on("change:mediaType",function(m,n){"audio"===n&&this.setImage(k.get("playlistItem").image)},this)}function f(n,l){var k=n.get("autostart")&&!d.isMobile()||n.get("item")>0;return k?(this.setImage(null),n.off("change:state",null,this),void n.on("change:state",function(o,m){"complete"!==m&&"idle"!==m&&"error"!==m||(this.setImage(l.image),this.resize(null,null,o.get("stretching")))},this)):void this.setImage(l.image)}var c=function(k){this.model=k,k.on("change:playlistItem",f,this),k.on("change:mediaModel",a,this)};return b.extend(c.prototype,{setup:function(k){this.el=k;var l=this.model.get("playlistItem");l&&this.setImage(l.image)},setImage:function(n){var l=this.image;l&&(l.onload=null,this.image=null),this.model.off("change:state",null,this);var k="";b.isString(n)&&(k='url("'+n+'")',l=this.image=new Image,l.src=n),d.style(this.el,{backgroundImage:k})},resize:function(o,l,x){if("uniform"===x){if(o&&(this.playerAspectRatio=o/l),!this.playerAspectRatio){return}var r=this.image,n=null;if(r){if(0===r.width){var k=this;return void (r.onload=function(){k.resize(o,l,x)})}var s=r.width/r.height;Math.abs(this.playerAspectRatio-s)<0.09&&(n="cover")}d.style(this.el,{backgroundSize:n})}},element:function(){return this.el}}),c}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(2),h(144),h(1),h(9),h(29)],j=function(c,f,a,n,d){var b=function(){};return a.extend(b.prototype,{buildArray:function(){var m=d.split("+"),z=m[0],o={items:[{title:"Powered by JW Player "+z,featured:!0,showLogo:!0,link:"https://jwplayer.com/learn-more"}]},k=z.indexOf("-")>0,u=m[1];if(k&&u){var l=u.split(".");o.items.push({title:"build: ("+l[0]+"."+l[1]+")",link:"#"})}var t=this.model.get("provider");if(t&&t.name.indexOf("flash")>=0){var s="Flash Version "+c.flashVersion();o.items.push({title:s,link:"http://www.adobe.com/software/flash/about/"})}return o},buildMenu:function(){var k=this.buildArray();return c.createElement(f(k))},updateHtml:function(){this.el.innerHTML=this.buildMenu().innerHTML},rightClick:function(k){return this.lazySetup(),!this.mouseOverContext&&(this.hideMenu(),this.showMenu(k),!1)},getOffset:function(l){for(var m=l.target,k=l.offsetX||l.layerX,s=l.offsetY||l.layerY;m!==this.playerElement;){k+=m.offsetLeft,s+=m.offsetTop,m=m.parentNode}return{x:k,y:s}},showMenu:function(l){var k=this.getOffset(l);return this.el.style.left=k.x+"px",this.el.style.top=k.y+"px",c.addClass(this.playerElement,"jw-flag-rightclick-open"),c.addClass(this.el,"jw-open"),clearTimeout(this._menuTimeout),this._menuTimeout=setTimeout(this.hideMenu.bind(this),3000),!1},hideMenu:function(){return this.elementUI.off("out",this.hideMenu,this),this.mouseOverContext?void this.elementUI.on("out",this.hideMenu,this):(c.removeClass(this.playerElement,"jw-flag-rightclick-open"),void c.removeClass(this.el,"jw-open"))},lazySetup:function(){this.el||(this.el=this.buildMenu(),this.layer.appendChild(this.el),this.hideMenuHandler=this.hideMenu.bind(this),this.addOffListener(this.playerElement),this.addOffListener(document),this.model.on("change:provider",this.updateHtml,this),this.elementUI=new n(this.el,{useHover:!0}).on("over",function(){this.mouseOverContext=!0},this).on("out",function(){this.mouseOverContext=!1},this))},setup:function(m,k,l){this.playerElement=k,this.model=m,this.mouseOverContext=!1,this.layer=l,k.oncontextmenu=this.rightClick.bind(this)},addOffListener:function(k){k.addEventListener("mousedown",this.hideMenuHandler),k.addEventListener("touchstart",this.hideMenuHandler),k.addEventListener("pointerdown",this.hideMenuHandler)},removeOffListener:function(k){k.removeEventListener("mousedown",this.hideMenuHandler),k.removeEventListener("touchstart",this.hideMenuHandler),k.removeEventListener("pointerdown",this.hideMenuHandler)},destroy:function(){clearTimeout(this._menuTimeout),this.el&&(this.hideMenu(),this.elementUI.off(),this.removeOffListener(this.playerElement),this.removeOffListener(document),this.hideMenuHandler=null,this.el=null),this.playerElement&&(this.playerElement.oncontextmenu=null,this.playerElement=null),this.model&&(this.model.off("change:provider",this.updateHtml),this.model=null)}}),b}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(1),h(2)],j=function(b,c){var a=function(d){this.model=d,this.model.on("change:playlistItem",this.playlistItem,this)};return b.extend(a.prototype,{hide:function(){this.el.style.display="none"},show:function(){this.el.style.display=""},setup:function(d){this.el=d;var f=this.el.getElementsByTagName("div");this.title=f[0],this.description=f[1],this.model.get("playlistItem")&&this.playlistItem(this.model,this.model.get("playlistItem")),this.model.on("change:logoWidth",this.update,this),this.model.on("change:dock",this.update,this)},update:function(r){var l={paddingLeft:0,paddingRight:0},d=r.get("controls"),s=r.get("dock"),o=r.get("logo");if(o){var f=1*(""+o.margin).replace("px",""),w=r.get("logoWidth")+(isNaN(f)?0:f);"top-left"===o.position?l.paddingLeft=w:"top-right"===o.position&&(l.paddingRight=w)}if(d&&s&&s.length){var n=56*s.length;l.paddingRight=Math.max(l.paddingRight,n)}c.style(this.el,l)},playlistItem:function(f,n){if(f.get("displaytitle")||f.get("displaydescription")){var d="",o="";n.title&&f.get("displaytitle")&&(d=n.title),n.description&&f.get("displaydescription")&&(o=n.description),this.updateText(d,o)}else{this.hide()}},updateText:function(d,f){this.title.innerHTML=d,this.description.innerHTML=f,this.title.firstChild||this.description.firstChild?this.show():this.hide()},element:function(){return this.el}}),a}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(2),h(4),h(3),h(27),h(6),h(192),h(193),h(201),h(202),h(204),h(200),h(205),h(222),h(207),h(196),h(1),h(143),h(191)],j=function(f,V,o,E,w,a,U,u,r,c,d,y,m,k,l,v,W,t){var Y=f.style,p=f.bounds,b=f.isMobile(),X=["fullscreenchange","webkitfullscreenchange","mozfullscreenchange","MSFullscreenChange"],s=function(bp,bu){function bA(ab){var af=0,ad=bu.get("duration"),aa=bu.get("position");"DVR"===bu.get("streamType")&&(af=ad,ad=Math.max(aa,E.dvrSeekLimit));var ac=f.between(aa+ab,af,ad);bp.seek(ac)}function bk(ab){var aa=f.between(bu.get("volume")+ab,0,100);bp.setVolume(aa)}function bP(aa){return !aa.ctrlKey&&!aa.metaKey&&!!bu.get("controls")}function bD(aa){if(!bP(aa)){return !0}switch(bw||br(),aa.keyCode){case 27:bp.setFullscreen(!1);break;case 13:case 32:bp.play({reason:"interaction"});break;case 37:bw||bA(-5);break;case 39:bw||bA(5);break;case 38:bk(10);break;case 40:bk(-10);break;case 67:var ad=bp.getCaptionsList(),af=ad.length;if(af){var ac=(bp.getCurrentCaptions()+1)%af;bp.setCurrentCaptions(ac)}break;case 77:bp.setMute();break;case 70:bp.setFullscreen();break;default:if(aa.keyCode>=48&&aa.keyCode<=59){var ab=aa.keyCode-48,ag=ab/10*bu.get("duration");bp.seek(ag)}}return/13|32|37|38|39|40/.test(aa.keyCode)?(aa.preventDefault(),!1):void 0}function bb(){S=!1,f.removeClass(n,"jw-no-focus")}function bV(aa){aa.target&&aa.target.blur&&aa.target.blur()}function ae(){S=!0,f.addClass(n,"jw-no-focus")}function bM(){S||bb(),bw||br()}function bR(){var ac=p(n),aa=Math.round(ac.width),ab=Math.round(ac.height);bz(b5),aa&&ab&&(aa!==q||ab!==bZ)&&(q=aa,bZ=ab,clearTimeout(bn),bn=setTimeout(b1,50),bu.set("containerWidth",aa),bu.set("containerHeight",ab),t(n,aa,ab),x.trigger(V.JWPLAYER_RESIZE,{width:aa,height:ab}))}function a0(){document.body.contains(n)&&(bz(b5),b5=bj(bR))}function bU(ad,af,ac){var ab={color:ad,borderColor:ad,stroke:ad},aa={color:af,borderColor:af,stroke:af};f.css("#"+ac+" .jw-color-active",ab,ac),f.css("#"+ac+" .jw-color-active-hover:hover",ab,ac),f.css("#"+ac+" .jw-color-inactive",aa,ac),f.css("#"+ac+" .jw-color-inactive-hover:hover",aa,ac)}function bF(ab,aa){aa=aa||!1,f.toggleClass(n,"jw-flag-casting",aa)}function bS(ab,aa){f.toggleClass(n,"jw-flag-cast-available",aa),f.toggleClass(b4,"jw-flag-cast-available",aa)}function bh(ab,aa){f.replaceClass(n,/jw-stretch-\S+/,"jw-stretch-"+aa)}function bf(aa){aa&&!b&&(aa.element().addEventListener("mousemove",bB,!1),aa.element().addEventListener("mouseout",be,!1))}function bG(){bu.get("state")!==w.IDLE&&bu.get("state")!==w.COMPLETE&&bu.get("state")!==w.PAUSED||!bu.get("controls")||bp.play({reason:"interaction"}),J?bL():br()}function bN(aa){aa.link?(bp.pause(!0),bp.setFullscreen(!1),window.open(aa.link,aa.linktarget)):bu.get("controls")&&bp.play({reason:"interaction"})}function bB(){clearTimeout(bq)}function be(){br()}function bv(aa){x.trigger(aa.type,aa)}function bd(ab,aa){aa?(F&&F.destroy(),f.addClass(n,"jw-flag-flash-blocked")):(F&&F.setup(bu,n,n),f.removeClass(n,"jw-flag-flash-blocked"))}function bK(){bu.get("controls")&&bp.setFullscreen()}function bH(){var aa=n.getElementsByClassName("jw-overlays")[0];aa.addEventListener("mousemove",br),K=new U(bu,G,{useHover:!0}),K.on("click",function(){bv({type:V.JWPLAYER_DISPLAY_CLICK}),bu.get("controls")&&bp.play({reason:"interaction"})}),K.on("tap",function(){bv({type:V.JWPLAYER_DISPLAY_CLICK}),bG()}),K.on("doubleClick",bK),K.on("move",br),K.on("over",br);var ad=new u(bu);ad.on("click",function(){bv({type:V.JWPLAYER_DISPLAY_CLICK}),bp.play({reason:"interaction"})}),ad.on("tap",function(){bv({type:V.JWPLAYER_DISPLAY_CLICK}),bG()}),f.isChrome()&&!f.isMobile()&&ad.el.addEventListener("mousedown",function(){var ag=bu.getVideo(),ah=ag&&0===ag.getName().name.indexOf("flash");if(ah){var af=function(){document.removeEventListener("mouseup",af),ad.el.style.pointerEvents="auto"};this.style.pointerEvents="none",document.addEventListener("mouseup",af)}}),b4.appendChild(ad.element()),Z=new r(bu),M=new c(bu),M.on(V.JWPLAYER_LOGO_CLICK,bN);var ac=document.createElement("div");ac.className="jw-controls-right jw-reset",M.setup(ac),ac.appendChild(Z.element()),b4.appendChild(ac),bY=new a(bu),bY.setup(n.id,bu.get("captions")),b4.parentNode.insertBefore(bY.element(),H.element());var ab=bu.get("height");b&&("string"==typeof ab||ab>=1.5*N)?f.addClass(n,"jw-flag-touch"):(F=new m,F.setup(bu,n,n)),ba=new d(bp,bu),ba.on(V.JWPLAYER_USER_ACTION,br),bu.on("change:scrubbing",bT),bQ=new l(bu,bp,ba.elements.next),bQ.setup(),b4.appendChild(bQ.element()),b4.appendChild(ba.element()),n.addEventListener("focus",bM),n.addEventListener("blur",bb),n.addEventListener("keydown",bD),n.onmousedown=ae,n.onmouseup=bV}function bO(ad,af,ac){var ab,aa=n.className;ac=!!ac,ac&&(aa=aa.replace(/\s*aspectMode/,""),n.className!==aa&&(n.className=aa),Y(n,{display:"block"},ac)),f.exists(ad)&&f.exists(af)&&(bu.set("width",ad),bu.set("height",af)),ab={width:ad},f.hasClass(n,"jw-flag-aspect-mode")||(ab.height=af),bu.get("aspectratio")&&bX(),Y(n,ab,!0),bg(af),b1(ad,af)}function bg(ab){if(bl=bs(ab),ba&&!bl){var aa=bw?B:bu;C(aa,aa.get("state"))}f.toggleClass(n,"jw-flag-audio-player",bl)}function bs(ab){if(bu.get("aspectratio")){return !1}if(v.isString(ab)&&ab.indexOf("%")>-1){return !1}var aa=v.isNumber(ab)?ab:bu.get("containerHeight");return bW(aa)}function bW(aa){return aa&&aa<=N*(b?1.75:1)}function b1(ad,aa){if(!ad||isNaN(Number(ad))){if(!G){return}ad=G.clientWidth}if(!aa||isNaN(Number(aa))){if(!G){return}aa=G.clientHeight}A&&A.resize(ad,aa,bu.get("stretching")),f.isMSIE(9)&&document.all&&!window.atob&&(ad=aa="100%");var ac=bu.getVideo();if(ac){var ab=ac.resize(ad,aa,bu.get("stretching"));ab&&(clearTimeout(bn),bn=setTimeout(b1,250)),bu.get("aspectratio")&&bX(),bY.resize()}}function bi(){if(b3){var aa=document.fullscreenElement||document.webkitCurrentFullScreenElement||document.mozFullScreenElement||document.msFullscreenElement;return !(!aa||aa.id!==bu.get("id"))}return bw?B.getVideo().getFullScreen():bu.getVideo().getFullScreen()}function L(ac){var ab=bu.get("fullscreen"),aa=void 0!==ac.jwstate?ac.jwstate:bi();ab!==aa&&bu.set("fullscreen",aa),clearTimeout(bn),bn=setTimeout(b1,200)}function bE(ab,aa){aa?(f.addClass(ab,"jw-flag-fullscreen"),Y(document.body,{"overflow-y":"hidden"}),br()):(f.removeClass(ab,"jw-flag-fullscreen"),Y(document.body,{"overflow-y":""})),b1()}function bL(){J=!1,clearTimeout(bq),ba.hideComponents(),f.addClass(n,"jw-flag-user-inactive"),bY.renderCues(!0)}function br(){J||(f.removeClass(n,"jw-flag-user-inactive"),bY.renderCues(!0)),J=!0,clearTimeout(bq),bq=setTimeout(bL,b0)}function R(){bp.setFullscreen(!1)}function bo(){P&&P.setState(bu.get("state")),bx(bu,bu.mediaModel.get("mediaType")),bu.mediaModel.on("change:mediaType",bx,this)}function bx(ad,af){var ac="audio"===af,ab=bu.getVideo(),aa=ab&&0===ab.getName().name.indexOf("flash");f.toggleClass(n,"jw-flag-media-audio",ac),ac&&!aa?n.insertBefore(A.el,G):n.insertBefore(A.el,bY.element())}function b2(ad,af){var ac=ad.get("minDvrWindow"),ab=f.streamType(af,ac),aa="LIVE"===ab;ad.set("streamType",ab),f.toggleClass(n,"jw-flag-live",aa),x.setAltText(aa?ad.get("localization").liveBroadcast:"")}function T(ab,aa){return aa?void (aa.name?H.updateText(aa.name,aa.message):H.updateText(aa.message,"")):void H.playlistItem(ab,ab.get("playlistItem"))}function bm(){var aa=bu.getVideo();return !!aa&&aa.isCaster}function bt(){f.replaceClass(n,/jw-state-\S+/,"jw-state-"+bJ)}function C(ab,aa){bJ=aa,clearTimeout(by),aa===w.PLAYING?z(ab,aa):by=setTimeout(function(){z(ab,aa)},33)}function z(ab,aa){if(f.toggleClass(n,"jw-flag-dragging",ab.get("scrubbing")),bt(),bm()){return void f.addClass(G,"jw-media-show")}switch(aa){case w.PLAYING:b1();break;case w.PAUSED:br()}}function bT(aa){C(aa,aa.get("state"))}function bX(){var aa=n.getElementsByClassName("jw-aspect")[0];bY.setContainerHeight(aa.offsetHeight)}var n,b4,G,q,bZ,B,ba,A,K,P,Z,M,H,bQ,bY,bl,F,bJ,Q,O,bC,bq=-1,b0=b?4000:2000,N=40,bw=!1,J=!1,bn=-1,b5=-1,bj=window.requestAnimationFrame||function(aa){return window.setTimeout(aa,17)},bz=window.cancelAnimationFrame||window.clearTimeout,by=-1,b3=!1,S=!1,x=v.extend(this,o);window.webpackJsonpjwplayer&&h(211),this.model=bu,this.api=bp,n=f.createElement(W({id:bu.get("id")})),f.isIE()&&f.addClass(n,"jw-ie");var D=bu.get("width"),I=bu.get("height");Y(n,{width:D.toString().indexOf("%")>0?D:D+"px",height:I.toString().indexOf("%")>0?I:I+"px"}),O=n.requestFullscreen||n.webkitRequestFullscreen||n.webkitRequestFullScreen||n.mozRequestFullScreen||n.msRequestFullscreen,bC=document.exitFullscreen||document.webkitExitFullscreen||document.webkitCancelFullScreen||document.mozCancelFullScreen||document.msExitFullscreen,b3=O&&bC,this.onChangeSkin=function(ab,aa){f.replaceClass(n,/jw-skin-\S+/,aa?"jw-skin-"+aa:"")},this.handleColorOverrides=function(){function ad(ai,aj,ag){if(ag){ai=f.prefix(ai,"#"+af+" ");var ah={};ah[aj]=ag,f.css(ai.join(", "),ah,af)}}var af=bu.get("id"),ac=bu.get("skinColorActive"),ab=bu.get("skinColorInactive"),aa=bu.get("skinColorBackground");ad([".jw-toggle",".jw-button-color:hover"],"color",ac),ad([".jw-active-option",".jw-progress"],"background",ac),ad([".jw-text",".jw-option",".jw-button-color",".jw-toggle.jw-off",".jw-tooltip-title",".jw-skip .jw-skip-icon"],"color",ab),ad([".jw-cue",".jw-knob"],"background",ab),ad([".jw-background-color",".jw-tooltip-title"],"background",aa),bU(ac,ab,af)},this.setup=function(){this.handleColorOverrides(),bu.get("skin-loading")===!0&&(f.addClass(n,"jw-flag-skin-loading"),bu.once("change:skin-loading",function(){f.removeClass(n,"jw-flag-skin-loading")})),this.onChangeSkin(bu,bu.get("skin"),""),bu.on("change:skin",this.onChangeSkin,this),G=n.getElementsByClassName("jw-media")[0],b4=n.getElementsByClassName("jw-controls")[0];var af=n.getElementsByClassName("jw-preview")[0];A=new y(bu),A.setup(af);var ad=n.getElementsByClassName("jw-title")[0];H=new k(bu),H.setup(ad),bH(),br(),bu.set("mediaContainer",G),bu.mediaController.on("fullscreenchange",L);for(var aa=X.length;aa--;){document.addEventListener(X[aa],L,!1)}window.removeEventListener("resize",a0),window.addEventListener("resize",a0,!1),b&&(window.removeEventListener("orientationchange",a0),window.addEventListener("orientationchange",a0,!1)),bu.on("change:errorEvent",T),bu.on("change:controls",bc),bc(bu,bu.get("controls")),bu.on("change:state",C),bu.on("change:duration",b2,this),bu.on("change:flashBlocked",bd),bd(bu,bu.get("flashBlocked")),bp.onPlaylistComplete(R),bp.onPlaylistItem(bo),bu.on("change:castAvailable",bS),bS(bu,bu.get("castAvailable")),bu.on("change:castActive",bF),bF(bu,bu.get("castActive")),bu.on("change:hideAdsControls",function(ah,ag){f.toggleClass(n,"jw-flag-ads-hide-controls",ag)}),bu.get("stretching")&&bh(bu,bu.get("stretching")),bu.on("change:stretching",bh),C(bu,w.IDLE),bu.on("change:fullscreen",bI),bf(ba),bf(M);var ac=bu.get("aspectratio");if(ac){f.addClass(n,"jw-flag-aspect-mode");var ab=n.getElementsByClassName("jw-aspect")[0];Y(ab,{paddingTop:ac})}bp.on(V.JWPLAYER_READY,function(){bR(),bO(bu.get("width"),bu.get("height"))})};var bc=function(ac,aa){if(aa){var ab=bw?B.get("state"):bu.get("state");C(ac,ab)}f.toggleClass(n,"jw-flag-controls-disabled",!aa)},bI=function(ac,aa){var ab=bu.getVideo();b3?(aa?O.apply(n):bC.apply(document),bE(n,aa)):f.isIE()?bE(n,aa):(B&&B.getVideo()&&B.getVideo().setFullscreen(aa),ab.setFullscreen(aa)),ab&&0===ab.getName().name.indexOf("flash")&&ab.setFullscreen(aa)};this.resize=function(ac,ab){var aa=!0;bO(ac,ab,aa),bR()},this.resizeMedia=b1,this.reset=function(){document.contains(n)&&n.parentNode.replaceChild(Q,n),f.emptyElement(n)},this.setupInstream=function(aa){this.instreamModel=B=aa,B.on("change:controls",bc,this),B.on("change:state",C,this),bw=!0,f.addClass(n,"jw-flag-ads"),br()},this.setAltText=function(aa){ba.setAltText(aa)},this.destroyInstream=function(){if(bw=!1,B&&(B.off(null,null,this),B=null),this.setAltText(""),f.removeClass(n,["jw-flag-ads","jw-flag-ads-hide-controls"]),bu.set("hideAdsControls",!1),bu.getVideo){var aa=bu.getVideo();aa.setContainer(G)}b2(bu,bu.get("duration")),K.revertAlternateClickHandlers()},this.addCues=function(aa){ba&&ba.addCues(aa)},this.clickHandler=function(){return K},this.controlsContainer=function(){return b4},this.getContainer=this.element=function(){return n},this.getSafeRegion=function(ac){var aa={x:0,y:0,width:bu.get("containerWidth")||0,height:bu.get("containerHeight")||0},ab=bu.get("dock");return ab&&ab.length&&bu.get("controls")&&(aa.y=Z.element().clientHeight,aa.height-=aa.y),ac=ac||!f.exists(ac),ac&&bu.get("controls")&&(aa.height-=ba.element().clientHeight),aa},this.setCaptions=function(aa){bY.clear(),bY.setup(bu.get("id"),aa),bY.resize()},this.destroy=function(){clearTimeout(by),clearTimeout(bn),clearTimeout(bq),window.removeEventListener("resize",a0),window.removeEventListener("orientationchange",a0);for(var aa=X.length;aa--;){document.removeEventListener(X[aa],L,!1)}bu.mediaController&&bu.mediaController.off("fullscreenchange",L),n.removeEventListener("keydown",bD,!1),F&&F.destroy(),P&&(bu.off("change:state",P.statusDelegate),P.destroy(),P=null),bw&&this.destroyInstream(),M&&M.destroy(),f.clearCss(bu.get("id"))}};return s}.apply(e,g),!(void 0!==j&&(i.exports=j))},,,function(h,e,g){var f=g(132);"string"==typeof f&&(f=[["all-players",f,""]]),g(86).style(f,"all-players"),f.locals&&(h.exports=f.locals)},function(i,e,h){var g,j;g=[h(88),h(1),h(29),h(2),h(8),h(9),h(93),h(19),h(94),h(83),h(4),h(6),h(72),h(43),h(33),h(70),h(25)],j=function(m,w,L,s,l,b,a,o,t,M,c,f,d,r,n,p,u){var N={};return N.api=m,N._=w,N.version=L,N.utils=w.extend(s,l,{canCast:n.available,key:a,extend:w.extend,scriptloader:o,rssparser:p,tea:t,UI:b}),N.utils.css.style=N.utils.style,N.vid=M,N.events=w.extend({},c,{state:f}),N.playlist=w.extend({},d,{item:r}),N.plugins=u,N.cast=n,N}.apply(e,g),!(void 0!==j&&(i.exports=j))},,,,,function(i,e,h){var g,j;g=[h(169),h(20),h(220)],j=function(a,c,d){var b=a.prototype.setup;return a.prototype.setup=function(s,o){s.analytics&&(s.sdkplatform=s.sdkplatform||s.analytics.sdkplatform),b.apply(this,arguments);var f=this._model.get("edition"),u=c(f),l=this._model.get("cast"),v=this;u("casting")&&l&&l.appid&&h.e(3,function(m){var n=h(89);v._castController=new n(v,v._model),v.castToggle=v._castController.castToggle.bind(v._castController)});var k=d.setup();this.once("ready",k.onReady,this),o.getAdBlock=k.checkAdBlock},a}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(93),h(20),h(1),h(2),h(81),h(174),h(51)],j=function(b,r,c,o,f,t,p){function d(n,q,m){if(q){var k=q.client;delete q.client,/\.(js|swf)$/.test(k||"")||(k=f.repo()+m),n[k]=q}}function s(k,v){var x=c.clone(v.get("plugins"))||{},J=v.get("edition"),y=r(J),z=/^(vast|googima|freewheel)$/,L=/\.(js|swf)$/,M=f.repo(),w=c.clone(v.get("advertising"));if(y("ads")&&w&&(L.test(w.client)?x[w.client]=w:z.test(w.client)&&(x[M+w.client+".js"]=w),delete w.client),y("jwpsrv")){var q=v.get("analytics");c.isObject(q)||(q={}),d(x,q,"jwpsrv.js")}d(x,v.get("ga"),"gapro.js"),d(x,v.get("sharing"),"sharing.js");var m=v.get("related"),n=c.isObject(m),K=v.get("visualplaylist")!==!1||n;n||(m={disableRelated:!0}),m.showDockButton=K,d(x,m,"related.js"),v.set("plugins",x),k()}function u(m,q){var k=q.get("key")||window.jwplayer&&window.jwplayer.key,n=new b(k),v=n.edition();if(q.set("key",k),q.set("edition",v),"unlimited"===v){var w=o.getScriptPath("jwplayer.js");if(!w){return void t.error(m,"Error setting up player","Could not locate jwplayer.js script tag")}h.p=w,o.repo=f.repo=f.loadFrom=function(){return w}}q.updateProviders(),"invalid"===v?t.error(m,"Error setting up player",(void 0===k?"Missing":"Invalid")+" license key"):m()}function a(k,m){p.containsDrm(m)?p.probe(k,m.get("edition")):k()}function l(){var k=t.getQueue();return k.CHECK_KEY={method:u,depends:["LOADED_POLYFILLS"]},k.PROBE_DRM_SUPPORT={method:a,depends:["CHECK_KEY"]},k.FILTER_PLUGINS={method:s,depends:["CHECK_KEY"]},k.FILTER_PLAYLIST.depends.push("PROBE_DRM_SUPPORT"),k.LOAD_PLUGINS.depends.push("FILTER_PLUGINS"),k.SETUP_VIEW.depends.push("CHECK_KEY"),k}return{getQueue:l}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(176),h(212),h(1)],j=function(b,d,a){var f=window,c=a.extend(b,d);return"function"==typeof f.define&&f.define.amd&&f.define([],function(){return c}),f.jwplayer?f.jwplayer:c}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[],j=function(){function b(){var d=document.createElement("div");return d.className=a,d.innerHTML="&nbsp;",d.style.width="1px",d.style.height="1px",d.style.position="absolute",d.style.background="transparent",d}function c(){function n(){var k=this,l=k._view.element();l.appendChild(p),f=!0,o()&&k.trigger("adBlock")}function o(){return !!f&&(!!d||(""!==p.innerHTML&&p.className===a&&null!==p.offsetParent&&0!==p.clientHeight||(d=!0),d))}var f=!1,d=!1,p=b();return{onReady:n,checkAdBlock:o}}var a="afs_ads";return{setup:c}}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(2),h(4),h(9),h(3),h(1),h(136)],j=function(b,d,o,f,c,a){var n=function(k){this.model=k,this.setup()};return c.extend(n.prototype,f,{setup:function(){this.destroy(),this.skipMessage=this.model.get("skipText"),this.skipMessageCountdown=this.model.get("skipMessage"),this.setWaitTime(this.model.get("skipOffset"));var k=a();this.el=b.createElement(k),this.skiptext=this.el.getElementsByClassName("jw-skiptext")[0],this.skipAdOnce=c.once(this.skipAd.bind(this)),new o(this.el).on("click tap",c.bind(function(){this.skippable&&this.skipAdOnce()},this)),this.model.on("change:duration",this.onChangeDuration,this),this.model.on("change:position",this.onChangePosition,this),this.onChangeDuration(this.model,this.model.get("duration")),this.onChangePosition(this.model,this.model.get("position"))},updateMessage:function(k){this.skiptext.innerHTML=k},updateCountdown:function(k){this.updateMessage(this.skipMessageCountdown.replace(/xx/gi,Math.ceil(this.waitTime-k)))},onChangeDuration:function(l,k){if(k){if(this.waitPercentage){if(!k){return}this.itemDuration=k,this.setWaitTime(this.waitPercentage),delete this.waitPercentage}b.removeClass(this.el,"jw-hidden")}},onChangePosition:function(l,k){this.waitTime-k>0?this.updateCountdown(k):(this.updateMessage(this.skipMessage),this.skippable=!0,b.addClass(this.el,"jw-skippable"))},element:function(){return this.el},setWaitTime:function(l){if(c.isString(l)&&"%"===l.slice(-1)){var k=parseFloat(l);return void (this.itemDuration&&!isNaN(k)?this.waitTime=this.itemDuration*k/100:this.waitPercentage=l)}c.isNumber(l)?this.waitTime=l:"string"===b.typeOf(l)?this.waitTime=b.seconds(l):isNaN(Number(l))?this.waitTime=0:this.waitTime=Number(l)},skipAd:function(){this.trigger(d.JWPLAYER_AD_SKIPPED)},destroy:function(){this.el&&(this.el.removeEventListener("click",this.skipAdOnce),this.el.parentElement&&this.el.parentElement.removeChild(this.el)),delete this.skippable,delete this.itemDuration,delete this.waitPercentage}}),n}.apply(e,g),!(void 0!==j&&(i.exports=j))},function(i,e,h){var g,j;g=[h(206),h(1)],j=function(b,c){var a=function(){};return c.extend(a.prototype,b.prototype,{buildArray:function(){var f=b.prototype.buildArray.apply(this,arguments);if(this.model.get("abouttext")){f.items[0].showLogo=!1,f.items.push(f.items.shift());var d={title:this.model.get("abouttext"),link:this.model.get("aboutlink")||f.items[0].link};f.items.unshift(d)}return f}}),a}.apply(e,g),!(void 0!==j&&(i.exports=j))}]);
var ns_=ns_||{};ns_.PlatformAPIs=ns_.PlatformAPIs||{Standard:0,Trilithium:1,AppleTV:2,Chromecast:3},ns_.Utils=ns_.Utils||function(){return{uid:function(){var b=1;return function(){return +(new Date)+"_"+b++}}(),filter:function(h,f){var g={};for(var e in f){f.hasOwnProperty(e)&&h(f[e])&&(g[e]=f[e])}return g},extend:function(i){var e=arguments.length,h;i=i||{};for(var j=1;j<e;j++){h=arguments[j];if(!h){continue}for(var g in h){h.hasOwnProperty(g)&&(i[g]=h[g])}}return i},getString:function(d,e){var f=String(d);return d==null?e||"na":f},getLong:function(d,e){var f=Number(d);return d==null||isNaN(f)?e||0:f},getInteger:function(d,e){var f=Number(d);return d==null||isNaN(f)?e||0:f},getBoolean:function(d,e){var f=String(d).toLowerCase()=="true";return d==null?e||!1:f},isNotEmpty:function(b){return typeof b!="undefined"&&b!=null&&typeof b.length!="undefined"&&b.length>0},indexOf:function(d,e){var f=-1;return this.forEach(e,function(a,b){a==d&&(f=b)}),f},forEach:function(m,p,k){try{if(typeof p=="function"){k=typeof k!="undefined"?k:null;if(typeof m.length!="number"||typeof m[0]=="undefined"){var n=typeof m.__proto__!="undefined";for(var e in m){m.hasOwnProperty(e)&&(!n||n&&typeof m.__proto__[e]=="undefined")&&typeof m[e]!="function"&&p.call(k,m[e],e)}}else{for(var o=0,l=m.length;o<l;o++){p.call(k,m[o],o)}}}}catch(i){}},regionMatches:function(l,e,j,m,i){if(e<0||m<0||e+i>l.length||m+i>j.length){return !1}while(--i>=0){var n=l.charAt(e++),k=j.charAt(m++);if(n!=k){return !1}}return !0},size:function(d){var e=0;for(var f in d){d.hasOwnProperty(f)&&e++}return e},log:function(h,f){if(typeof f!="undefined"&&f&&typeof console!="undefined"&&console){var g=new Date,e=g.getHours()+":"+g.getMinutes()+":"+g.getSeconds();console.log(e,h)}},isTrue:function(b){return typeof b=="undefined"?!1:typeof b=="string"?(b=b.toLowerCase(),b==="true"||b==="1"||b==="on"):!!b},toString:function(d){if(typeof d=="undefined"){return"undefined"}if(typeof d=="string"){return d}if(Object.prototype.toString.call(d)==="[object Array]"){return d.join(",")}if(this.size(d)>0){var e="";for(var f in d){d.hasOwnProperty(f)&&(e+=f+":"+d[f]+";")}return e}return d.toString()},exists:function(b){return typeof b!="undefined"&&b!=null},firstGreaterThan0:function(){for(var d=0,e=arguments.length;d<e;d++){var f=arguments[d];if(f>0){return f}}return 0},cloneObject:function(c){if(null==c||"object"!=typeof c){return c}var d=function(){function e(){}function m(f){return typeof f=="object"?(e.prototype=f,new e):f}function i(f){for(var g in f){f.hasOwnProperty(g)&&(this[g]=f[g])}}function n(){this.copiedObjects=[];var f=this;this.recursiveDeepCopy=function(g){return f.deepCopy(g)},this.depth=0}function l(g,h){var f=new n;return h&&(f.maxDepth=h),f.deepCopy(g)}function b(f){return typeof window!="undefined"&&window&&window.Node?f instanceof Node:f===document?!0:typeof f.nodeType=="number"&&f.attributes&&f.childNodes&&f.cloneNode}var a=[];return i.prototype={constructor:i,canCopy:function(){return !1},create:function(f){},populate:function(g,h,f){}},n.prototype={constructor:n,maxDepth:256,cacheResult:function(f,g){this.copiedObjects.push([f,g])},getCachedResult:function(f){var h=this.copiedObjects,j=h.length;for(var g=0;g<j;g++){if(h[g][0]===f){return h[g][1]}}return undefined},deepCopy:function(h){if(h===null){return null}if(typeof h!="object"){return h}var f=this.getCachedResult(h);if(f){return f}for(var j=0;j<a.length;j++){var g=a[j];if(g.canCopy(h)){return this.applyDeepCopier(g,h)}}throw new Error("Unable to clone the following object "+h)},applyDeepCopier:function(g,h){var f=g.create(h);this.cacheResult(h,f),this.depth++;if(this.depth>this.maxDepth){throw new Error("Maximum recursion depth exceeded.")}return g.populate(this.recursiveDeepCopy,h,f),this.depth--,f}},l.DeepCopier=i,l.deepCopiers=a,l.register=function(f){f instanceof i||(f=new i(f)),a.unshift(f)},l.register({canCopy:function(){return !0},create:function(f){return f instanceof f.constructor?m(f.constructor.prototype):{}},populate:function(f,h,j){for(var g in h){h.hasOwnProperty(g)&&(j[g]=f(h[g]))}return j}}),l.register({canCopy:function(f){return f instanceof Array},create:function(f){return new f.constructor},populate:function(f,h,j){for(var g=0;g<h.length;g++){j.push(f(h[g]))}return j}}),l.register({canCopy:function(f){return f instanceof Date},create:function(f){return new Date(f)}}),l.register({canCopy:function(f){return b(f)},create:function(f){return f===document?document:f.cloneNode(!1)},populate:function(j,f,h){if(f===document){return document}if(f.childNodes&&f.childNodes.length){for(var k=0;k<f.childNodes.length;k++){var g=j(f.childNodes[k]);h.appendChild(g)}}}}),{deepCopy:l}}();return d.deepCopy(c)},safeGet:function(c,d){return d=this.exists(d)?d:"",this.exists(c)?c:d},getBrowserName:function(){if(typeof navigator=="undefined"||!navigator.hasOwnProperty("userAgent")||!navigator.hasOwnProperty("appName")){return""}var h=navigator.userAgent,f=navigator.appName,g,e;return(e=h.indexOf("Opera"))!=-1||(e=h.indexOf("OPR/"))!=-1?f="Opera":(e=h.indexOf("Android"))!=-1?f="Android":(e=h.indexOf("Chrome"))!=-1?f="Chrome":(e=h.indexOf("Safari"))!=-1?f="Safari":(e=h.indexOf("Firefox"))!=-1?f="Firefox":(e=h.indexOf("IEMobile"))!=-1?f="Internet Explorer Mobile":f=="Microsoft Internet Explorer"||f=="Netscape"?f="Internet Explorer":(g=h.lastIndexOf(" ")+1)<(e=h.lastIndexOf("/"))&&(f=h.substring(g,e),f.toLowerCase()==f.toUpperCase()&&(f=navigator.appName)),f},getBrowserFullVersion:function(){if(typeof navigator=="undefined"||!navigator.hasOwnProperty("userAgent")||!navigator.hasOwnProperty("appName")||!navigator.hasOwnProperty("appVersion")){return""}var l=navigator.userAgent,e=navigator.appName,j=""+parseFloat(navigator.appVersion),m,i,n,k;return(i=l.indexOf("Opera"))!=-1?(j=l.substring(i+6),(i=l.indexOf("Version"))!=-1&&(j=l.substring(i+8))):(i=l.indexOf("OPR/"))!=-1?j=l.substring(i+4):(i=l.indexOf("Android"))!=-1?j=l.substring(i+11):(i=l.indexOf("Chrome"))!=-1?j=l.substring(i+7):(i=l.indexOf("Safari"))!=-1?(j=l.substring(i+7),(i=l.indexOf("Version"))!=-1&&(j=l.substring(i+8))):(i=l.indexOf("Firefox"))!=-1?j=l.substring(i+8):e=="Microsoft Internet Explorer"?(k=new RegExp("MSIE ([0-9]{1,}[.0-9]{0,})"),k.exec(l)!=null&&(j=parseFloat(RegExp.$1))):e=="Netscape"?(k=new RegExp("Trident/.*rv:([0-9]{1,}[.0-9]{0,})"),k.exec(l)!=null&&(j=parseFloat(RegExp.$1))):l.lastIndexOf(" ")+1<(i=l.lastIndexOf("/"))&&(j=l.substring(i+1)),j=j.toString(),(n=j.indexOf(";"))!=-1&&(j=j.substring(0,n)),(n=j.indexOf(" "))!=-1&&(j=j.substring(0,n)),(n=j.indexOf(")"))!=-1&&(j=j.substring(0,n)),m=parseInt(""+j,10),isNaN(m)&&(j=""+parseFloat(navigator.appVersion)),j},browserAcceptsLargeURLs:function(){return typeof window!="undefined"?window.ActiveXObject===null||!0:!0}}}(),ns_.StreamSense=ns_.StreamSense||function(){function t(D,q){var A=D||"",F="undefined",B=w.comScore||w.sitestat||function(P){var Z="comScore=",M=E.cookie,O="",I="indexOf",R="substring",Y="length",Q=S.browserAcceptsLargeURLs()?m.URL_LENGTH_LIMIT:m.RESTRICTED_URL_LENGTH_LIMIT,H,J="&ns_",aa="&",K,V,X,U,W=w.encodeURIComponent||escape;if(M[I](Z)+1){for(X=0,V=M.split(";"),U=V[Y];X<U;X++){K=V[X][I](Z),K+1&&(O=aa+unescape(V[X][R](K+Z[Y])))}}P+=J+"_t="+ +(new Date)+J+"c="+(E.characterSet||E.defaultCharset||"")+O,P.length>Q&&P.indexOf(aa)>0&&(H=P.substr(0,Q-8).lastIndexOf(aa),P=(P.substring(0,H)+J+"cut="+W(P.substring(H+1))).substr(0,Q)),i.httpGet(P),typeof ns_p===F&&(ns_p={src:P}),ns_p.lastMeasurement=P};if(typeof q!==F){var z=[],G=w.encodeURIComponent||escape;for(var j in q){q.hasOwnProperty(j)&&z.push(G(j)+"="+G(q[j]))}/[\?\&]$/.test(A)||(A+="&"),A+=z.join("&")}return B(A)}function p(W,O){var R,I=w.encodeURIComponent||escape,V=[],P=m.LABELS_ORDER,Y=W.split("?"),A=Y[0],F=Y[1],K=F.split("&");for(var B=0,H=K.length;B<H;B++){var Q=K[B].split("="),D=unescape(Q[0]),j=unescape(Q[1]);D&&(O[D]=j)}var M={};for(var G=0,q=P.length;G<q;G++){var X=P[G];if(O.hasOwnProperty(X)){var Z=O[X];typeof Z!="undefined"&&Z!=null&&(M[X]=!0,V.push(I(X)+"="+I(O[X])))}}for(var z in O){if(O.hasOwnProperty(z)){if(M[z]){continue}var aa=O[z];typeof aa!="undefined"&&aa!=null&&V.push(I(z)+"="+I(O[z]))}}R=A+"?"+V.join("&"),R=R+(R.indexOf("&c8=")<0?"&c8="+I(E.title):"")+(R.indexOf("&c7=")<0?"&c7="+I(E.URL):"")+(R.indexOf("&c9=")<0?"&c9="+I(E.referrer):"");var U=S.browserAcceptsLargeURLs()?m.URL_LENGTH_LIMIT:m.RESTRICTED_URL_LENGTH_LIMIT;if(R.length>U&&R.indexOf("&")>0){var J=R.substr(0,U-8).lastIndexOf("&");R=(R.substring(0,J)+"&ns_cut="+I(R.substring(J+1))).substr(0,U)}return R}var S=ns_.Utils,o=function(){var j="cs_";return function(){var q=typeof localStorage!="undefined"?localStorage:{};S.extend(this,{get:function(z){return q[j+z]},set:function(z,A){q[j+z]=A},has:function(z){return j+z in q},remove:function(z){delete q[j+z]},clear:function(){for(var z in q){q.hasOwnProperty(z)&&delete q[z]}}})}}(),g=function(){var q="cs_",j=function(){var z=this,A=typeof atv!="undefined"&&typeof atv.localStorage!="undefined"&&atv.localStorage||null;S.extend(this,{get:function(B){return A&&B&&A.getItem(q+B)||null},set:function(D,B){A&&D&&(A[q+D]=B)},has:function(B){return A&&B&&A.getItem(q+B)!=null||!1},remove:function(B){A&&B&&A.removeItem(q+B)},clear:function(){}})};return j}(),k=function(j,q){if(typeof Image!="undefined"){var z=new Image;z.onload=function(){q&&q(200),z=null},z.onerror=function(){q&&q(),z=null},z.src=j}},c=function(j,q){typeof XMLHttpRequest!="undefined"&&q&&typeof setTimeout!="undefined"&&setTimeout(q,0);var z=new XMLHttpRequest;z.open("GET",j,!0),z.onreadystatechange=function(){z.readyState===4&&(q&&q(z.status),z=null)},z.send()},n=function(A,q,z){typeof XMLHttpRequest!="undefined"&&z&&typeof setTimeout!="undefined"&&setTimeout(z,0);var j=new XMLHttpRequest;j.open("POST",A,!0),j.onreadystatechange=function(){j.readyState===4&&(z&&z(j.status),j=null)},j.send(q)},h=function(j,q){q&&typeof setTimeout!="undefined"&&setTimeout(q,0)},r=function(j,q,z){z&&typeof setTimeout!="undefined"&&setTimeout(z,0)},C=function(){function K(M){var O=I+M;j[O]="",D[O]=[]}function A(O,M){var P=I+O;j[P]+=H+F(M),D[P].push(M)}function J(U,V){var Q=I+U,P=D[Q];P.splice(S.indexOf(V,P),1);var M=[];for(var R=0,O=P.length;R<O;R++){M.push(F(P[R]))}j[Q]=M.join(H),delete j[z+U+V]}function q(O,P,M){j[z+O+P]=M}function G(M,O){return j[z+M+O]}var F=typeof encodeURIComponent!="undefined"?encodeURIComponent:escape,B=typeof decodeURIComponent!="undefined"?decodeURIComponent:unescape,I="cs_dir_",z="cs_file_",j=typeof localStorage!="undefined"?localStorage:{},D={},H="|";return{dir:function(O){var Q=I+O,U=D[Q];if(U){return U.slice()}var M=j[Q];if(M){M=M.split(H),U=[];for(var P=0,R=M.length;P<R;P++){M[P].length>0&&U.push(B(M[P]))}return D[Q]=U,U.slice()}return null},append:function(O,Q,M){var P=C.read(O,Q);P?P+=M:P=M,C.write(O,Q,P)},write:function(P,M,O){var Q=C.dir(P);Q||(K(P),Q=[]),S.indexOf(M,Q)==-1&&A(P,M),q(P,M,O)},deleteFile:function(P,M){var O=C.dir(P);return O?S.indexOf(M,O)==-1?!1:(J(P,M),!0):!1},read:function(P,M){var O=C.dir(P);return O?S.indexOf(M,O)==-1?null:G(P,M):null}}}(),T=function(){return{dir:function(){return null},append:function(j,q,z){},write:function(j,q,z){},deleteFile:function(){return !1},read:function(){return null}}}(),e=function(A,q){typeof engine!="undefined"&&q&&typeof setTimeout!="undefined"&&setTimeout(q,0);var z=engine.createHttpClient(),j=z.createRequest("GET",A,null);j.start(),q&&setTimeout(q,0)},L=function(j,q){if(typeof atv!="undefined"&&typeof atv.setTimeout=="function"){typeof XMLHttpRequest!="undefined"&&q&&atv.setTimeout(q,0);var z=new XMLHttpRequest;z.open("GET",j,!0),z.onreadystatechange=function(){z.readyState===4&&(q&&q(z.status),z=null)},z.send()}},b=function(A,q,z){if(typeof atv!="undefined"&&typeof atv.setTimeout=="function"){typeof XMLHttpRequest!="undefined"&&z&&atv.setTimeout(z,0);var j=new XMLHttpRequest;j.open("POST",A,!0),j.onreadystatechange=function(){j.readyState===4&&(z&&z(j.status),j=null)},j.send(q)}},i=function(){return{PLATFORM:"generic",httpGet:k,httpPost:r,Storage:o,IO:T,getCrossPublisherId:function(){return null},getAppName:function(){return Constants.UNKNOWN_VALUE},getAppVersion:function(){return Constants.UNKNOWN_VALUE},getVisitorId:function(){return this.getDeviceName()+ +(new Date)+~~(Math.random()*1000)},getVisitorIdSuffix:function(){return"72"},getDeviceName:function(){return""},getPlatformVersion:function(){return""},getPlatformName:function(){return"js"},getRuntimeName:function(){return""},getRuntimeVersion:function(){return""},getResolution:function(){return""},getLanguage:function(){return""},getPackageName:function(){return""},isConnectionAvailable:function(){return !0},isCompatible:function(){return !0},autoSelect:function(){},setPlatformAPI:function(){},isCrossPublisherIdChanged:function(){return !1},setTimeout:function(j,q,z){return setTimeout(j,q,z)},clearTimeout:function(j){return clearTimeout(j)},getDeviceArchitecture:function(){return Constants.UNKNOWN_VALUE},getConnectionType:function(){return Constants.UNKNOWN_VALUE},getDeviceJailBrokenFlag:function(){return Constants.UNKNOWN_VALUE}}}(),N=function(){function B(){return typeof engine!="undefined"&&typeof engine.stats!="undefined"}function z(){return S.isNotEmpty(engine.stats.device.id)?engine.stats.device.id:S.isNotEmpty(engine.stats.network.mac)?engine.stats.network.mac:null}function j(){if(q==null){var F=z();F!=null?(q=F,A="31",D=F):(q=+(new Date)+~~(Math.random()*1000),A="72",D=null)}}var q=null,A=null,D=null;return{PLATFORM:"trilithium",httpGet:e,httpPost:r,Storage:o,IO:T,getCrossPublisherId:function(){return j(),D},getAppName:function(){return S.isNotEmpty(engine.stats.application.name)?engine.stats.application.name:Constants.UNKNOWN_VALUE},getAppVersion:function(){return S.isNotEmpty(engine.stats.application.version)?engine.stats.application.version:Constants.UNKNOWN_VALUE},getVisitorId:function(){return j(),q},getVisitorIdSuffix:function(){return A},getDeviceName:function(){return S.safeGet(engine.stats.device.platform,"")},getPlatformVersion:function(){return S.safeGet(engine.stats.device.version,"")},getPlatformName:function(){return"js"},getRuntimeName:function(){return"trilithium"},getRuntimeVersion:function(){return""},getResolution:function(){return typeof screen!="undefined"&&typeof screen.height!="undefined"&&typeof screen.width!="undefined"?screen.height+"x"+screen.width:""},getLanguage:function(){return""},getPackageName:function(){return""},isConnectionAvailable:function(){return !0},isCompatible:B}}(),s=function(){function B(){return typeof window=="undefined"&&typeof atv!="undefined"}function z(){j==null&&(typeof atv!="undefined"&&typeof atv.device!="undefined"&&atv.device.idForVendor?(j=S.safeGet(atv.device.idForVendor,""),A="62"):(j=+(new Date)+~~(Math.random()*1000),A="72"),q=null)}var j=null,A=null,q=null;return{PLATFORM:"atv",httpGet:L,httpPost:b,Storage:g,IO:T,getCrossPublisherId:function(){return z(),q},getAppName:function(){return Constants.UNKNOWN_VALUE},getAppVersion:function(){return Constants.UNKNOWN_VALUE},getVisitorId:function(){return z(),j},getVisitorIdSuffix:function(){return A},getDeviceName:function(){return"Apple TV"},getPlatformVersion:function(){return typeof atv!="undefined"&&typeof atv.device!="undefined"&&S.safeGet(atv.device.softwareVersion,"")},getPlatformName:function(){return"js"},getRuntimeName:function(){return"atv"},getRuntimeVersion:function(){return typeof atv!="undefined"&&typeof atv.device!="undefined"&&S.safeGet(atv.device.softwareVersion,"")},getResolution:function(){return typeof atv.device!="undefined"&&typeof atv.device.screenFrame!="undefined"&&typeof atv.device.screenFrame.height!="undefined"&&typeof atv.device.screenFrame.width!="undefined"?atv.device.screenFrame.height+"x"+atv.device.screenFrame.width:""},getLanguage:function(){return typeof atv!="undefined"&&typeof atv.device!="undefined"&&S.safeGet(atv.device.language,"")},getPackageName:function(){return""},isConnectionAvailable:function(){return !0},setTimeout:function(F,G,D){return typeof atv!="undefined"&&typeof atv.setTimeout!="undefined"&&atv.setTimeout(F,G,D)},clearTimeout:function(D){return typeof atv!="undefined"&&typeof atv.clearTimeout!="undefined"&&atv.clearTimeout(D)},isCompatible:B}}(),f=function(){function j(){return typeof window!="undefined"&&typeof document!="undefined"}return{PLATFORM:"chromecast",httpGet:k,httpPost:n,Storage:o,IO:C,getCrossPublisherId:function(){return null},getAppName:function(){return typeof document!="undefined"&&document.title||Constants.UNKNOWN_VALUE},getAppVersion:function(){return Constants.UNKNOWN_VALUE},getVisitorId:function(){return +(new Date)+~~(Math.random()*1000)},getVisitorIdSuffix:function(){return"72"},getDeviceName:function(){return"chromecast"},getPlatformVersion:function(){return"5"},getPlatformName:function(){return"js"},getRuntimeName:function(){return"html"},getRuntimeVersion:function(){return S.safeGet(S.getBrowserName()+" "+S.getBrowserFullVersion(),Constants.UNKNOWN_VALUE)},getResolution:function(){var q=typeof window!="undefined"&&S.exists(window.screen)&&S.exists(window.screen.availWidth)?window.screen.availWidth:0,z=typeof window!="undefined"&&S.exists(window.screen)&&S.exists(window.screen.availHeight)?window.screen.availHeight:0;return q>0&&z>0?q+"x"+z:""},getLanguage:function(){return typeof window!="undefined"&&S.exists(window.navigator)&&S.safeGet(window.navigator.language,"")||""},getPackageName:function(){return typeof castReceiverManager!="undefined"&&castReceiverManager.getApplicationData&&typeof castReceiverManager.getApplicationData=="function"&&castReceiverManager.getApplicationData().namespaces&&castReceiverManager.getApplicationData().namespaces[0]||""},isConnectionAvailable:function(){return typeof window!="undefined"&&S.exists(window.navigator)&&S.safeGet(window.navigator.onLine,!0)||!0},isCompatible:j,getConnectionType:function(){return Constants.UNKNOWN_VALUE}}}();i.autoSelect=function(){N.isCompatible()?ns_.Utils.extend(i,N):s.isCompatible()&&ns_.Utils.extend(i,s)},i.setPlatformAPI=function(q){var j=!1;switch(q){case ns_.PlatformAPIs.Trilithium:ns_.Utils.extend(i,N),j=!0;break;case ns_.PlatformAPIs.AppleTV:ns_.Utils.extend(i,s),j=!0;break;case ns_.PlatformAPIs.Chromecast:S.extend(i,f),j=!0}j&&(i.autoSelect=function(){})};var a=typeof window!="undefined"&&typeof document!="undefined",w,E;a?(w=window,E=document):(w={},E={location:{href:""},title:"",URL:"",referrer:"",cookie:""});var S=S||{};S.filterMap=function(q,z){for(var j in q){q.hasOwnProperty(j)&&S.indexOf(j,z)==-1&&delete q[j]}},S.getKeys=function(A,q){var z,j=[];for(z in A){(!q||q.test(z))&&A.hasOwnProperty(z)&&(j[j.length]=z)}return j};var v=function(){var j=["play","pause","end","buffer","keep-alive","hb","custom","ad_play","ad_pause","ad_end","ad_click"];return{PLAY:0,PAUSE:1,END:2,BUFFER:3,KEEP_ALIVE:4,HEART_BEAT:5,CUSTOM:6,AD_PLAY:7,AD_PAUSE:8,AD_END:9,AD_CLICK:10,toString:function(q){return j[q]}}}(),u=function(){var j=[v.END,v.PLAY,v.PAUSE,v.BUFFER];return{IDLE:0,PLAYING:1,PAUSED:2,BUFFERING:3,toEventType:function(q){return j[q]}}}(),y={ADPLAY:v.AD_PLAY,ADPAUSE:v.AD_PAUSE,ADEND:v.AD_END,ADCLICK:v.AD_CLICK},m={STREAMSENSE_VERSION:"4.1505.18",DEFAULT_PLAYERNAME:"streamsense",DEFAULT_HEARTBEAT_INTERVAL:[{playingtime:60000,interval:10000},{playingtime:null,interval:60000}],DEFAULT_KEEP_ALIVE_INTERVAL:1200000,DEFAULT_PAUSED_ON_BUFFERING_INTERVAL:500,C1_VALUE:"19",C10_VALUE:"js",NS_AP_C12M_VALUE:"1",NS_NC_VALUE:"1",PAGE_NAME_LABEL:"name",RESTRICTED_URL_LENGTH_LIMIT:2048,URL_LENGTH_LIMIT:4096,LABELS_ORDER:["c1","c2","ca2","cb2","cc2","cd2","ns_site","ca_ns_site","cb_ns_site","cc_ns_site","cd_ns_site","ns_vsite","ca_ns_vsite","cb_ns_vsite","cc_ns_vsite","cd_ns_vsite","ns_ap_an","ca_ns_ap_an","cb_ns_ap_an","cc_ns_ap_an","cd_ns_ap_an","ns_ap_pn","ns_ap_pv","c12","ca12","cb12","cc12","cd12","ns_ak","ns_ap_hw","name","ns_ap_ni","ns_ap_ec","ns_ap_ev","ns_ap_device","ns_ap_id","ns_ap_csf","ns_ap_bi","ns_ap_pfm","ns_ap_pfv","ns_ap_ver","ca_ns_ap_ver","cb_ns_ap_ver","cc_ns_ap_ver","cd_ns_ap_ver","ns_ap_sv","ns_ap_cv","ns_type","ca_ns_type","cb_ns_type","cc_ns_type","cd_ns_type","ns_radio","ns_nc","ns_ap_ui","ca_ns_ap_ui","cb_ns_ap_ui","cc_ns_ap_ui","cd_ns_ap_ui","ns_ap_gs","ns_st_sv","ns_st_pv","ns_st_it","ns_st_id","ns_st_ec","ns_st_sp","ns_st_sq","ns_st_cn","ns_st_ev","ns_st_po","ns_st_cl","ns_st_el","ns_st_pb","ns_st_hc","ns_st_mp","ca_ns_st_mp","cb_ns_st_mp","cc_ns_st_mp","cd_ns_st_mp","ns_st_mv","ca_ns_st_mv","cb_ns_st_mv","cc_ns_st_mv","cd_ns_st_mv","ns_st_pn","ns_st_tp","ns_st_pt","ns_st_pa","ns_st_ad","ns_st_li","ns_st_ci","ns_ap_jb","ns_ap_res","ns_ap_sd","ns_ap_po","ns_ap_ot","ns_ap_c12m","cs_c12u","ns_ap_install","ns_ap_updated","ns_ap_lastrun","ns_ap_cs","ns_ap_runs","ns_ap_usage","ns_ap_fg","ns_ap_ft","ns_ap_dft","ns_ap_bt","ns_ap_dbt","ns_ap_dit","ns_ap_as","ns_ap_das","ns_ap_it","ns_ap_uc","ns_ap_aus","ns_ap_daus","ns_ap_us","ns_ap_dus","ns_ap_ut","ns_ap_oc","ns_ap_uxc","ns_ap_uxs","ns_ap_lang","ns_ap_ar","ns_ap_miss","ns_ts","ns_st_ca","ns_st_cp","ns_st_er","ca_ns_st_er","cb_ns_st_er","cc_ns_st_er","cd_ns_st_er","ns_st_pe","ns_st_ui","ca_ns_st_ui","cb_ns_st_ui","cc_ns_st_ui","cd_ns_st_ui","ns_st_bc","ns_st_bt","ns_st_bp","ns_st_pc","ns_st_pp","ns_st_br","ns_st_ub","ns_st_vo","ns_st_ws","ns_st_pl","ns_st_pr","ns_st_ep","ns_st_ty","ns_st_ct","ns_st_cs","ns_st_ge","ns_st_st","ns_st_dt","ns_st_de","ns_st_pu","ns_st_cu","ns_st_fee","ns_ap_i1","ns_ap_i2","ns_ap_i3","ns_ap_i4","ns_ap_i5","ns_ap_i6","ns_ap_referrer","ns_clid","ns_campaign","ns_source","ns_mchannel","ns_linkname","ns_fee","gclid","utm_campaign","utm_source","utm_medium","utm_term","utm_content","c3","ca3","cb3","cc3","cd3","c4","ca4","cb4","cc4","cd4","c5","ca5","cb5","cc5","cd5","c6","ca6","cb6","cc6","cd6","c10","c11","c13","c14","c15","c16","c7","c8","c9","ns_ap_er"]},l=function(){return function(){function D(M,J){var K=J[M];K!=null&&(A[M]=K)}var j=this,F=0,H=0,B=0,I=0,G=0,q=0,z,A;S.extend(this,{reset:function(J){J!=null&&J.length>0?S.filterMap(A,J):A={},A.hasOwnProperty("ns_st_cl")||(A.ns_st_cl="0"),A.hasOwnProperty("ns_st_pn")||(A.ns_st_pn="1"),A.hasOwnProperty("ns_st_tp")||(A.ns_st_tp="1"),j.setPauses(0),j.setStarts(0),j.setBufferingTime(0),j.setBufferingTimestamp(-1),j.setPlaybackTime(0),j.setPlaybackTimestamp(-1)},setLabels:function(K,J){K!=null&&S.extend(A,K),j.setRegisters(A,J)},getLabels:function(){return A},setLabel:function(M,K){var J={};J[M]=K,j.setLabels(J,null)},getLabel:function(J){return A[J]},getClipId:function(){return(typeof z=="undefined"||z==null)&&j.setClipId("1"),z},setClipId:function(J){z=J},setRegisters:function(K,M){var J=K.ns_st_cn;J!=null&&(j.setClipId(J),delete K.ns_st_cn),J=K.ns_st_bt,J!=null&&(B=Number(J),delete K.ns_st_bt),D("ns_st_cl",K),D("ns_st_pn",K),D("ns_st_tp",K),D("ns_st_ub",K),D("ns_st_br",K);if(M==u.PLAYING||M==null){J=K.ns_st_sq,J!=null&&(H=Number(J),delete K.ns_st_sq)}M!=u.BUFFERING&&(J=K.ns_st_pt,J!=null&&(G=Number(J),delete K.ns_st_pt));if(M==u.PAUSED||M==u.IDLE||M==null){J=K.ns_st_pc,J!=null&&(F=Number(J),delete K.ns_st_pc)}},createLabels:function(K,M){var J=M||{};J.ns_st_cn=j.getClipId(),J.ns_st_bt=String(j.getBufferingTime());if(K==v.PLAY||K==null){J.ns_st_sq=String(H)}if(K==v.PAUSE||K==v.END||K==v.KEEP_ALIVE||K==v.HEART_BEAT||K==null){J.ns_st_pt=String(j.getPlaybackTime()),J.ns_st_pc=String(F)}return S.extend(J,j.getLabels()),J},incrementPauses:function(){F++},incrementStarts:function(){H++},getBufferingTime:function(){var J=B;return I>=0&&(J+=+(new Date)-I),J},setBufferingTime:function(J){B=J},getPlaybackTime:function(){var J=G;return q>=0&&(J+=+(new Date)-q),J},setPlaybackTime:function(J){G=J},getPlaybackTimestamp:function(){return q},setPlaybackTimestamp:function(J){q=J},getBufferingTimestamp:function(){return I},setBufferingTimestamp:function(J){I=J},getPauses:function(){return F},setPauses:function(J){F=J},getStarts:function(){return H},setStarts:function(J){H=J}}),A={},j.reset()}}(),d=function(){return function(){var I=this,D=null,G,A=0,H=0,F=0,J=0,j=0,z,B=0,q=!1;S.extend(this,{reset:function(K){K!=null&&K.length>0?S.filterMap(z,K):z={},I.setPlaylistId(+(new Date)+"_"+B),I.setBufferingTime(0),I.setPlaybackTime(0),I.setPauses(0),I.setStarts(0),I.setRebufferCount(0),q=!1},setLabels:function(M,K){M!=null&&S.extend(z,M),I.setRegisters(z,K)},getLabels:function(){return z},setLabel:function(O,M){var K={};K[O]=M,I.setLabels(K,null)},getLabel:function(K){return z[K]},getClip:function(){return D},getPlaylistId:function(){return G},setPlaylistId:function(K){G=K},setRegisters:function(O,K){var M=O.ns_st_sp;M!=null&&(A=Number(M),delete O.ns_st_sp),M=O.ns_st_bc,M!=null&&(F=Number(M),delete O.ns_st_bc),M=O.ns_st_bp,M!=null&&(J=Number(M),delete O.ns_st_bp),M=O.ns_st_id,M!=null&&(G=M,delete O.ns_st_id),K!=u.BUFFERING&&(M=O.ns_st_pa,M!=null&&(j=Number(M),delete O.ns_st_pa));if(K==u.PAUSED||K==u.IDLE||K==null){M=O.ns_st_pp,M!=null&&(H=Number(M),delete O.ns_st_pp)}},createLabels:function(K,M){var O=M||{};O.ns_st_bp=String(I.getBufferingTime()),O.ns_st_sp=String(A),O.ns_st_id=String(G),F>0&&(O.ns_st_bc=String(F));if(K==v.PAUSE||K==v.END||K==v.KEEP_ALIVE||K==v.HEART_BEAT||K==null){O.ns_st_pa=String(I.getPlaybackTime()),O.ns_st_pp=String(H)}if(K==v.PLAY||K==null){I.didFirstPlayOccurred()||(O.ns_st_pb="1",I.setFirstPlayOccurred(!0))}return S.extend(O,I.getLabels()),O},incrementStarts:function(){A++},incrementPauses:function(){H++,D.incrementPauses()},setPlaylistCounter:function(K){B=K},incrementPlaylistCounter:function(){B++},addPlaybackTime:function(M){if(D.getPlaybackTimestamp()>=0){var K=M-D.getPlaybackTimestamp();D.setPlaybackTimestamp(-1),D.setPlaybackTime(D.getPlaybackTime()+K),I.setPlaybackTime(I.getPlaybackTime()+K)}},addBufferingTime:function(M){if(D.getBufferingTimestamp()>=0){var K=M-D.getBufferingTimestamp();D.setBufferingTimestamp(-1),D.setBufferingTime(D.getBufferingTime()+K),I.setBufferingTime(I.getBufferingTime()+K)}},getBufferingTime:function(){var K=J;return D.getBufferingTimestamp()>=0&&(K+=+(new Date)-D.getBufferingTimestamp()),K},setBufferingTime:function(K){J=K},getPlaybackTime:function(){var K=j;return D.getPlaybackTimestamp()>=0&&(K+=+(new Date)-D.getPlaybackTimestamp()),K},setPlaybackTime:function(K){j=K},getStarts:function(){return A},setStarts:function(K){A=K},getPauses:function(){return H},setPauses:function(K){H=K},getRebufferCount:function(){return F},incrementRebufferCount:function(){F++},setRebufferCount:function(K){F=K},didFirstPlayOccurred:function(){return q},setFirstPlayOccurred:function(K){q=K}}),D=new l,z={},I.reset()}}(),x=function(){var j=function(aj,ab,ag){function af(aC){var aE=0;if(be!=null){for(var aB=0;aB<be.length;aB++){var aD=be[aB],aA=aD.playingtime;if(!aA||aC<aA){aE=aD.interval;break}}}return aE}function Y(){bp();var aB=af(al.getClip().getPlaybackTime());if(aB>0){var aA=U>0?U:aB;M=i.setTimeout(bh,aA)}U=0}function Z(){bp();var aA=af(al.getClip().getPlaybackTime());U=aA-al.getClip().getPlaybackTime()%aA,M!=null&&bp()}function an(){U=0,bu=0,Q=0}function bh(){Q++;var aA=O(v.HEART_BEAT,null);aq(aA),U=0,Y()}function bp(){M!=null&&(i.clearTimeout(M),M=null)}function bf(){J(),bw=i.setTimeout(ao,P)}function ao(){var aA=O(v.KEEP_ALIVE,null);aq(aA),bi++,bf()}function J(){bw!=null&&(i.clearTimeout(bw),bw=null)}function K(){B(),bn.isPauseOnBufferingEnabled()&&H(u.PAUSED)&&(bl=i.setTimeout(W,ax))}function W(){if(V==u.PLAYING){al.incrementRebufferCount(),al.incrementPauses();var aA=O(v.PAUSE,null);aq(aA),bi++,V=u.PAUSED}}function B(){bl!=null&&(i.clearTimeout(bl),bl=null)}function bs(aA){return aA==u.PLAYING||aA==u.PAUSED}function bt(){br&&(i.clearTimeout(br),br=null)}function ae(aA){return aA==v.PLAY?u.PLAYING:aA==v.PAUSE?u.PAUSED:aA==v.BUFFER?u.BUFFERING:aA==v.END?u.IDLE:null}function bj(aG,aE,aI){bt();if(aI){br=i.setTimeout(function(aK,aL){return function(){bj(aK,aL)}}(aG,aE),aI)}else{if(aw(aG)){var aB=G(),aC=bv,aF=at(aE),aA=aC>=0?aF-aC:0;ar(G(),aE),ap(aG,aE),X(G()),ac(aG);for(var aJ=0,aH=A.length;aJ<aH;aJ++){A[aJ](aB,aG,aE,aA)}bo(aE),al.setRegisters(aE,aG),al.getClip().setRegisters(aE,aG);var aD=O(u.toEventType(aG),aE);S.extend(aD,aE),H(bm)&&(aq(aD),V=bm,bi++)}}}function bo(aB){var aA=aB.ns_st_mp;aA!=null&&(F=aA,delete aB.ns_st_mp),aA=aB.ns_st_mv,aA!=null&&(ay=aA,delete aB.ns_st_mv),aA=aB.ns_st_ec,aA!=null&&(bi=Number(aA),delete aB.ns_st_ec)}function aq(aD,aA){aA===undefined&&(aA=!0),aA&&D(aD);var aB=bn.getPixelURL();if(aa){if(!au()){var aE=I.am,aF=I.et,aC=aE.newApplicationMeasurement(aa,aF.HIDDEN,aD,aB);aa.getQueue().offer(aC)}}else{aB&&i.httpGet(p(aB,aD))}}function au(){var aC=aa.getAppContext(),aA=aa.getSalt(),aB=aa.getPixelURL();return aC==null||aA==null||aA.length==0||aB==null||aB.length==0}function D(aA){bq=O(null),S.extend(bq,aA)}function ar(aD,aB){var aC=at(aB);if(aD==u.PLAYING){al.addPlaybackTime(aC),Z(),J()}else{if(aD==u.BUFFERING){al.addBufferingTime(aC),B()}else{if(aD==u.IDLE){var aA=S.getKeys(al.getClip().getLabels());al.getClip().reset(aA)}}}}function ap(aC,aA){var aB=at(aA);bk=av(aA),aC==u.PLAYING?(Y(),bf(),al.getClip().setPlaybackTimestamp(aB),H(aC)&&(al.getClip().incrementStarts(),al.getStarts()<1&&al.setStarts(1))):aC==u.PAUSED?H(aC)&&al.incrementPauses():aC==u.BUFFERING?(al.getClip().setBufferingTimestamp(aB),am&&K()):aC==u.IDLE&&an()}function H(aA){return aA!=u.PAUSED&&aA!=u.IDLE||V!=u.IDLE&&V!=null?aA!=u.BUFFERING&&V!=aA:!1}function av(aA){var aB=-1;return aA.hasOwnProperty("ns_st_po")&&(aB=S.getInteger(aA.ns_st_po)),aB}function at(aB){var aA=-1;return aB.hasOwnProperty("ns_ts")&&(aA=Number(aB.ns_ts)),aA}function aw(aA){return aA!=null&&G()!=aA}function ac(aA){bm=aA,bv=+(new Date)}function G(){return bm}function X(aA){bx=aA}function z(){return bx}function O(){var aA,aB;arguments.length==1?(aA=u.toEventType(bm),aB=arguments[0]):(aA=arguments[0],aB=arguments[1]);var aC={};if(typeof document!="undefined"){var aD=document;aC.c7=aD.URL,aC.c8=aD.title,aC.c9=aD.referrer}return aB!=null&&S.extend(aC,aB),aC.hasOwnProperty("ns_ts")||(aC.ns_ts=String(+(new Date))),aA!=null&&!aC.hasOwnProperty("ns_st_ev")&&(aC.ns_st_ev=v.toString(aA)),S.extend(aC,bn.getLabels()),R(aA,aC),al.createLabels(aA,aC),al.getClip().createLabels(aA,aC),aC.hasOwnProperty("ns_st_mp")||(aC.ns_st_mp=F),aC.hasOwnProperty("ns_st_mv")||(aC.ns_st_mv=ay),aC.hasOwnProperty("ns_st_ub")||(aC.ns_st_ub="0"),aC.hasOwnProperty("ns_st_br")||(aC.ns_st_br="0"),aC.hasOwnProperty("ns_st_pn")||(aC.ns_st_pn="1"),aC.hasOwnProperty("ns_st_tp")||(aC.ns_st_tp="1"),aC.hasOwnProperty("ns_st_it")||(aC.ns_st_it="c"),aC.ns_st_sv=m.STREAMSENSE_VERSION,aC.ns_type="hidden",aC}function R(aE,aB){var aC=aB||{};aC.ns_st_ec=String(bi);if(!aC.hasOwnProperty("ns_st_po")){var aA=bk,aD=at(aC);if(aE==v.PLAY||aE==v.KEEP_ALIVE||aE==v.HEART_BEAT||aE==null&&bm==u.PLAYING){aA+=aD-al.getClip().getPlaybackTimestamp()}aC.ns_st_po=S.getInteger(aA)}return aE==v.HEART_BEAT&&(aC.ns_st_hc=String(Q)),aC}function az(aB){var aA=at(aB);aA<0&&(aB.ns_ts=String(+(new Date)))}function ah(aC,aA,aB){aA=aA||{},aA.ns_st_ad=1,aC>=v.AD_PLAY&&aC<=v.AD_CLICK&&bn.notify(aC,aA,aB)}function bg(aB,aA){bn.notify(v.CUSTOM,aB,aA)}var bn=this,ai=500,ad,ak=null,bv=0,bk=0,br,bx,bm,bi=0,al=null,aa,bl,am=!0,bw,M,be=m.DEFAULT_HEARTBEAT_INTERVAL,P=m.DEFAULT_KEEP_ALIVE_INTERVAL,ax=m.DEFAULT_PAUSED_ON_BUFFERING_INTERVAL,U=0,Q=0,bu=0,q=!1,V,F,ay,bq,A,I={};ag?i.setPlatformAPI(ag):i.autoSelect(),S.extend(this,{reset:function(aA){al.reset(aA),al.setPlaylistCounter(0),al.setPlaylistId(+(new Date)+"_1"),al.getClip().reset(aA),aA!=null&&!aA.isEmpty()?S.filterMap(ad,aA):ad={},bi=1,Q=0,Z(),an(),J(),B(),bt(),bm=u.IDLE,bx=null,bv=-1,V=null,F=m.DEFAULT_PLAYERNAME,ay=m.STREAMSENSE_VERSION,bq=null},setPauseOnBufferingInterval:function(aA){ax=aA},getPauseOnBufferingInterval:function(){return ax},setKeepAliveInterval:function(aA){P=aA},getKeepAliveInterval:function(){return P},setHeartbeatIntervals:function(aA){be=aA},notify:function(){var aE,aB,aD,aC;aB=arguments[0],arguments.length==3?(aD=arguments[1],aC=arguments[2]):(aD={},aC=arguments[1]);if(!v.toString(aB)){return}aE=ae(aB);var aF=S.extend({},aD);az(aF),aF.hasOwnProperty("ns_st_po")||(aF.ns_st_po=S.getInteger(aC).toString());if(aB==v.PLAY||aB==v.PAUSE||aB==v.BUFFER||aB==v.END){bn.isThrottlingEnabled()&&bs(bm)&&bs(aE)&&(bm!=u.PLAYING||aE!=u.PAUSED||!!br)?bj(aE,aF,ai):bj(aE,aF)}else{var aA=O(aB,aF);S.extend(aA,aF),aq(aA,!1),bi++}},getLabels:function(){return ad},getState:function(){return bm},setLabels:function(aB){for(var aA in aB){aB.hasOwnProperty(aA)&&bn.setLabel(aA,aB[aA])}},getLabel:function(aA){return ad[aA]},setLabel:function(aB,aA){aA==null?delete ad[aB]:ad[aB]=aA},setPixelURL:function(aD){if(aD==null||aD.length==0){return null}var aH=decodeURIComponent||unescape,aB=aD.indexOf("?");if(aB>=0){if(aB<aD.length-1){var aF=aD.substring(aB+1).split("&");for(var aG=0,aC=aF.length;aG<aC;aG++){var aA=aF[aG],aE=aA.split("=");aE.length==2?bn.setLabel(aE[0],aH(aE[1])):aE.length==1&&bn.setLabel(m.PAGE_NAME_LABEL,aH(aE[0]))}aD=aD.substring(0,aB+1)}}else{aD+="?"}return ak=aD,ak},getPixelURL:function(){return ak?ak:typeof ns_p!="undefined"&&typeof ns_p.src=="string"?ak=ns_p.src.replace(/&amp;/,"&").replace(/&ns__t=\d+/,""):typeof ns_pixelUrl=="string"?ak=ns_pixelUrl.replace(/&amp;/,"&").replace(/&ns__t=\d+/,""):null},isPauseOnBufferingEnabled:function(){return am},setPauseOnBufferingEnabled:function(aA){am=aA},isThrottlingEnabled:function(){return q},setThrottlingEnabled:function(aA){q=aA},setThrottlingDelay:function(aA){aA&&aA>0&&(ai=aA)},getThrottlingDelay:function(){return ai},setClip:function(aC,aA){var aB=!1;return bm==u.IDLE&&(al.getClip().reset(),al.getClip().setLabels(aC,null),aA&&al.incrementStarts(),aB=!0),aB},setPlaylist:function(aB){var aA=!1;return bm==u.IDLE&&(al.incrementPlaylistCounter(),al.reset(),al.getClip().reset(),al.setLabels(aB,null),aA=!0),aA},importState:function(aA){reset();var aB=S.extend({},aA);al.setRegisters(aB,null),al.getClip().setRegisters(aB,null),bo(aB),bi++},exportState:function(){return bq},getVersion:function(){return m.STREAMSENSE_VERSION},addListener:function(aA){A.push(aA)},removeListener:function(aA){A.splice(S.indexOf(aA,A),1)},getClip:function(){return al.getClip()},getPlaylist:function(){return al},setHttpGet:function(aA){typeof aA=="function"&&(i.httpGet=aA)},setHttpPost:function(aA){typeof aA=="function"&&(i.httpPost=aA)}}),S.extend(this,{adNotify:ah,customNotify:bg,viewNotify:function(aB,aA){aB=aB||bn.getPixelURL(),aB&&t(aB,aA)}}),ns_.comScore&&(I=ns_.comScore.exports,aa=I.c()),ad={},bi=1,bm=u.IDLE,al=new d,bl=null,am=!0,M=null,Q=0,an(),bw=null,br=null,q=!1,V=null,bk=0,A=[],bn.reset(),aj&&bn.setLabels(aj),ab&&bn.setPixelURL(ab)};return function(X){function W(ad,ac){return P[K]||Z(ad,ac)}function Q(){K=-1;for(var ac=0;ac<=U;ac++){if(P.hasOwnProperty(String(ac))){K=ac;break}}return ns_.StreamSense.activeIndex=K,K}function Z(ad,ac){return ad=ad||null,ac=ac||null,ad&&typeof ad=="object"&&(ac=ad,ad=null),P[++U]=new ns_.StreamSense(ac,ad),Q(),P[U]}function A(){var ad=!1,ac=K;if(typeof arguments[0]=="number"&&isFinite(arguments[0])){ac=arguments[0]}else{if(arguments[0] instanceof ns_.StreamSense){for(var ae in P){if(P.hasOwnProperty(ae)&&P[ae]===arguments[0]){ac=ae;break}}}}return P.hasOwnProperty(String(ac))&&(ad=P[ac],delete P[ac],ad.reset(),Q()),ad}function G(ac){return ac=ac||{},W().setPlaylist(ac),W().getPlaylist()}function M(ae,ac,ad){return ae=ae||{},typeof ac=="number"&&(ae.ns_st_cn=ac),W().setClip(ae,ad),W().getClip()}function D(ae,ac,ad){return typeof ae=="undefined"?!1:(ad=ad||null,ac=ac||{},W().notify(ae,ac,ad))}function I(ac){typeof ac!="undefined"&&W().setLabels(ac)}function R(){return W().getLabels()}function F(ac){typeof ac!="undefined"&&W().getPlaylist().setLabels(ac)}function aa(){return W().getPlaylist().getLabels()}function O(ac){typeof ac!="undefined"&&W().getClip().setLabels(ac)}function H(){return W().getClip().getLabels()}function J(ac){return W().reset(ac||{})}function B(ac){return W().getPlaylist().reset(ac||{})}function q(ac){return W().getClip().reset(ac||{})}function Y(ac){return ac=ac||{},W().viewNotify(null,ac)}function V(ad,ac){return arguments.length>2&&(ad=arguments[1],ac=arguments[2]),ad=ad||{},typeof ac=="number"&&(ad.ns_st_po=ac),W().customNotify(ad,ac)}function z(){return W().exportState()}function ab(ac){W().importState(ac)}var P={},U=-1,K=-1;S.extend(X,{activeIndex:K,newInstance:Z,"new":Z,destroyInstance:A,destroy:A,newPlaylist:G,newClip:M,notify:D,setLabels:I,getLabels:R,setPlaylistLabels:F,getPlaylistLabels:aa,setClipLabels:O,getClipLabels:H,resetInstance:J,resetPlaylist:B,resetClip:q,viewEvent:Y,customEvent:V,exportState:z,importState:ab})}(j),j}();return x.AdEvents=y,x.PlayerEvents=v,x.InternalStates=u,x.getPlatformAPI=function(){return i},x}(),ns_.StreamingTag=ns_.StreamingTag||function(){var j=ns_.Utils,e=ns_.StreamSense,i=ns_.StreamSense.PlayerEvents,k=ns_.StreamSense.AdEvents,h=ns_.StreamSense.InternalStates||null,l=ns_.StreamSense.InternalStates!=null;return function(){var a=function(d){function y(){if(!l){return}if(ns_.comScore){f=new e,f.setLabel("ns_st_it","r")}else{if(j.exists(d)){p=j.isTrue(d.debug);if(j.exists(d.customerC2)&&d.customerC2.length>0){var n=d.secure?"https://sb":"http"+(document.location.href.charAt(4)=="s"?"s://sb":"://b");f=new e,f.setPixelURL(n+".scorecardresearch.com/p?c1=2"),f.setLabel("c2",d.customerC2),f.setLabel("ns_st_it","r")}else{p&&console&&console.log("Warning: customerC2 is not provided (or incorrect) in the StreamingTag configuration.")}}}}function w(n){return j.exists(n)||(n={}),j.exists(n.ns_st_ci)||(n.ns_st_ci="0"),j.exists(n.c3)||(n.c3="*null"),j.exists(n.c4)||(n.c4="*null"),j.exists(n.c6)||(n.c6="*null"),n}function o(n){return u>0&&n>=u?b+=n-u:b=0,b}function O(n){f.getState()!=h.IDLE&&f.getState()!=h.PAUSED?f.notify(i.END,o(n)):f.getState()==h.PAUSED&&f.notify(i.END,b)}function c(n){return M("ns_st_ci",m,n)&&M("c3",m,n)&&M("c4",m,n)&&M("c6",m,n)}function M(q,t,z){if(j.exists(q)&&j.exists(t)&&j.exists(z)){var s=t[q],n=z[q];return j.exists(s)&&j.exists(n)&&s===n}return !1}function r(q,n){O(q),x++;var s={ns_st_cn:x,ns_st_pn:"1",ns_st_tp:"0"};j.extend(s,n),f.setClip(s),m=n,u=q,b=0,f.notify(i.PLAY,b)}function P(q){var n=+(new Date);O(n),x++,q=w(q);var s={ns_st_cn:x,ns_st_pn:"1",ns_st_tp:"1",ns_st_ad:"1"};j.extend(s,q),f.setClip(s),b=0,f.notify(i.PLAY,b),u=n,v=!1}function N(n,s){var q=+(new Date);n=w(n),g==E.None&&(g=s),v&&g==s?c(n)?(f.getClip().setLabels(n),f.getState()!=h.PLAYING&&(u=q,f.notify(i.PLAY,b))):r(q,n):r(q,n),v=!0,g=s}var x=0,u=0,b=0,m=null,v=!1,f=null,p=!1,E={None:0,AudioContent:1,VideoContent:2},g=E.None;j.extend(this,{playAdvertisement:function(){if(!f){return}p&&console&&console.warn("Calling deprecated function 'playAdvertisement'. Please call 'playVideoAdvertisement' or 'playAudioAdvertisement' functions instead.");var n={ns_st_ct:"va"};P(n)},playVideoAdvertisement:function(q){if(!f){return}var n={ns_st_ct:"va"};q&&j.extend(n,q),P(n)},playAudioAdvertisement:function(q){if(!f){return}var n={ns_st_ct:"aa"};q&&j.extend(n,q),P(n)},playContentPart:function(q){if(!f){return}p&&console&&console.warn("Calling deprecated function 'playContentPart'. Please call 'playVideoContentPart' or 'playAudioContentPart' functions instead.");var n={ns_st_ct:"vc"};q&&j.extend(n,q),N(n,E.VideoContent)},playVideoContentPart:function(q){if(!f){return}var n={ns_st_ct:"vc"};q&&j.extend(n,q),N(n,E.VideoContent)},playAudioContentPart:function(q){if(!f){return}var n={ns_st_ct:"ac"};q&&j.extend(n,q),N(n,E.AudioContent)},stop:function(){if(!f){return}var n=+(new Date);f.notify(i.PAUSE,o(n))}}),y()};return function(b){}(a),a}()}();
var vamp={$:$.noConflict(true),_:_.noConflict(),AX:{STREAMSENSE:ns_},BUILD:"273",DESC:"VRT Player",DIR:{ASSET:"r"},NAME:"vamp",URL:{BASE:"videoplayer",CURRENT:"//services.vrt.be",ENV:{DEV:"//services-dev.vrt.be",PROD:"//services.vrt.be",STAG:"//services-stag.vrt.be"},MEDIAZONE:{DEV:"mediazone-dev.vrt.be",ENV:"mediazone.vrt.be",PROD:"mediazone.vrt.be",STAG:"mediazone-stag.vrt.be"},PIXEL:"geo/pixel.gif",SUBTITLES:"mp.vrt.be/ot"},VERSION:"2.12.1.5",_old:window.vamp||null,ax:{},blnGeoblocked:null,global:this,mode:{minimal:false,placeholder:false}};(function(vamp){vamp.fn={delegate:function(scope,fct){return function(){fct.apply(scope,arguments)}},expose:function(obj,fct){if(!vamp.isDefined(obj)){obj=vamp}if(!vamp.isDefined(obj.NAME)){return}if(vamp.isDefined(vamp.global[obj.NAME])){obj._old=vamp.global[obj.NAME]}if(vamp.isDefined(fct)){vamp.global[obj.NAME]=fct;vamp._.extend(vamp.global[obj.NAME],obj)}else{vamp.global[obj.NAME]=obj}},isDefined:function(val,blnEval,obj){if(typeof blnEval==="undefined"){blnEval=false}try{if(blnEval){val=eval(val)}if(typeof val==="undefined"){return false}if(val==null){return false}if(val===0){return"0"}if(val===false){return"false"}if(val===""){return true}return val}catch(e){return false}},isEmpty:function(val,blnEval){if(!vamp.isDefined(val,blnEval)){return true}else{return(val==="")}},isGeoblocked:function(scope,cb){var pixel=new Image();pixel.onload=function(){vamp.blnGeoblocked=false;cb(scope)};pixel.onerror=function(){vamp.blnGeoblocked=true;cb(scope)};pixel.src=this.URL.ENV.PROD+"/"+this.URL.PIXEL},noConflict:function(obj,str){if(!vamp.isDefined(obj)){obj=vamp}if(!vamp.isDefined(obj.NAME)){return}var objNew=window[obj.NAME];if(vamp.isDefined(obj._old)){window[obj.NAME]=obj._old}else{window[obj.NAME]=undefined}if(vamp.isDefined(str)){obj._old=null;obj.NAME=str;window[obj.NAME]=objNew}},toBoolean:function(val){if(!vamp.isDefined(val)){return false}if(vamp._.isBoolean(val)){return val}if(val==="false"||val==="0"||val===0){return false}return true},toString:function(){return"{"+vamp.NAME+"}"}}})(vamp);
(function(b){b.B64={alphabet:"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=",lookup:null,ie:/MSIE /.test(navigator.userAgent),ieo:/MSIE [67]/.test(navigator.userAgent),encode:function(k){var p=this.toUtf8(k),o=-1,n=p.length,r,a,m,q=[null,null,null,null],l;if(this.ie){l=[];while(++o<n){r=p[o];a=p[++o];q[0]=r>>2;q[1]=((r&3)<<4)|(a>>4);if(isNaN(a)){q[2]=q[3]=64}else{m=p[++o];q[2]=((a&15)<<2)|(m>>6);q[3]=(isNaN(m))?64:m&63}l.push(this.alphabet.charAt(q[0]),this.alphabet.charAt(q[1]),this.alphabet.charAt(q[2]),this.alphabet.charAt(q[3]))}return l.join("")}else{l="";while(++o<n){r=p[o];a=p[++o];q[0]=r>>2;q[1]=((r&3)<<4)|(a>>4);if(isNaN(a)){q[2]=q[3]=64}else{m=p[++o];q[2]=((a&15)<<2)|(m>>6);q[3]=(isNaN(m))?64:m&63}l+=this.alphabet[q[0]]+this.alphabet[q[1]]+this.alphabet[q[2]]+this.alphabet[q[3]]}return l}},decode:function(g){if(g.length%4){throw new Error("InvalidCharacterError: 'B64.decode' failed: The string to be decoded is not correctly encoded.")}var h=this.fromUtf8(g),i=0,j=h.length,a;if(this.ieo){a=[];while(i<j){if(h[i]<128){a.push(String.fromCharCode(h[i++]))}else{if(h[i]>191&&h[i]<224){a.push(String.fromCharCode(((h[i++]&31)<<6)|(h[i++]&63)))}else{a.push(String.fromCharCode(((h[i++]&15)<<12)|((h[i++]&63)<<6)|(h[i++]&63)))}}}return a.join("")}else{a="";while(i<j){if(h[i]<128){a+=String.fromCharCode(h[i++])}else{if(h[i]>191&&h[i]<224){a+=String.fromCharCode(((h[i++]&31)<<6)|(h[i++]&63))}else{a+=String.fromCharCode(((h[i++]&15)<<12)|((h[i++]&63)<<6)|(h[i++]&63))}}}return a}},toUtf8:function(g){var j=-1,a=g.length,h,i=[];if(/^[\x00-\x7f]*$/.test(g)){while(++j<a){i.push(g.charCodeAt(j))}}else{while(++j<a){h=g.charCodeAt(j);if(h<128){i.push(h)}else{if(h<2048){i.push((h>>6)|192,(h&63)|128)}else{i.push((h>>12)|224,((h>>6)&63)|128,(h&63)|128)}}}}return i},fromUtf8:function(g){var j=-1,a,i=[],h=[null,null,null,null];if(!this.lookup){a=this.alphabet.length;this.lookup={};while(++j<a){this.lookup[this.alphabet.charAt(j)]=j}j=-1}a=g.length;while(++j<a){h[0]=this.lookup[g.charAt(j)];h[1]=this.lookup[g.charAt(++j)];i.push((h[0]<<2)|(h[1]>>4));h[2]=this.lookup[g.charAt(++j)];if(h[2]===64){break}i.push(((h[1]&15)<<4)|(h[2]>>2));h[3]=this.lookup[g.charAt(++j)];if(h[3]===64){break}i.push(((h[2]&3)<<6)|h[3])}return i}}})(vamp);
(function(b){b.Class={ctor:function(){},extend:function(a,f){var e=this.inherits(this,a,f);e.extend=this.extend;return e},inherits:function(h,a,g){var f;if(a&&a.hasOwnProperty("constructor")){f=a.constructor}else{f=function(){return h.apply(this,arguments)}}b._.extend(f,h);b.Class.ctor.prototype=h.prototype;f.prototype=new b.Class.ctor();if(a){b._.extend(f.prototype,a)}if(g){b._.extend(f,g)}f.prototype.constructor=f;f.prototype.parent=h.prototype;f.parent=h.prototype;return f}}})(vamp);
(function(b){b.date={isValid:function(a){try{if(isNaN(a.getTime())){return false}return true}catch(d){return false}}}})(vamp);
(function(b){b.string={LANG:{ar:"\u0627\u0644\u0639\u0631\u0628\u064A\u0629",de:"Deutsch",en:"English",fr:"Fran\u00E7ais",nl:"Nederlands"},beginsWith:function(d,a){return d.indexOf(a)===0},checkProtocol:function(f,g){if(!b.isDefined(g)){return f}var h="//";if(f.indexOf(h)>-1){var a=f.split(h);f=a[1]}f=g+":"+h+f;return f},endsWith:function(d,a){return d.indexOf(a,d.length-a.length)!==-1},extractExtension:function(e){var f=/(?:\.([^.]+))?$/;var a=f.exec(e);return a[1]},pad:function(e,f,a){if(!b.isDefined(a)){a="0"}e=e+"";while(e.length<f){e=a+e}return e},regExpEscape:function(a){return String(a).replace(/([-()\[\]{}+?*.$\^|,:#<!\\])/g,"\\$1").replace(/\x08/g,"\\x08")},repeat:function(e,f){if(f<1){return""}var a="";while(f>0){if(f&1){a+=e}f>>=1;e+=e}return a},trim:function(a){if(b.isEmpty(a)){return a}return a.replace(/^\s+|\s+$/g,"")},trimExtension:function(a){return a.replace(/^.*\/|\.[^.]*$/g,"")},toTitleCase:function(f,h){var g=b._.isString(h)?this.regExpEscape(h):"\\s";g=g?"|["+g+"]+":"";var a=new RegExp("(^"+g+")([a-z])","g");return f.replace(a,function(e,c,d){return c+d.toUpperCase()})}}})(vamp);
(function(b){b.ax.ga={PROP:{DEV:"UA-59806482-1",PROD:"UA-59809847-1"},blnInitialised:false,prop:null,init:function(){if(this.blnInitialised){return}(function(m,l,g,i,k,n,a){m.GoogleAnalyticsObject=k;m[k]=m[k]||function(){(m[k].q=m[k].q||[]).push(arguments)};m[k].l=1*new Date();n=l.createElement(g),a=l.getElementsByTagName(g)[0];n.async=1;n.src=i;a.parentNode.insertBefore(n,a)})(window,document,"script","//www.google-analytics.com/analytics.js","ga_videoplayer");this.blnInitialised=true;this.setProperty();ga_videoplayer("create",this.prop,"auto",{name:"videoTracker"});ga_videoplayer("videoTracker.set","dimension1",b.VERSION)},setProperty:function(){if(b.detect.env===b.detect.ENV.DEV){this.prop=this.PROP.DEV}else{this.prop=this.PROP.PROD}},trackEvent:function(d,a){if(b.mode.minimal){return}this.init();ga_videoplayer("videoTracker.send","event","error",d,a)},trackPage:function(a,f){if(b.mode.minimal){return}this.init();var g="",h=window.location.href;if(!b.isEmpty(a.ax)&&!b.isEmpty(a.ax.program)){g+="id="+a.ax.program}else{g+="url="+f}h+="["+g+"]";ga_videoplayer("videoTracker.send","pageview",h)}}})(vamp);
(function(vamp){vamp.coll={arrExec:[],objList:{},add:function(objPlayer){if(!vamp.isDefined(objPlayer.name)){return}this.objList[objPlayer.name]=objPlayer;var i;for(i=0;i<this.arrExec.length;i++){var exec=this.arrExec[i],arrSelection=this.select(exec.arrSelector);vamp._.forEach(arrSelection,function(plyr){if(plyr.name===objPlayer.name){this.exec(exec.func,[objPlayer.name],exec.args,false)}},this)}},exec:function(func,arrSelector,args,blnKeep){if(!vamp.isDefined(blnKeep)){blnKeep=false}if(blnKeep){this.arrExec.push({func:func,arrSelector:arrSelector,args:args})}try{if(!vamp._.isArray(args)){args=[args]}var arrReturn=[],arrSelection=this.select(arrSelector),returnVal;vamp._.forEach(arrSelection,function(plyr){returnVal=eval("plyr."+func+".apply(plyr, args)");if(vamp.isDefined(returnVal)){arrReturn.push(returnVal)}});if(arrReturn.length===0){return}if(arrReturn.length===1){arrReturn=arrReturn[0]}return arrReturn}catch(e){vamp.error({msg:e});return false}},get:function(keySelector){var index,name;if(vamp.$.isNumeric(keySelector)){name=vamp._.keys(this.objList)[keySelector-1];index=keySelector-1}else{index=vamp._.indexOf(vamp._.keys(this.objList),keySelector);name=keySelector}if(index>-1){return this.objList[name]}},select:function(arrSelector){var arrSelection=[];arrSelector=vamp._.toArray(arrSelector);if(!vamp.isDefined(arrSelector)||arrSelector.length===0){arrSelection=vamp._.toArray(this.objList)}else{vamp._.each(arrSelector,function(el){var plyr=this.get(el);if(vamp.isDefined(plyr)){arrSelection.push(plyr)}},this)}return arrSelection}}})(vamp);
(function(vamp){vamp.debug={LEVEL:{LOG:1,TRACE:2,INFO:3,WARN:4,ERROR:5},blnActive:null,blnPanel:null,level:{active:null,highest:null,lowest:null},stack:null,clear:function(){var fn="clear";this.sendToConsole(fn)},debug:function(level,args){if(args.length===0){return}if(args.length===1){args=args[0]}var arrStack=vamp.isDefined(this.stack)?this.parseStack(this.stack):this.getStack();this.history.add(level,args,arrStack);if(!(vamp.isDefined(this.blnActive)&&this.blnActive)){return}if(!vamp.isDefined(this.level.active)){this.setLevel()}if(level<this.level.active){return}var arrStackInfo=this.getStackInfo(arrStack),levels=vamp._.pairs(this.LEVEL),fn=vamp._.find(levels,function(el){if(level===el[1]){return el}});fn=fn[0].toLowerCase();this.sendToConsole(fn,vamp.NAME+" :",args,arrStackInfo);this.stack=null},error:function(objError){this.debug(this.LEVEL.ERROR,arguments);if(vamp.isEmpty(objError.msg)){return}var action=objError.msg,lbl=window.location.href;if(vamp.isDefined(objError.id)){lbl+=" ["+objError.id+"]"}vamp.ax.ga.trackEvent(action,lbl)},getStack:function(){try{this.undef()}catch(e){var arrStack=this.parseStack(e.stack),stackIndex=4;if(!vamp.isDefined(arrStack)){return}arrStack.splice(0,stackIndex);return arrStack}},getStackInfo:function(arrStack){if(!vamp.isDefined(arrStack)){return}var stack=arrStack[0],stackDefault=["no stack info"],strHttp=vamp.string.checkProtocol("http://",vamp.detect.protocol);index=stack.indexOf(strHttp);if(index<0){return stackDefault}stack=stack.substr(index+strHttp.length);index=stack.indexOf(vamp.NAME+"/",index);if(index>=0){stack=stack.substr(index+vamp.NAME.length+1)}var matchesCount=stack.split(":").length-1;if(matchesCount>1){index=stack.lastIndexOf(":");stack=stack.substr(0,index)}index=stack.lastIndexOf(":");var line=parseInt(stack.substr(index+1),10);stack=stack.substr(0,index);return[stack,line]},groupBegin:function(){this.sendToConsole("groupCollapsed",arguments)},groupEnd:function(){this.sendToConsole("groupEnd")},info:function(){this.debug(this.LEVEL.INFO,arguments)},log:function(){this.debug(this.LEVEL.LOG,arguments)},parseStack:function(stack){if(!vamp.isDefined(stack)){return}var arr=[],arrStack,index,strHttp=vamp.string.checkProtocol("http://",vamp.detect.protocol);index=stack.indexOf(strHttp);stack=stack.substr(index);arrStack=stack.split("\n");for(var i=0;i<arrStack.length;i++){var el=arrStack[i];index=el.indexOf(strHttp);if(index>-1){arr.push(el.substr(index))}}return arr},sendToConsole:function(fn,lbl,args,stackInfo){if(!vamp.isDefined(fn)){return}if(!this.blnPanel&&(vamp.isDefined(console)&&vamp.isDefined("console."+fn,true))){var blnArgs=vamp.isDefined(args)?true:false,blnStackInfo=vamp.isDefined(stackInfo)?true:false;eval("console."+fn+"(lbl "+(blnArgs?", args":"")+(blnStackInfo?", stackInfo":"")+");")}else{eval("this.panel."+fn+"();")}},setActive:function(blnActive){this.blnActive=vamp.toBoolean(blnActive)},setLevel:function(level){if(!vamp.isDefined(this.level.highest)){this.level.highest=vamp._.min(this.LEVEL)}if(!vamp.isDefined(this.level.lowest)){this.level.lowest=vamp._.max(this.LEVEL)}if(vamp.isDefined(level)&&vamp._.isNumber(level)&&!vamp._.isNaN(level)){if(level<this.level.highest){level=this.level.highest}else{if(level>this.level.lowest){level=this.level.lowest}}}else{level=this.level.highest}this.level.active=level},setPanel:function(blnPanel){this.blnPanel=vamp.toBoolean(blnPanel)},trace:function(){this.debug(this.LEVEL.TRACE,arguments)},warn:function(){this.debug(this.LEVEL.WARN,arguments)}}})(vamp);
(function(b){b.debug.history={GET:{ALL:"all",LAST:"last"},STRING:{LINE:b.string.repeat("-",100),STARS:b.string.repeat("*",100)},arrStack:[],add:function(g,j,i){var a=b._.keys(b.debug.LEVEL)[g-1];var h={};h.level=a;h.message=j;if(g>=b.debug.LEVEL.ERROR||g===b.debug.LEVEL.TRACE){h.stack=i}this.arrStack.push(h)},get:function(j,i){if(!b.isDefined(j)){j=false}if(!b.isDefined(i)){i=this.GET.ALL}var h=j?"<pre>":"",g="\n",a;switch(i){case this.GET.LAST:a=b._.last(this.arrStack);break;default:a=this.arrStack}if(!b._.isArray(a)){a=[a]}b._.each(a,function(c){for(var e in c){var d=c[e];h+=this.STRING.LINE+g;h+=e+" : "+this.stringify(d,null)+g}h+=j?"<hr>":b.string.repeat(this.STRING.STARS+g,3)+g+g+g},this);h+=j?"</pre>":"";return h},getLast:function(a){return this.get(a,this.GET.LAST)},stringify:function(p,o){if(!b.isDefined(o)){o=0}if(o>10){return}o++;var m="",r="\n",a="\t";if(b._.isObject(p)&&!b._.isFunction(p)){var n=b._.isArray(p)?true:false,k={left:n?"[":"{",right:n?"]":"}"};m+=k.left;for(var l in p){var q=p[l];m+=r;m+=b.string.repeat(a,o);if(!n){m+=l+" : "}m+=this.stringify(q,o);m+=","}m=m.replace(/,+$/,"");m+=r;m+=b.string.repeat(a,o-1);m+=k.right}else{if(b._.isString(p)){m+='"'+p+'"'}else{m+=p}}return m},reset:function(){this.arrStack=[]}}})(vamp);
(function(b){b.debug.panel={CSS:{CONTAINER:{ALL:{fontSize:"0.9em",width:"100%",zIndex:999999},FIXED:{bottom:0,height:"40%",left:0,position:"fixed",right:0},MINIMIZED:{bottom:0,height:"29px",left:0,position:"fixed",right:0}},CONTENT:{ALL:{backgroundColor:"#FFF"},FIXED:{bottom:0,left:0,overflow:"auto",position:"absolute",right:0,top:"30px"}},HEADER:{backgroundColor:"#DDD",borderBottom:"1px #AAA solid",borderTop:"2px #777 solid",height:"27px",padding:"0px 15px",textAlign:"right"},HEADER_LINK:{borderLeft:"1px #BBB solid",cursor:"pointer",display:"inline-block",padding:"5px 15px"},HR:{backgroundColor:"#DDD",border:0,color:"#DDD",height:"1px"},LOG:{padding:"0 10px"},MAIN:{ALL:{left:0,right:0},BOTTOM:{position:"absolute"}}},ID:{CONTAINER:b.NAME+"_debug_panel",CONTENT:b.NAME+"_debug_panel_content",HEADER_LINK:b.NAME+"_debug_panel_link_"},LABEL:{ACTIVE:"active",CLEAR:"clear",CLOSE:"close",OFF:"OFF",ON:"ON",POSITION:"position",POSITIONS:["BOTTOM","FIXED"],TOGGLE:"toggle"},$container:null,$content:null,$main:null,blnActive:null,lblPosition:"FIXED",lblToggle:"ON",activate:function(a){var d=this.LABEL.ACTIVE;if(this.blnActive){b.$(a).text(d+": "+this.LABEL.OFF)}else{b.$(a).text(d+": "+this.LABEL.ON)}this.blnActive=!this.blnActive},add:function(){var a=b.$("<div/>",{css:this.CSS.LOG});a.append(b.debug.history.getLast(true));b.$(a).find("hr").css(this.CSS.HR);this.$content.append(a)},clear:function(){if(b.isDefined(this.$content)){this.$content.html("")}},close:function(){if(b.isDefined(this.$container)){this.$container.remove()}},debug:function(){if(!this.isAvailContainer()){this.reset()}else{if(!this.blnActive){return}if(!this.isAvailContent()){this.reset()}}this.add()},error:function(){this.debug()},info:function(){this.debug()},init:function(){if(!b.isDefined(this.$container)){var s;var a=b.$("<div/>",{id:this.ID.CONTAINER,css:this.CSS.CONTAINER.ALL});var r=b.$("<div/>",{css:this.CSS.MAIN});a.append(r);var v=b.$("<div/>",{id:this.ID.HEADER,css:this.CSS.HEADER});r.append(v);var t=b.$("<div/>",{id:this.ID.CONTENT,css:this.CSS.CONTENT.ALL});r.append(t);s=this.ID.HEADER_LINK+this.LABEL.ACTIVE;var p=b.$("<a/>",{id:s,css:this.CSS.HEADER_LINK}).text(this.LABEL.ACTIVE+": "+this.LABEL.ON);b.$(document).on("click","#"+s,b.delegate(this,function(c){this.activate(c.target)}));v.append(p);s=this.ID.HEADER_LINK+this.LABEL.TOGGLE;var n=b.$("<a/>",{id:s,css:this.CSS.HEADER_LINK}).text(this.LABEL.TOGGLE+": "+this.LABEL.ON);b.$(document).on("click","#"+s,b.delegate(this,this.toggle));v.append(n);s=this.ID.HEADER_LINK+this.LABEL.POSITION;var o=this.lblPosition;var m=b.$("<a/>",{id:s,css:this.CSS.HEADER_LINK}).text(this.LABEL.POSITION+": "+o);b.$(document).on("click","#"+s,b.delegate(this,this.positionClick));v.append(m);s=this.ID.HEADER_LINK+this.LABEL.CLEAR;var q=b.$("<a/>",{id:s,css:this.CSS.HEADER_LINK}).text(this.LABEL.CLEAR);b.$(document).on("click","#"+s,b.delegate(this,this.clear));v.append(q);s=this.ID.HEADER_LINK+this.LABEL.CLOSE;var u=b.$("<a/>",{id:s,css:this.CSS.HEADER_LINK}).text(this.LABEL.CLOSE);b.$(document).on("click","#"+s,b.delegate(this,this.close));v.append(u);this.$container=a;this.$content=t;this.$main=r;this.blnActive=true}if(b.detect.doc===b.detect.DOCUMENT.READY){this.insert()}else{b.$(document).ready(b.delegate(this,this.insert))}},insert:function(){b.$("body").append(this.$container);this.position(this.lblPosition)},isAvailContainer:function(){var a=b.$("#"+this.ID.CONTAINER).length;return a?true:false},isAvailContent:function(){var a=b.$("#"+this.ID.CONTENT).length;return a?true:false},isVisible:function(){return b.$(this.$content).is(":visible")},log:function(){this.debug()},position:function(a){if(this.lblToggle===this.LABEL.OFF){this.toggle()}this.$container.attr("style","").css(this.CSS.CONTAINER.ALL);cssNew=b.isDefined(this.CSS.CONTAINER[a]);if(cssNew){this.$container.css(cssNew)}this.$content.attr("style","").css(this.CSS.CONTENT.ALL);cssNew=b.isDefined(this.CSS.CONTENT[a]);if(cssNew){this.$content.css(cssNew)}this.$main.attr("style","").css(this.CSS.MAIN.ALL);cssNew=b.isDefined(this.CSS.MAIN[a]);if(cssNew){this.$main.css(cssNew)}},positionClick:function(){if(this.isAvailContainer()&&this.isAvailContent()){var f=this.LABEL.POSITION,a=b._.indexOf(this.LABEL.POSITIONS,this.lblPosition),g,h=b.$("#"+this.ID.HEADER_LINK+f);if(++a>=this.LABEL.POSITIONS.length){a=0}this.lblPosition=this.LABEL.POSITIONS[a];h.text(f+": "+this.lblPosition);this.position(this.lblPosition)}},reset:function(){this.close();this.init()},toggle:function(){if(this.isAvailContent()){var d=this.LABEL.TOGGLE,a=b.$("#"+this.ID.HEADER_LINK+d);if(this.lblToggle===this.LABEL.ON){pos="MINIMIZED";this.$content.hide();a.text(d+": "+this.LABEL.OFF);this.lblToggle=this.LABEL.OFF}else{pos=this.lblPosition;this.$content.show();a.text(d+": "+this.LABEL.ON);this.lblToggle=this.LABEL.ON}this.$container.attr("style","").css(this.CSS.CONTAINER.ALL);cssNew=b.isDefined(this.CSS.CONTAINER[pos]);if(cssNew){this.$container.css(cssNew)}}else{this.reset()}},trace:function(){this.debug()},warn:function(){this.debug()}}})(vamp);
(function(vamp){vamp.detect={BROWSER:{CHROME:"chrome",FIREFOX:"firefox",IE:"ie",SAFARI:"safari"},DEVICE:{DESKTOP:"desktop",MOBILE:"mobile",TABLET:"tablet"},DISPLAY:{NORMAL:"normal",RETINA:"retina"},DOCUMENT:{READY:"ready"},DOMAIN:{CANVAS:"canvas",COBRA:"cobra",DEREDACTIE:"deredactie",EEN:"een",FANSOFFLANDERS:"fansofflanders",KETNET:"ketnet",KLARA:"klara",MNM:"mnm",OP12:"op12",RADIO1:"radio1",RADIO2:"radio2",SPORZA:"sporza",STUBRU:"stubru",VRT:"vrt"},SUBDIRECTORIES:{VRT:{VRTNU:"vrtnu"}},ENV:{DEV:"DEV",PROD:"PROD",STAG:"STAG"},OS:{ANDROID:"android",MAC:"mac",IOS:"ios",WINDOWS_PHONE:"windows phone",WINDOWS:"windows"},browser:null,browser_version:null,device:null,display:null,doc:null,domain:null,env:null,hasFlash:false,hostname:null,pathname:null,isDisplayRetina:false,isDomainThema:false,isDeviceMobile:false,os:null,os_version_major:null,os_version_minor:null,protocol:null,ua:null,checkBrowser:function(){var browserDetected=this.ua.browser.family.toLowerCase();if(vamp.isDefined(this.browser)){browserDetected=this.browser}this.browser=this.BROWSER.CHROME;vamp._.find(this.BROWSER,function(browser){if(eval("(/"+browser+"/gim).test(browserDetected)")===true){this.browser=browser;return true}},this);this.browser_version=parseInt(this.ua.browser.major,10);if(isNaN(this.browser_version)){this.browser_version=-1}},checkDevice:function(){var deviceDetected=this.ua.device.type.toLowerCase();this.device=this.DEVICE.DESKTOP;vamp._.find(this.DEVICE,function(device){if(eval("(/"+device+"/gim).test(deviceDetected)")===true){this.device=device;return true}},this);if(this.device===this.DEVICE.MOBILE||this.device===this.DEVICE.TABLET){this.isDeviceMobile=true}if(this.env===this.ENV.DEV&&this.isDeviceMobile&&!vamp.isDefined(vamp.debug.forcePanel)){vamp.debug.setPanel(true)}},checkDir:function(){var key,url=vamp.URL.ENV[this.getEnv()];for(key in vamp.DIR){vamp.DIR[key]=[url,vamp.URL.BASE,vamp.DIR[key],""].join("/");vamp.DIR[key]=vamp.string.checkProtocol(vamp.DIR[key],vamp.detect.protocol)}},checkDisplay:function(){var pxPerIn=96,win=vamp.isDefined(window),scr=vamp.isDefined(screen),winDppx=win.devicePixelRatio||Math.sqrt(scr.logicalXDPI*scr.logicalYDPI)/pxPerIn||0;this.display=winDppx>1?this.DISPLAY.RETINA:this.DISPLAY.NORMAL;if(this.display===this.DISPLAY.RETINA){this.isDisplayRetina=true}},checkDocument:function(){vamp.$(document).ready(vamp.delegate(this,function(){this.doc=this.DOCUMENT.READY}))},checkDomain:function(){var domain;for(var key in this.DOMAIN){domain=this.DOMAIN[key];if(this.hostname.indexOf(domain)>-1){this.domain=domain;if(this.SUBDIRECTORIES[key]&&this.pathname){for(var subdirectory in this.SUBDIRECTORIES[key]){if(this.pathname.indexOf(this.SUBDIRECTORIES[key][subdirectory])>-1){this.domain=subdirectory;break}}}break}}switch(this.domain){case this.DOMAIN.COBRA:case this.DOMAIN.DEREDACTIE:case this.DOMAIN.SPORZA:this.isDomainThema=true}},checkEnv:function(){this.env=this.getEnv();if(this.env===this.ENV.DEV){if(!vamp.isDefined(vamp.debug.blnActive)){vamp.debug.setActive(true)}}},checkFlash:function(){this.hasFlash=vamp.toBoolean(FlashDetect.installed)},checkHostname:function(){if(!vamp.isDefined(this.hostname)){this.hostname=window.location.hostname}},checkPathname:function(){if(!vamp.isDefined(this.pathname)){var regex=/^\/?([^\/]*)/g;var result=regex.exec(window.location.pathname);this.pathname=(result&&result[1])?result[1]:null}},checkOs:function(){var osDetected=this.ua.os.family.toLowerCase();if(vamp.isDefined(this.os)){osDetected=this.os}this.os=this.isDeviceMobile?this.OS.IOS:this.OS.MAC;vamp._.find(this.OS,function(os){if(eval("(/"+os+"/gim).test(osDetected)")===true){this.os=os;return true}},this);if(vamp._.indexOf([this.OS.ANDROID,this.OS.IOS,this.OS.WINDOWS_PHONE],this.os)>-1){this.device=this.DEVICE.MOBILE;this.isDeviceMobile=true}this.os_version_major=this.ua.os.major;this.os_version_minor=this.ua.os.minor},checkProtocol:function(){var protocol=window.location.protocol;protocol=protocol.replace(":","");if(protocol==="file"){protocol="http"}this.protocol=protocol},getEnv:function(){var puppet=["PUPPET","SERVICES","LINK"].join("_");switch(vamp.URL.CURRENT){case puppet:case vamp.URL.ENV.DEV:return this.ENV.DEV;case vamp.URL.ENV.STAG:return this.ENV.STAG;default:return this.ENV.PROD}},init:function(){this.ua=detect.parse(navigator.userAgent);this.url.checkParams();this.checkEnv();this.checkHostname();this.checkPathname();this.checkDomain();this.checkDevice();this.checkOs();this.checkBrowser();this.checkProtocol();this.checkDisplay();this.checkDocument();this.checkDir();this.checkFlash()},spoofBrowser:function(browser){this.browser=browser},spoofOs:function(os){this.os=os},spoofUrl:function(url){var match=url.match(/^(https?\:)\/\/(([^:\/?#]*)(?:\:([0-9]+))?)([\/]{0,1}[^?#]*)(\?[^#]*|)(#.*|)$/);this.hostname=match?match[3]:url;this.pathname=match?match[5]:url}}})(vamp);
(function(b){b.detect.url={PARAM:{BROWSER:"browser",DEBUG:"debug",DEBUG_PANEL:"panel",OS:"os",URL:"url"},params:{},decode:function(a){return decodeURIComponent(a.replace(/\+/g," "))},checkParams:function(){if(!b._.isEmpty(this.params)){return}var j=(window.location.href).split("?")[1],k=/([^&=]+)=?([^&]*)/g,e={},i;if(!b.isDefined(j)){return}while(b.isDefined(i=k.exec(j))){var l=this.decode(i[1]);var a=this.decode(i[2]);if(e[l]!==undefined){if(!b._.isArray(e[l])){e[l]=[e[l]]}e[l].push(a)}else{e[l]=a}}this.params=e;this.parseParams()},parseParams:function(){var k=this.params[this.PARAM.OS];if(b.isDefined(k)){b.detect.spoofOs(k)}var i=this.params[this.PARAM.BROWSER];if(b.isDefined(i)){b.detect.spoofBrowser(i)}var n=this.params[this.PARAM.URL];if(b.isDefined(n)){b.detect.spoofUrl(n)}var l=this.params[this.PARAM.DEBUG_PANEL];if(b.isDefined(l)){b.debug.setActive(l);b.debug.setPanel(l)}var j=this.params[this.PARAM.DEBUG];if(b.isDefined(j)){b.debug.setActive(j)}var a=parseInt(l,10);if(b.isDefined(a)){b.debug.setLevel(a)}var m=parseInt(j,10);if(b.isDefined(m)){b.debug.setLevel(m)}}}})(vamp);
(function(vamp){vamp.event={off:function(scope,evt){if(!vamp.isDefined(scope.objListener)){return}if(!vamp.isDefined(scope.objListener[evt])){return}scope.objListener[evt]=[]},on:function(scope,evt,cb){if(!vamp.isDefined(scope.objListener)){return}if(!vamp.isDefined(scope.objListener[evt])){return}if(vamp._.indexOf(scope.objListener[evt],cb)>-1){return}scope.objListener[evt].push(cb)},register:function(scope,evt){if(!vamp.isDefined(scope.objListener)){scope.objListener={}}if(!vamp.isDefined(scope.objListener[evt])){scope.objListener[evt]=[]}var fn=vamp.delegate(scope,function(e){vamp.event.trigger(scope,evt,e)});if(vamp.isDefined(scope.addListener)){scope.addListener(evt,fn)}},trigger:function(scope,evt,e,blnListener){if(!vamp.isDefined(scope)){return}if(!vamp.isDefined(blnListener)){blnListener=true}var cb=eval("scope.on"+vamp.string.toTitleCase(evt));if(vamp.isDefined(cb)&&blnListener){vamp.delegate(scope,cb)(e)}vamp._.each(scope.objListener[evt],function(cb){try{if(vamp.isDefined(scope.objPlaylist)&&vamp.isDefined(scope.objPlaylist.name)){cb.apply(scope,[scope.objPlaylist.name,evt,e])}else{cb.apply(scope,e)}}catch(err){vamp.debug.stack=err.stack;vamp.warn(err.message)}})}}})(vamp);
(function(vamp){vamp.player={BRAND:{ID:{13:"een",14:"sporza",16:"ketnet",17:"canvas",27:"vrt_nieuws",28:"op12",30:"cobra",31:"mnm",32:"stubru",33:"radio1",34:"radio2",35:"klara"},NAME:{CANVAS:"canvas",COBRA:"cobra",DEFAULT:"_default",DEREDACTIE:"deredactie",DE_REDACTIE_MOBILE:"de_redactie_mobile",EEN:"een",KETNET:"ketnet",KLARA:"klara",MNM:"mnm",OP12:"op12",RADIO1:"radio1",RADIO2:"radio2",SPORZA:"sporza",SPORZA_LIVE_MOBILE:"sporza_live_mobile",SPORZA_MOBILE:"sporza_mobile",STUBRU:"stubru",VK14:"vk14",VRT:"vrt",VRT_NIEUWS:"vrt_nieuws",VRTVIDEO:"vrtvideo"}},ERROR:{CONFIG:"Deze video is niet langer beschikbaar.<br>Onze excuses voor het ongemak.",GENERAL:"Deze video is niet langer beschikbaar.<br>Onze excuses voor het ongemak.",GEO:"Omwille van beperkte uitzendrechten is deze video alleen te bekijken binnen Belgi\xEB en met Flash.<br><br>We werken aan een oplossing om deze in de toekomst ook zonder Flash af te spelen.",FLASH:"Deze video is alleen te bekijken met Flash. Onze excuses voor het ongemak.",LIVE_NO_FLASH:"Deze livestream is alleen te bekijken met Flash.<br><br>We werken aan een oplossing om livestreams in de toekomst ook zonder Flash af te spelen.",SETUP:"Er gaat iets fout met het opzetten van de video.<br>Probeer het later opnieuw.",STREAM:"Beste bezoeker, de uitzending is ten einde.<br>We nodigen u van harte uit om ook de volgende uitzending via de livestream te bekijken.",UNAVAIL:"Helaas is deze video voor jouw toestel nog niet beschikbaar.<br>Onze excuses voor het ongemak."},LISTBAR:{BOTTOM:"bottom",LEFT:"left",RIGHT:"right",TOP:"top"},TYPE:{JW:{CLASS:"jw",NAME:"JW player"},LINK:{CLASS:"link",NAME:"native player"}},blnCssLoaded:false,create:function(obj){if(!vamp.isDefined(obj)){return}new vamp.Class.playlist(obj)},donePlaylist:function(objPlaylist){var cls=this.select(objPlaylist);var plyr=new (cls)(objPlaylist)},select:function(objPlaylist){var cls="vamp.Class.player";if(vamp.isDefined(objPlaylist.player)){cls+="."+objPlaylist.player}return eval(cls)}}})(vamp);
(function(vamp){vamp.player.source={DEFAULT:{INSTANCE:"_definst_",MANIFEST:"manifest.f4m",PLAYLIST:"playlist.m3u8"},EXT:{FLV:["flv"],MP3:["mp3"],MP4:["mp4","m4v","mov","f4v","m4a","f4a","aac"]},PROTOCOL:{HDS:"hds",HLS:"hls",PDL:"pdl",RTMP:"rtmp",RTSP:"rtsp",YOUTUBE:"youtube"},SOURCE:{LIVE:"live",YOUTUBE:"youtube",HLS:"hls",RTMP:"rtmp"},TYPE:{GEO:"geo",LIVE:"live",LIVE_GEO:"live_geo",LIVE_ID:"live_id",LIVE_SMIL:"live_smil",VOD:"vod",YOUTUBE:"youtube"},TYPE_CLIP:{CLIP:"clip",PROMOTIONAL:"promotional",TRAILER:"trailer"},arrJsonLive:null,arrJsonSecurity:null,getExtensionType:function(source){var ext=vamp.string.extractExtension(source),type;for(var key in this.EXT){if(vamp._.indexOf(this.EXT[key],ext)>-1){type=key.toLowerCase();break}}return type},getPlayer:function(protocol,blnForceNativePlayer,type){if(!vamp.isDefined(blnForceNativePlayer)){blnForceNativePlayer=false}var player;if(vamp.detect.os===vamp.detect.OS.ANDROID&&protocol===this.PROTOCOL.RTSP){player=vamp.player.TYPE.LINK.CLASS}if(vamp.detect.os===vamp.detect.OS.ANDROID&&protocol===this.PROTOCOL.HLS){switch(type){case this.TYPE.GEO:player=vamp.player.TYPE.JW.CLASS;break;case this.TYPE.VOD:player=vamp.player.TYPE.JW.CLASS;break;default:player=vamp.player.TYPE.LINK.CLASS}}if(vamp.detect.isDeviceMobile&&blnForceNativePlayer){player=vamp.player.TYPE.LINK.CLASS}if(!vamp.isDefined(player)){player=vamp.player.TYPE.JW.CLASS}return player},getProtocol:function(source,type,protocol,objConfig){if(type===this.TYPE.YOUTUBE){return this.PROTOCOL.YOUTUBE}if(vamp.detect.device===vamp.detect.DEVICE.DESKTOP){if(vamp.detect.hasFlash){return this.getProtocolDesktopFlash(source,type,protocol)}else{return this.getProtocolDesktopNoFlash(source,type,protocol,objConfig)}}else{return this.getProtocolMobile(type,objConfig)}},getProtocolDesktopFlash:function(source,type,protocol){if(this.isTypeLive(type)||protocol===this.SOURCE.RTMP){return this.PROTOCOL.HLS}var arrBrowser=[vamp.detect.BROWSER.FIREFOX,vamp.detect.BROWSER.SAFARI];if(vamp.detect.os===vamp.detect.OS.MAC&&vamp._.indexOf(arrBrowser,vamp.detect.browser)>-1){return this.PROTOCOL.HLS}return this.PROTOCOL.HLS},getProtocolDesktopNoFlash:function(source,type,protocol,objConfig){if(protocol===this.SOURCE.HLS&&vamp.detect.os===vamp.detect.OS.MAC&&vamp.detect.browser===vamp.detect.BROWSER.SAFARI&&vamp.detect.browser_version>=6){return this.PROTOCOL.HLS}if(this.isTypeLive(type)){return this.PROTOCOL.HLS}if(type===this.TYPE.GEO){return this.PROTOCOL.HLS}var extension=this.getExtensionType(source);if(extension==="flv"){return vamp.player.ERROR.FLASH}return this.getProtocolPDL(objConfig)},getProtocolMobile:function(type,objConfig){switch(vamp.detect.os){case vamp.detect.OS.IOS:return this.PROTOCOL.HLS;case vamp.detect.OS.ANDROID:switch(type){case this.TYPE.GEO:return this.PROTOCOL.RTSP;case this.TYPE.LIVE:case this.TYPE.LIVE_GEO:case this.TYPE.LIVE_ID:case this.TYPE.LIVE_SMIL:if(vamp.detect.os_version_major>4){return this.PROTOCOL.HLS}else{if((vamp.detect.os_version_major===4)&&(vamp.detect.os_version_minor>=1)){return this.PROTOCOL.HLS}else{return this.PROTOCOL.RTSP}}case this.TYPE.VOD:return this.getProtocolPDL(objConfig)}break;case vamp.detect.OS.WINDOWS_PHONE:switch(type){case this.TYPE.VOD:return this.getProtocolPDL(objConfig)}break}},getProtocolPDL:function(objConfig){var protocol;if(vamp.isDefined(objConfig.guid)){var typeClip=vamp.isDefined(objConfig.analytics)&&vamp.isDefined(objConfig.analytics.type_clip)?objConfig.analytics.type_clip:null;typeClip=typeClip.toLowerCase();switch(typeClip){case this.TYPE_CLIP.CLIP:case this.TYPE_CLIP.PROMOTIONAL:case this.TYPE_CLIP.TRAILER:protocol=this.PROTOCOL.PDL;break}}else{protocol=this.PROTOCOL.PDL}return protocol},getType:function(source,protocol){var found,search;switch(protocol){case this.SOURCE.LIVE:return this.TYPE.LIVE_ID;case this.SOURCE.YOUTUBE:return this.TYPE.YOUTUBE;default:search=new RegExp(".youtube.|youtu.be/");found=search.test(source);if(found){return this.TYPE.YOUTUBE}search="live.stream|-i.akamaihd.net|-live.hls.adaptive.level3.net";found=eval("(/"+search+"/gim).test(source)");if(found){return this.getTypeLive(source)}search="_geo|mp_vod_be";found=eval("(/"+search+"/gim).test(source)");if(found){return this.TYPE.GEO}return this.TYPE.VOD}},getTypeLive:function(source){var found,search;search="smil:";found=eval("(/"+search+"/gim).test(source)");if(found){return this.TYPE.LIVE_SMIL}search="i.akamaihd.net|-live.hls.adaptive.level3.net";found=eval("(/"+search+"/gim).test(source)");if(found){return this.TYPE.LIVE_GEO}return this.TYPE.LIVE},isTypeLive:function(type){switch(type){case this.TYPE.LIVE:case this.TYPE.LIVE_GEO:case this.TYPE.LIVE_ID:case this.TYPE.LIVE_SMIL:return true;default:return false}},join:function(source){if(vamp._.isObject(source)){var str="",suffix="/";vamp._.each(source,function(el){if(vamp.string.beginsWith(el,suffix)){el=el.substring(1)}if(!vamp.string.endsWith(el,suffix)){el+=suffix}str+=el});source=str;if(vamp.string.endsWith(source,suffix)){source=source.substring(0,source.length-1)}}return source},parse:function(source,type,protocolSrc,protocolDest,objConfig){switch(protocolSrc){case this.SOURCE.LIVE:return source;case this.SOURCE.YOUTUBE:return this.parseYoutube(source);case this.SOURCE.HLS:switch(protocolDest){case this.PROTOCOL.YOUTUBE:return this.parseYoutube(source);case this.PROTOCOL.HDS:return this.parseHDS(source);case this.PROTOCOL.HLS:return this.parseHLS(source);case this.PROTOCOL.PDL:return this.parseHLS_PDL(source,objConfig);case this.PROTOCOL.RTSP:switch(type){case this.TYPE.GEO:case this.TYPE.LIVE:case this.TYPE.LIVE_GEO:case this.TYPE.LIVE_SMIL:case this.TYPE.VOD:return this.parseHLS_RTSP(source)}}break;case this.SOURCE.RTMP:switch(type){case this.TYPE.GEO:case this.TYPE.VOD:source=this.parseRTMP(source,objConfig)}source=this.join(source);switch(protocolDest){case this.PROTOCOL.HDS:case this.PROTOCOL.HLS:case this.PROTOCOL.RTMP:if(vamp.detect.device===vamp.detect.DEVICE.DESKTOP){return source}break;case this.PROTOCOL.PDL:return this.parseHLS_PDL(source,objConfig);case this.PROTOCOL.RTSP:switch(type){case this.TYPE.LIVE:return this.parseRTMP_RTSP(source,type)}}break}},parseHDS:function(source){var search,found,suffix;search="/playlist.m3u8";source=source.replace(search,"");search="manifest.f4m";found=eval("(/"+search+"/gim).test(source)");if(!found){suffix="/";if(!vamp.string.endsWith(source,suffix)){source+=suffix}source+=search}return source},parseHLS:function(source){var search,found,suffix;search="/manifest.f4m";source=source.replace(search,"");search="playlist.m3u8|master.m3u8|index.m3u8";found=eval("(/"+search+"/gim).test(source)");if(!found){suffix="/";if(!vamp.string.endsWith(source,suffix)){source+=suffix}source+="playlist.m3u8"}return source},parseHLS_PDL:function(source,objConfig){var search,pdl;source=source.replace("/manifest.f4m","");source=source.replace("/playlist.m3u8","");source=source.replace("/mp4:","/");search="iphone.streampower.be";pdl="download.streampower.be";if(source.indexOf(search)>-1){source=source.replace(search,pdl);source=source.replace("/_definst_","");source=source.replace(pdl,pdl+"/vrt/vrt_mobile");source=source.replace("/vrt/vrt_mobile/ketnet2011_ngeo","/vrt/vrt_ketnet2011_ngeo/streams/_definst_");source=source.replace("/vrt/vrt_mobile/radio2","/vrt_odvideo/radio/radio2/streams/_definst_")}search="vod.stream.vrt.be";pdl="download.stream.vrt.be";if(source.indexOf(search)>-1){source=source.replace(search,pdl);source=source.replace("/_definst_","");source=source.replace("smil:","");source=source.replace("/PC.smil","");if(vamp.isDefined(objConfig.guid)){var arrPath=source.split("/");source+="/"+vamp._.last(arrPath)+".mp4"}if(vamp.detect.os===vamp.detect.OS.WINDOWS_PHONE){source=source.replace(".m4v",".mp4")}}return source},parseHLS_RTSP:function(source){source=vamp.string.checkProtocol(source,vamp.detect.protocol);source=source.replace(vamp.detect.protocol+"://","rtsp://");source=source.replace("/playlist.m3u8","");source=source.replace("smil:","mp4:");source=source.replace("/PC.smil","");if(!vamp.isDefined(this.getExtensionType(source))){var arrPath=source.split("/");source+="/"+vamp._.last(arrPath)+".mp4"}return source},parseRTMP:function(source,objConfig){if(!vamp.isDefined(source.file)){return}var prefix=this.getExtensionType(source.file);if(!vamp.isDefined(prefix)){vamp.error({id:objConfig.id,msg:"Onbekende extensie van RTMP source!",url:this.join(source)})}else{source.file=prefix+":"+source.file;return this.join(source)}},parseRTMP_RTSP:function(source,type){source=source.replace("rtmp://","rtsp://");switch(type){case this.TYPE.LIVE:source=source.replace("web_","android_");break}return source},parseYoutube:function(source){var search;search="/embed/";source=source.replace(search,"/v/");source=vamp.string.checkProtocol(source,vamp.detect.protocol);return source}}})(vamp);
(function(b){b.Class.playlist=b.Class.extend({LISTBAR:{POSITION:[b.player.LISTBAR.RIGHT,b.player.LISTBAR.BOTTOM,b.player.LISTBAR.LEFT,b.player.LISTBAR.TOP],SIZE:180},arrConfig:[],arrConfigToCheck:[],arrConfigToParse:[],arrError:[],blnGeo:false,blnSyndicated:false,domain:null,error:null,objConfig:null,player:null,sourceCount:0,ads:null,aspectratio:null,autostart:false,brand:null,category:null,controls:true,fullscreen:true,height:360,id:null,keywords:null,listbar:null,name:null,nativePlayer:false,related:null,skin:null,syndication:null,width:640,constructor:function(a){this.arrConfig=[];this.arrConfigToCheck=[];this.arrConfigToParse=[];this.arrError=[];this.objConfig=null;this.setConfig(a);this.setId(a.id);this.setDomain(b.detect.domain);this.setHeight(a.height);this.setWidth(a.width);if(!this.validate()){this.done();return}this.setName(a.name);this.setAds(a.ads);this.setAspectratio(a.aspectratio);this.setAutostart(a.autostart);this.setBrand(a.brand);this.setCategory(a.category);this.setControls(a.controls);this.setFullscreen(a.fullscreen);this.setListbar(a.listbar);this.setNativePlayer(a.nativePlayer);this.setRelated(a.related);this.setSkin(a.skin);this.setSyndication(a.synd);this.defineConfigsToCheck();this.checkConfigNext()},addConfig:function(a){if(!b.isDefined(a)||a.hasErrors()){return}this.sourceCount+=a.arrSource.length;if(a.arrSource.length>0&&!b.isDefined(a.player)){return}if(!b.isDefined(this.player)){this.player=a.player}else{if(this.player!==a.player){return}}if(a.blnGeo===true){this.blnGeo=true}if(b.isDefined(a.brand)){this.setBrand(a.brand.id);this.setBrand(a.brand.name)}this.arrConfig.push(a)},addConfigToParse:function(a){if(!b.isDefined(a)){return}this.arrConfigToParse.push(a)},addError:function(a){if(b.isEmpty(a)||!b._.isPlainObject(a)){return}a.id=this.id;a.config=this.objConfig;this.arrError.push(a)},checkConfigNext:function(){var a=this.arrConfigToCheck.shift();if(!b.isDefined(a)){this.parseConfigNext();return}if(b.isDefined(a.mzid)){new b.Class.playlist.mzid(this,a)}else{if(b.isDefined(a.guid)){new b.Class.playlist.guid(this,a)}else{this.addConfigToParse(a);this.checkConfigNext()}}},checkErrors:function(){b._.each(this.arrError,function(a){b.error(a)})},checkSyndicated:function(){var a=b.detect.DOMAIN[this.syndication.toUpperCase()];this.blnSyndicated=b.isDefined(a)===false?true:false;if(!this.blnSyndicated){this.domain=a}if(a===b.detect.DOMAIN.VRT){this.setAds(0)}},defineConfigsToCheck:function(){if(b.isDefined(this.objConfig.playlist)){this.arrConfigToCheck=b._.clone(this.objConfig.playlist)}else{this.arrConfigToCheck=[this.objConfig]}},done:function(){this.checkErrors();b.player.donePlaylist(this)},doneCheckConfig:function(e){if(b.isDefined(e)){for(var f in e){var a=e[f];this.addConfigToParse(a)}}this.checkConfigNext()},doneParseConfig:function(a){this.addConfig(a);this.parseConfigNext()},getBrand:function(){var a;if(b.isDefined(this.brand)){this.brand=this.brand.toUpperCase();if(b.isDefined(b.player.BRAND.NAME[this.brand])){a=b.player.BRAND.NAME[this.brand]}if(b.isDefined(b.player.BRAND.ID[this.brand])){a=b.player.BRAND.ID[this.brand]}}if(b.isDefined(a)){a=a.toUpperCase()}a=b.isDefined(b.player.BRAND.NAME[a])?b.player.BRAND.NAME[a]:this.blnSyndicated?b.player.BRAND.NAME.VRT_NIEUWS:b.player.BRAND.NAME.DEFAULT;return a},hasConfigs:function(){if(b.isDefined(this.arrConfig)&&this.arrConfig.length>0){return true}return false},hasErrors:function(){if(b.isDefined(this.arrError)&&this.arrError.length>0){return true}return false},hasSources:function(){return(this.sourceCount>0?true:false)},parseConfigNext:function(){var a=this.arrConfigToParse.shift();if(!b.isDefined(a)){this.done();return}new b.Class.playlist.config(this,a)},setAds:function(a){if(!b.isDefined(a)){return}this.ads=a},setAspectratio:function(a){if(b.isEmpty(a)){return}this.aspectratio=a},setAutostart:function(a){if(!b.isDefined(a)){return}this.autostart=a},setBrand:function(a){if(b.isDefined(this.brand)){return}if(!b.isDefined(a)){return}this.brand=a},setCategory:function(a){if(b.isEmpty(a)){return}this.category=a},setConfig:function(a){if(!b.isDefined(a)){return}this.objConfig=a},setControls:function(a){if(!b.isDefined(a)){return}this.controls=b.toBoolean(a)},setDomain:function(a){if(b.isEmpty(a)){return}this.domain=a},setFullscreen:function(a){if(!b.isDefined(a)){return}this.fullscreen=b.toBoolean(a)},setHeight:function(a){if(!b.isDefined(a)){return}a+="";var d=a.indexOf("%")>-1?true:false;a=parseInt(a,10);if(isNaN(a)){return}this.height=a+(d?"%":"")},setId:function(a){if(!b.isDefined(a)){return}this.id=a},setKeywords:function(a){if(!b.isDefined(a)||b.isDefined(this.keywords)){return}this.keywords=a},setListbar:function(h){if(!b.isDefined(h)){return}var f="Listbar not configured correctly: ",g={},a;if(b.isDefined(h.position)){a=h.position.toLowerCase()}if(b._.indexOf(this.LISTBAR.POSITION,a)===-1){g.position=this.LISTBAR.POSITION[0];if(b.isDefined(h.position)){b.warn(f+"property 'position' contains invalid value '"+h.position+"'! Default value is chosen instead: '"+g.position+"'")}}else{g.position=a}g.size=parseInt(h.size,10);if(!b.$.isNumeric(h.size)||h.size===0){g.size=this.LISTBAR.SIZE;if(b.isDefined(h.size)){b.warn(f+"property 'size' contains invalid value '"+h.size+"'! Default value is chosen instead: '"+g.size+"'")}}this.listbar=g},setName:function(a){if(!b.isDefined(a)){a=this.id}this.name=a},setNativePlayer:function(a){if(!b.isDefined(a)){return}this.nativePlayer=b.toBoolean(a)},setRelated:function(a){if(!b.isDefined(a)){return}this.related=a},setSkin:function(a){if(!b.isDefined(a)){return}this.skin=a},setSyndication:function(a){if(!b.isDefined(a)){return}a+="";this.syndication=a.toLowerCase();this.checkSyndicated()},setWidth:function(d){if(!b.isDefined(d)){return}d+="";var a=d.indexOf("%")>-1?true:false;d=parseInt(d,10);if(isNaN(d)){return}this.width=d+(a?"%":"")},validate:function(){if(!b.isDefined(this.objConfig.id)){this.addError({msg:"Property 'id' is not defined in config"})}else{if(b.$("#"+this.objConfig.id).length===0){this.addError({msg:"HTML element with this id not found (Property 'id' in config)"})}}if(this.hasErrors()){return false}return true}})})(vamp);
(function(b){b.Class.playlist.config=b.Class.extend({JSON_SECURE:{CALLBACK:"parseSecureJson",TIMEOUT:15000,URL:"secure.json"},arrError:[],arrSource:[],blnGeo:false,currSourceProtocol:null,indexSecurity:-1,indexSubtitles:-1,objConfig:null,objPlaylist:null,player:null,sourceIndex:0,ax:null,brand:null,description:null,duration:null,image:null,subs:{},title:null,constructor:function(d,a){this.arrError=[];this.arrSource=[];this.subs={};this.setPlaylist(d);this.setConfig(a);if(!this.validate()){this.done();return}this.setAnalytics(a.analytics);this.setBrand(a.brand);this.setDescription(a.description);this.setDuration(a.duration);this.setImage(a.image);this.setSubtitles(a.subtitles);this.setTitle(a.title);this.setSourceNext()},addError:function(a){this.arrError.push(a)},addSource:function(d){if(!b.isDefined(d)||d.hasErrors()){return}if(!b.isDefined(d.file)){return}if(!b.isDefined(d.player)){return}for(var a=0;a<this.arrSource.length;a++){if(this.arrSource[a].file===d.file){return}}if(!b.isDefined(this.player)){this.player=d.player}else{if(this.player!==d.player){return}}if(d.type===b.player.source.TYPE.GEO||d.type===b.player.source.TYPE.LIVE_GEO){this.blnGeo=true}this.arrSource.push(d)},checkErrors:function(){b._.each(this.arrError,function(a){this.objPlaylist.addError(a)},this)},checkSecurityNext:function(){this.indexSecurity++;var a=this.arrSource[this.indexSecurity];if(!b.isDefined(a)){this.doneSecure();return}a.defineFileParts();if(b._.indexOf(b.player.source.arrJsonSecurity,a.objFile.application)>-1){a.blnSecure=true;if(b.player.source.isTypeLive(a.type)){a.fetchSecurityLive()}else{a.fetchSecurityKey()}}else{this.checkSecurityNext();return}},checkSubtitleNext:function(){if(b._.keys(this.subs).length>0){this.doneSubtitles();return}this.indexSubtitles++;var a=this.arrSource[this.indexSubtitles];if(!b.isDefined(a)){this.doneSubtitles();return}a.fetchSubtitles()},done:function(){this.checkSubtitleNext()},doneSecure:function(){this.checkErrors();this.objPlaylist.doneParseConfig(this)},doneSource:function(a){this.addSource(a);this.setSourceNext()},doneSubtitles:function(){this.fetchSecurityJson()},fetchSecurityJson:function(){if(b.isDefined(b.player.source.arrJsonSecurity)){this.checkSecurityNext();return}var a=b.DIR.ASSET+this.JSON_SECURE.URL;b.$.jsonp({url:a,callback:this.JSON_SECURE.CALLBACK,timeout:this.JSON_SECURE.TIMEOUT,success:b.delegate(this,function(d){b.player.source.arrJsonSecurity=d;this.checkSecurityNext()}),error:b.delegate(this,function(e,j,i){var h="Error fetching 'security JSON'! ("+a+")";if(!b.isEmpty(j)){h+=" Status: "+j}if(b.isDefined("e.message",true)){h+=" Error: "+i.message}this.addError({msg:h,url:a});this.doneSecure()})})},hasErrors:function(){if(b.isDefined(this.arrError)&&this.arrError.length>0){return true}return false},hasSources:function(){return(this.arrSource.length>0?true:false)},setAnalytics:function(a){if(!b.isDefined(a)){return}this.ax=a},setBrand:function(a){if(!b.isDefined(a)){return}this.brand=a},setConfig:function(a){if(!b.isDefined(a)){return}this.objConfig=a},setDescription:function(a){if(!b.isDefined(a)){return}this.description=a},setDuration:function(a){if(!b.isDefined(a)){return}a=parseInt(a,10);if(isNaN(a)){return}this.duration=a},setImage:function(a){if(!b.isDefined(a)){return}a=b.string.checkProtocol(a,b.detect.protocol);this.image=a},setPlaylist:function(a){if(!b.isDefined(a)){return}this.objPlaylist=a},setSourceNext:function(){var a=b._.keys(b.player.source.SOURCE)[this.sourceIndex++];if(!b.isDefined(a)){this.done();return}this.currSourceProtocol=b.player.source.SOURCE[a];var d=this.objConfig.source[this.currSourceProtocol];if(b.isEmpty(d)){this.setSourceNext();return}new b.Class.playlist.source(this,d,this.currSourceProtocol)},setSubtitles:function(f){if(!b.isDefined(f)){return}var e;for(var a in f){e=f[a];if(!b.isEmpty(b.string.LANG[a])){a=b.string.LANG[a]}this.subs[a]=e}},setTitle:function(a){if(!b.isDefined(a)){return}this.title=a},validate:function(){if(b.isEmpty(this.objConfig.source)){this.addError({msg:"Property 'source' is not defined in config"})}else{if(b.isEmpty(this.objConfig.source.hls)&&b.isEmpty(this.objConfig.source.rtmp)&&b.isEmpty(this.objConfig.source.youtube)&&b.isEmpty(this.objConfig.source.live)){this.addError({msg:"Property 'source' has no valid sources"})}}if(this.hasErrors()){return false}return true}})})(vamp);
(function(b){b.Class.playlist.guid=b.Class.extend({JSON:{CALLBACK:"videoDetail",COLLECTION_ID:"collection_",COLLECTION_URL:"//mp.vrt.be/api/playlist/%%%%.json",TEST_ID:"test_",TEST_URL:"/guid/%%%%.json",TIMEOUT:10000,URL:"//mp.vrt.be/api/playlist/details/%%%%.json"},KEY:{BRAND:{ID:"categoryBrandId",NAME:"categoryBrand"},DATE:"broadcast_date_start",DATE_TIME:"broadcast_time_start",DURATION:"duration",DESCRIPTION:"description",EPISODE:"episode_name",IMAGE:"media_thumbnails",IMAGE_URL:"url",KEYWORDS:"keywords",PROGRAM:"title",SOURCE:["iphone_url","ipad_url","media_content_url"],TITLE:"title",TYPECLIP:"vod_object_type",WHATSON:"whatsonProductId"},arrConfig:[],arrError:[],objConfig:null,objJsonItem:null,objJsonConfig:null,objPlaylist:null,constructor:function(d,a){this.arrConfig=[];this.arrError=[];this.setPlaylist(d);this.setConfig(a);this.fetch()},addConfig:function(a){if(!b.isDefined(a)){return}this.arrConfig.push(a)},addError:function(a){this.arrError.push(a)},checkErrors:function(){b._.each(this.arrError,function(a){this.objPlaylist.addError(a)},this)},defineFetchUrl:function(){var f=this.JSON.URL;this.objConfig.guid+="";if(this.objConfig.guid.indexOf(this.JSON.TEST_ID)>-1){var a=this.objConfig.guid.split("_");this.objConfig.guid=a[1];var e=window.location.href;f=e.substring(0,e.lastIndexOf("/"))+this.JSON.TEST_URL}else{if(this.objConfig.guid.indexOf(this.JSON.COLLECTION_ID)>-1){f=this.JSON.COLLECTION_URL}}f=b.string.checkProtocol(f,b.detect.protocol);f=f.replace("%%%%",this.objConfig.guid);return f},done:function(){this.checkErrors();this.objPlaylist.doneCheckConfig(this.arrConfig)},fetch:function(){if(!b.isDefined(this.objConfig.guid)){return}var a=this.defineFetchUrl();b.$.jsonp({url:a,callback:this.JSON.CALLBACK,timeout:this.JSON.TIMEOUT,success:b.delegate(this,function(d){this.parseJson(d);this.done();return}),error:b.delegate(this,function(e,j,i){var h="Error fetching 'guid JSON'! ("+a+")";if(!b.isEmpty(j)){h+=" Status: "+j}if(b.isDefined("e.message",true)){h+=" Error: "+i.message}this.addError({msg:h,url:a});this.parseJsonItem();this.done();return})})},parseJson:function(e){if(!b.isDefined(e.channel)){this.addError({msg:"Parse error in 'guid JSON': key 'channel' not found",json:e});return}if(!b.isDefined(e.channel.items)){this.addError({msg:"Parse error in 'guid JSON': key 'channel.items' not found",json:e});return}if(e.channel.items.length===0){this.addError({msg:"Parse error in 'guid JSON': 'channel.items' is empty",json:e});return}for(var a in e.channel.items){var f=e.channel.items[a];if(!b.isDefined(f.item)){this.addError({msg:"Parse error in 'guid JSON': key 'item' not found",json:e,item:f});continue}this.parseJsonItem(f.item)}},parseJsonAxDate:function(){var o=this.objJsonItem[this.KEY.DATE];if(b.isEmpty(o)){return}o=o.split("/");if(o.length!==3){return}var m=o[0],k=o[1]-1,p=o[2],a=0,n=0,j=0;var l=this.objJsonItem[this.KEY.DATE_TIME];if(b.isDefined(l)&&l!==""){l=l.split(":");if(l.length>0){a=l[0]}if(l.length>1){n=l[1]}if(l.length>2){j=l[2]}}o=new Date(m,k,p,a,n,j);if(!b.date.isValid(o)){return}this.setConfigAx(o,"date")},parseJsonAxEpisode:function(){var a=this.objJsonItem[this.KEY.EPISODE];if(b.isEmpty(a)){return}this.setConfigAx(a,"episode")},parseJsonAxProgram:function(){var a=this.objJsonItem[this.KEY.PROGRAM];if(b.isEmpty(a)){return}this.setConfigAx(a,"program")},parseJsonAxTypeClip:function(){var a=this.objJsonItem[this.KEY.TYPECLIP];if(b.isEmpty(a)){return}this.setConfigAx(a,"type_clip")},parseJsonAxWhatson:function(){var a=this.objJsonItem[this.KEY.WHATSON];if(b.isEmpty(a)){return}this.setConfigAx(a,"whatson")},parseJsonBrand:function(){var e={};var f=this.objJsonItem[this.KEY.BRAND.ID];if(b.isDefined(f)&&f!==""){e.id=f}var a=this.objJsonItem[this.KEY.BRAND.NAME];if(b.isDefined(a)&&a!==""){e.name=a}if(b._.size(e)===0){return}this.setConfigBrand(e)},parseJsonDescription:function(){var a=this.objJsonItem[this.KEY.DESCRIPTION];if(b.isEmpty(a)){return}this.setConfigDescription(a)},parseJsonDuration:function(){var g=this.objJsonItem[this.KEY.DURATION];if(b.isEmpty(g)){return}g+="";g=g.split(":");if(g.length!==3){return}var a=parseInt(g[0],10),h=parseInt(g[1],10),f=parseInt(g[2],10);if(isNaN(a)||isNaN(h)||isNaN(f)){return}this.setConfigDuration((a*60*60+h*60+f)*1000)},parseJsonImage:function(){var a=this.objJsonItem[this.KEY.IMAGE];if(!b.isDefined(a)||a.length===0){return}a=a[0][this.KEY.IMAGE_URL];if(b.isEmpty(a)){return}this.setConfigImage(a)},parseJsonItem:function(a){this.objJsonConfig=b._.cloneDeep(this.objConfig);this.objJsonConfig.source=null;if(b.isDefined(a)){this.objJsonItem=a;this.parseJsonSource();this.parseJsonImage();this.parseJsonDescription();this.parseJsonDuration();this.parseJsonBrand();this.parseJsonKeywords();this.parseJsonTitle();this.parseJsonAxProgram();this.parseJsonAxEpisode();this.parseJsonAxTypeClip();this.parseJsonAxWhatson();this.parseJsonAxDate()}this.addConfig(this.objJsonConfig)},parseJsonKeywords:function(){var a=this.objJsonItem[this.KEY.KEYWORDS];if(b.isEmpty(a)){return}this.objPlaylist.setKeywords(a)},parseJsonSource:function(){var e,f;for(var a in this.KEY.SOURCE){f=this.KEY.SOURCE[a];e=this.objJsonItem[f];if(!b.isEmpty(e)){e=e.split("?")[0];this.setConfigSource(e,b.player.source.SOURCE.HLS);return}}},parseJsonTitle:function(){var a=this.objJsonItem[this.KEY.TITLE];if(b.isEmpty(a)){return}this.setConfigTitle(a)},setConfig:function(a){if(!b.isDefined(a)){return}this.objConfig=a},setConfigAx:function(d,a){if(!b.isDefined(d)){return}if(!b.isDefined(a)){return}if(!b.isDefined(this.objJsonConfig.analytics)){this.objJsonConfig.analytics={}}this.objJsonConfig.analytics[a]=d},setConfigBrand:function(a){if(!b.isDefined(a)){return}this.objJsonConfig.brand=a},setConfigDescription:function(a){if(!b.isDefined(a)){return}this.objJsonConfig.description=a},setConfigDuration:function(a){if(!b.isDefined(a)){return}this.objJsonConfig.duration=a},setConfigImage:function(a){if(!b.isDefined(a)){return}this.objJsonConfig.image=a},setConfigSource:function(d,a){if(!b.isDefined(d)){return}if(!b.isDefined(a)){a=b.player.source.SOURCE.HLS}if(!b.isDefined(this.objJsonConfig.source)){this.objJsonConfig.source={}}this.objJsonConfig.source[a]=d},setConfigTitle:function(a){if(!b.isDefined(a)){return}this.objJsonConfig.title=a},setPlaylist:function(a){if(!b.isDefined(a)){return}this.objPlaylist=a}})})(vamp);
(function(b){b.Class.playlist.mzid=b.Class.extend({JSON:{CALLBACK:"videoDetail",TIMEOUT:10000,URL:"api/v1/%%CLIENT%%/assets/%%ASSET%%"},KEY:{DURATION:"duration",IMAGE:"posterImageUrl",SOURCE:"targetUrls",SOURCE_TYPE:"type",SOURCE_URL:"url",SUBTITLES:"subtitleUrls"},MAP_SOURCE_PROTOCOL:{HLS:"HLS",HDS:"HDS",RTMP:"RTMP",RTSP:"RTSP",PROGRESSIVE_DOWNLOAD:"PDL"},arrConfig:[],arrError:[],objConfig:null,objJsonItem:null,objJsonConfig:null,objPlaylist:null,constructor:function(d,a){this.arrConfig=[];this.arrError=[];this.objJsonItem=null;this.objJsonConfig=null;this.setPlaylist(d);this.setConfig(a);this.fetch()},addConfig:function(a){if(!b.isDefined(a)){return}this.arrConfig.push(a)},addError:function(a){this.arrError.push(a)},checkErrors:function(){b._.each(this.arrError,function(a){this.objPlaylist.addError(a)},this)},defineFetchUrl:function(){var h=b.URL.MEDIAZONE.ENV,i=["PUPPET","ENV","MEDIAZONE"].join("_");if(h===i||b.detect.env===b.detect.ENV.PROD){h=b.URL.MEDIAZONE.PROD}if(!b.isEmpty(this.objConfig.mzenv)){var g=b.URL.MEDIAZONE[this.objConfig.mzenv.toUpperCase()];if(!b.isEmpty(g)){h=g}}var j=h+"/"+this.JSON.URL;this.objConfig.mzid+="";j=b.string.checkProtocol(j,"https");j=j.replace("%%ASSET%%",this.objConfig.mzid);var a="null";if(b.isDefined(this.objConfig.mzclient)){a=this.objConfig.mzclient}j=j.replace("%%CLIENT%%",a);return j},done:function(){this.checkErrors();this.objPlaylist.doneCheckConfig(this.arrConfig)},fetch:function(){if(!b.isDefined(this.objConfig.mzid)){return}var a=this.defineFetchUrl();b.$.ajax({url:a,dataType:"json",callback:this.JSON.CALLBACK,timeout:this.JSON.TIMEOUT,success:b.delegate(this,function(d){this.parseJsonItem(d);this.done();return}),error:b.delegate(this,function(e,j,i){var h="Error fetching 'mzid JSON'! ("+a+")";if(!b.isEmpty(j)){h+=" Status: "+j}if(b.isDefined("e.message",true)){h+=" Error: "+i.message}this.addError({msg:h,url:a});this.parseJsonItem();this.done();return})})},parseJsonDuration:function(){var a=this.objJsonItem[this.KEY.DURATION];if(b.isEmpty(a)){return}this.setConfigDuration(a)},parseJsonImage:function(){var a=this.objJsonItem[this.KEY.IMAGE];if(b.isEmpty(a)){return}this.setConfigImage(a)},parseJsonItem:function(a){this.objJsonConfig=b._.cloneDeep(this.objConfig);this.objJsonConfig.source=null;if(b.isDefined(a)){this.objJsonItem=a;this.parseJsonSource();this.parseJsonDuration();this.parseJsonImage();this.parseJsonSubtitles()}else{this.objJsonConfig.source=b._.cloneDeep(this.objJsonConfig.mzsource)}this.addConfig(this.objJsonConfig)},parseJsonSource:function(){var g=this.objJsonItem[this.KEY.SOURCE];if(b.isEmpty(g)){return}for(var i=0;i<g.length;i++){var a=g[i],h=this.MAP_SOURCE_PROTOCOL[a[this.KEY.SOURCE_TYPE]],j=a[this.KEY.SOURCE_URL];if(!b.isDefined(h)||!b.isDefined(j)){continue}this.setConfigSource(j,b.player.source.PROTOCOL[h])}},parseJsonSubtitles:function(){var a=this.objJsonItem[this.KEY.SUBTITLES];if(b.isEmpty(a)){return}var e=a[0],f;if(b._.isPlainObject(e)){f=e.url}this.setConfigSubtitles(f)},setConfig:function(a){if(!b.isDefined(a)){return}this.objConfig=a},setConfigDuration:function(a){if(!b.isDefined(a)){return}this.objJsonConfig.duration=a},setConfigImage:function(a){if(!b.isDefined(a)||!b.isEmpty(this.objJsonConfig.image)){return}this.objJsonConfig.image=a},setConfigSubtitles:function(a){if(!b.isDefined(a)||!b.isEmpty(this.objJsonConfig.subtitles)){return}this.objJsonConfig.subtitles={nl:a}},setConfigSource:function(d,a){if(!b.isDefined(d)){return}if(!b.isDefined(a)){a=b.player.source.SOURCE.HLS}if(b.isDefined(b.player.source.SOURCE[a.toUpperCase()])){if(!b.isDefined(this.objJsonConfig.source)){this.objJsonConfig.source={}}this.objJsonConfig.source[a]=d}if(!b.isDefined(this.objJsonConfig.mzsource)){this.objJsonConfig.mzsource={}}this.objJsonConfig.mzsource[a]=d},setPlaylist:function(a){if(!b.isDefined(a)){return}this.objPlaylist=a}})})(vamp);
(function(b){b.Class.playlist.source=b.Class.extend({JSON_LIVE:{CALLBACK:"parseLiveJson",TIMEOUT:15000,URL:"live.json"},JSON_SECURE_KEY:{CALLBACK:"parseSecureKeyJson",SUFFIX_URL:"/generatekey1?callback=%%1%%",TIMEOUT:15000,URL:"secvod.stream.vrt.be",URL_LIVE:"seclive.stream.vrt.be"},JSON_SUB:{CALLBACK:"getSubtitles",TIMEOUT:1000,URL:b.URL.SUBTITLES+"/%%1%%/list.js"},YOUTUBE_IMG:"i.ytimg.com/vi/%%ID%%/%%QUALITY%%.jpg",arrError:[],blnSecure:false,fallback:null,file:null,fileOriginal:null,objFile:{},objConfig:null,player:null,protocol:null,protocolSrc:null,type:null,constructor:function(a,e,f){this.arrError=[];this.objConfig=null;this.objFile={};this.setConfig(a);this.setFileOriginal(b._.cloneDeep(e));this.setProtocolSrc(f);if(!this.set(e)){this.done()}},addError:function(a){this.arrError.push(a)},checkErrors:function(){b._.each(this.arrError,function(a){this.objConfig.addError(a)},this)},defineFileParts:function(){var e=this.file.split("://");this.objFile.protocol=e[0];var a=e[1].split("/");this.objFile.domain=a.shift();this.objFile.application=a.shift();this.objFile.arrUrl=[];this.objFile.hasDefaultInstance=false;this.objFile.hasManifest=false;this.objFile.hasPlaylist=false;for(var f=0;f<a.length;f++){if(a[f]===b.player.source.DEFAULT.INSTANCE){this.objFile.hasDefaultInstance=true;continue}if(a[f]===b.player.source.DEFAULT.MANIFEST){this.objFile.hasManifest=true;continue}if(a[f]===b.player.source.DEFAULT.PLAYLIST){this.objFile.hasPlaylist=true;continue}this.objFile.arrUrl.push(a[f])}},defineSecurityUrl:function(i){i=b.B64.decode(i);var j="@",g=i.split(j);if(b.player.source.isTypeLive(this.type)){var h=this.getLiveDomain();this.parseJson(h,"secure");this.defineFileParts()}g.push(this.objFile.arrUrl.join("/"));if(this.protocol===b.player.source.PROTOCOL.RTSP){this.objFile.protocol=this.protocol}var a=this.objFile.protocol+"://";a+=this.objFile.domain+"/";a+=this.objFile.application+"/";if(this.objFile.hasDefaultInstance){a+=b.player.source.DEFAULT.INSTANCE+"/"}a+=b.B64.encode(g.join(j));if(this.objFile.protocol===b.player.source.PROTOCOL.RTSP&&!b.player.source.isTypeLive(this.type)){a+=".mp4"}if(this.objFile.hasManifest){a+="/"+b.player.source.DEFAULT.MANIFEST}if(this.objFile.hasPlaylist){a+="/"+b.player.source.DEFAULT.PLAYLIST}this.file=a;this.objConfig.checkSecurityNext()},done:function(){this.checkErrors();this.objConfig.doneSource(this)},fetchLive:function(){var g;if(this.type!==b.player.source.TYPE.LIVE_ID){var i=new RegExp("vrt_(.*?)_live","i"),h=this.file.match(i);if(!b.isDefined(h)){this.done();return}var j=h[1]||h[2];g=j}else{g=this.file}if(b.isDefined(b.player.source.arrJsonLive)){this.parseJson(g);this.done();return}var a=b.DIR.ASSET+this.JSON_LIVE.URL;b.$.jsonp({url:a,callback:this.JSON_LIVE.CALLBACK,timeout:this.JSON_LIVE.TIMEOUT,success:b.delegate(this,function(c){b.player.source.arrJsonLive=c;this.parseJson(g);this.done()}),error:b.delegate(this,function(c,f,e){var d="Error fetching 'live stream JSON'! ("+a+")";if(!b.isEmpty(f)){d+=" Status: "+f}if(b.isDefined("e.message",true)){d+=" Error: "+e.message}this.addError({msg:d,url:a});if(this.type===b.player.source.TYPE.LIVE_ID){this.file=null}this.done()})})},fetchSecurityKey:function(){var a="http://";if(b.player.source.isTypeLive(this.type)){a+=this.JSON_SECURE_KEY.URL_LIVE}else{a+=this.JSON_SECURE_KEY.URL}a+=this.JSON_SECURE_KEY.SUFFIX_URL;a=a.replace("%%1%%",this.JSON_SECURE_KEY.CALLBACK);b.$.jsonp({url:a,callback:this.JSON_SECURE_KEY.CALLBACK,timeout:this.JSON_SECURE_KEY.TIMEOUT,success:b.delegate(this,function(d){if(b.isDefined(d.key)){this.defineSecurityUrl(d.key)}else{this.addError({msg:"Property 'key' not found in returned 'security key JSON'"});this.objConfig.checkSecurityNext()}}),error:b.delegate(this,function(e,j,i){var h="Error fetching 'security key JSON'! ("+a+")";if(!b.isEmpty(j)){h+=" Status: "+j}if(b.isDefined("e.message",true)){h+=" Error: "+i.message}this.addError({msg:h,url:a});this.objConfig.checkSecurityNext()})})},fetchSecurityLive:function(){if(b.isDefined(b.player.source.arrJsonLive)){this.fetchSecurityKey();return}b.$.jsonp({url:b.DIR.ASSET+this.JSON_LIVE.URL,callback:this.JSON_LIVE.CALLBACK,timeout:this.JSON_LIVE.TIMEOUT,success:b.delegate(this,function(a){b.player.source.arrJsonLive=a;this.fetchSecurityKey()}),error:b.delegate(this,function(e,a,h){var g="Error fetching 'security live JSON'! ("+url+")";if(!b.isEmpty(a)){g+=" Status: "+a}if(b.isDefined("e.message",true)){g+=" Error: "+h.message}this.addError({msg:g,url:url});this.fetchSecurityKey()})})},fetchSubtitles:function(){var o,q=3,r=b.player.source.join(this.fileOriginal),m;r=r.replace("/_definst_","");r=r.replace("/playlist.m3u8","");r=r.replace("/manifest.f4m","");var l=r.split("/"),i=b._.keys(b.detect.DOMAIN);if(l.length<=q){this.objConfig.checkSubtitleNext();return}for(var n=0;n<i.length;n++){o=b.detect.DOMAIN[i[n]];if(l[q].indexOf(o)>-1){m=o;break}}if(!b.isDefined(m)){this.objConfig.checkSubtitleNext();return}if(m!==b.detect.DOMAIN.KETNET){this.objConfig.checkSubtitleNext();return}l=l.slice(q);l[0]=m;var a=l.join("/");a=a.replace("/mp4:ketnet","");var p=b.string.checkProtocol(this.JSON_SUB.URL,b.detect.protocol);p=p.replace("%%1%%",a);b.$.jsonp({url:p,callback:this.JSON_SUB.CALLBACK,timeout:this.JSON_SUB.TIMEOUT,success:b.delegate(this,function(g){if(b.isDefined(g.url)&&b.isDefined(g.subtitles)&&g.subtitles.length>0){var e={},c,f;for(var d=0;d<g.subtitles.length;d++){c=b.string.trimExtension(g.subtitles[d]);f=[b.URL.SUBTITLES,g.url,g.subtitles[d]].join("/");e[c]=b.string.checkProtocol(f,b.detect.protocol)}this.objConfig.setSubtitles(e)}this.objConfig.checkSubtitleNext()}),error:b.delegate(this,function(f,e,d){var c=d;if(b.isDefined("e.message",true)){c=d.message}b.warn("No subtitles found:",p);this.objConfig.checkSubtitleNext()})})},fetchYoutubeImage:function(){if(!b.isEmpty(this.objConfig.image)){this.done();return}var i=this.getYoutubeId();if(b.isEmpty(i)||this.objConfig.objPlaylist.width<=480){this.done();return}var j=["maxresdefault"],k=0,m=this,l=this.YOUTUBE_IMG.replace("%%ID%%",i),a;l=b.string.checkProtocol(l,b.detect.protocol);a=l.replace("%%QUALITY%%",j[k]);var n=new Image();n.onload=function(){if(this.width<=120){this.onerror()}else{m.objConfig.setImage(this.src);m.done()}};n.onerror=function(){if(k>=j.length){m.done()}else{this.loadNextImage()}};n.loadNextImage=function(){a=l.replace("%%QUALITY%%",j[k]);n.src=a;k++};n.loadNextImage()},getLiveDomain:function(){var e;if(this.type!==b.player.source.TYPE.LIVE_ID){var a=new RegExp("vrt_(.*?)_live","i"),f=this.file.match(a);if(!b.isDefined(f)||!b.isDefined(f[1])){return false}e=f[1]}else{e=this.file}return e.toLowerCase()},getYoutubeId:function(){var a=/(youtu(?:\.be|be\.com)\/(?:.*v(?:\/|=)|(?:.*\/)?)([\w'-]+))/i;var d=a.exec(this.file);return d[2]},hasErrors:function(){if(b.isDefined(this.arrError)&&this.arrError.length>0){return true}return false},parseJson:function(i,g){var j=b.player.source.arrJsonLive;if(!b.isDefined(j[i])){this.addError({msg:"Domain not found in 'live stream JSON'!",domain:i,json:j});return}var h=this.protocol;if(b.isDefined(g)){h=g}var a=j[i][h];if(!b.isDefined(a)){this.addError({msg:"Protocol for certain domain not found in 'live stream JSON'!",domain:i,protocol:h,json:j});return}if(h===b.player.source.PROTOCOL.RTSP){h=b.player.source.PROTOCOL.RTMP}if(this.file===a){return}if(!b.isDefined(g)){this.protocolSrc=h}this.set(a,false)},set:function(e,f){if(!b.isDefined(f)){f=true}var a=e;e=b.player.source.join(e);this.type=b.player.source.getType(e,this.protocolSrc);this.protocol=b.player.source.getProtocol(e,this.type,this.protocolSrc,this.objConfig.objConfig);if(!b.isDefined(this.protocol)){b.info("Protocol not defined for this os: '"+b.detect.os+"' and this source type: '"+this.type+"'");return}else{if(this.protocol===b.player.ERROR.LIVE_NO_FLASH){this.objConfig.objPlaylist.error="LIVE_NO_FLASH";return}if(this.protocol===b.player.ERROR.GEO){this.objConfig.objPlaylist.error="GEO";return}if(this.protocol===b.player.ERROR.FLASH){this.objConfig.objPlaylist.error="FLASH";return}}this.file=null;if(b.isDefined(this.objConfig.objConfig.mzsource)){this.file=this.objConfig.objConfig.mzsource[this.protocol]}if(b.isEmpty(this.file)){this.file=b.player.source.parse(a,this.type,this.protocolSrc,this.protocol,this.objConfig.objConfig)}if(!b.isDefined(this.file)){return}this.player=b.player.source.getPlayer(this.protocol,this.objConfig.objPlaylist.nativePlayer,this.type);if(!f){return}if(b.player.source.isTypeLive(this.type)){this.fetchLive()}else{if(this.type===b.player.source.TYPE.YOUTUBE){this.fetchYoutubeImage()}else{this.done()}}return true},setConfig:function(a){if(!b.isDefined(a)){return}this.objConfig=a},setFileOriginal:function(a){if(!b.isDefined(a)){return}this.fileOriginal=a},setProtocolSrc:function(a){if(!b.isDefined(a)){return}this.protocolSrc=a}})})(vamp);
(function(vamp){vamp.Class.player=vamp.Class.extend({CSS:"layout-jw7/vamp.css",PLACEHOLDER:{BUTTON:"vamp_placeholder_button",BUTTON_CONTAINER:"vamp_placeholder_button_container",CONTAINER:"vamp_placeholder",IMAGE:"vamp_placeholder_image"},id:null,name:null,objListener:null,objPlaylist:null,constructor:function(objPlaylist){this.objListener={};this.objPlaylist=null;this.setPlaylist(objPlaylist);this.setId(objPlaylist.id);this.setName(objPlaylist.name);vamp.event.register(this,"error");if(!vamp.isEmpty(objPlaylist.error)){this.showError(objPlaylist.error);return}if(!objPlaylist.hasConfigs()){this.showError("CONFIG");return}if(!objPlaylist.hasSources()||!vamp.isDefined(this.create)){this.showError("UNAVAIL");return}if(objPlaylist.blnGeo===true&&vamp.blnGeoblocked!==false){this.checkGeo()}else{this.checkModePlaceholder()}this.loadCss()},checkGeo:function(scope){if(!vamp.isDefined(scope)){scope=this}if(!vamp.isDefined(vamp.blnGeoblocked)){vamp.isGeoblocked(scope,scope.checkGeo)}else{if(vamp.blnGeoblocked===true){scope.showError("GEO")}else{scope.checkModePlaceholder()}}},checkModePlaceholder:function(){if(vamp.mode.placeholder&&vamp.isDefined(this.createPlaceholder)){this.createPlaceholder()}else{this.create()}},getHeight:function(){return this.objPlaylist.height},getWidth:function(){return this.objPlaylist.width},loadCss:function(){if(vamp.player.blnCssLoaded){return}vamp.$("<link/>",{rel:"stylesheet",type:"text/css",href:vamp.DIR.ASSET+this.CSS}).appendTo("head");vamp.player.blnCssLoaded=true},off:function(arrEvt){if(!vamp._.isArray(arrEvt)){arrEvt=[arrEvt]}for(var i in arrEvt){vamp.event.off(this,arrEvt[i])}},on:function(arrEvt,cb){if(!vamp._.isArray(arrEvt)){arrEvt=[arrEvt]}for(var i in arrEvt){vamp.event.on(this,arrEvt[i],cb)}},setId:function(id){if(!vamp.isDefined(id)){return}if(vamp.$("#"+id).length===0){return}this.id=id},setName:function(name){if(!vamp.isDefined(name)){return}this.name=name},setPlaylist:function(objPlaylist){if(!vamp.isDefined(objPlaylist)){return}this.objPlaylist=objPlaylist},showError:function(type,blnTrigger){if(!vamp.isDefined(this.id)){return}var msg=eval("vamp.player.ERROR."+type);if(!vamp.isDefined(msg)){return}if(!vamp.isDefined(blnTrigger)){blnTrigger=true}var $container=this.getContainer();if(!vamp.isDefined($container)){return}$container.html("");if(!this.createHtmlBackground()){return}vamp.error({id:this.id,msg:msg});var $divError=vamp.$("<div/>");$divError.html(msg);$container.append($divError);$divError.css({color:"#fff",left:0,marginTop:"-"+$divError.height()/2+"px",padding:"0 10px",position:"absolute",right:0,textAlign:"center",top:"50%"});$divError.find("a").css({color:"#bd1418",display:"inline"});if(blnTrigger){this.trigger("error",{message:msg,type:type})}},trigger:function(evt,obj){vamp.event.trigger(this,"error",obj,false)},createHtmlBackground:function(){var $container=this.getContainer();if(!vamp.isDefined($container)){return false}var cssContainer={backgroundColor:"#000",display:"block",position:"relative",width:this.objPlaylist.width};var height;if(!vamp.isEmpty(this.objPlaylist.aspectratio)){var arr=this.objPlaylist.aspectratio.split(":");if(arr.length===2&&!isNaN(arr[0])&&!isNaN(arr[1])){height=100/parseInt(arr[0],10)*parseInt(arr[1],10)}}if(vamp.isEmpty(height)){cssContainer.height=this.objPlaylist.height}else{cssContainer.paddingBottom=height+"%"}$container.html("").css(cssContainer);return true},createHtmlPlaceholder:function(){var $container=this.getContainer();if(!vamp.isDefined($container)){return false}if(!this.createHtmlBackground()){return false}var $placeholder=vamp.$("<a/>",{"class":this.PLACEHOLDER.CONTAINER});$container.append($placeholder);var img=this.objPlaylist.arrConfig[0].image;if(vamp.isDefined(img)){var $img=vamp.$("<img/>",{"class":this.PLACEHOLDER.IMAGE,src:img});$placeholder.append($img)}if(this.objPlaylist.controls){var $btnContainer=vamp.$("<div/>",{"class":this.PLACEHOLDER.BUTTON_CONTAINER});$placeholder.append($btnContainer);var $btn=vamp.$("<div/>",{"class":this.PLACEHOLDER.BUTTON});$btnContainer.append($btn)}return true},getContainer:function(){var $container=vamp.$("#"+this.id);if($container.length===0){return}return $container}})})(vamp);
(function(vamp){vamp.Class.player.jw=vamp.Class.player.extend({ABOUT:{LINK:"http://www.vrt.be",TEXT:vamp.DESC+" "+vamp.VERSION},ASSET:{HDS:"akamai_3.10/akamai.flash.swf",FLASH:"jwplayer_7.7.4/jwplayer.flash.swf",YOUTUBE:"https://www.youtube.com/iframe_api",JW_BASE_PATH:"jwplayer_7.7.4/"},CSS:"layout-jw7/vamp.css",DEFAULT:{RELATED:"Gerelateerde video's"},ERROR:{NO_STREAM:"Cannot load M3U8: 404 not found"},EVENT:{BUFFER:"buffer",COMPLETE:"complete",PAUSE:"pause",PLAY:"play",SEEK:"seek"},KEY:"QU10MUVuRHYzNU5FdDhYeFp6Vjc2QW5GcjdQTUFoTWFlKzc0SXc9PQ==",NAME:vamp.player.TYPE.JW.NAME,PRIMARY:{FLASH:"flash",HTML5:"html5"},STATE:{BUFFERING:"buffering",IDLE:"idle",PAUSED:"paused",PLAYING:"playing"},VERSION:"7.7.4",adDuration:null,ads:0,adState:null,api:null,arrPosLast:[],arrPlugins:[],blnAd:false,blnFirstFrame:false,blnFullscreened:false,blnSeeked:false,blnStreamLive:null,blnSkippable:false,controlsState:null,height:null,html5:null,intPlaying:null,notifyLastEvent:null,objAd:null,objAx:null,objListbar:null,objLogo:null,objSetup:null,playlistIndex:-1,posAd:0,posLast:0,posMax:0,posSeek:0,posSeekForce:0,primary:null,subtitle:null,width:null,addListener:function(evt,cb){if(!vamp.isDefined(this.api)){return}eval("this.api.on('"+evt+"', cb)")},checkPlaying:function(){clearInterval(this.intPlaying);this.arrPosLast=[];this.intPlaying=setInterval(vamp.delegate(this,function(){this.verifyPlaying()}),200)},checkPlugins:function(){if(this.arrPlugins.length===0){this.init();return}var url=this.arrPlugins.pop();(function(d,t,scope){try{var gt=d.createElement(t),s=d.getElementsByTagName(t)[0];gt.onerror=function(){vamp.warn("Error loading plugin : ",url);scope.checkPlugins()};gt.onload=function(){scope.checkPlugins()};gt.src=url;s.parentNode.insertBefore(gt,s)}catch(e){}})(document,"script",this)},create:function(){this.api=null;this.arrPlugins=[];this.arrPosLast=[];this.objAd=null;this.objAx=null;this.objListbar=null;this.objLogo=null;this.objSetup=null;this.primary=this.PRIMARY.HTML5;this.height=this.objPlaylist.height;this.width=this.objPlaylist.width;if(!vamp.isDefined("jwplayer",true)){vamp.error({id:this.id,msg:this.NAME+" "+this.VERSION+" library not loaded!"});return}this.loadCss();this.objAd=new vamp.Class.ad(this)},createAccessibility:function(){var $container=vamp.$("#"+this.id),txt;$container.find("a").removeAttr("title").removeAttr("href");if(vamp.detect.isDeviceMobile){txt="Start video.";$container.attr("aria-label",txt)}else{var $object=$container.find("object");txt="De videospeler bedienen met het toetsenbord. Bedien dit videofragment met de volgende toetsen. De video starten, pauzeren of stoppen: Spatiebalk of Enter. Snel doorspoelen: Pijl rechts. Snel terugspoelen: Pijl links. Het volume verhogen: Pijl omhoog. Het volume verlagen: Pijl omlaag. Het geluid aan- of uitzetten: M! De video schermvullend weergeven: F! De schermvullende weergave uitzetten: Esc. ";$object.attr("aria-label",txt)}},createPlaceholder:function(){var $container=this.getContainer();if(!vamp.isDefined($container)){return}if(!this.createHtmlPlaceholder()){return}$link=$container.find("."+this.PLACEHOLDER.CONTAINER);$link.off().on("click",vamp.delegate(this,function(){this.create()}))},fullscreen:function(){if(!vamp.isDefined(this.html5)){return}if(vamp.toBoolean(this.objPlaylist.fullscreen)===false){return}if(vamp.detect.isDeviceMobile===false){return}if(this.api.getFullscreen()){return}if(this.blnFullscreened){return}if(this.controlsState!==this.STATE.PLAYING){return}var fct,vid=this.html5.get(0);if(vid.requestFullscreen){fct="requestFullscreen"}else{if(vid.mozRequestFullScreen){fct="mozRequestFullScreen"}else{if(vid.webkitRequestFullscreen){fct="webkitRequestFullscreen"}else{if(vid.msRequestFullscreen){fct="msRequestFullscreen"}}}}if(!vamp.isDefined(fct)){return}this.play();eval("vid."+fct+"();");this.blnFullscreened=true},getDuration:function(){if(this.blnAd===true){return this.adDuration}if(this.isLive()){return 0}var duration=this.api.getDuration();if(!vamp.isDefined(duration)){duration=0}if(vamp.isDefined(this.html5)&&this.html5.get(0).duration>duration){duration=this.html5.get(0).duration}return duration},getHeight:function(){var h=this.api.getHeight();if(!vamp.isDefined(h)){h=this.parent.getHeight.call(this)}return h},getPlaylistAutostart:function(){if(vamp.isDefined(this.api)){return true}if(!vamp.detect.isDeviceMobile&&(vamp.toBoolean(this.objPlaylist.autostart)===true||vamp.mode.placeholder)){return true}return false},getPlaylistConfig:function(index){if(!vamp.isDefined(this.api)){return}if(!vamp.isDefined(index)){var indexPlaylist=this.api.getPlaylistIndex(),item=this.api.getPlaylistItem(indexPlaylist);index=item.mediaid}return this.objPlaylist.arrConfig[index]},getPlaylistDuration:function(){var duration=0;for(var i in this.objPlaylist.arrConfig){var objConfig=this.objPlaylist.arrConfig[i];if(!vamp.isDefined(objConfig.duration)){continue}duration+=objConfig.duration}return duration},getPlaylistProtocol:function(){if(!vamp.isDefined(this.api)){return}var index=this.api.getPlaylistIndex(),item;if(!vamp.isDefined(index)){item=this.getSetupPlaylist()[0]}else{item=this.api.getPlaylistItem(index)}return item.protocol},getPlaylistSource:function(){if(!vamp.isDefined(this.api)){return}var index=this.api.getPlaylistIndex(),item;if(!vamp.isDefined(index)){item=this.getSetupPlaylist()[0]}else{item=this.api.getPlaylistItem(index)}return item.sources[0].file},getPosition:function(){if(this.blnAd===true){return this.posAd}if(this.isLive()){return 0}if(vamp.isDefined(this.html5)){return this.html5.get(0).currentTime}return this.api.getPosition()},getSetup:function(){var obj={aboutlink:this.ABOUT.LINK,abouttext:this.ABOUT.TEXT,analytics:{enabled:false},aspectratio:this.objPlaylist.aspectratio,autostart:this.getPlaylistAutostart(),base:vamp.DIR.ASSET+this.ASSET.JW_BASE_PATH,controls:this.objPlaylist.controls,displaytitle:false,hlshtml:true,flashplayer:vamp.DIR.ASSET+this.ASSET.FLASH,height:this.height,playlist:this.getSetupPlaylist(),preload:"none",primary:this.primary,related:this.getSetupPlaylistRelated(),skin:this.getSetupPlaylistSkin(),visualplaylist:false,width:this.width};if(vamp.isDefined(this.objAd)){obj.advertising=this.objAd.getSetup()}return obj},getSetupPlaylist:function(blnSkip){if(!vamp.isDefined(blnSkip)){blnSkip=false}var arrPlaylist=[],blnHDS=false,img,item,url;for(var i=0;i<this.objPlaylist.arrConfig.length;i++){var objConfig=this.objPlaylist.arrConfig[i];if(objConfig.hasSources()){if(arrPlaylist.length===0){img=objConfig.image}item={description:objConfig.description,image:objConfig.image,mediaid:i,title:objConfig.title,tracks:this.getSetupPlaylistConfigSubtitles(objConfig),protocol:objConfig.arrSource[0].protocol};switch(objConfig.arrSource[0].protocol){case vamp.player.source.PROTOCOL.HDS:url=vamp.DIR.ASSET+this.ASSET.HDS;item.file=objConfig.arrSource[0].file;item.provider=url;item.type="mp4";blnHDS=true;this.arrPlugins.push(url);break;case vamp.player.source.PROTOCOL.YOUTUBE:this.primary=this.PRIMARY.HTML5;this.arrPlugins.push(this.ASSET.YOUTUBE);default:item.sources=this.getSetupPlaylistConfigSources(objConfig)}arrPlaylist.push(item)}}if(blnSkip){arrPlaylist.shift()}return arrPlaylist},getSetupPlaylistConfigSources:function(objConfig){var arrSources=[];vamp._.each(objConfig.arrSource,function(objSource){arrSources.push({file:objSource.file})});return arrSources},getSetupPlaylistConfigSubtitles:function(objConfig){var arrSubtitles=[];vamp._.each(objConfig.subs,function(sub,label){arrSubtitles.push({file:sub,label:label,"default":false,kind:"captions"})});return arrSubtitles},getSetupPlaylistRelated:function(){if(!vamp.isDefined(this.objPlaylist.related)){return}var msg="Related items not configured correctly: ",obj={},related=this.objPlaylist.related;if(!vamp.isDefined(related.file)){vamp.error({id:this.id,msg:msg+"property 'file' is required",object:related});return}obj.file=related.file;if(vamp.isDefined(related.thumbs)){if(!vamp.isDefined(related.thumbs.height)||!vamp.isDefined(related.thumbs.width)){vamp.warn(msg+"properties 'height' and 'width' for thumbs are required (default dimensions are taken)",related)}else{var h=parseInt(related.thumbs.height,10),w=parseInt(related.thumbs.width,10);if(isNaN(h)||isNaN(w)){vamp.warn(msg+"value for property 'height' or 'width' for thumbs is not valid (default dimensions are taken)",related)}else{obj.dimensions=w+"x"+h}}}obj.heading=vamp.isDefined(related.title)?related.title:this.DEFAULT.RELATED;return obj},getSetupPlaylistSkin:function(){var skin=new vamp.Class.player.jw.skin(this.objPlaylist);return{name:skin.folder,url:skin.file}},getState:function(){return this.api.getState()},getWidth:function(){var w=this.api.getWidth();if(!vamp.isDefined(w)){w=this.parent.getWidth.call(this)}return w},init:function(){jwplayer.key=vamp.B64.decode(this.KEY);this.api=jwplayer(this.objPlaylist.id).setup(this.objSetup);this.setListeners();vamp.coll.add(this)},inspect:function(){vamp.log("--------------------------------------------------------");vamp.log("HTML element : ",vamp.$("#"+this.id)[0]);vamp.log("Input : ",this.objPlaylist.objConfig);vamp.log("Output : ",this.objSetup);vamp.log("--------------------------------------------------------")},isLive:function(){if(!vamp.isDefined(this.blnStreamLive)){var src=this.getPlaylistSource(),srcType=vamp.player.source.getType(src);this.blnStreamLive=vamp.player.source.isTypeLive(srcType)}return this.blnStreamLive},isYoutube:function(){var src=this.getPlaylistSource(),srcType=vamp.player.source.getType(src);return srcType===vamp.player.source.TYPE.YOUTUBE?true:false},load:function(arrPlaylist){this.api.load(arrPlaylist);this.play()},mute:function(blnMute){if(vamp.isEmpty(blnMute)){blnMute=true}this.api.setMute(blnMute)},notify:function(evt,pos){if(!vamp.isDefined(this.objAx)){return}var blnSeek=false;if(this.blnSeeked){blnSeek=true;this.blnSeeked=false}if(this.isLive()){this.objAx.notify(evt,pos);return}else{switch(evt){case this.EVENT.BUFFER:case this.EVENT.PAUSE:case this.EVENT.PLAY:evt=null}}if(!vamp.isDefined(pos)&&vamp.isDefined(this.html5)&&Math.abs(this.posLast-this.getPosition())>1){blnSeek=true}if(!vamp.isDefined(evt)){var state=this.getState();if(this.blnAd===true){state=this.adState}if(state===this.STATE.BUFFERING){evt=this.EVENT.BUFFER;pos=this.posLast;this.posLast=this.getPosition();if(blnSeek){this.objAx.notify(this.EVENT.SEEK,pos,blnSeek);this.objAx.notify(this.EVENT.PLAY,null,blnSeek)}}if(!vamp.isDefined(evt)){switch(state){case this.STATE.IDLE:case this.STATE.PAUSED:evt=this.EVENT.PAUSE;if(!blnSeek){this.posLast=this.getPosition()}break;case this.STATE.PLAYING:evt=this.EVENT.PLAY;pos=this.posLast;this.posLast=this.getPosition();if(blnSeek&&this.notifyLastEvent===evt){this.objAx.notify(this.EVENT.SEEK,pos,blnSeek);this.objAx.notify(this.EVENT.PLAY,null,blnSeek)}break}}if(!vamp.isDefined(evt)){return}if(evt===this.notifyLastEvent){return}this.notifyLastEvent=evt}if(evt===this.EVENT.COMPLETE){this.notifyLastEvent=null;this.posLast=0}if(blnSeek){pos=null}this.objAx.notify(evt,pos,blnSeek)},pause:function(){if(this.getState()===this.STATE.PLAYING){setTimeout(vamp.delegate(this,function(){this.api.pause(true)}),100)}},play:function(){if(this.getState()!==this.STATE.PLAYING){this.api.play(true)}},reload:function(){var arrPlaylist=this.api.getPlaylist(),posLast=this.posLast;this.api.load(arrPlaylist);this.posSeekForce=Math.floor(posLast);setTimeout(vamp.delegate(this,function(){this.play()}),500)},remove:function(){if(!vamp.isDefined(this.api)){return}return this.api.remove()},reset:function(){this.notify(this.EVENT.PAUSE,this.posLast);this.setSubtitleTrack();this.objAx=null;this.blnAd=false;this.blnStreamLive=null;this.controlsState=null;this.setSkippable(false);this.notifyLastEvent=null;this.playlistIndex=0;this.posLast=0;this.posMax=0;this.posSeek=0;this.posSeekForce=0;clearInterval(this.intPlaying);this.verifyAx()},resize:function(w,h){if(!vamp.isDefined(this.api)){return}if(!vamp.isDefined(w)){w=this.getWidth()}if(!vamp.isDefined(h)){h=this.getHeight()}this.api.resize(w,h)},seek:function(pos){if(vamp.isEmpty(pos)){return}if(this.blnFirstFrame){this.api.seek(pos)}else{this.posSeek=pos;this.play()}},setControls:function(blnShow){if(this.objPlaylist.controls===false&&blnShow===true){return}this.api.setControls(blnShow)},setListeners:function(){vamp.event.register(this,"adComplete");vamp.event.register(this,"adImpression");vamp.event.register(this,"adPause");vamp.event.register(this,"adPlay");vamp.event.register(this,"adSkipped");vamp.event.register(this,"adTime");vamp.event.register(this,"buffer");vamp.event.register(this,"bufferChange");vamp.event.register(this,"captionsChanged");vamp.event.register(this,"captionsList");vamp.event.register(this,"complete");vamp.event.register(this,"controls");vamp.event.register(this,"displayClick");vamp.event.register(this,"error");vamp.event.register(this,"firstFrame");vamp.event.register(this,"fullscreen");vamp.event.register(this,"idle");vamp.event.register(this,"levels");vamp.event.register(this,"meta");vamp.event.register(this,"mute");vamp.event.register(this,"pause");vamp.event.register(this,"play");vamp.event.register(this,"playlist");vamp.event.register(this,"playlistItem");vamp.event.register(this,"qualityChange");vamp.event.register(this,"ready");vamp.event.register(this,"resize");vamp.event.register(this,"seek");vamp.event.register(this,"setupError");vamp.event.register(this,"time");vamp.event.register(this,"volume")},setSubtitleTrack:function(){var index=0;if(vamp.isDefined(this.subtitle)){var arrTracks=this.api.getCaptionsList();for(var i in arrTracks){if(arrTracks[i].label===this.subtitle){index=i}}}if(index>0){this.api.setCurrentCaptions(index)}},setSkippable:function(blnSkippable){if(!vamp.isDefined(blnSkippable)){return}this.blnSkippable=blnSkippable},setup:function(){this.verifyListbar();this.objSetup=this.getSetup();this.checkPlugins()},showSetupError:function(msg){var err="SETUP";vamp.error({id:this.id,msg:this.NAME+" "+this.VERSION+" event.onSetupError : "+msg,setup:this.objSetup});setTimeout(vamp.delegate(this,function(){this.showError(err)}),1)},skipItem:function(){var arrPlaylist=this.api.getPlaylist();if(arrPlaylist.length<=1){this.showError("GENERAL",false);return}arrPlaylist=this.getSetupPlaylist(true);this.load(arrPlaylist);this.reset()},skipSource:function(){var index=this.api.getPlaylistIndex(),item=this.api.getPlaylistItem(index),arrSources=item.sources;if(arrSources.length<=1){this.skipItem();return}var arrPlaylist=this.api.getPlaylist();arrSources.shift();arrPlaylist[index].sources=arrSources;this.load(arrPlaylist);this.reset()},stop:function(){this.api.stop()},toggle:function(){if(this.getState()===this.STATE.PLAYING){this.pause()}else{this.play()}},verifyAx:function(){if(vamp.mode.minimal||vamp.isDefined(this.objAx)||(this.getPosition()===0&&!this.isLive())){return}this.objAx=new vamp.Class.ax(this)},verifyControls:function(){},verifyListbar:function(){if(!vamp.isDefined(this.objPlaylist.listbar)||this.objPlaylist.arrConfig.length<=1){return}if(!vamp.isDefined(this.objListbar)){this.objListbar=new vamp.Class.player.jw.listbar(this)}this.objListbar.updateHtml()},verifyLogo:function(){if(!this.objPlaylist.blnSyndicated){return}if(this.blnAd===true){this.objLogo.removeHtml();return}if(!vamp.isDefined(this.objLogo)){this.objLogo=new vamp.Class.player.jw.logo(this)}this.objLogo.updateHtml()},verifyPlaying:function(){var state=this.getState();if(state!==this.STATE.PLAYING){clearInterval(this.intPlaying);return}var pos=this.getPosition();if(pos===0){return}this.arrPosLast.push(pos);if(this.arrPosLast.length<=5){return}this.arrPosLast.shift();var posLast=this.arrPosLast[0],blnDiff=false;for(var i in this.arrPosLast){pos=this.arrPosLast[i];if(pos!==posLast){blnDiff=true}posLast=pos}if(blnDiff){clearInterval(this.intPlaying);return}if(this.getDuration()-this.getPosition()<1){this.setSkippable(true)}clearInterval(this.intPlaying);if(vamp.detect.isDeviceMobile){if(this.blnSkippable){this.onComplete();var index=this.api.getPlaylistIndex(),total=this.api.getPlaylist().length;index++;if(index===total){this.stop()}else{this.api.playlistItem(index)}}else{this.reload()}}else{this.seek(pos)}},verifyPosition:function(offset){if(this.posSeekForce===0){return}if(vamp.isDefined(offset)&&offset>this.posMax){this.posSeek=this.posMax}if(this.getState()!==this.STATE.PLAYING){return}var pos=this.getPosition();if(pos>=this.posSeekForce){this.posSeekForce=0}if(this.posSeekForce>0){this.posSeek=this.posSeekForce}if(this.posSeek>0){this.posSeek=Math.floor(this.posSeek);this.posMax=this.posSeek;this.seek(this.posSeek);this.posSeek=0}else{if(pos-this.posMax>2){this.posSeek=this.posMax}else{this.posMax=Math.max(pos,this.posMax);if(this.getDuration()-pos<1){this.setSkippable(true)}}}},verifySkip:function(){var indexNew=this.api.getPlaylistIndex(),indexOld=this.playlistIndex;this.reset();this.playlistIndex=indexNew;if(vamp.isDefined(this.objListbar)){if(vamp.isDefined(this.objListbar.index)){indexNew=this.objListbar.index;this.objListbar.index=null;this.api.playlistItem(indexNew)}this.objListbar.selectHtml(indexNew)}},verifyState:function(){if(vamp.isDefined(this.controlsState)){var state=this.getState();if(state!==this.STATE.BUFFERING){if(this.controlsState===this.STATE.PAUSED&&state!==this.STATE.PAUSED){this.pause()}else{if(this.controlsState===this.STATE.PLAYING&&state!==this.STATE.PLAYING){this.play()}}}this.controlsState=null}},onAdComplete:function(cb){this.adState=this.STATE.IDLE;this.onComplete();this.onPlaylistItem();this.ads++},onAdImpression:function(){this.blnAd=true;this.posAd=0},onAdPause:function(){this.adState=this.STATE.PAUSED;this.onPause()},onAdPlay:function(objCb){this.blnAd=true;this.adState=this.STATE.PLAYING;this.onPlay(objCb,true)},onAdSkipped:function(){this.adState=this.STATE.IDLE;this.onPlaylistItem();this.ads++},onAdTime:function(cb){this.blnAd=true;this.posAd=cb.position;this.adDuration=cb.duration;this.onTime()},onBuffer:function(){if(this.isLive()){this.notify(this.EVENT.BUFFER)}},onCaptionsChange:function(objTrack){var arrTracks=objTrack.tracks,currentTrack=objTrack.track;this.subtitle=arrTracks[currentTrack].label},onComplete:function(){var pos=this.getDuration();this.setSkippable(true);this.verifyPosition(pos);this.notify(this.EVENT.COMPLETE,pos)},onDisplayClick:function(){if(!vamp.isDefined(this.controlsState)){var state=this.getState();if(state===this.STATE.PLAYING){this.controlsState=this.STATE.PAUSED}else{this.controlsState=this.STATE.PLAYING}this.verifyControls()}},onError:function(e){this.setControls(false);vamp.error({id:this.id,msg:this.NAME+" "+this.VERSION+" event.onError : "+e.message,source:this.getPlaylistSource(),playlist:this.objPlaylist});if(this.isLive()&&e.message===this.ERROR.NO_STREAM){this.showError("STREAM",false);return}this.skipSource()},onFirstFrame:function(e){this.blnFirstFrame=true;if(this.posSeek>0){this.seek(this.posSeek);this.posSeek=0}},onFullscreen:function(e){this.checkPlaying()},onIdle:function(){clearInterval(this.intPlaying);if(this.isLive()){this.notify(this.EVENT.PAUSE)}if(!vamp.isDefined(this.controlsState)&&this.getPosition()>0){this.controlsState=this.STATE.PAUSED;this.verifyControls()}},onPause:function(){clearInterval(this.intPlaying);this.notify(this.EVENT.PAUSE);if(!vamp.isDefined(this.controlsState)){this.controlsState=this.STATE.PAUSED;this.verifyControls()}},onPlay:function(objCb,blnAd){if(!vamp.isDefined(blnAd)||blnAd===false){this.blnAd=false}if(this.isLive()){this.notify(this.EVENT.PLAY)}if(!vamp.isDefined(this.controlsState)){this.controlsState=this.STATE.PLAYING;this.verifyControls()}this.checkPlaying();this.verifyLogo();if(this.getPosition()===0){vamp.ax.ga.trackPage(this.getPlaylistConfig(),this.getPlaylistSource())}},onPlaylistItem:function(e){this.verifySkip();this.verifyLogo()},onReady:function(){this.verifyListbar();if(this.objSetup.autostart&&this.STATE.IDLE===this.getState()){setTimeout(vamp.delegate(this,function(){this.play()}),100)}vamp.$("#"+this.id).addClass(vamp.NAME+"_container");jwplayer.key="hidden";this.createAccessibility()},onResize:function(e){this.verifyLogo()},onSeek:function(e){if(vamp.isDefined(this.html5)){return}this.blnSeeked=true;this.onSeekGeneral(e.offset)},onSeekedHtml5:function(e){},onSeekGeneral:function(pos){if(pos!==this.posSeek&&this.posSeekForce===0){this.verifyPosition(pos)}},onSetupError:function(e){if(e.fallback===true&&this.isYoutube()){return}this.showSetupError(e.message)},onTime:function(){if(vamp.isDefined(this.html5)){return}this.onTimeGeneral()},onTimeHtml5:function(){this.onTimeGeneral()},onTimeGeneral:function(){this.verifyAx();this.notify()}})})(vamp);
(function(b){b.Class.player.jw.listbar=b.Class.extend({CSS:{CONTAINER:{position:"relative"},LISTBAR:{ALL:{backgroundColor:"#38383a"},BOTTOM:{bottom:0,position:"absolute"},RIGHT:{position:"absolute",right:0,top:0}},LISTBAR_IMG:{NORMAL:{borderStyle:"none","float":"left",height:"auto",margin:"2px 10px 5px 2px",width:80},SELECTED:{border:"2px solid #ccc",margin:"0 8px 3px 0"}},LISTBAR_ITEM:{NORMAL:{backgroundColor:"none",borderBottom:"1px solid #1c1c1c",color:"#b6b6b6",cursor:"pointer",display:"block",minHeight:50,margin:"0 10px",padding:10},HOVER:{backgroundColor:"#222"},SELECTED:{backgroundColor:"#222",color:"#f4f4f4"},HEIGHT:100},PLAYER:{LEFT:{position:"absolute",right:0,top:0}}},ID:{CONTAINER:"_container",LISTBAR:"_listbar",LISTBAR_ITEM:"listbar_item",PLAYER:"_player"},SCROLLBAR_OPTIONS:{alwaysVisible:true,className:b.NAME+"_scrollbar",contentClass:b.NAME+"_scrollbar_content",iOSNativeScrolling:true,paneClass:b.NAME+"_scrollbar_pane",preventPageScrolling:true,sliderClass:b.NAME+"_scrollbar_slider",tabIndex:-1},$listbar:null,$player:null,height:null,idContainer:null,idListbar:null,idPlayer:null,idScrollbar:null,index:null,objPlayer:null,width:null,constructor:function(a){this.setPlayer(a);this.$player=b.$("#"+a.id);this.idContainer=a.id+this.ID.CONTAINER;this.idListbar=a.id+this.ID.LISTBAR;this.idPlayer=a.id+this.ID.PLAYER;this.idScrollbar=a.id+this.ID.SCROLLBAR;this.setDimensions()},setDimensions:function(){var a=this.objPlayer.objPlaylist.listbar.position,d=this.objPlayer.objPlaylist.listbar.size;switch(a){case b.player.LISTBAR.LEFT:case b.player.LISTBAR.RIGHT:this.height=this.objPlayer.height;this.width=d;break;case b.player.LISTBAR.BOTTOM:case b.player.LISTBAR.TOP:this.height=d;this.width=this.objPlayer.width}},setPlayer:function(a){if(!b.isDefined(a)){return}this.objPlayer=a},checkHtml:function(a){var e=b.$("#"+this.idContainer),f=b.$("#"+this.idContainer).find("#"+this.idListbar);if(e.length===0||f.length===0){return false}return true},clickHtmlItem:function(e){var f=b.$(e.currentTarget),a=this.$listbar.children().index(f);if(!b.isDefined(a)){return}this.index=a;if(this.objPlayer.hasAds()&&!this.objPlayer.blnSkippable){this.objPlayer.play();return}this.objPlayer.api.playlistItem(a);setTimeout(b.delegate(this,function(){this.objPlayer.play()}),100);this.selectHtml(a)},createHtml:function(){var a=this.objPlayer.objPlaylist.listbar.position.toUpperCase();var f=b.$("<div/>",{id:this.idContainer}).css({height:this.objPlayer.objPlaylist.height,width:this.objPlayer.objPlaylist.width}).css(this.CSS.CONTAINER);this.$player.wrap(f);var g=b.$("<div/>",{id:this.idPlayer}).css({height:this.objPlayer.objPlaylist.height,width:this.objPlayer.objPlaylist.width});if(b.isDefined(this.CSS.PLAYER[a])){g.css(this.CSS.PLAYER[a]);if(a===b.player.LISTBAR.LEFT.toUpperCase()){g.css(b.player.LISTBAR.LEFT,this.width)}}this.$player.wrap(g);this.$listbar=b.$("<div/>",{"class":this.SCROLLBAR_OPTIONS.className,id:this.idListbar}).css({height:this.height,width:this.width}).css(this.CSS.LISTBAR.ALL);if(b.isDefined(this.CSS.LISTBAR[a])){this.$listbar.css(this.CSS.LISTBAR[a])}var h=b.$("<div/>",{"class":this.SCROLLBAR_OPTIONS.contentClass});this.$listbar.append(h);this.$container=b.$("#"+this.idContainer);this.$container.prepend(this.$listbar);this.$listbar=this.$container.find("."+this.SCROLLBAR_OPTIONS.contentClass);return this.checkHtml()},createHtmlItems:function(){var i=this.objPlayer.api.getPlaylist();for(var p=0;p<i.length;p++){var m=i[p];if(m.isAd===true){continue}var l=b.$("<a/>",{"class":this.ID.LISTBAR_ITEM}).css(this.CSS.LISTBAR_ITEM.NORMAL).bind("click",b.delegate(this,this.clickHtmlItem)).bind("mouseenter mouseover",b.delegate(this,this.mouseOverHtml)).bind("mouseleave",b.delegate(this,this.mouseOutHtml));this.$listbar.append(l);var a=b.$("<img/>",{src:m.image}).css(this.CSS.LISTBAR_IMG.NORMAL).bind("mouseenter mouseover",b.delegate(this,this.mouseOverHtml)).bind("mouseleave",b.delegate(this,this.mouseOutHtml));l.append(a);var n=b.$("<div/>",{html:m.title}).css({fontSize:"0.9em",fontWeight:"bold"}).bind("mouseenter mouseover",b.delegate(this,this.mouseOverHtml)).bind("mouseleave",b.delegate(this,this.mouseOutHtml));l.append(n);var o=b.$("<div/>",{html:m.description}).css({fontSize:"0.8em"}).bind("mouseenter mouseover",b.delegate(this,this.mouseOverHtml)).bind("mouseleave",b.delegate(this,this.mouseOutHtml));l.append(o);var k=b.$("<div/>").css({clear:"both"});l.append(k);o.dotdotdot({height:this.CSS.LISTBAR_ITEM.HEIGHT})}},mouseOutHtml:function(d){var a=b.$(d.target).closest("."+this.ID.LISTBAR_ITEM);if(b.isDefined(a.attr("selected"))){return}a.css(this.CSS.LISTBAR_ITEM.NORMAL)},mouseOverHtml:function(d){var a=b.$(d.target).closest("."+this.ID.LISTBAR_ITEM);if(b.isDefined(a.attr("selected"))){return}a.css(this.CSS.LISTBAR_ITEM.HOVER)},selectHtml:function(a){var d=b.$(this.$listbar.children().get(a));if(!b.isDefined(d)){return}this.$listbar.children().css(this.CSS.LISTBAR_ITEM.NORMAL);this.$listbar.children().attr("selected",false);this.$listbar.children().find("img").css(this.CSS.LISTBAR_IMG.NORMAL);d.css(this.CSS.LISTBAR_ITEM.NORMAL);d.css(this.CSS.LISTBAR_ITEM.SELECTED);d.attr("selected",true);d.find("img").css(this.CSS.LISTBAR_IMG.NORMAL).css(this.CSS.LISTBAR_IMG.SELECTED);this.$listbar.animate({scrollTop:d[0].offsetTop},500)},updateHtml:function(){if(!this.checkHtml()){if(!this.createHtml()){return}}if(b.isDefined(this.objPlayer.api)&&this.$listbar.children().length===0){this.createHtmlItems()}b.$("."+this.SCROLLBAR_OPTIONS.className).nanoScroller(this.SCROLLBAR_OPTIONS);var f=this.objPlayer.objPlaylist.listbar.position,a=this.$container.height()-this.height,e=this.$container.width()-this.width;switch(f){case b.player.LISTBAR.LEFT:case b.player.LISTBAR.RIGHT:this.objPlayer.resize(e,this.objPlayer.height);this.objPlayer.width=e;break;case b.player.LISTBAR.BOTTOM:case b.player.LISTBAR.TOP:this.objPlayer.resize(this.objPlayer.width,a);this.objPlayer.height=a}if(this.objPlayer.objPlaylist.width.toString().indexOf("%")>-1||this.objPlayer.objPlaylist.height.toString().indexOf("%")>-1){b.$(b.global).off().on("resize",b.delegate(this,function(){this.updateHtml()}))}}})})(vamp);
(function(b){b.Class.player.jw.logo=b.Class.extend({DIMENSION:{ASPECT:16/9,LOGO:145,MARGIN:{H:100,V:0.65},RESOLUTION:1920},HTML:{ID:"_logo"},PATH:"layout-jw7/%%1%%/logo/%%2%%.png",SIZE:[16,32,64,128,256,512],file:null,folder:null,marginH:null,marginV:null,objPlayer:null,size:null,width:null,constructor:function(a){this.setPlayer(a);var d=a.objPlaylist.getBrand();this.setFolder(d)},setFile:function(){var a=b.DIR.ASSET+this.PATH.replace("%%1%%",this.folder);a=a.replace("%%2%%",this.size);this.file=a},setFolder:function(a){if(!b.isDefined(a)){return}this.folder=a},setMargins:function(i,a){var m=i/a,j=i/this.DIMENSION.ASPECT,l=a*this.DIMENSION.ASPECT,k=(a-j)/2,n=(i-l)/2;if(m<=this.DIMENSION.ASPECT){a=j}else{i=l}this.marginH=Math.round((i/this.DIMENSION.RESOLUTION)*this.DIMENSION.MARGIN.H);this.marginV=this.marginH*this.DIMENSION.MARGIN.V;if(k>0){this.marginV+=k}if(n>0){this.marginH+=n}},setPlayer:function(a){if(!b.isDefined(a)){return}this.objPlayer=a},setSize:function(i,a){var n,j,m=i/a;if(m<=this.DIMENSION.ASPECT){this.width=Math.round((i/this.DIMENSION.RESOLUTION)*this.DIMENSION.LOGO)}else{var l=this.DIMENSION.RESOLUTION/this.DIMENSION.ASPECT;this.width=Math.round((a/l)*this.DIMENSION.LOGO)}for(var k in this.SIZE){j=this.SIZE[k];if(j>=this.width){n=j;break}}if(!b.isDefined(n)){n=b._.max(this.SIZE)}n=parseInt(n,10);this.size=b.detect.isDisplayRetina?n*2:n},update:function(d,a){this.setSize(d,a);this.setMargins(d,a);this.setFile()},createHtml:function(d){var a=b.$("#"+this.objPlayer.id);if(a.length===0){return}$content=b.$("<img/>",{id:d});a.append($content);return $content},removeHtml:function(){var e=this.objPlayer.id,f=this.objPlayer.id+this.HTML.ID,a=b.$("#"+e).find("#"+f);a.remove()},updateHtml:function(){var g=this.objPlayer.id,h=this.objPlayer.id+this.HTML.ID,f=b.$("#"+g),a=b.$("#"+g).find("#"+h);if(a.length===0){if(!(a=this.createHtml(h))){return}}this.update(f.width(),f.height());a.css({display:"block",left:0,marginLeft:this.marginH,marginTop:this.marginV,opacity:1,position:"absolute",top:0,visibility:"visible",width:this.width}).attr("src",this.file)}})})(vamp);
(function(b){b.Class.player.jw.skin=b.Class.extend({PATH:"layout-jw7/%%1%%/skin/videoplayer.css",file:null,folder:null,constructor:function(a){if(b.isDefined(a.skin)){this.setFile(a.skin);return}var e=a.getBrand();this.setFolder(e);var f=b.DIR.ASSET+this.PATH.replace("%%1%%",this.folder);f=f.replace("%%2%%",this.type);f=b.string.checkProtocol(f,b.detect.protocol);this.setFile(f)},setFile:function(a){if(!b.isDefined(a)){return}this.file=a},setFolder:function(a){if(!b.isDefined(a)){return}switch(a){case b.player.BRAND.NAME.COBRA:case b.player.BRAND.NAME.DEREDACTIE:case b.player.BRAND.NAME.KLARA:case b.player.BRAND.NAME.OP12:case b.player.BRAND.NAME.VK14:case b.player.BRAND.NAME.VRT_NIEUWS:a=b.player.BRAND.NAME.DEFAULT;break}this.folder=a}})})(vamp);
(function(b){b.Class.player.link=b.Class.player.extend({NAME:b.player.TYPE.LINK.NAME,api:null,addListener:function(d,a){if(b.isDefined(this.api)){this.api.on(d,a)}},create:function(){var a=this.getContainer();if(!b.isDefined(a)){return}if(!this.createHtmlPlaceholder()){return}$link=a.find("."+this.PLACEHOLDER.CONTAINER);$link.attr("href",this.objPlaylist.arrConfig[0].arrSource[0].file);this.api=$link;this.setListeners();b.coll.add(this);setTimeout(b.delegate(this,function(){b.event.trigger(this,"ready")}),100)},getSource:function(){return this.api.get(0).href},inspect:function(){b.log("--------------------------------------------------------");b.log("HTML element : ",b.$("#"+this.id)[0]);b.log("Input : ",this.objPlaylist.objConfig);b.log("Output : ",this.objPlaylist.arrConfig[0].arrSource[0].file);b.log("--------------------------------------------------------")},setListeners:function(){b.event.register(this,"click");b.event.register(this,"ready")},onClick:function(){b.ax.ga.trackPage(this.objPlaylist.arrConfig[0].objConfig,this.objPlaylist.arrConfig[0].arrSource[0].file)}})})(vamp);
(function(b){b.Class.ad=b.Class.extend({KEYWORD_NO:"np",JSON_DOMAIN:{CALLBACK:"parseJson",URL:"ad_domain.json"},JSON_PARTNER:{CALLBACK:"parseJson",ENV:{DEV:"syndicatie-dev.vrt.be",PROD:"syndicatie.vrt.be",STAG:"syndicatie-stag.vrt.be"},TIMEOUT:5000,URL:"syndication/partners?callback="},JSON_PROGRAM:{CALLBACK:"parseJson",URL:"ad_program.json"},MESSAGE:{SKIP:15,TEXT:{SKIP:"Advertentie overslaan",TIME_TOTAL:" Reclame: XX seconden",TIME_SKIP:"U kunt over XX seconden doorgaan naar de video"}},TYPE:{VAST:"vast",VMAP:"vmap"},arrUrl:[],objPlayer:null,type:null,constructor:function(a){this.arrUrl=[];this.setPlayer(a);this.setType(this.TYPE.VAST);this.verifyVideoType()},addUrl:function(a){if(b.isEmpty(a)){return}this.arrUrl.push(a)},done:function(){this.objPlayer.setup()},getSetup:function(){if(this.arrUrl.length>0){var a={};a.admessage=this.MESSAGE.TEXT.TIME_TOTAL;a.client="vast";a.skipoffset=this.MESSAGE.SKIP;a.skipmessage=this.MESSAGE.TEXT.TIME_SKIP;a.skiptext=this.MESSAGE.TEXT.SKIP;if(this.type===this.TYPE.VAST){a.tag=this.arrUrl}else{a.schedule=this.arrUrl[0]}return a}},init:function(d){if(!b.isDefined(d)){d=true}if(d===true){var a=new b.Class.ad.adhese(this)}this.done()},setCategory:function(a){if(b.isEmpty(this.objPlayer.objPlaylist.category)){this.objPlayer.objPlaylist.setCategory(a)}},setPlayer:function(a){if(!b.isDefined(a)){return}this.objPlayer=a},setType:function(a){if(!b.isDefined(a)){return}this.type=a},verifyAds:function(){if(!b.isDefined(this.objPlayer.objPlaylist.ads)||b.toBoolean(this.objPlayer.objPlaylist.ads)===true){this.verifyProgram();return}this.init(false)},verifyDomain:function(){var d=this.objPlayer.objPlaylist.domain,a=b.DIR.ASSET+this.JSON_DOMAIN.URL;if(!b.isDefined(d)){this.init(false);return}b.$.jsonp({url:a,callback:this.JSON_DOMAIN.CALLBACK,success:b.delegate(this,function(c){if(b.isDefined(c[d])&&b.toBoolean(c[d])!==false){this.setCategory(c[d]);this.verifyAds();return}if(b.detect.env===b.detect.ENV.DEV&&d===b.detect.DOMAIN.VRT){this.setCategory("seculinair");this.verifyAds();return}this.init(false)}),error:b.delegate(this,function(c,j,i){var e="Error fetching 'ads domains JSON'! ("+a+")";if(!b.isEmpty(j)){e+=" Status: "+j}if(b.isDefined("e.message",true)){e+=" Error: "+i.message}b.error({id:this.objPlayer.id,msg:e,url:a});this.init(false)})})},verifyKeywords:function(){var f=this.objPlayer.objPlaylist.keywords;if(!b.isDefined(f)){this.init();return}var a=f.split(","),h;for(var g=0;g<a.length;g++){h=b.string.trim(a[g].toLowerCase());if(h===this.KEYWORD_NO){this.init(false);return}}this.init()},verifyPartner:function(){var d=this.objPlayer.objPlaylist.syndication,a;if(!b.isDefined(d)){this.verifyKeywords();return}if(d===b.player.BRAND.NAME.VRT){this.init(false);return}a=this.JSON_PARTNER.ENV[b.detect.env]+"/"+this.JSON_PARTNER.URL+this.JSON_PARTNER.CALLBACK;a=b.string.checkProtocol(a,b.detect.protocol);b.$.jsonp({url:a,cache:true,callback:this.JSON_PARTNER.CALLBACK,success:b.delegate(this,function(c){if(b.isDefined(c[d])){if(b.isDefined(c[d].ads)&&b.toBoolean(c[d].ads)===false){this.init(false);return}}else{return}this.verifyKeywords();return}),error:b.delegate(this,function(c,j,i){var e="Error fetching 'ads partners JSON'! ("+a+")";if(!b.isEmpty(j)){e+=" Status: "+j}if(b.isDefined("e.message",true)){e+=" Error: "+i.message}b.error({id:this.objPlayer.id,msg:e,url:a});this.verifyKeywords()})})},verifyProgram:function(){var a=this.objPlayer.objPlaylist.arrConfig[0],d=b.DIR.ASSET+this.JSON_PROGRAM.URL;if(!b.isDefined(a.ax)||!b.isDefined(a.ax.program)){this.init();return}b.$.jsonp({url:d,callback:this.JSON_PROGRAM.CALLBACK,success:b.delegate(this,function(c){if(!b.isDefined(c)){this.init();return}var g,h;for(g=0;g<c.length;g++){h=b.string.trim(c[g].toLowerCase());if(a.ax.program.toLowerCase()===h){this.init(false);return}}this.init()}),error:b.delegate(this,function(c,j,i){var e="Error fetching 'ads programs JSON'! ("+d+")";if(!b.isEmpty(j)){e+=" Status: "+j}if(b.isDefined("e.message",true)){e+=" Error: "+i.message}b.error({id:this.objPlayer.id,msg:e,url:d});this.init()})})},verifyVideoType:function(){var i,j,h;for(i=0;i<this.objPlayer.objPlaylist.arrConfig.length;i++){var a=this.objPlayer.objPlaylist.arrConfig[i];for(j=0;j<a.arrSource.length;j++){var g=a.arrSource[j];if(b.isDefined(g.type)){h=g.type;break}}if(b.isDefined(h)){break}}if(b.player.source.isTypeLive(h)===true||b.player.source.TYPE.YOUTUBE===h){this.init(false);return}if(!this.objPlayer.objPlaylist.blnSyndicated){this.verifyDomain()}else{this.verifyPartner()}}})})(vamp);
(function(b){b.Class.ad.adhese=b.Class.extend({CAT:{CULINAIR:"seculinair",EK:"seek-2016",EK_NO_SPONSOR:"senonsponsor",EK_SPONSOR:"sesponsor",EK_SMALL_SUFFIX:"kl30",NIEUWS:"senieuws",OS:"seos2016",RADIO:"seradio",SPORT:"sesport",TV:"setv"},ID:{CONTENT:"vrt",DOMAIN:"vrt"},TRESHOLD:30000,TYPE:{DEFAULT:"def_ault",EK:"ek",OS:"os"},URL:{def_ault:"https://ads-pebblemedia.adhese.com/ad/sl_%%CONTENT%%_content-%%DOMAIN%%_-preroll/%%CATEGORY%%/?t=%%TIMESTAMP%%",ek:"https://ads-pebblemedia.adhese.com/ad/sl_%%CONTENT%%_ek-2016_-VMAP/%%CATEGORY%%/?t=%%TIMESTAMP%%",os:"https://ads-pebblemedia.adhese.com/ad/sl_%%CONTENT%%_os2016_-preroll/?t=%%TIMESTAMP%%"},category:null,idContent:null,objAd:null,type:null,constructor:function(a){this.objAd=null;this.setAd(a);this.setType(this.TYPE.DEFAULT);if(!a.objPlayer.objPlaylist.blnSyndicated){this.verifyCategory()}else{this.verifyCategoryKeywords()}if(!b.isDefined(this.category)){return}if(!a.objPlayer.objPlaylist.blnSyndicated){this.setIdContent(this.objAd.objPlayer.objPlaylist.domain)}else{this.setIdContent(this.objAd.objPlayer.objPlaylist.syndication)}this.verifyDuration()},defineUrl:function(){if(this.type===this.TYPE.EK){this.defineUrl_ek()}else{if(this.type===this.TYPE.OS){this.defineUrl_os()}else{this.defineUrl_default()}}},defineUrl_default:function(){var a=this.URL[this.type];a=a.replace("%%CONTENT%%",this.idContent);a=a.replace("%%DOMAIN%%",this.ID.DOMAIN);a=a.replace("%%CATEGORY%%",this.category);a=a.replace("%%TIMESTAMP%%",new Date().getTime());this.objAd.addUrl(a);if(b.detect.env===b.detect.ENV.DEV){a=b.DIR.ASSET+"_test/vast/vast.xml";this.objAd.addUrl(a)}},defineUrl_ek:function(){var a=this.URL[this.type];a=a.replace("%%CONTENT%%",this.idContent);a=a.replace("%%CATEGORY%%",this.category);a=a.replace("%%TIMESTAMP%%",new Date().getTime());this.objAd.addUrl(a);this.objAd.setType(this.objAd.TYPE.VMAP)},defineUrl_os:function(){var a=this.URL[this.type];a=a.replace("%%CONTENT%%",this.idContent);a=a.replace("%%TIMESTAMP%%",new Date().getTime());this.objAd.addUrl(a)},setAd:function(a){if(!b.isDefined(a)){return}this.objAd=a},setIdContent:function(a){if(!b.isDefined(a)){a=this.ID.CONTENT}this.idContent=a},setType:function(a){if(!b.isDefined(a)){return}this.type=a},verifyCategory:function(){var e=this.objAd.objPlayer.objPlaylist.category;if(!b.isDefined(e)){return}if(b._.indexOf(b._.values(this.CAT),e)<=-1||e===this.CAT.NIEUWS){return}else{if(e===this.CAT.EK){this.setType(this.TYPE.EK);e=this.CAT.EK_NO_SPONSOR;if(b.isDefined(this.objAd.objPlayer.objPlaylist.arrConfig[0].ax)&&b.isDefined(this.objAd.objPlayer.objPlaylist.arrConfig[0].ax.date)){var f=this.objAd.objPlayer.objPlaylist.arrConfig[0].ax.date,a=new Date();if(f.toDateString()===a.toDateString()){e=this.CAT.EK_SPONSOR}}}else{if(e===this.CAT.OS){this.setType(this.TYPE.OS)}}}this.category=e},verifyCategoryKeywords:function(){var f=this.objAd.objPlayer.objPlaylist.keywords;if(b.isDefined(f)){var a=f.split(","),h;for(var g=0;g<a.length;g++){h=b.string.trim(a[g].toLowerCase());if(b.isDefined(this.category)||b._.indexOf(b._.values(this.CAT),h)===-1){continue}this.category=h}}if(!b.isDefined(this.category)){this.category=this.CAT.NIEUWS}},verifyDuration:function(){var a=this.objAd.objPlayer.objPlaylist.arrConfig[0];if(b.isDefined(a.duration)&&a.duration<this.TRESHOLD){if(this.type===this.TYPE.EK){this.category+=this.CAT.EK_SMALL_SUFFIX}else{return}}this.defineUrl()}})})(vamp);
(function(b){b.Class.ax=b.Class.extend({EMPTY:"nietIngevuld",arrAx:[],objConfigAx:null,objPlayer:null,ad:null,date:null,duration:null,episode:null,program:null,typeClip:null,whatson:null,constructor:function(d){if(!b.isDefined(d)){return}this.arrAx=[];this.objConfigAx=null;this.objPlayer=null;this.setPlayer(d);this.setDuration();this.setAd(d.blnAd);var a=this.getConfig();if(b.isDefined(a)&&b.isDefined(a.ax)){this.setConfigAx(a.ax);this.setProgram(a.ax.program);this.setEpisode(a.ax.episode);this.setTypeClip(a.ax.type_clip);this.setDate(a.ax.date);this.setWhatson(a.ax.whatson);this.setUserId(a.ax.user_id);this.setUserAge(a.ax.user_age);this.setUserGender(a.ax.user_gender);this.setCategory(a.ax.category);this.setPublicationDate(a.ax.publication_date);this.setMediaZoneId(a.mzid);this.setMediaZoneClient(a.mzclient)}this.init()},init:function(){var a;if(!this.ad){new b.Class.ax.gemiusstream(this)}if(!b.isDefined("vamp.AX.STREAMSENSE.StreamSense",true)){b.error({id:this.objPlayer.id,msg:"comScore StreamSense Stream library not loaded!"})}else{a=new b.Class.ax.streamsense(this);this.arrAx.push(a)}},getConfig:function(){var a;if(this.objPlayer.blnAd===true){a=0}return this.objPlayer.getPlaylistConfig(a)},notify:function(j,g,h){if(!b.isDefined(j)){return}if(!b.isDefined(h)){h=false}if(!b.isDefined(g)){g=this.objPlayer.getPosition()}var i,a;for(i=0;i<this.arrAx.length;i++){a=this.arrAx[i];if(!b.isDefined(a.api)){continue}a.notify(j,g,h)}},setAd:function(a){if(!b.isDefined(a)){a=false}this.ad=b.toBoolean(a)?1:0},setConfigAx:function(a){if(!b.isDefined(a)){return}this.objConfigAx=a},setDate:function(h){if(!b.isDefined(h)||!b._.isObject(h)){return}if(!b.date.isValid(h)){return}var g=h.getFullYear(),f=b.string.pad(h.getMonth()+1,2),a=b.string.pad(h.getDate(),2);this.date=g+f+a},setDuration:function(){if(!b.isDefined(this.objPlayer)){return}this.duration=Math.floor(this.objPlayer.getDuration())},setEpisode:function(a){if(b.isEmpty(a)){return}this.episode=a},setPlayer:function(a){if(!b.isDefined(a)){return}this.objPlayer=a},setProgram:function(a){if(b.isEmpty(a)){return}this.program=a},setTypeClip:function(a){if(b.isEmpty(a)){return}a+="";this.typeClip=a.toUpperCase()},setWhatson:function(a){if(b.isEmpty(a)){return}this.whatson=a},setUserId:function(a){if(b.isEmpty(a)){return}this.userId=a},setUserAge:function(a){if(b.isEmpty(a)){return}this.userAge=a},setUserGender:function(a){if(b.isEmpty(a)){return}this.userGender=a},setCategory:function(a){if(b.isEmpty(a)){return}this.category=a},setPublicationDate:function(a){if(b.isEmpty(a)){return}this.publicationDate=a},setMediaZoneId:function(a){if(b.isEmpty(a)){return}this.mediaZoneId=a},setMediaZoneClient:function(a){if(b.isEmpty(a)){return}this.mediaZoneClient=a}})})(vamp);
(function(b){b.Class.ax.gemiusstream=b.Class.extend({EVENT:{BUFFER:"buffering",PAUSE:"paused",PLAY:"playing",SEEK:"seekingStarted",END:"complete"},ID:{CONTENT:{Canvas:"ce/tv","Canvas - Homepage":"ce/tv","Canvas - Other":"ce/tv",Cobra:"ce/tv","Cobra - Homepage":"ce/tv","Cobra - Mobile":"ce/tv","Cobra - Other":"ce/tv","Deredactie.be":"nw","Deredactie.be - Home":"nw","Deredactie.be - Mobile":"nw","Deredactie.be - Other":"nw",Een:"ce/tv","Een - Homepage":"ce/tv","Een - Other":"ce/tv","Een - Teletekst":"ce/tv","Een - Dagelijkse kost":"ce/tv","Fans Of Flanders":"nw","Fans Of Flanders - Home":"nw","Fans Of Flanders - Other":"nw",Ketnet:"ce/tv","Ketnet - Home":"ce/tv","Ketnet - Other":"ce/tv",Klara:"ce/radio",MNM:"ce/radio","MNM - Homepage":"ce/radio","MNM - Other":"ce/radio",Op12:"ce/tv","Radio 1":"ce/radio","Radio 1 - Homepage":"ce/radio","Radio 1 - Other":"ce/radio","Radio 2":"ce/radio","Radio 2 - Homepage":"ce/radio","Radio 2 - Other":"ce/radio",Sporza:"sp","Sporza - Homepage":"sp","Sporza - Mobile":"sp","Sporza - Other":"sp","Studio Brussel":"ce/radio","Studio Brussel - Homepage":"ce/radio","Studio Brussel - Other":"ce/radio",VRT:"ce/tv","VRT - Home":"ce/tv","VRT - Other":"ce/tv","VRT internetradiospeler":"ce/radio","VRT NU":"tv"},DOMAIN:{CANVAS:"16NLcC9sPEpsjRelisN.Z7Pp.M5WG4w7k44Xq6d6Chz.M7",COBRA:"1v1Lcq_qdN_cf7nJuoiMt5R6nA3uC0wIX5qN14FpUfH.t7",DEREDACTIE:"d2LrEs_uZN3MJMR0sfwfoYXzrocRsM_qMBqRPY6u5HH.e7",EEN:"zadFNK8ymYXQgjsPw7JdvYaT.M6pzowjjtc3cel0Kff.s7",FANSOFFLANDERS:"dwNFNE8_YYE8GZ6wUKENOmX2.K3B9ySVejQPyYrCJPf.u7",KETNET:"zUbldi7KiU1K.FE63Z.JprQXnKQ_VEvkP9GNFOr3TOD.q7",KLARA:".RCb8OrCiKn.F6OTpALQ7cSr.tOWMSL42TKa.8H9Vx7.i7",MNM:"zUdL0ie0vC2_NleZ4IN.QbPpnA3WmkyIc5rnAJ2_6lb.O7",OP12:"bOtKT1SqBv7NlGyFEgjo_WX1rmEN4VthSkk8NuX3Q77.J7",RADIO1:"badFNs_EGbIKxTsOq_gDa4YhrfEREc_2_tpxNjsv.EL.O7",RADIO2:"zUdF1i7CmUzqdDsAJXU96JPa.DfukwvJ.yidq5Giej3.V7",SPORZA:"15zrEi9K5.psvXpTsF_ShYYh.Bipt6SfJLC52FIQIIv.f7",STUBRU:"zUzrEC7krC2gvWGc641EfJR6rtGGMc_mk1YbB1TeZV7.C7",VRT:"1v1L0KdLdBh1KLp4ULaqnoaTnO6p5mPIxLNppISyEoX.z7",VRTNU:".cA63ye4ZyIIPzz71Hl5Bqe1rmDIl1s5ggCFAoZ9PvL.I7"},SECTION:{"16NLcC9sPEpsjRelisN.Z7Pp.M5WG4w7k44Xq6d6Chz.M7":"Canvas","p8Y7MLL5uIAOOBhUCXYYJ3YYXmYZncbVpCZzOhJ7uSr.w7":"Canvas - Homepage",".RqV9CsQbQtfGFVYTgloeXZ27HkZKewPpG0qwJIKh7H.Q7":"Canvas - Other","1v1Lcq_qdN_cf7nJuoiMt5R6nA3uC0wIX5qN14FpUfH.t7":"Cobra",".XCV9iNtbcJyFZ7tCnmkR3Z2.j0BAYeuUMjNV34K4s7.U7":"Cobra - Homepage","p9A7MLrduABG1RiinUuQQaPM.fMuTIey.2TtPHkGetP.j7":"Cobra - Mobile",".Xo1lCL6XVN8J1714qZsM8QLXfv_c0bgdWPt3KRlUmf.V7":"Cobra - Other","d2LrEs_uZN3MJMR0sfwfoYXzrocRsM_qMBqRPY6u5HH.e7":"Deredactie.be",".Xo70isQcDFpAzDnXjxN4XXWTIOBQkQnerJC1.uSEff.M7":"Deredactie.be - Home","pzCb8LOGgKIODtGs0ewdTMSrXhx_NC7wNP6kPTv8fz3.k7":"Deredactie.be - Mobile","p8Y1lLN5FTzE7ngLYW4R7XYY.tOB9m_iEIGkX0Yv94r.Z7":"Deredactie.be - Other","zadFNK8ymYXQgjsPw7JdvYaT.M6pzowjjtc3cel0Kff.s7":"Een",".RCVVKOMJPW8UbiTOiPZR6PM7O_uTYPdX0YiS1EGsL7.I7":"Een - Homepage","ndCbkLL5gCJMwtFcIsEdupZVTDlRaUQrGfgiKSrH4FL.b7":"Een - Other","B3A1NCuQFbzwi7I_THFGdJa17O9RKYPdUMCsL6a12yj.i7":"Een - Teletekst","zZ01ZiOjFcRSaBztUl0z0XZGj1iB8kMrEFRduqZNJT3.W7":"Een - Dagelijkse kost","dwNFNE8_YYE8GZ6wUKENOmX2.K3B9ySVejQPyYrCJPf.u7":"Fans Of Flanders",".RCb8it7AAX.HBtnJkepwZZV.fLp_G7KrhOkPPlSrwb.w7":"Fans Of Flanders - Home","pzCVVrL_pVhk0rf2CWIh2sPJXfwWTy74k93EqO8_xz7.N7":"Fans Of Flanders - Other","zUbldi7KiU1K.FE63Z.JprQXnKQ_VEvkP9GNFOr3TOD.q7":"Ketnet","pyY70.swsHeA6rX2Vua9p3Z2.fOZZztwfiYc9kkcWyn.Y7":"Ketnet - Home",".Ro1NGLpVcq85ZzdXC7xlHXWXfyZJvuhtAQsKkSXMw3.U7":"Ketnet - Other",".RCb8OrCiKn.F6OTpALQ7cSr.tOWMSL42TKa.8H9Vx7.i7":"Klara","zUdL0ie0vC2_NleZ4IN.QbPpnA3WmkyIc5rnAJ2_6lb.O7":"MNM",".XCb8iNtSBxyFR5lomh7e6Ru.tLGf2_6yZ0uxhJ_eJ7.g7":"MNM - Homepage","ndqV9jLn7e4CsvVaKkWoZHZ2XhyZvy8IhAMupExnAEn.u7":"MNM - Other","bOtKT1SqBv7NlGyFEgjo_WX1rmEN4VthSkk8NuX3Q77.J7":"Op12","badFNs_EGbIKxTsOq_gDa4YhrfEREc_2_tpxNjsv.EL.O7":"Radio 1","bIFKsdSNTwRXYU6NsbnprWX1.Mf1OTBtmc1gN4ISXX3.R7":"Radio 1 - Homepage","0iTg7WrIYzNS6ye_PgxtpGaznH31hXAcA48QozcABUT.D7":"Radio 1 - Other","zUdF1i7CmUzqdDsAJXU96JPa.DfukwvJ.yidq5Giej3.V7":"Radio 2","0rrqj2NkP5V7oq3HxvPDCmYTDqr1RYLgOSdgiYogpAD.F7":"Radio 2 - Homepage","bOFAS9yTczPpQmdW0TvnJ7RInH3y99fNHugoachm8rT.J7":"Radio 2 - Other","15zrEi9K5.psvXpTsF_ShYYh.Bipt6SfJLC52FIQIIv.f7":"Sporza","ndo7MHNOeHKitwMSegdwqpZV.l1p5qL9VOIA6In4rBj.j7":"Sporza - Homepage","p8Y1l.u4HcTmfuqYTQa0zaRuXmXGP2MuA15QvGT2hNf.K7":"Sporza - Mobile",".XqbkGNhiKocUkMYEie4bqQs7HjGi7g4A4uO_eVk0nP.D7":"Sporza - Other","zUzrEC7krC2gvWGc641EfJR6rtGGMc_mk1YbB1TeZV7.C7":"Studio Brussel","nXo1NLtlXVNP2V71XH0KYKRuXhxG6C8IU2wuJjceCBP.c7":"Studio Brussel - Homepage","B8abkCL1yLiUEhfUb4EuBcPJ7O8W54P189WsLwd1W7H.F7":"Studio Brussel - Other","1v1L0KdLdBh1KLp4ULaqnoaTnO6p5mPIxLNppISyEoX.z7":"VRT",".RCVVir7bQn.P.7HJrzsmXa4TBkBtcS0ujAy79zfGkD.r7":"VRT - Home","pzA70rN_uH8O2BgAUai466PM7A8uTASE.w_MySLN1YD.j7":"VRT - Other","ndqV9rrdpa.5H7hy3JiJs3Z27FmZJ_yXrrAq.g_OvWX.67":"VRT internetradiospeler",".cA63ye4ZyIIPzz71Hl5Bqe1rmDIl1s5ggCFAoZ9PvL.I7":"VRT NU"}},LABEL:{CONTENT:"ct",LINKTV:"tv",SECTION:"se",SOURCE:"st",STREAM:"_SCT"},api:null,arrCustomPackage:[],identifier:null,idMaterial:null,idPlayer:null,lastEvent:null,objAx:null,objCustomPackage:{},totalTime:0,constructor:function(a){if(!b.isDefined(a)){return}this.load();if(!b.isDefined("gemiusStream",true)){b.error({id:this.objPlayer.id,msg:"Gemius Stream library not loaded!"});return}a.arrAx.push(this);this.arrCustomPackage=[];this.objAx=null;this.objCustomPackage={};this.setAx(a);this.setIdentifier(a.objPlayer.objPlaylist.domain);this.setIdPlayer(a.objPlayer.id);this.setTotalTime(a.duration);this.setIdMaterial(a.program);this.setIdMaterial(a.episode);this.setCPstream(this.idMaterial);this.setCPsection();this.setCPcontent();this.setCPsource(a.typeClip);this.setCPlinkTV(a.date);this.setCPlinkTV(a.whatson);this.renderCParray();this.init()},fetchIdentifier:function(){var a="event_identifier";if(!b.isDefined("gemius_hcconn",true)||b.isEmpty(gemius_hcconn[a])){return}return gemius_hcconn[a]},init:function(){this.api=gemiusStream;gemiusStream.newStream(this.idPlayer,this.idMaterial,this.totalTime,this.arrCustomPackage,[],this.identifier)},load:function(){if(!b.isDefined("gemiusStream",true)){(function(d,n,g){try{var o=d.createElement(n),l=d.getElementsByTagName(n)[0],p="http"+((location.protocol==="https:")?"s":"");o.setAttribute("async","async");o.setAttribute("defer","defer");o.src=p+"://gabe.hit.gemius.pl/gstream.js";l.parentNode.insertBefore(o,l)}catch(e){}})(document,"script",this)}window.gemiusStream=window.gemiusStream||{};function a(d){window.gemiusStream[d]=window.gemiusStream[d]||function(){var c=window.gemius_stream_data=window.gemius_stream_data||[];c[c.length]=[d,arguments]}}a("newStream");a("event");a("closeStream")},notify:function(a,f,g){if(this.lastEvent===a){return}var h;f=Math.floor(f);switch(a){case this.objAx.objPlayer.EVENT.BUFFER:h=this.EVENT.BUFFER;break;case this.objAx.objPlayer.EVENT.COMPLETE:h=this.EVENT.END;break;case this.objAx.objPlayer.EVENT.PAUSE:if(this.lastEvent===this.objAx.objPlayer.EVENT.COMPLETE){return}h=this.EVENT.PAUSE;break;case this.objAx.objPlayer.EVENT.PLAY:h=this.EVENT.PLAY;break;case this.objAx.objPlayer.EVENT.SEEK:h=this.EVENT.SEEK;break}this.lastEvent=a;gemiusStream.event(this.idPlayer,this.idMaterial,f,h)},renderCParray:function(){b._.forIn(this.objCustomPackage,function(d,a){this.arrCustomPackage.push({name:a,value:d})},this)},setAx:function(a){if(!b.isDefined(a)){return}this.objAx=a},setCPcontent:function(){var a=this.objAx.EMPTY,d=this.objCustomPackage[this.LABEL.SECTION];if(b.isDefined(this.ID.CONTENT[d])){a=this.ID.CONTENT[d]}this.objCustomPackage[this.LABEL.CONTENT]=a},setCPlinkTV:function(e){if(b.isEmpty(e)){e=this.objAx.EMPTY}var a=this.objCustomPackage[this.LABEL.LINKTV],f="-";if(!b.isDefined(a)||a===this.objAx.EMPTY){a=e}else{if(e!==this.objAx.EMPTY){a+=f+e}}this.objCustomPackage[this.LABEL.LINKTV]=a},setCPsection:function(){var d=this.objAx.EMPTY,a=this.fetchIdentifier();if(b.isEmpty(a)){a=this.identifier}if(b.isDefined(this.ID.SECTION[a])){d=this.ID.SECTION[a]}this.objCustomPackage[this.LABEL.SECTION]=d},setCPsource:function(a){switch(a){case"FULL_EPISODE":case"1":a="vid.tvi.ep.vod.free";break;case"CLIP":case"2":case"999":a="vid.tvi.frag.vod.free";break;case"SEPARATE_ITEM":case"3":a="vid.wex.frag.vod.free";break;default:a="vid.tvi.ep.vod.free"}this.objCustomPackage[this.LABEL.SOURCE]=a},setCPstream:function(d){if(b.isEmpty(d)){d=this.objAx.EMPTY}var a=50;if(d.length>(a-this.LABEL.STREAM.length-1)){this.objCustomPackage[this.LABEL.STREAM]=d.substr(0,(a-this.LABEL.STREAM.length-2))+"\u2026"}else{this.objCustomPackage[this.LABEL.STREAM]=d}},setIdentifier:function(a){if(!b.isDefined(a)){this.identifier=this.objAx.EMPTY;return}a=a.toUpperCase();if(!b.isDefined(this.ID.DOMAIN[a])){this.identifier=this.objAx.EMPTY;return}this.identifier=this.ID.DOMAIN[a]},setIdMaterial:function(a){if(b.isEmpty(a)){a=this.objAx.EMPTY}var d="-";if(!b.isDefined(this.idMaterial)||this.idMaterial===this.objAx.EMPTY){this.idMaterial=a}else{if(a!==this.objAx.EMPTY){this.idMaterial+=d+a}}},setIdPlayer:function(a){if(!b.isDefined(a)){return}this.idPlayer=a},setTotalTime:function(a){if(this.objAx.objPlayer.isLive()){this.totalTime=-1}else{this.totalTime=a}}})})(vamp);
(function(b){b.Class.ax.streamsense=b.Class.extend({DEFAULT:{URL:"http://be.sitestat.com/vrt/sandbox1/s?homepage.index"},EVENT:{BUFFER:null,PAUSE:null,PLAY:null,END:null},LABEL:{CLIP:{AD:"ns_st_ad",CONTENT_ID:"ns_st_ci",EPISODE:"ns_st_ep",EPISODE_LENGTH:"ns_st_el",LENGTH:"ns_st_cl",LIVE:"ns_st_li",NUMBER:"ns_st_cn",PART:"ns_st_pn",PROGRAM:"ns_st_pr",STATION:"ns_st_st",TOTAL_PARTS:"ns_st_tp",TYPE_STREAM:"ns_st_ty",VRT_ID:"vrt_vid_id",VRT_DATE:"vrt_dat_id",VRT_REF:"vrt_ref_id",VRT_SYND:"vrt_synd_id",VRT_MZ_ID:"vrt_mz_id",VRT_MZ_CLIENT:"vrt_mzcl_id",CATEGORY:"vrt_cat1_id",PUBLICATION_DATE:"vrt_pubdat_id"},USER_ID:"vrt_id_id",USER_AGE:"vrt_age",USER_GENDER:"vrt_gender",MEDIAPLAYER:"ns_st_mp",MEDIAPLAYERVERSION:"ns_st_mv",SEEKING:"seeking",PLAYLIST_TITLE:"ns_st_pl",PREFIX_AD:"ad_",URL_PIXEL:"ns_pixelUrl",USER_INTERACTION:"ns_st_ui"},TYPE_STREAM:{AD:{PREROLL:"pre-roll"},VLS:"vls",VOD:"vod",YOUTUBE:"od-yt"},api:null,oi_api:null,lastEvent:null,objAx:null,objClip:{},objPlaylist:{},url:null,constructor:function(a){if(!b.isDefined(a)){return}this.EVENT={BUFFER:b.AX.STREAMSENSE.StreamSense.PlayerEvents.BUFFER,PAUSE:b.AX.STREAMSENSE.StreamSense.PlayerEvents.PAUSE,PLAY:b.AX.STREAMSENSE.StreamSense.PlayerEvents.PLAY,END:b.AX.STREAMSENSE.StreamSense.PlayerEvents.END};this.objAx=null;this.objClip={};this.objPlaylist={};this.setAx(a);this.fetchUrl();if(b.isEmpty(this.url)){b.error({id:this.objAx.objPlayer.id,msg:"No StreamSense base measurement URL is found or set!"});return}this.setClipAd(a.ad);this.setClipTypeStream();this.setClipNumber(this.getClipNumber());this.setClipPart(this.getClipPart());this.setClipTotalParts(1);this.setClipProgram(a.program);this.setClipEpisode(a.episode);this.setClipStation(a.objPlayer.objPlaylist.getBrand());this.setClipVrtId(a.whatson);this.setClipVrtDate(a.date);this.setClipVrtRef();this.setClipVrtSynd(a.objPlayer.objPlaylist.syndication);this.setClipContentId();this.setClipVrtMzId(a.objPlayer.objPlaylist.objConfig.mzid);this.setClipVrtMzClient(a.objPlayer.objPlaylist.objConfig.mzclient);this.setClipCategory(a.category);this.setClipUserId(a.userId);this.setClipUserAge(a.userAge);this.setClipUserGender(a.userGender);this.setClipPublicationDate(a.publicationDate);if(b.isDefined(a.objConfigAx)){this.setPlaylist(a.objConfigAx.playlist);this.setClipTotalParts(a.objConfigAx.parts)}this.setClipLive();this.setClipLength(a.duration*1000);if(this.validate()){this.init()}},fetchUrl:function(){var a;if(b.isDefined("ns_p.src",true)){a=ns_p.src}else{if(b.isDefined(this.LABEL.URL_PIXEL,true)){a=b.isDefined(this.LABEL.URL_PIXEL,true)}else{var d=b.$("img[src*='//be.sitestat.com']");if(d.length>0&&b.isDefined(d[0].src)){a=d[0].src}}}if(b.isEmpty(a)){if(b.detect.env===b.detect.ENV.DEV||b.detect.env===b.detect.ENV.STAG||(b.isDefined(this.objAx.objConfigAx)&&!b.isEmpty(this.objAx.objConfigAx.sandbox)&&b.toBoolean(this.objAx.objConfigAx.sandbox)===true)){a=this.DEFAULT.URL}else{return}}this.setUrl(a)},getClipNumber:function(){if(this.objAx.objPlayer.blnAd){return this.objAx.objPlayer.ads+1}else{return this.objAx.objPlayer.ads+this.objAx.objPlayer.playlistIndex+1}},getClipPart:function(){if(this.objAx.objPlayer.blnAd===false&&b.toBoolean(this.objAx.objPlayer.ads)){return 1}return 0},init:function(){this.url=b.string.checkProtocol(this.url,b.detect.protocol);this.api=new b.AX.STREAMSENSE.StreamSense({},this.url);if(b.isDefined("oiAxUrl",true)){this.oi_api=new b.AX.STREAMSENSE.StreamSense({},oiAxUrl)}this.api.setLabel(this.LABEL.MEDIAPLAYER,b.NAME);this.api.setLabel(this.LABEL.MEDIAPLAYERVERSION,b.VERSION);if(this.oi_api!=null){this.oi_api.setLabel(this.LABEL.MEDIAPLAYER,b.NAME);this.oi_api.setLabel(this.LABEL.MEDIAPLAYERVERSION,b.VERSION)}this.api.setPlaylist(this.objPlaylist);if(this.oi_api!=null){this.oi_api.setPlaylist(this.objPlaylist)}this.api.setClip(this.objClip);if(this.oi_api!=null){this.oi_api.setClip(this.objClip)}if(this.objAx.objPlayer.getState()===this.objAx.objPlayer.STATE.PLAYING){this.notify(this.objAx.objPlayer.EVENT.PLAY,0)}},notify:function(a,g,h){if(this.lastEvent===a){return}var i,j={};g=Math.floor(g*1000);switch(a){case this.objAx.objPlayer.EVENT.BUFFER:i=this.EVENT.BUFFER;break;case this.objAx.objPlayer.EVENT.COMPLETE:i=this.EVENT.END;break;case this.objAx.objPlayer.EVENT.PAUSE:if(this.lastEvent===this.objAx.objPlayer.EVENT.COMPLETE){return}i=this.EVENT.PAUSE;break;case this.objAx.objPlayer.EVENT.PLAY:i=this.EVENT.PLAY;break;case this.objAx.objPlayer.EVENT.SEEK:i=this.EVENT.PAUSE;break}this.lastEvent=a;if(h===true){j[this.LABEL.USER_INTERACTION]=this.LABEL.SEEKING}this.api.notify(i,j,g);if(this.oi_api!=null){this.oi_api.notify(i,j,g)}},setAx:function(a){if(!b.isDefined(a)){return}this.objAx=a},setClipAd:function(a){this.objClip[this.LABEL.CLIP.AD]=a},setClipContentId:function(){this.objClip[this.LABEL.CLIP.CONTENT_ID]=this.objClip[this.LABEL.CLIP.VRT_ID]},setClipEpisode:function(a){if(b.isEmpty(a)){return}if(b.toBoolean(this.objAx.ad)){a=this.LABEL.PREFIX_AD+a}this.objClip[this.LABEL.CLIP.EPISODE]=a},setClipLength:function(d){var a=this.objClip[this.LABEL.CLIP.LIVE];if(b.isDefined(a)&&a===1){this.objClip[this.LABEL.CLIP.LENGTH]=0;this.objClip[this.LABEL.CLIP.EPISODE_LENGTH]=0}else{this.objClip[this.LABEL.CLIP.LENGTH]=d;this.objClip[this.LABEL.CLIP.EPISODE_LENGTH]=d}},setClipLive:function(){if(this.objAx.objPlayer.isLive()){this.objClip[this.LABEL.CLIP.LIVE]=1}else{this.objClip[this.LABEL.CLIP.LIVE]=0}},setClipNumber:function(a){if(b.isEmpty(a)){return}this.objClip[this.LABEL.CLIP.NUMBER]=a},setClipPart:function(a){if(b.isEmpty(a)){return}this.objClip[this.LABEL.CLIP.PART]=a},setClipProgram:function(a){if(b.isEmpty(a)){return}if(b.toBoolean(this.objAx.ad)){a=this.LABEL.PREFIX_AD+a}this.objClip[this.LABEL.CLIP.PROGRAM]=a},setClipStation:function(a){if(b.isEmpty(a)){return}this.objClip[this.LABEL.CLIP.STATION]=a},setClipTotalParts:function(a){if(b.isDefined(a)&&a!==""){this.objClip[this.LABEL.CLIP.TOTAL_PARTS]=a}else{switch(this.objAx.typeClip){case"CLIP":case"SEPARATE_ITEM":this.objClip[this.LABEL.CLIP.TOTAL_PARTS]=999;break;default:this.objClip[this.LABEL.CLIP.TOTAL_PARTS]=1}}},setClipTypeStream:function(d){var a=d;if(this.objClip[this.LABEL.CLIP.AD]===1){a=this.TYPE_STREAM.AD.PREROLL}if(b.isEmpty(a)){if(this.objAx.objPlayer.isLive()){a=this.TYPE_STREAM.VLS}else{if(this.objAx.objPlayer.isYoutube()){a=this.TYPE_STREAM.YOUTUBE}else{a=this.TYPE_STREAM.VOD}}}this.objClip[this.LABEL.CLIP.TYPE_STREAM]=a},setClipVrtDate:function(a){if(b.isEmpty(a)){a=this.objAx.EMPTY}this.objClip[this.LABEL.CLIP.VRT_DATE]=a},setClipVrtId:function(a){if(b.isEmpty(a)){a=this.objAx.EMPTY}this.objClip[this.LABEL.CLIP.VRT_ID]=a},setClipVrtRef:function(a){if(b.isEmpty(a)){a=document.referrer}this.objClip[this.LABEL.CLIP.VRT_REF]=a},setClipVrtSynd:function(a){if(b.isEmpty(a)){return}this.objClip[this.LABEL.CLIP.VRT_SYND]=a},setClipVrtMzId:function(a){if(!b.isEmpty(a)){this.objClip[this.LABEL.CLIP.VRT_MZ_ID]=a}},setClipVrtMzClient:function(a){if(!b.isEmpty(a)){this.objClip[this.LABEL.CLIP.VRT_MZ_CLIENT]=a}},setClipCategory:function(a){if(!b.isEmpty(a)){this.objClip[this.LABEL.CLIP.CATEGORY]=a}},setClipUserId:function(a){if(b.isEmpty(a)){return}this.objClip[this.LABEL.USER_ID]=a},setClipUserAge:function(a){if(b.isEmpty(a)){return}this.objClip[this.LABEL.USER_AGE]=a},setClipUserGender:function(a){if(b.isEmpty(a)){return}this.objClip[this.LABEL.USER_GENDER]=a},setClipPublicationDate:function(a){if(b.isEmpty(a)){return}this.objClip[this.LABEL.CLIP.PUBLICATION_DATE]=a},setPlaylist:function(a){if(b.isEmpty(a)){return}this.objPlaylist[this.LABEL.PLAYLIST_TITLE]=a},setUrl:function(a){if(b.isEmpty(a)){return}this.url=a},validate:function(){var d=[],a=[this.LABEL.CLIP.NUMBER,this.LABEL.CLIP.CONTENT_ID,this.LABEL.CLIP.LENGTH,this.LABEL.CLIP.PART,this.LABEL.CLIP.TOTAL_PARTS];b._.each(a,function(c){if(!b.isDefined(this.objClip[c])){d.push("No StreamSense analytics : property '"+c+"' is not defined in config")}},this);if(d.length>0){b._.each(d,function(c){b.error({id:this.objAx.objPlayer.id,msg:c})},this);return false}return true}})})(vamp);
(function(b){b.api={BUILD:b.BUILD,NAME:"$vamp",VERSION:b.VERSION,create:function(a){b.player.create(a)},expose:function(){b.expose()},noConflict:function(a){b.noConflict(b.api,a)},setModeMinimal:function(a){if(!b.isDefined(a)){a=true}b.mode.minimal=b.toBoolean(a)},setModePlaceholder:function(a){if(!b.isDefined(a)){a=true}b.mode.placeholder=b.toBoolean(a)},toString:function(){return"{"+b.NAME+".api}"},clear:b.fn.delegate(b.debug,b.debug.clear),error:b.fn.delegate(b.debug,b.debug.error),groupBegin:b.fn.delegate(b.groupBegin,b.debug.groupBegin),groupEnd:b.fn.delegate(b.groupEnd,b.debug.groupEnd),info:b.fn.delegate(b.debug,b.debug.info),log:b.fn.delegate(b.debug,b.debug.log),trace:b.fn.delegate(b.debug,b.debug.trace),warn:b.fn.delegate(b.debug,b.debug.warn)};b.api.fn=function(a){return{getHeight:function(){return b.coll.exec("getHeight",a)},getWidth:function(){return b.coll.exec("getWidth",a)},inspect:function(){b.coll.exec("inspect",a)},off:function(d){b.coll.exec("off",a,d)},on:function(e,f){b.coll.exec("on",a,[e,f],true)},mute:function(d){b.coll.exec("mute",a,d)},pause:function(){b.coll.exec("pause",a)},play:function(){b.coll.exec("play",a)},remove:function(){b.coll.exec("remove",a)},seek:function(d){b.coll.exec("seek",a,d)},getPosition:function(){return b.coll.exec("getPosition",a)},toggle:function(){b.coll.exec("toggle",a)}}}})(vamp);
(function(b){b._.extend(b,b.fn);b.error=b.delegate(b.debug,b.debug.error);b.clear=b.delegate(b.debug,b.debug.clear);b.groupBegin=b.delegate(b.debug,b.debug.groupBegin);b.groupEnd=b.delegate(b.debug,b.debug.groupEnd);b.info=b.delegate(b.debug,b.debug.info);b.log=b.delegate(b.debug,b.debug.log);b.trace=b.delegate(b.debug,b.debug.trace);b.warn=b.delegate(b.debug,b.debug.warn);b.detect.init();b.expose(b.api,function(){return b.api.fn(arguments)});b._.extend(b.global[b.api.NAME],new b.api.fn());b.noConflict()})(vamp);
//end edited vamp.js
    }
}, true);
